import { IController, ControllerClass } from './types/controller';
import type { EventViewer } from './EventViewer';
export declare class ControllerSystem {
    private _viewer;
    readonly allcontroller: Map<string, IController>;
    constructor(viewer: EventViewer);
    add<C extends IController>(name: string, CClass: ControllerClass<C>, order?: number): C;
    get<C extends IController>(Class: ControllerClass<C>): C;
    getByName<C extends IController>(name: string): C;
    init(): void;
    reset(): void;
    process(data: TrackFrames & Record<string, any>): void;
}
