/// <reference types="node" />
import { Container } from '@pixi/display';
import { FederatedPointerEvent } from '@pixi/events';


import { ControllerSystem } from './ControllerSystem';
interface IEventViewerOptions extends IViewerOptions {
}
declare enum translateState {
    ON = "translated",
    OFF = "jp"
}
export declare class EventViewer extends Container {
    protected _options: IEventViewerOptions;
    protected system: ControllerSystem;
    protected _oninit: boolean;
    protected _track: TrackFrames[];
    protected _autoPlayEnabled: boolean;
    protected _current: number;
    protected _nextLabel: string | undefined | null;
    protected _stopTrackIndex: number;
    protected _timeoutToClear: number | NodeJS.Timer | null | undefined;
    protected _textTypingEffect: number | NodeJS.Timer | null | undefined;
    protected _stopped: boolean;
    protected _selecting: boolean;
    protected _translate: boolean;
    protected _language: translateState;
    protected _translationData: TranslateData | undefined | null;
    protected _mixed: boolean;
    constructor(options?: Partial<IEventViewerOptions>);
    static new(options?: Partial<IEventViewerOptions>): EventViewer;
    addTo<T extends Container>(parent: T): this;
    clearTrack(): Promise<void>;
    init(): Promise<void>;
    loadTrack(source: string | TrackFrames[] | Object): Promise<any>;
    loadAndPlayTrack(source: string | TrackFrames[] | Object): void;
    searchAndLoadTranslation(tag: string): Promise<void>;
    loadTranslation(source: string | TranslateData | object): Promise<void>;
    start(): void;
    protected _onready(): void;
    protected _play(): void;
    protected _toggleAutoplay(): void;
    protected _toggleLangBtn(): void;
    protected _renderTrack(): void;
    protected forward(): TrackFrames;
    protected _jumpTo(nextLabel: string): void;
    protected _endOfEvent(): void;
    protected _afterSelection(): void;
    protected _tapEffect(e: FederatedPointerEvent): void;
    protected onBlur(): void;
    get Options(): IEventViewerOptions;
    get Track(): TrackFrames[];
    get currentTrack(): TrackFrames;
    get nextTrack(): TrackFrames;
}
export {};
