import { IController } from '../types/controller';
import { Sound } from '@pixi/sound';
export declare class SoundController implements IController {
    protected _voiceDuration: number;
    protected _currentBgm: Sound | undefined | null;
    protected _currentVoice: Sound | undefined | null;
    protected _currentSe: Sound | undefined | null;
    protected _onVoiceEnd: Function;
    constructor();
    reset(): void;
    process({ bgm, se, voice, charLabel, onVoiceEnd }: TrackFrames & Record<string, any>): void;
    protected _playBgm(bgmName: string): void;
    protected _playSe(seName: string): void;
    protected _playVoice(voiceName: string, charLabel: string, onVoiceEnd: Function): void;
    get voiceDuration(): number;
}
