/// <reference types="node" />
import { Container } from "@pixi/display";
import { Spine, TrackEntry } from '@pixi-spine/runtime-3.7';
import { IController } from '../types/controller';
type SpineRecord = {
    currCharId: string;
    currCharCategory: string;
};
export declare const spineAlias: Record<string, string>;
export declare class SpineController extends Container implements IController {
    protected readonly _spineMap: Map<string, Spine>;
    protected _currSpine: Record<string, SpineRecord>;
    protected _keepsLipAnimation: boolean;
    protected _timeoutToClear: number | NodeJS.Timer | null | undefined;
    protected _replacingLipTrack: TrackEntry | undefined | null;
    protected _lipTrack: TrackEntry | undefined | null;
    protected _lipAnim: string | undefined | null;
    addTo<C extends Container>(parent: C): this;
    reset(): void;
    process({ charLabel, charId, charCategory, charPosition, charScale, charAnim1, charAnim2, charAnim3, charAnim4, charAnim5, charAnim1Loop, charAnim2Loop, charAnim3Loop, charAnim4Loop, charAnim5Loop, charLipAnim, lipAnimDuration, charEffect }: TrackFrames & Record<string, any>): void;
    stopLipAnimation(charLabel: string): void;
    protected _setCharacterAnimation(charAnim: string, charAnimLoop: boolean, trackNo: number, thisSpine: Spine): TrackEntry | undefined;
    protected _getAnimation(charAnim: string, thisSpine: Spine): import("@pixi-spine/runtime-3.7").Animation | undefined;
}
export {};
