/// <reference types="node" />
import { Container } from "@pixi/display";
import { Text } from '@pixi/text';
import { IController } from '../types/controller';
export declare class TextController extends Container implements IController {
    options: IViewerOptions | undefined;
    protected readonly _txtFrameMap: Map<any, any>;
    protected _thisWaitTime: number;
    protected _typingEffect: number | NodeJS.Timer | null | undefined;
    protected _textObj: Text;
    protected _language: string;
    protected _currentText: TextRecord;
    addTo<C extends Container>(parent: C): this;
    reset(): void;
    process({ textFrame, speaker, text, translated_text }: TrackFrames): void;
    toggleLanguage(lang: string): void;
    _endNotification(): void;
    get textWaitTime(): number;
    get typingEffect(): number | NodeJS.Timer | null | undefined;
}
