/**
 * name: scdb-eventviewer
 * version: 1.0.5
 * author: ShinyColorsDB
 */
var __defProp = Object.defineProperty;
var __defProps = Object.defineProperties;
var __getOwnPropDescs = Object.getOwnPropertyDescriptors;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __spreadProps = (a, b) => __defProps(a, __getOwnPropDescs(b));
var __publicField = (obj, key, value) => {
  __defNormalProp(obj, typeof key !== "symbol" ? key + "" : key, value);
  return value;
};
var __async = (__this, __arguments, generator) => {
  return new Promise((resolve, reject) => {
    var fulfilled = (value) => {
      try {
        step(generator.next(value));
      } catch (e) {
        reject(e);
      }
    };
    var rejected = (value) => {
      try {
        step(generator.throw(value));
      } catch (e) {
        reject(e);
      }
    };
    var step = (x) => x.done ? resolve(x.value) : Promise.resolve(x.value).then(fulfilled, rejected);
    step((generator = generator.apply(__this, __arguments)).next());
  });
};
(function(global, factory) {
  typeof exports === "object" && typeof module !== "undefined" ? factory(exports, require("@pixi/display"), require("@pixi/assets"), require("@pixi/core"), require("@pixi/sprite"), require("@pixi/sound"), require("@pixi/mesh-extras"), require("@pixi/graphics"), require("@pixi/text")) : typeof define === "function" && define.amd ? define(["exports", "@pixi/display", "@pixi/assets", "@pixi/core", "@pixi/sprite", "@pixi/sound", "@pixi/mesh-extras", "@pixi/graphics", "@pixi/text"], factory) : (global = typeof globalThis !== "undefined" ? globalThis : global || self, factory(global.SCDB = global.SCDB || {}, global.PIXI, global.PIXI, global.PIXI, global.PIXI, global.PIXI, global.PIXI, global.PIXI, global.PIXI));
})(this, function(exports2, display, assets, core, sprite, sound, meshExtras, graphics, text) {
  "use strict";
  var AttachmentType = /* @__PURE__ */ ((AttachmentType2) => {
    AttachmentType2[AttachmentType2["Region"] = 0] = "Region";
    AttachmentType2[AttachmentType2["BoundingBox"] = 1] = "BoundingBox";
    AttachmentType2[AttachmentType2["Mesh"] = 2] = "Mesh";
    AttachmentType2[AttachmentType2["LinkedMesh"] = 3] = "LinkedMesh";
    AttachmentType2[AttachmentType2["Path"] = 4] = "Path";
    AttachmentType2[AttachmentType2["Point"] = 5] = "Point";
    AttachmentType2[AttachmentType2["Clipping"] = 6] = "Clipping";
    return AttachmentType2;
  })(AttachmentType || {});
  class BinaryInput {
    constructor(data, strings = new Array(), index = 0, buffer = new DataView(data.buffer)) {
      this.strings = strings;
      this.index = index;
      this.buffer = buffer;
    }
    readByte() {
      return this.buffer.getInt8(this.index++);
    }
    readUnsignedByte() {
      return this.buffer.getUint8(this.index++);
    }
    readShort() {
      const value = this.buffer.getInt16(this.index);
      this.index += 2;
      return value;
    }
    readInt32() {
      const value = this.buffer.getInt32(this.index);
      this.index += 4;
      return value;
    }
    readInt(optimizePositive) {
      let b = this.readByte();
      let result = b & 127;
      if ((b & 128) != 0) {
        b = this.readByte();
        result |= (b & 127) << 7;
        if ((b & 128) != 0) {
          b = this.readByte();
          result |= (b & 127) << 14;
          if ((b & 128) != 0) {
            b = this.readByte();
            result |= (b & 127) << 21;
            if ((b & 128) != 0) {
              b = this.readByte();
              result |= (b & 127) << 28;
            }
          }
        }
      }
      return optimizePositive ? result : result >>> 1 ^ -(result & 1);
    }
    readStringRef() {
      const index = this.readInt(true);
      return index == 0 ? null : this.strings[index - 1];
    }
    readString() {
      let byteCount = this.readInt(true);
      switch (byteCount) {
        case 0:
          return null;
        case 1:
          return "";
      }
      byteCount--;
      let chars = "";
      for (let i = 0; i < byteCount; ) {
        const b = this.readUnsignedByte();
        switch (b >> 4) {
          case 12:
          case 13:
            chars += String.fromCharCode((b & 31) << 6 | this.readByte() & 63);
            i += 2;
            break;
          case 14:
            chars += String.fromCharCode((b & 15) << 12 | (this.readByte() & 63) << 6 | this.readByte() & 63);
            i += 3;
            break;
          default:
            chars += String.fromCharCode(b);
            i++;
        }
      }
      return chars;
    }
    readFloat() {
      const value = this.buffer.getFloat32(this.index);
      this.index += 4;
      return value;
    }
    readBoolean() {
      return this.readByte() != 0;
    }
  }
  var MixBlend = /* @__PURE__ */ ((MixBlend2) => {
    MixBlend2[MixBlend2["setup"] = 0] = "setup";
    MixBlend2[MixBlend2["first"] = 1] = "first";
    MixBlend2[MixBlend2["replace"] = 2] = "replace";
    MixBlend2[MixBlend2["add"] = 3] = "add";
    return MixBlend2;
  })(MixBlend || {});
  var MixDirection = /* @__PURE__ */ ((MixDirection2) => {
    MixDirection2[MixDirection2["mixIn"] = 0] = "mixIn";
    MixDirection2[MixDirection2["mixOut"] = 1] = "mixOut";
    return MixDirection2;
  })(MixDirection || {});
  var PositionMode = /* @__PURE__ */ ((PositionMode2) => {
    PositionMode2[PositionMode2["Fixed"] = 0] = "Fixed";
    PositionMode2[PositionMode2["Percent"] = 1] = "Percent";
    return PositionMode2;
  })(PositionMode || {});
  var RotateMode = /* @__PURE__ */ ((RotateMode2) => {
    RotateMode2[RotateMode2["Tangent"] = 0] = "Tangent";
    RotateMode2[RotateMode2["Chain"] = 1] = "Chain";
    RotateMode2[RotateMode2["ChainScale"] = 2] = "ChainScale";
    return RotateMode2;
  })(RotateMode || {});
  var TransformMode = /* @__PURE__ */ ((TransformMode2) => {
    TransformMode2[TransformMode2["Normal"] = 0] = "Normal";
    TransformMode2[TransformMode2["OnlyTranslation"] = 1] = "OnlyTranslation";
    TransformMode2[TransformMode2["NoRotationOrReflection"] = 2] = "NoRotationOrReflection";
    TransformMode2[TransformMode2["NoScale"] = 3] = "NoScale";
    TransformMode2[TransformMode2["NoScaleOrReflection"] = 4] = "NoScaleOrReflection";
    return TransformMode2;
  })(TransformMode || {});
  function filterFromString(text2) {
    switch (text2.toLowerCase()) {
      case "nearest":
        return TextureFilter.Nearest;
      case "linear":
        return TextureFilter.Linear;
      case "mipmap":
        return TextureFilter.MipMap;
      case "mipmapnearestnearest":
        return TextureFilter.MipMapNearestNearest;
      case "mipmaplinearnearest":
        return TextureFilter.MipMapLinearNearest;
      case "mipmapnearestlinear":
        return TextureFilter.MipMapNearestLinear;
      case "mipmaplinearlinear":
        return TextureFilter.MipMapLinearLinear;
      default:
        throw new Error(`Unknown texture filter ${text2}`);
    }
  }
  var TextureFilter = /* @__PURE__ */ ((TextureFilter2) => {
    TextureFilter2[TextureFilter2["Nearest"] = 9728] = "Nearest";
    TextureFilter2[TextureFilter2["Linear"] = 9729] = "Linear";
    TextureFilter2[TextureFilter2["MipMap"] = 9987] = "MipMap";
    TextureFilter2[TextureFilter2["MipMapNearestNearest"] = 9984] = "MipMapNearestNearest";
    TextureFilter2[TextureFilter2["MipMapLinearNearest"] = 9985] = "MipMapLinearNearest";
    TextureFilter2[TextureFilter2["MipMapNearestLinear"] = 9986] = "MipMapNearestLinear";
    TextureFilter2[TextureFilter2["MipMapLinearLinear"] = 9987] = "MipMapLinearLinear";
    return TextureFilter2;
  })(TextureFilter || {});
  var TextureWrap = /* @__PURE__ */ ((TextureWrap2) => {
    TextureWrap2[TextureWrap2["MirroredRepeat"] = 33648] = "MirroredRepeat";
    TextureWrap2[TextureWrap2["ClampToEdge"] = 33071] = "ClampToEdge";
    TextureWrap2[TextureWrap2["Repeat"] = 10497] = "Repeat";
    return TextureWrap2;
  })(TextureWrap || {});
  class TextureRegion {
    constructor() {
      this.size = null;
      this.names = null;
      this.values = null;
      this.renderObject = null;
    }
    get width() {
      const tex = this.texture;
      if (tex.trim) {
        return tex.trim.width;
      }
      return tex.orig.width;
    }
    get height() {
      const tex = this.texture;
      if (tex.trim) {
        return tex.trim.height;
      }
      return tex.orig.height;
    }
    get u() {
      return this.texture._uvs.x0;
    }
    get v() {
      return this.texture._uvs.y0;
    }
    get u2() {
      return this.texture._uvs.x2;
    }
    get v2() {
      return this.texture._uvs.y2;
    }
    get offsetX() {
      const tex = this.texture;
      return tex.trim ? tex.trim.x : 0;
    }
    get offsetY() {
      return this.spineOffsetY;
    }
    get pixiOffsetY() {
      const tex = this.texture;
      return tex.trim ? tex.trim.y : 0;
    }
    get spineOffsetY() {
      const tex = this.texture;
      return this.originalHeight - this.height - (tex.trim ? tex.trim.y : 0);
    }
    get originalWidth() {
      return this.texture.orig.width;
    }
    get originalHeight() {
      return this.texture.orig.height;
    }
    get x() {
      return this.texture.frame.x;
    }
    get y() {
      return this.texture.frame.y;
    }
    get rotate() {
      return this.texture.rotate !== 0;
    }
    get degrees() {
      return (360 - this.texture.rotate * 45) % 360;
    }
  }
  class RegionFields {
    constructor() {
      this.x = 0;
      this.y = 0;
      this.width = 0;
      this.height = 0;
      this.offsetX = 0;
      this.offsetY = 0;
      this.originalWidth = 0;
      this.originalHeight = 0;
      this.rotate = 0;
      this.index = 0;
    }
  }
  class TextureAtlas {
    constructor(atlasText, textureLoader, callback) {
      this.pages = new Array();
      this.regions = new Array();
      if (atlasText) {
        this.addSpineAtlas(atlasText, textureLoader, callback);
      }
    }
    addTexture(name, texture) {
      const pages = this.pages;
      let page = null;
      for (let i = 0; i < pages.length; i++) {
        if (pages[i].baseTexture === texture.baseTexture) {
          page = pages[i];
          break;
        }
      }
      if (page === null) {
        page = new TextureAtlasPage();
        page.name = "texturePage";
        const baseTexture = texture.baseTexture;
        page.width = baseTexture.realWidth;
        page.height = baseTexture.realHeight;
        page.baseTexture = baseTexture;
        page.minFilter = page.magFilter = TextureFilter.Nearest;
        page.uWrap = TextureWrap.ClampToEdge;
        page.vWrap = TextureWrap.ClampToEdge;
        pages.push(page);
      }
      const region = new TextureAtlasRegion();
      region.name = name;
      region.page = page;
      region.texture = texture;
      region.index = -1;
      this.regions.push(region);
      return region;
    }
    addTextureHash(textures, stripExtension) {
      for (const key in textures) {
        if (textures.hasOwnProperty(key)) {
          this.addTexture(stripExtension && key.indexOf(".") !== -1 ? key.substr(0, key.lastIndexOf(".")) : key, textures[key]);
        }
      }
    }
    addSpineAtlas(atlasText, textureLoader, callback) {
      return this.load(atlasText, textureLoader, callback);
    }
    load(atlasText, textureLoader, callback) {
      if (textureLoader == null) {
        throw new Error("textureLoader cannot be null.");
      }
      const reader = new TextureAtlasReader(atlasText);
      const entry = new Array(4);
      let page = null;
      const pageFields = {};
      let region = null;
      pageFields.size = () => {
        page.width = parseInt(entry[1]);
        page.height = parseInt(entry[2]);
      };
      pageFields.format = () => {
      };
      pageFields.filter = () => {
        page.minFilter = filterFromString(entry[1]);
        page.magFilter = filterFromString(entry[2]);
      };
      pageFields.repeat = () => {
        if (entry[1].indexOf("x") != -1)
          page.uWrap = TextureWrap.Repeat;
        if (entry[1].indexOf("y") != -1)
          page.vWrap = TextureWrap.Repeat;
      };
      pageFields.pma = () => {
        page.pma = entry[1] == "true";
      };
      const regionFields = {};
      regionFields.xy = () => {
        region.x = parseInt(entry[1]);
        region.y = parseInt(entry[2]);
      };
      regionFields.size = () => {
        region.width = parseInt(entry[1]);
        region.height = parseInt(entry[2]);
      };
      regionFields.bounds = () => {
        region.x = parseInt(entry[1]);
        region.y = parseInt(entry[2]);
        region.width = parseInt(entry[3]);
        region.height = parseInt(entry[4]);
      };
      regionFields.offset = () => {
        region.offsetX = parseInt(entry[1]);
        region.offsetY = parseInt(entry[2]);
      };
      regionFields.orig = () => {
        region.originalWidth = parseInt(entry[1]);
        region.originalHeight = parseInt(entry[2]);
      };
      regionFields.offsets = () => {
        region.offsetX = parseInt(entry[1]);
        region.offsetY = parseInt(entry[2]);
        region.originalWidth = parseInt(entry[3]);
        region.originalHeight = parseInt(entry[4]);
      };
      regionFields.rotate = () => {
        const rotateValue = entry[1];
        let rotate = 0;
        if (rotateValue.toLocaleLowerCase() == "true") {
          rotate = 6;
        } else if (rotateValue.toLocaleLowerCase() == "false") {
          rotate = 0;
        } else {
          rotate = (720 - parseFloat(rotateValue)) % 360 / 45;
        }
        region.rotate = rotate;
      };
      regionFields.index = () => {
        region.index = parseInt(entry[1]);
      };
      let line = reader.readLine();
      while (line != null && line.trim().length == 0) {
        line = reader.readLine();
      }
      while (true) {
        if (line == null || line.trim().length == 0)
          break;
        if (reader.readEntry(entry, line) == 0)
          break;
        line = reader.readLine();
      }
      const iterateParser = () => {
        while (true) {
          if (line == null) {
            return callback && callback(this);
          }
          if (line.trim().length == 0) {
            page = null;
            line = reader.readLine();
          } else if (page === null) {
            page = new TextureAtlasPage();
            page.name = line.trim();
            while (true) {
              if (reader.readEntry(entry, line = reader.readLine()) == 0)
                break;
              const field = pageFields[entry[0]];
              if (field)
                field();
            }
            this.pages.push(page);
            textureLoader(page.name, (texture) => {
              if (texture === null) {
                this.pages.splice(this.pages.indexOf(page), 1);
                return callback && callback(null);
              }
              page.baseTexture = texture;
              if (page.pma) {
                texture.alphaMode = core.ALPHA_MODES.PMA;
              }
              if (!texture.valid) {
                texture.setSize(page.width, page.height);
              }
              page.setFilters();
              if (!page.width || !page.height) {
                page.width = texture.realWidth;
                page.height = texture.realHeight;
                if (!page.width || !page.height) {
                  console.log(
                    `ERROR spine atlas page ${page.name}: meshes wont work if you dont specify size in atlas (http://www.html5gamedevs.com/topic/18888-pixi-spines-and-meshes/?p=107121)`
                  );
                }
              }
              iterateParser();
            });
            break;
          } else {
            region = new RegionFields();
            const atlasRegion = new TextureAtlasRegion();
            atlasRegion.name = line;
            atlasRegion.page = page;
            let names = null;
            let values = null;
            while (true) {
              const count = reader.readEntry(entry, line = reader.readLine());
              if (count == 0)
                break;
              const field = regionFields[entry[0]];
              if (field) {
                field();
              } else {
                if (names == null) {
                  names = [];
                  values = [];
                }
                names.push(entry[0]);
                const entryValues = [];
                for (let i = 0; i < count; i++) {
                  entryValues.push(parseInt(entry[i + 1]));
                }
                values.push(entryValues);
              }
            }
            if (region.originalWidth == 0 && region.originalHeight == 0) {
              region.originalWidth = region.width;
              region.originalHeight = region.height;
            }
            const resolution = page.baseTexture.resolution;
            region.x /= resolution;
            region.y /= resolution;
            region.width /= resolution;
            region.height /= resolution;
            region.originalWidth /= resolution;
            region.originalHeight /= resolution;
            region.offsetX /= resolution;
            region.offsetY /= resolution;
            const swapWH = region.rotate % 4 !== 0;
            const frame = new core.Rectangle(region.x, region.y, swapWH ? region.height : region.width, swapWH ? region.width : region.height);
            const orig = new core.Rectangle(0, 0, region.originalWidth, region.originalHeight);
            const trim = new core.Rectangle(region.offsetX, region.originalHeight - region.height - region.offsetY, region.width, region.height);
            atlasRegion.texture = new core.Texture(atlasRegion.page.baseTexture, frame, orig, trim, region.rotate);
            atlasRegion.index = region.index;
            atlasRegion.texture.updateUvs();
            this.regions.push(atlasRegion);
          }
        }
      };
      iterateParser();
    }
    findRegion(name) {
      for (let i = 0; i < this.regions.length; i++) {
        if (this.regions[i].name == name) {
          return this.regions[i];
        }
      }
      return null;
    }
    dispose() {
      for (let i = 0; i < this.pages.length; i++) {
        this.pages[i].baseTexture.dispose();
      }
    }
  }
  class TextureAtlasReader {
    constructor(text2) {
      this.index = 0;
      this.lines = text2.split(/\r\n|\r|\n/);
    }
    readLine() {
      if (this.index >= this.lines.length) {
        return null;
      }
      return this.lines[this.index++];
    }
    readEntry(entry, line) {
      if (line == null)
        return 0;
      line = line.trim();
      if (line.length == 0)
        return 0;
      const colon = line.indexOf(":");
      if (colon == -1)
        return 0;
      entry[0] = line.substr(0, colon).trim();
      for (let i = 1, lastMatch = colon + 1; ; i++) {
        const comma = line.indexOf(",", lastMatch);
        if (comma == -1) {
          entry[i] = line.substr(lastMatch).trim();
          return i;
        }
        entry[i] = line.substr(lastMatch, comma - lastMatch).trim();
        lastMatch = comma + 1;
        if (i == 4)
          return 4;
      }
    }
  }
  class TextureAtlasPage {
    constructor() {
      this.minFilter = TextureFilter.Nearest;
      this.magFilter = TextureFilter.Nearest;
      this.uWrap = TextureWrap.ClampToEdge;
      this.vWrap = TextureWrap.ClampToEdge;
    }
    setFilters() {
      const tex = this.baseTexture;
      const filter = this.minFilter;
      if (filter == TextureFilter.Linear) {
        tex.scaleMode = core.SCALE_MODES.LINEAR;
      } else if (this.minFilter == TextureFilter.Nearest) {
        tex.scaleMode = core.SCALE_MODES.NEAREST;
      } else {
        tex.mipmap = core.MIPMAP_MODES.POW2;
        if (filter == TextureFilter.MipMapNearestNearest) {
          tex.scaleMode = core.SCALE_MODES.NEAREST;
        } else {
          tex.scaleMode = core.SCALE_MODES.LINEAR;
        }
      }
    }
  }
  class TextureAtlasRegion extends TextureRegion {
  }
  class IntSet {
    constructor() {
      this.array = new Array();
    }
    add(value) {
      const contains = this.contains(value);
      this.array[value | 0] = value | 0;
      return !contains;
    }
    contains(value) {
      return this.array[value | 0] != void 0;
    }
    remove(value) {
      this.array[value | 0] = void 0;
    }
    clear() {
      this.array.length = 0;
    }
  }
  class StringSet {
    constructor() {
      this.entries = {};
      this.size = 0;
    }
    add(value) {
      const contains = this.entries[value];
      this.entries[value] = true;
      if (!contains) {
        this.size++;
        return true;
      }
      return false;
    }
    addAll(values) {
      const oldSize = this.size;
      for (let i = 0, n = values.length; i < n; i++) {
        this.add(values[i]);
      }
      return oldSize != this.size;
    }
    contains(value) {
      return this.entries[value];
    }
    clear() {
      this.entries = {};
      this.size = 0;
    }
  }
  const _Color = class {
    constructor(r = 0, g = 0, b = 0, a = 0) {
      this.r = r;
      this.g = g;
      this.b = b;
      this.a = a;
    }
    set(r, g, b, a) {
      this.r = r;
      this.g = g;
      this.b = b;
      this.a = a;
      return this.clamp();
    }
    setFromColor(c) {
      this.r = c.r;
      this.g = c.g;
      this.b = c.b;
      this.a = c.a;
      return this;
    }
    setFromString(hex) {
      hex = hex.charAt(0) == "#" ? hex.substr(1) : hex;
      this.r = parseInt(hex.substr(0, 2), 16) / 255;
      this.g = parseInt(hex.substr(2, 2), 16) / 255;
      this.b = parseInt(hex.substr(4, 2), 16) / 255;
      this.a = hex.length != 8 ? 1 : parseInt(hex.substr(6, 2), 16) / 255;
      return this;
    }
    add(r, g, b, a) {
      this.r += r;
      this.g += g;
      this.b += b;
      this.a += a;
      return this.clamp();
    }
    clamp() {
      if (this.r < 0)
        this.r = 0;
      else if (this.r > 1)
        this.r = 1;
      if (this.g < 0)
        this.g = 0;
      else if (this.g > 1)
        this.g = 1;
      if (this.b < 0)
        this.b = 0;
      else if (this.b > 1)
        this.b = 1;
      if (this.a < 0)
        this.a = 0;
      else if (this.a > 1)
        this.a = 1;
      return this;
    }
    static rgba8888ToColor(color, value) {
      color.r = ((value & 4278190080) >>> 24) / 255;
      color.g = ((value & 16711680) >>> 16) / 255;
      color.b = ((value & 65280) >>> 8) / 255;
      color.a = (value & 255) / 255;
    }
    static rgb888ToColor(color, value) {
      color.r = ((value & 16711680) >>> 16) / 255;
      color.g = ((value & 65280) >>> 8) / 255;
      color.b = (value & 255) / 255;
    }
    static fromString(hex) {
      return new _Color().setFromString(hex);
    }
  };
  let Color = _Color;
  Color.WHITE = new _Color(1, 1, 1, 1);
  Color.RED = new _Color(1, 0, 0, 1);
  Color.GREEN = new _Color(0, 1, 0, 1);
  Color.BLUE = new _Color(0, 0, 1, 1);
  Color.MAGENTA = new _Color(1, 0, 1, 1);
  const _MathUtils = class {
    static clamp(value, min, max) {
      if (value < min)
        return min;
      if (value > max)
        return max;
      return value;
    }
    static cosDeg(degrees) {
      return Math.cos(degrees * _MathUtils.degRad);
    }
    static sinDeg(degrees) {
      return Math.sin(degrees * _MathUtils.degRad);
    }
    static signum(value) {
      return Math.sign(value);
    }
    static toInt(x) {
      return x > 0 ? Math.floor(x) : Math.ceil(x);
    }
    static cbrt(x) {
      const y = Math.pow(Math.abs(x), 1 / 3);
      return x < 0 ? -y : y;
    }
    static randomTriangular(min, max) {
      return _MathUtils.randomTriangularWith(min, max, (min + max) * 0.5);
    }
    static randomTriangularWith(min, max, mode) {
      const u = Math.random();
      const d = max - min;
      if (u <= (mode - min) / d)
        return min + Math.sqrt(u * d * (mode - min));
      return max - Math.sqrt((1 - u) * d * (max - mode));
    }
    static isPowerOfTwo(value) {
      return value && (value & value - 1) === 0;
    }
  };
  let MathUtils = _MathUtils;
  MathUtils.PI = 3.1415927;
  MathUtils.PI2 = _MathUtils.PI * 2;
  MathUtils.radiansToDegrees = 180 / _MathUtils.PI;
  MathUtils.radDeg = _MathUtils.radiansToDegrees;
  MathUtils.degreesToRadians = _MathUtils.PI / 180;
  MathUtils.degRad = _MathUtils.degreesToRadians;
  class Interpolation {
    apply(start, end, a) {
      return start + (end - start) * this.applyInternal(a);
    }
  }
  class Pow extends Interpolation {
    constructor(power) {
      super();
      this.power = 2;
      this.power = power;
    }
    applyInternal(a) {
      if (a <= 0.5)
        return Math.pow(a * 2, this.power) / 2;
      return Math.pow((a - 1) * 2, this.power) / (this.power % 2 == 0 ? -2 : 2) + 1;
    }
  }
  class PowOut extends Pow {
    applyInternal(a) {
      return Math.pow(a - 1, this.power) * (this.power % 2 == 0 ? -1 : 1) + 1;
    }
  }
  const _Utils = class {
    static arrayCopy(source, sourceStart, dest, destStart, numElements) {
      for (let i = sourceStart, j = destStart; i < sourceStart + numElements; i++, j++) {
        dest[j] = source[i];
      }
    }
    static arrayFill(array, fromIndex, toIndex, value) {
      for (let i = fromIndex; i < toIndex; i++) {
        array[i] = value;
      }
    }
    static setArraySize(array, size, value = 0) {
      const oldSize = array.length;
      if (oldSize == size)
        return array;
      array.length = size;
      if (oldSize < size) {
        for (let i = oldSize; i < size; i++)
          array[i] = value;
      }
      return array;
    }
    static ensureArrayCapacity(array, size, value = 0) {
      if (array.length >= size)
        return array;
      return _Utils.setArraySize(array, size, value);
    }
    static newArray(size, defaultValue) {
      const array = new Array(size);
      for (let i = 0; i < size; i++)
        array[i] = defaultValue;
      return array;
    }
    static newFloatArray(size) {
      if (_Utils.SUPPORTS_TYPED_ARRAYS) {
        return new Float32Array(size);
      }
      const array = new Array(size);
      for (let i = 0; i < array.length; i++)
        array[i] = 0;
      return array;
    }
    static newShortArray(size) {
      if (_Utils.SUPPORTS_TYPED_ARRAYS) {
        return new Int16Array(size);
      }
      const array = new Array(size);
      for (let i = 0; i < array.length; i++)
        array[i] = 0;
      return array;
    }
    static toFloatArray(array) {
      return _Utils.SUPPORTS_TYPED_ARRAYS ? new Float32Array(array) : array;
    }
    static toSinglePrecision(value) {
      return _Utils.SUPPORTS_TYPED_ARRAYS ? Math.fround(value) : value;
    }
    static webkit602BugfixHelper(alpha, blend) {
    }
    static contains(array, element, identity = true) {
      for (let i = 0; i < array.length; i++) {
        if (array[i] == element)
          return true;
      }
      return false;
    }
    static enumValue(type, name) {
      return type[name[0].toUpperCase() + name.slice(1)];
    }
  };
  let Utils = _Utils;
  Utils.SUPPORTS_TYPED_ARRAYS = typeof Float32Array !== "undefined";
  class Pool {
    constructor(instantiator) {
      this.items = new Array();
      this.instantiator = instantiator;
    }
    obtain() {
      return this.items.length > 0 ? this.items.pop() : this.instantiator();
    }
    free(item) {
      if (item.reset)
        item.reset();
      this.items.push(item);
    }
    freeAll(items) {
      for (let i = 0; i < items.length; i++) {
        this.free(items[i]);
      }
    }
    clear() {
      this.items.length = 0;
    }
  }
  class Vector2 {
    constructor(x = 0, y = 0) {
      this.x = x;
      this.y = y;
    }
    set(x, y) {
      this.x = x;
      this.y = y;
      return this;
    }
    length() {
      const x = this.x;
      const y = this.y;
      return Math.sqrt(x * x + y * y);
    }
    normalize() {
      const len = this.length();
      if (len != 0) {
        this.x /= len;
        this.y /= len;
      }
      return this;
    }
  }
  const settings = {
    yDown: true,
    FAIL_ON_NON_EXISTING_SKIN: false,
    GLOBAL_AUTO_UPDATE: true,
    GLOBAL_DELAY_LIMIT: 0
  };
  const tempRgb = [0, 0, 0];
  class SpineSprite extends sprite.Sprite {
    constructor() {
      super(...arguments);
      this.region = null;
      this.attachment = null;
    }
  }
  class SpineMesh extends meshExtras.SimpleMesh {
    constructor(texture, vertices, uvs, indices, drawMode) {
      super(texture, vertices, uvs, indices, drawMode);
      this.region = null;
      this.attachment = null;
    }
  }
  const _SpineBase = class extends display.Container {
    constructor(spineData) {
      super();
      if (!spineData) {
        throw new Error("The spineData param is required.");
      }
      if (typeof spineData === "string") {
        throw new Error('spineData param cant be string. Please use spine.Spine.fromAtlas("YOUR_RESOURCE_NAME") from now on.');
      }
      this.spineData = spineData;
      this.createSkeleton(spineData);
      this.slotContainers = [];
      this.tempClipContainers = [];
      for (let i = 0, n = this.skeleton.slots.length; i < n; i++) {
        const slot = this.skeleton.slots[i];
        const attachment = slot.getAttachment();
        const slotContainer = this.newContainer();
        this.slotContainers.push(slotContainer);
        this.addChild(slotContainer);
        this.tempClipContainers.push(null);
        if (!attachment) {
          continue;
        }
        if (attachment.type === AttachmentType.Region) {
          const spriteName = attachment.name;
          const sprite2 = this.createSprite(slot, attachment, spriteName);
          slot.currentSprite = sprite2;
          slot.currentSpriteName = spriteName;
          slotContainer.addChild(sprite2);
        } else if (attachment.type === AttachmentType.Mesh) {
          const mesh = this.createMesh(slot, attachment);
          slot.currentMesh = mesh;
          slot.currentMeshId = attachment.id;
          slot.currentMeshName = attachment.name;
          slotContainer.addChild(mesh);
        } else if (attachment.type === AttachmentType.Clipping) {
          this.createGraphics(slot, attachment);
          slotContainer.addChild(slot.clippingContainer);
          slotContainer.addChild(slot.currentGraphics);
        }
      }
      this.tintRgb = new Float32Array([1, 1, 1]);
      this.autoUpdate = true;
      this.visible = true;
    }
    get debug() {
      return this._debug;
    }
    set debug(value) {
      var _a2;
      if (value == this._debug) {
        return;
      }
      (_a2 = this._debug) == null ? void 0 : _a2.unregisterSpine(this);
      value == null ? void 0 : value.registerSpine(this);
      this._debug = value;
    }
    get autoUpdate() {
      return this._autoUpdate;
    }
    set autoUpdate(value) {
      if (value !== this._autoUpdate) {
        this._autoUpdate = value;
        this.updateTransform = value ? _SpineBase.prototype.autoUpdateTransform : display.Container.prototype.updateTransform;
      }
    }
    get tint() {
      return core.utils.rgb2hex(this.tintRgb);
    }
    set tint(value) {
      this.tintRgb = core.utils.hex2rgb(value, this.tintRgb);
    }
    get delayLimit() {
      const limit = typeof this.localDelayLimit !== "undefined" ? this.localDelayLimit : settings.GLOBAL_DELAY_LIMIT;
      return limit || Number.MAX_VALUE;
    }
    update(dt) {
      var _a2;
      const delayLimit = this.delayLimit;
      if (dt > delayLimit)
        dt = delayLimit;
      this.state.update(dt);
      this.state.apply(this.skeleton);
      if (!this.skeleton) {
        return;
      }
      this.skeleton.updateWorldTransform();
      const slots = this.skeleton.slots;
      const globalClr = this.color;
      let light = null;
      let dark = null;
      if (globalClr) {
        light = globalClr.light;
        dark = globalClr.dark;
      } else {
        light = this.tintRgb;
      }
      for (let i = 0, n = slots.length; i < n; i++) {
        const slot = slots[i];
        const attachment = slot.getAttachment();
        const slotContainer = this.slotContainers[i];
        if (!attachment) {
          slotContainer.visible = false;
          continue;
        }
        let spriteColor = null;
        if (attachment.sequence) {
          attachment.sequence.apply(slot, attachment);
        }
        let region = attachment.region;
        const attColor = attachment.color;
        switch (attachment != null && attachment.type) {
          case AttachmentType.Region:
            const transform = slotContainer.transform;
            transform.setFromMatrix(slot.bone.matrix);
            region = attachment.region;
            if (slot.currentMesh) {
              slot.currentMesh.visible = false;
              slot.currentMesh = null;
              slot.currentMeshId = void 0;
              slot.currentMeshName = void 0;
            }
            if (!region) {
              if (slot.currentSprite) {
                slot.currentSprite.renderable = false;
              }
              break;
            }
            if (!slot.currentSpriteName || slot.currentSpriteName !== attachment.name) {
              const spriteName = attachment.name;
              if (slot.currentSprite) {
                slot.currentSprite.visible = false;
              }
              slot.sprites = slot.sprites || {};
              if (slot.sprites[spriteName] !== void 0) {
                slot.sprites[spriteName].visible = true;
              } else {
                const sprite2 = this.createSprite(slot, attachment, spriteName);
                slotContainer.addChild(sprite2);
              }
              slot.currentSprite = slot.sprites[spriteName];
              slot.currentSpriteName = spriteName;
            }
            slot.currentSprite.renderable = true;
            if (!slot.hackRegion) {
              this.setSpriteRegion(attachment, slot.currentSprite, region);
            }
            if (slot.currentSprite.color) {
              spriteColor = slot.currentSprite.color;
            } else {
              tempRgb[0] = light[0] * slot.color.r * attColor.r;
              tempRgb[1] = light[1] * slot.color.g * attColor.g;
              tempRgb[2] = light[2] * slot.color.b * attColor.b;
              slot.currentSprite.tint = core.utils.rgb2hex(tempRgb);
            }
            slot.currentSprite.blendMode = slot.blendMode;
            break;
          case AttachmentType.Mesh:
            if (slot.currentSprite) {
              slot.currentSprite.visible = false;
              slot.currentSprite = null;
              slot.currentSpriteName = void 0;
              const transform2 = new core.Transform();
              transform2._parentID = -1;
              transform2._worldID = slotContainer.transform._worldID;
              slotContainer.transform = transform2;
            }
            if (!region) {
              if (slot.currentMesh) {
                slot.currentMesh.renderable = false;
              }
              break;
            }
            const id = attachment.id;
            if (slot.currentMeshId === void 0 || slot.currentMeshId !== id) {
              const meshId = id;
              if (slot.currentMesh) {
                slot.currentMesh.visible = false;
              }
              slot.meshes = slot.meshes || {};
              if (slot.meshes[meshId] !== void 0) {
                slot.meshes[meshId].visible = true;
              } else {
                const mesh = this.createMesh(slot, attachment);
                slotContainer.addChild(mesh);
              }
              slot.currentMesh = slot.meshes[meshId];
              slot.currentMeshName = attachment.name;
              slot.currentMeshId = meshId;
            }
            slot.currentMesh.renderable = true;
            attachment.computeWorldVerticesOld(slot, slot.currentMesh.vertices);
            if (slot.currentMesh.color) {
              spriteColor = slot.currentMesh.color;
            } else {
              tempRgb[0] = light[0] * slot.color.r * attColor.r;
              tempRgb[1] = light[1] * slot.color.g * attColor.g;
              tempRgb[2] = light[2] * slot.color.b * attColor.b;
              slot.currentMesh.tint = core.utils.rgb2hex(tempRgb);
            }
            slot.currentMesh.blendMode = slot.blendMode;
            if (!slot.hackRegion) {
              this.setMeshRegion(attachment, slot.currentMesh, region);
            }
            break;
          case AttachmentType.Clipping:
            if (!slot.currentGraphics) {
              this.createGraphics(slot, attachment);
              slotContainer.addChild(slot.clippingContainer);
              slotContainer.addChild(slot.currentGraphics);
            }
            this.updateGraphics(slot, attachment);
            slotContainer.alpha = 1;
            slotContainer.visible = true;
            continue;
          default:
            slotContainer.visible = false;
            continue;
        }
        slotContainer.visible = true;
        if (spriteColor) {
          let r0 = slot.color.r * attColor.r;
          let g0 = slot.color.g * attColor.g;
          let b0 = slot.color.b * attColor.b;
          spriteColor.setLight(light[0] * r0 + dark[0] * (1 - r0), light[1] * g0 + dark[1] * (1 - g0), light[2] * b0 + dark[2] * (1 - b0));
          if (slot.darkColor) {
            r0 = slot.darkColor.r;
            g0 = slot.darkColor.g;
            b0 = slot.darkColor.b;
          } else {
            r0 = 0;
            g0 = 0;
            b0 = 0;
          }
          spriteColor.setDark(light[0] * r0 + dark[0] * (1 - r0), light[1] * g0 + dark[1] * (1 - g0), light[2] * b0 + dark[2] * (1 - b0));
        }
        slotContainer.alpha = slot.color.a;
      }
      const drawOrder = this.skeleton.drawOrder;
      let clippingAttachment = null;
      let clippingContainer = null;
      for (let i = 0, n = drawOrder.length; i < n; i++) {
        const slot = slots[drawOrder[i].data.index];
        const slotContainer = this.slotContainers[drawOrder[i].data.index];
        if (!clippingContainer) {
          if (slotContainer.parent !== null && slotContainer.parent !== this) {
            slotContainer.parent.removeChild(slotContainer);
            slotContainer.parent = this;
          }
        }
        if (slot.currentGraphics && slot.getAttachment()) {
          clippingContainer = slot.clippingContainer;
          clippingAttachment = slot.getAttachment();
          clippingContainer.children.length = 0;
          this.children[i] = slotContainer;
          if (clippingAttachment.endSlot === slot.data) {
            clippingAttachment.endSlot = null;
          }
        } else if (clippingContainer) {
          let c = this.tempClipContainers[i];
          if (!c) {
            c = this.tempClipContainers[i] = this.newContainer();
            c.visible = false;
          }
          this.children[i] = c;
          slotContainer.parent = null;
          clippingContainer.addChild(slotContainer);
          if (clippingAttachment.endSlot == slot.data) {
            clippingContainer.renderable = true;
            clippingContainer = null;
            clippingAttachment = null;
          }
        } else {
          this.children[i] = slotContainer;
        }
      }
      (_a2 = this._debug) == null ? void 0 : _a2.renderDebug(this);
    }
    setSpriteRegion(attachment, sprite2, region) {
      if (sprite2.attachment === attachment && sprite2.region === region) {
        return;
      }
      sprite2.region = region;
      sprite2.attachment = attachment;
      sprite2.texture = region.texture;
      sprite2.rotation = attachment.rotation * MathUtils.degRad;
      sprite2.position.x = attachment.x;
      sprite2.position.y = attachment.y;
      sprite2.alpha = attachment.color.a;
      if (!region.size) {
        sprite2.scale.x = attachment.scaleX * attachment.width / region.originalWidth;
        sprite2.scale.y = -attachment.scaleY * attachment.height / region.originalHeight;
      } else {
        sprite2.scale.x = region.size.width / region.originalWidth;
        sprite2.scale.y = -region.size.height / region.originalHeight;
      }
    }
    setMeshRegion(attachment, mesh, region) {
      if (mesh.attachment === attachment && mesh.region === region) {
        return;
      }
      mesh.region = region;
      mesh.attachment = attachment;
      mesh.texture = region.texture;
      region.texture.updateUvs();
      mesh.uvBuffer.update(attachment.regionUVs);
    }
    autoUpdateTransform() {
      {
        this.lastTime = this.lastTime || Date.now();
        const timeDelta = (Date.now() - this.lastTime) * 1e-3;
        this.lastTime = Date.now();
        this.update(timeDelta);
      }
      display.Container.prototype.updateTransform.call(this);
    }
    createSprite(slot, attachment, defName) {
      let region = attachment.region;
      if (slot.hackAttachment === attachment) {
        region = slot.hackRegion;
      }
      const texture = region ? region.texture : null;
      const sprite2 = this.newSprite(texture);
      sprite2.anchor.set(0.5);
      if (region) {
        this.setSpriteRegion(attachment, sprite2, attachment.region);
      }
      slot.sprites = slot.sprites || {};
      slot.sprites[defName] = sprite2;
      return sprite2;
    }
    createMesh(slot, attachment) {
      let region = attachment.region;
      if (slot.hackAttachment === attachment) {
        region = slot.hackRegion;
        slot.hackAttachment = null;
        slot.hackRegion = null;
      }
      const strip = this.newMesh(
        region ? region.texture : null,
        new Float32Array(attachment.regionUVs.length),
        attachment.regionUVs,
        new Uint16Array(attachment.triangles),
        core.DRAW_MODES.TRIANGLES
      );
      if (typeof strip._canvasPadding !== "undefined") {
        strip._canvasPadding = 1.5;
      }
      strip.alpha = attachment.color.a;
      strip.region = attachment.region;
      if (region) {
        this.setMeshRegion(attachment, strip, region);
      }
      slot.meshes = slot.meshes || {};
      slot.meshes[attachment.id] = strip;
      return strip;
    }
    createGraphics(slot, clip) {
      const graphics2 = this.newGraphics();
      const poly = new core.Polygon([]);
      graphics2.clear();
      graphics2.beginFill(16777215, 1);
      graphics2.drawPolygon(poly);
      graphics2.renderable = false;
      slot.currentGraphics = graphics2;
      slot.clippingContainer = this.newContainer();
      slot.clippingContainer.mask = slot.currentGraphics;
      return graphics2;
    }
    updateGraphics(slot, clip) {
      const geom = slot.currentGraphics.geometry;
      const vertices = geom.graphicsData[0].shape.points;
      const n = clip.worldVerticesLength;
      vertices.length = n;
      clip.computeWorldVertices(slot, 0, n, vertices, 0, 2);
      geom.invalidate();
    }
    hackTextureBySlotIndex(slotIndex, texture = null, size = null) {
      const slot = this.skeleton.slots[slotIndex];
      if (!slot) {
        return false;
      }
      const attachment = slot.getAttachment();
      let region = attachment.region;
      if (texture) {
        region = new TextureRegion();
        region.texture = texture;
        region.size = size;
        slot.hackRegion = region;
        slot.hackAttachment = attachment;
      } else {
        slot.hackRegion = null;
        slot.hackAttachment = null;
      }
      if (slot.currentSprite) {
        this.setSpriteRegion(attachment, slot.currentSprite, region);
      } else if (slot.currentMesh) {
        this.setMeshRegion(attachment, slot.currentMesh, region);
      }
      return true;
    }
    hackTextureBySlotName(slotName, texture = null, size = null) {
      const index = this.skeleton.findSlotIndex(slotName);
      if (index == -1) {
        return false;
      }
      return this.hackTextureBySlotIndex(index, texture, size);
    }
    hackTextureAttachment(slotName, attachmentName, texture, size = null) {
      const slotIndex = this.skeleton.findSlotIndex(slotName);
      const attachment = this.skeleton.getAttachmentByName(slotName, attachmentName);
      attachment.region.texture = texture;
      const slot = this.skeleton.slots[slotIndex];
      if (!slot) {
        return false;
      }
      const currentAttachment = slot.getAttachment();
      if (attachmentName === currentAttachment.name) {
        let region = attachment.region;
        if (texture) {
          region = new TextureRegion();
          region.texture = texture;
          region.size = size;
          slot.hackRegion = region;
          slot.hackAttachment = currentAttachment;
        } else {
          slot.hackRegion = null;
          slot.hackAttachment = null;
        }
        if (slot.currentSprite && slot.currentSprite.region != region) {
          this.setSpriteRegion(currentAttachment, slot.currentSprite, region);
          slot.currentSprite.region = region;
        } else if (slot.currentMesh && slot.currentMesh.region != region) {
          this.setMeshRegion(currentAttachment, slot.currentMesh, region);
        }
        return true;
      }
      return false;
    }
    newContainer() {
      return new display.Container();
    }
    newSprite(tex) {
      return new SpineSprite(tex);
    }
    newGraphics() {
      return new graphics.Graphics();
    }
    newMesh(texture, vertices, uvs, indices, drawMode) {
      return new SpineMesh(texture, vertices, uvs, indices, drawMode);
    }
    transformHack() {
      return 1;
    }
    hackAttachmentGroups(nameSuffix, group, outGroup) {
      if (!nameSuffix) {
        return void 0;
      }
      const list_d = [];
      const list_n = [];
      for (let i = 0, len = this.skeleton.slots.length; i < len; i++) {
        const slot = this.skeleton.slots[i];
        const name = slot.currentSpriteName || slot.currentMeshName || "";
        const target = slot.currentSprite || slot.currentMesh;
        if (name.endsWith(nameSuffix)) {
          target.parentGroup = group;
          list_n.push(target);
        } else if (outGroup && target) {
          target.parentGroup = outGroup;
          list_d.push(target);
        }
      }
      return [list_d, list_n];
    }
    destroy(options) {
      this.debug = null;
      for (let i = 0, n = this.skeleton.slots.length; i < n; i++) {
        const slot = this.skeleton.slots[i];
        for (const name in slot.meshes) {
          slot.meshes[name].destroy(options);
        }
        slot.meshes = null;
        for (const name in slot.sprites) {
          slot.sprites[name].destroy(options);
        }
        slot.sprites = null;
      }
      for (let i = 0, n = this.slotContainers.length; i < n; i++) {
        this.slotContainers[i].destroy(options);
      }
      this.spineData = null;
      this.skeleton = null;
      this.slotContainers = null;
      this.stateData = null;
      this.state = null;
      this.tempClipContainers = null;
      super.destroy(options);
    }
  };
  let SpineBase = _SpineBase;
  SpineBase.clippingPolygon = [];
  Object.defineProperty(SpineBase.prototype, "visible", {
    get() {
      return this._visible;
    },
    set(value) {
      if (value !== this._visible) {
        this._visible = value;
        if (value) {
          this.lastTime = 0;
        }
      }
    }
  });
  const spineTextureAtlasLoader = {
    extension: core.ExtensionType.Asset,
    loader: {
      extension: {
        type: core.ExtensionType.LoadParser,
        priority: assets.LoaderParserPriority.Normal
      },
      test(url) {
        return assets.checkExtension(url, ".atlas");
      },
      load(url) {
        return __async(this, null, function* () {
          const response = yield core.settings.ADAPTER.fetch(url);
          const txt = yield response.text();
          return txt;
        });
      },
      testParse(asset, options) {
        const isExtensionRight = assets.checkExtension(options.src, ".atlas");
        const isString = typeof asset === "string";
        return Promise.resolve(isExtensionRight && isString);
      },
      parse(asset, options, loader) {
        return __async(this, null, function* () {
          const metadata = options.data;
          let basePath = core.utils.path.dirname(options.src);
          if (basePath && basePath.lastIndexOf("/") !== basePath.length - 1) {
            basePath += "/";
          }
          let resolve = null;
          let reject = null;
          const retPromise = new Promise((res, rej) => {
            resolve = res;
            reject = rej;
          });
          let retval;
          const resolveCallback = (newAtlas) => {
            if (!newAtlas) {
              reject("Something went terribly wrong loading a spine .atlas file\nMost likely your texture failed to load.");
            }
            resolve(retval);
          };
          if (metadata.image || metadata.images) {
            const pages = Object.assign(metadata.image ? { default: metadata.image } : {}, metadata.images);
            retval = new TextureAtlas(
              asset,
              (line, callback) => {
                const page = pages[line] || pages.default;
                if (page && page.baseTexture)
                  callback(page.baseTexture);
                else
                  callback(page);
              },
              resolveCallback
            );
          } else {
            retval = new TextureAtlas(asset, makeSpineTextureAtlasLoaderFunctionFromPixiLoaderObject(loader, basePath, metadata.imageMetadata), resolveCallback);
          }
          return yield retPromise;
        });
      },
      unload(atlas) {
        atlas.dispose();
      }
    }
  };
  const makeSpineTextureAtlasLoaderFunctionFromPixiLoaderObject = (loader, atlasBasePath, imageMetadata) => {
    return (pageName, textureLoadedCallback) => __async(this, null, function* () {
      const url = core.utils.path.normalize([...atlasBasePath.split(core.utils.path.sep), pageName].join(core.utils.path.sep));
      const texture = yield loader.load({ src: url, data: imageMetadata });
      textureLoadedCallback(texture.baseTexture);
    });
  };
  core.extensions.add(spineTextureAtlasLoader);
  function isJson(resource) {
    return resource.hasOwnProperty("bones");
  }
  function isBuffer(resource) {
    return resource instanceof ArrayBuffer;
  }
  class SpineLoaderAbstract {
    constructor() {
    }
    installLoader() {
      const spineAdapter = this;
      const spineLoaderExtension = {
        extension: core.ExtensionType.Asset,
        loader: {
          extension: {
            type: core.ExtensionType.LoadParser,
            priority: assets.LoaderParserPriority.Normal
          },
          test(url) {
            return assets.checkExtension(url, ".skel");
          },
          load(url) {
            return __async(this, null, function* () {
              const response = yield core.settings.ADAPTER.fetch(url);
              const buffer = yield response.arrayBuffer();
              return buffer;
            });
          },
          testParse(asset, options) {
            var _a3;
            const isJsonSpineModel = assets.checkExtension(options.src, ".json") && isJson(asset);
            const isBinarySpineModel = assets.checkExtension(options.src, ".skel") && isBuffer(asset);
            const isMetadataAngry = ((_a3 = options.data) == null ? void 0 : _a3.spineAtlas) === false;
            return Promise.resolve(isJsonSpineModel && !isMetadataAngry || isBinarySpineModel);
          },
          parse(asset, loadAsset, loader) {
            return __async(this, null, function* () {
              var _a3;
              const fileExt = core.utils.path.extname(loadAsset.src).toLowerCase();
              const fileName = core.utils.path.basename(loadAsset.src, fileExt);
              let basePath = core.utils.path.dirname(loadAsset.src);
              if (basePath && basePath.lastIndexOf("/") !== basePath.length - 1) {
                basePath += "/";
              }
              const isJsonSpineModel = assets.checkExtension(loadAsset.src, ".json") && isJson(asset);
              let parser = null;
              let dataToParse = asset;
              if (isJsonSpineModel) {
                parser = spineAdapter.createJsonParser();
              } else {
                parser = spineAdapter.createBinaryParser();
                dataToParse = new Uint8Array(asset);
              }
              const metadata = loadAsset.data || {};
              const metadataSkeletonScale = (_a3 = metadata == null ? void 0 : metadata.spineSkeletonScale) != null ? _a3 : null;
              if (metadataSkeletonScale) {
                parser.scale = metadataSkeletonScale;
              }
              const metadataAtlas = metadata.spineAtlas;
              if (metadataAtlas && metadataAtlas.pages) {
                return spineAdapter.parseData(parser, metadataAtlas, dataToParse);
              }
              const textAtlas = metadata.atlasRawData;
              if (textAtlas) {
                let auxResolve = null;
                let auxReject = null;
                const atlasPromise = new Promise((resolve, reject) => {
                  auxResolve = resolve;
                  auxReject = reject;
                });
                const atlas = new TextureAtlas(textAtlas, makeSpineTextureAtlasLoaderFunctionFromPixiLoaderObject(loader, basePath, metadata.imageMetadata), (newAtlas) => {
                  if (!newAtlas) {
                    auxReject("Something went terribly wrong loading a spine .atlas file\nMost likely your texture failed to load.");
                  }
                  auxResolve(atlas);
                });
                const textureAtlas2 = yield atlasPromise;
                return spineAdapter.parseData(parser, textureAtlas2, dataToParse);
              }
              let atlasPath = metadata.spineAtlasFile;
              if (!atlasPath) {
                atlasPath = `${basePath + fileName}.atlas`;
              }
              const textureAtlas = yield loader.load({ src: atlasPath, data: metadata, alias: metadata.spineAtlasAlias });
              return spineAdapter.parseData(parser, textureAtlas, dataToParse);
            });
          }
        }
      };
      core.extensions.add(spineLoaderExtension);
      return spineLoaderExtension;
    }
  }
  class Attachment$2 {
    constructor(name) {
      if (name == null)
        throw new Error("name cannot be null.");
      this.name = name;
    }
  }
  const _VertexAttachment$2 = class extends Attachment$2 {
    constructor(name) {
      super(name);
      this.id = (_VertexAttachment$2.nextID++ & 65535) << 11;
      this.worldVerticesLength = 0;
      this.deformAttachment = this;
    }
    computeWorldVerticesOld(slot, worldVertices) {
      this.computeWorldVertices(slot, 0, this.worldVerticesLength, worldVertices, 0, 2);
    }
    computeWorldVertices(slot, start, count, worldVertices, offset, stride) {
      count = offset + (count >> 1) * stride;
      const skeleton = slot.bone.skeleton;
      const deformArray = slot.deform;
      let vertices = this.vertices;
      const bones = this.bones;
      if (bones == null) {
        if (deformArray.length > 0)
          vertices = deformArray;
        const mat = slot.bone.matrix;
        const x = mat.tx;
        const y = mat.ty;
        const a = mat.a;
        const b = mat.c;
        const c = mat.b;
        const d = mat.d;
        for (let v2 = start, w = offset; w < count; v2 += 2, w += stride) {
          const vx = vertices[v2];
          const vy = vertices[v2 + 1];
          worldVertices[w] = vx * a + vy * b + x;
          worldVertices[w + 1] = vx * c + vy * d + y;
        }
        return;
      }
      let v = 0;
      let skip = 0;
      for (let i = 0; i < start; i += 2) {
        const n = bones[v];
        v += n + 1;
        skip += n;
      }
      const skeletonBones = skeleton.bones;
      if (deformArray.length == 0) {
        for (let w = offset, b = skip * 3; w < count; w += stride) {
          let wx = 0;
          let wy = 0;
          let n = bones[v++];
          n += v;
          for (; v < n; v++, b += 3) {
            const mat = skeletonBones[bones[v]].matrix;
            const vx = vertices[b];
            const vy = vertices[b + 1];
            const weight = vertices[b + 2];
            wx += (vx * mat.a + vy * mat.c + mat.tx) * weight;
            wy += (vx * mat.b + vy * mat.d + mat.ty) * weight;
          }
          worldVertices[w] = wx;
          worldVertices[w + 1] = wy;
        }
      } else {
        const deform = deformArray;
        for (let w = offset, b = skip * 3, f = skip << 1; w < count; w += stride) {
          let wx = 0;
          let wy = 0;
          let n = bones[v++];
          n += v;
          for (; v < n; v++, b += 3, f += 2) {
            const mat = skeletonBones[bones[v]].matrix;
            const vx = vertices[b] + deform[f];
            const vy = vertices[b + 1] + deform[f + 1];
            const weight = vertices[b + 2];
            wx += (vx * mat.a + vy * mat.c + mat.tx) * weight;
            wy += (vx * mat.b + vy * mat.d + mat.ty) * weight;
          }
          worldVertices[w] = wx;
          worldVertices[w + 1] = wy;
        }
      }
    }
    copyTo(attachment) {
      if (this.bones != null) {
        attachment.bones = new Array(this.bones.length);
        Utils.arrayCopy(this.bones, 0, attachment.bones, 0, this.bones.length);
      } else
        attachment.bones = null;
      if (this.vertices != null) {
        attachment.vertices = Utils.newFloatArray(this.vertices.length);
        Utils.arrayCopy(this.vertices, 0, attachment.vertices, 0, this.vertices.length);
      } else
        attachment.vertices = null;
      attachment.worldVerticesLength = this.worldVerticesLength;
      attachment.deformAttachment = this.deformAttachment;
    }
  };
  let VertexAttachment$2 = _VertexAttachment$2;
  VertexAttachment$2.nextID = 0;
  class BoundingBoxAttachment$2 extends VertexAttachment$2 {
    constructor(name) {
      super(name);
      this.type = AttachmentType.BoundingBox;
      this.color = new Color(1, 1, 1, 1);
    }
    copy() {
      const copy = new BoundingBoxAttachment$2(this.name);
      this.copyTo(copy);
      copy.color.setFromColor(this.color);
      return copy;
    }
  }
  class ClippingAttachment$2 extends VertexAttachment$2 {
    constructor(name) {
      super(name);
      this.type = AttachmentType.Clipping;
      this.color = new Color(0.2275, 0.2275, 0.8078, 1);
    }
    copy() {
      const copy = new ClippingAttachment$2(this.name);
      this.copyTo(copy);
      copy.endSlot = this.endSlot;
      copy.color.setFromColor(this.color);
      return copy;
    }
  }
  class MeshAttachment$2 extends VertexAttachment$2 {
    constructor(name) {
      super(name);
      this.type = AttachmentType.Mesh;
      this.color = new Color(1, 1, 1, 1);
      this.tempColor = new Color(0, 0, 0, 0);
    }
    getParentMesh() {
      return this.parentMesh;
    }
    setParentMesh(parentMesh) {
      this.parentMesh = parentMesh;
      if (parentMesh != null) {
        this.bones = parentMesh.bones;
        this.vertices = parentMesh.vertices;
        this.worldVerticesLength = parentMesh.worldVerticesLength;
        this.regionUVs = parentMesh.regionUVs;
        this.triangles = parentMesh.triangles;
        this.hullLength = parentMesh.hullLength;
        this.worldVerticesLength = parentMesh.worldVerticesLength;
      }
    }
    copy() {
      if (this.parentMesh != null)
        return this.newLinkedMesh();
      const copy = new MeshAttachment$2(this.name);
      copy.region = this.region;
      copy.path = this.path;
      copy.color.setFromColor(this.color);
      this.copyTo(copy);
      copy.regionUVs = new Float32Array(this.regionUVs.length);
      Utils.arrayCopy(this.regionUVs, 0, copy.regionUVs, 0, this.regionUVs.length);
      copy.triangles = new Array(this.triangles.length);
      Utils.arrayCopy(this.triangles, 0, copy.triangles, 0, this.triangles.length);
      copy.hullLength = this.hullLength;
      if (this.edges != null) {
        copy.edges = new Array(this.edges.length);
        Utils.arrayCopy(this.edges, 0, copy.edges, 0, this.edges.length);
      }
      copy.width = this.width;
      copy.height = this.height;
      return copy;
    }
    newLinkedMesh() {
      const copy = new MeshAttachment$2(this.name);
      copy.region = this.region;
      copy.path = this.path;
      copy.color.setFromColor(this.color);
      copy.deformAttachment = this.deformAttachment;
      copy.setParentMesh(this.parentMesh != null ? this.parentMesh : this);
      return copy;
    }
  }
  class PathAttachment$2 extends VertexAttachment$2 {
    constructor(name) {
      super(name);
      this.type = AttachmentType.Path;
      this.closed = false;
      this.constantSpeed = false;
      this.color = new Color(1, 1, 1, 1);
    }
    copy() {
      const copy = new PathAttachment$2(this.name);
      this.copyTo(copy);
      copy.lengths = new Array(this.lengths.length);
      Utils.arrayCopy(this.lengths, 0, copy.lengths, 0, this.lengths.length);
      copy.closed = closed;
      copy.constantSpeed = this.constantSpeed;
      copy.color.setFromColor(this.color);
      return copy;
    }
  }
  class PointAttachment$2 extends VertexAttachment$2 {
    constructor(name) {
      super(name);
      this.type = AttachmentType.Point;
      this.color = new Color(0.38, 0.94, 0, 1);
    }
    computeWorldPosition(bone, point) {
      const mat = bone.matrix;
      point.x = this.x * mat.a + this.y * mat.c + bone.worldX;
      point.y = this.x * mat.b + this.y * mat.d + bone.worldY;
      return point;
    }
    computeWorldRotation(bone) {
      const mat = bone.matrix;
      const cos = MathUtils.cosDeg(this.rotation);
      const sin = MathUtils.sinDeg(this.rotation);
      const x = cos * mat.a + sin * mat.c;
      const y = cos * mat.b + sin * mat.d;
      return Math.atan2(y, x) * MathUtils.radDeg;
    }
    copy() {
      const copy = new PointAttachment$2(this.name);
      copy.x = this.x;
      copy.y = this.y;
      copy.rotation = this.rotation;
      copy.color.setFromColor(this.color);
      return copy;
    }
  }
  class Slot$1 {
    constructor(data, bone) {
      this.deform = new Array();
      if (data == null)
        throw new Error("data cannot be null.");
      if (bone == null)
        throw new Error("bone cannot be null.");
      this.data = data;
      this.bone = bone;
      this.color = new Color();
      this.darkColor = data.darkColor == null ? null : new Color();
      this.setToSetupPose();
      this.blendMode = this.data.blendMode;
    }
    getAttachment() {
      return this.attachment;
    }
    setAttachment(attachment) {
      if (this.attachment == attachment)
        return;
      this.attachment = attachment;
      this.attachmentTime = this.bone.skeleton.time;
      this.deform.length = 0;
    }
    setAttachmentTime(time) {
      this.attachmentTime = this.bone.skeleton.time - time;
    }
    getAttachmentTime() {
      return this.bone.skeleton.time - this.attachmentTime;
    }
    setToSetupPose() {
      this.color.setFromColor(this.data.color);
      if (this.darkColor != null)
        this.darkColor.setFromColor(this.data.darkColor);
      if (this.data.attachmentName == null)
        this.attachment = null;
      else {
        this.attachment = null;
        this.setAttachment(this.bone.skeleton.getAttachment(this.data.index, this.data.attachmentName));
      }
    }
  }
  const _RegionAttachment$2 = class extends Attachment$2 {
    constructor(name) {
      super(name);
      this.type = AttachmentType.Region;
      this.x = 0;
      this.y = 0;
      this.scaleX = 1;
      this.scaleY = 1;
      this.rotation = 0;
      this.width = 0;
      this.height = 0;
      this.color = new Color(1, 1, 1, 1);
      this.offset = Utils.newFloatArray(8);
      this.uvs = Utils.newFloatArray(8);
      this.tempColor = new Color(1, 1, 1, 1);
    }
    updateOffset() {
      const regionScaleX = this.width / this.region.originalWidth * this.scaleX;
      const regionScaleY = this.height / this.region.originalHeight * this.scaleY;
      const localX = -this.width / 2 * this.scaleX + this.region.offsetX * regionScaleX;
      const localY = -this.height / 2 * this.scaleY + this.region.offsetY * regionScaleY;
      const localX2 = localX + this.region.width * regionScaleX;
      const localY2 = localY + this.region.height * regionScaleY;
      const radians = this.rotation * Math.PI / 180;
      const cos = Math.cos(radians);
      const sin = Math.sin(radians);
      const localXCos = localX * cos + this.x;
      const localXSin = localX * sin;
      const localYCos = localY * cos + this.y;
      const localYSin = localY * sin;
      const localX2Cos = localX2 * cos + this.x;
      const localX2Sin = localX2 * sin;
      const localY2Cos = localY2 * cos + this.y;
      const localY2Sin = localY2 * sin;
      const offset = this.offset;
      offset[_RegionAttachment$2.OX1] = localXCos - localYSin;
      offset[_RegionAttachment$2.OY1] = localYCos + localXSin;
      offset[_RegionAttachment$2.OX2] = localXCos - localY2Sin;
      offset[_RegionAttachment$2.OY2] = localY2Cos + localXSin;
      offset[_RegionAttachment$2.OX3] = localX2Cos - localY2Sin;
      offset[_RegionAttachment$2.OY3] = localY2Cos + localX2Sin;
      offset[_RegionAttachment$2.OX4] = localX2Cos - localYSin;
      offset[_RegionAttachment$2.OY4] = localYCos + localX2Sin;
    }
    setRegion(region) {
      this.region = region;
      const uvs = this.uvs;
      if (region.rotate) {
        uvs[2] = region.u;
        uvs[3] = region.v2;
        uvs[4] = region.u;
        uvs[5] = region.v;
        uvs[6] = region.u2;
        uvs[7] = region.v;
        uvs[0] = region.u2;
        uvs[1] = region.v2;
      } else {
        uvs[0] = region.u;
        uvs[1] = region.v2;
        uvs[2] = region.u;
        uvs[3] = region.v;
        uvs[4] = region.u2;
        uvs[5] = region.v;
        uvs[6] = region.u2;
        uvs[7] = region.v2;
      }
    }
    computeWorldVertices(bone, worldVertices, offset, stride) {
      const vertexOffset = this.offset;
      const mat = bone instanceof Slot$1 ? bone.bone.matrix : bone.matrix;
      const x = mat.tx;
      const y = mat.ty;
      const a = mat.a;
      const b = mat.c;
      const c = mat.b;
      const d = mat.d;
      let offsetX = 0;
      let offsetY = 0;
      offsetX = vertexOffset[_RegionAttachment$2.OX1];
      offsetY = vertexOffset[_RegionAttachment$2.OY1];
      worldVertices[offset] = offsetX * a + offsetY * b + x;
      worldVertices[offset + 1] = offsetX * c + offsetY * d + y;
      offset += stride;
      offsetX = vertexOffset[_RegionAttachment$2.OX2];
      offsetY = vertexOffset[_RegionAttachment$2.OY2];
      worldVertices[offset] = offsetX * a + offsetY * b + x;
      worldVertices[offset + 1] = offsetX * c + offsetY * d + y;
      offset += stride;
      offsetX = vertexOffset[_RegionAttachment$2.OX3];
      offsetY = vertexOffset[_RegionAttachment$2.OY3];
      worldVertices[offset] = offsetX * a + offsetY * b + x;
      worldVertices[offset + 1] = offsetX * c + offsetY * d + y;
      offset += stride;
      offsetX = vertexOffset[_RegionAttachment$2.OX4];
      offsetY = vertexOffset[_RegionAttachment$2.OY4];
      worldVertices[offset] = offsetX * a + offsetY * b + x;
      worldVertices[offset + 1] = offsetX * c + offsetY * d + y;
    }
    copy() {
      const copy = new _RegionAttachment$2(this.name);
      copy.region = this.region;
      copy.rendererObject = this.rendererObject;
      copy.path = this.path;
      copy.x = this.x;
      copy.y = this.y;
      copy.scaleX = this.scaleX;
      copy.scaleY = this.scaleY;
      copy.rotation = this.rotation;
      copy.width = this.width;
      copy.height = this.height;
      Utils.arrayCopy(this.uvs, 0, copy.uvs, 0, 8);
      Utils.arrayCopy(this.offset, 0, copy.offset, 0, 8);
      copy.color.setFromColor(this.color);
      return copy;
    }
  };
  let RegionAttachment$2 = _RegionAttachment$2;
  RegionAttachment$2.OX1 = 0;
  RegionAttachment$2.OY1 = 1;
  RegionAttachment$2.OX2 = 2;
  RegionAttachment$2.OY2 = 3;
  RegionAttachment$2.OX3 = 4;
  RegionAttachment$2.OY3 = 5;
  RegionAttachment$2.OX4 = 6;
  RegionAttachment$2.OY4 = 7;
  RegionAttachment$2.X1 = 0;
  RegionAttachment$2.Y1 = 1;
  RegionAttachment$2.C1R = 2;
  RegionAttachment$2.C1G = 3;
  RegionAttachment$2.C1B = 4;
  RegionAttachment$2.C1A = 5;
  RegionAttachment$2.U1 = 6;
  RegionAttachment$2.V1 = 7;
  RegionAttachment$2.X2 = 8;
  RegionAttachment$2.Y2 = 9;
  RegionAttachment$2.C2R = 10;
  RegionAttachment$2.C2G = 11;
  RegionAttachment$2.C2B = 12;
  RegionAttachment$2.C2A = 13;
  RegionAttachment$2.U2 = 14;
  RegionAttachment$2.V2 = 15;
  RegionAttachment$2.X3 = 16;
  RegionAttachment$2.Y3 = 17;
  RegionAttachment$2.C3R = 18;
  RegionAttachment$2.C3G = 19;
  RegionAttachment$2.C3B = 20;
  RegionAttachment$2.C3A = 21;
  RegionAttachment$2.U3 = 22;
  RegionAttachment$2.V3 = 23;
  RegionAttachment$2.X4 = 24;
  RegionAttachment$2.Y4 = 25;
  RegionAttachment$2.C4R = 26;
  RegionAttachment$2.C4G = 27;
  RegionAttachment$2.C4B = 28;
  RegionAttachment$2.C4A = 29;
  RegionAttachment$2.U4 = 30;
  RegionAttachment$2.V4 = 31;
  new PowOut(2);
  class Animation$3 {
    constructor(name, timelines, duration) {
      if (name == null)
        throw new Error("name cannot be null.");
      if (timelines == null)
        throw new Error("timelines cannot be null.");
      this.name = name;
      this.timelines = timelines;
      this.timelineIds = [];
      for (let i = 0; i < timelines.length; i++)
        this.timelineIds[timelines[i].getPropertyId()] = true;
      this.duration = duration;
    }
    hasTimeline(id) {
      return this.timelineIds[id] == true;
    }
    apply(skeleton, lastTime, time, loop, events, alpha, blend, direction) {
      if (skeleton == null)
        throw new Error("skeleton cannot be null.");
      if (loop && this.duration != 0) {
        time %= this.duration;
        if (lastTime > 0)
          lastTime %= this.duration;
      }
      const timelines = this.timelines;
      for (let i = 0, n = timelines.length; i < n; i++)
        timelines[i].apply(skeleton, lastTime, time, events, alpha, blend, direction);
    }
    static binarySearch(values, target, step = 1) {
      let low = 0;
      let high = values.length / step - 2;
      if (high == 0)
        return step;
      let current = high >>> 1;
      while (true) {
        if (values[(current + 1) * step] <= target)
          low = current + 1;
        else
          high = current;
        if (low == high)
          return (low + 1) * step;
        current = low + high >>> 1;
      }
    }
    static linearSearch(values, target, step) {
      for (let i = 0, last = values.length - step; i <= last; i += step)
        if (values[i] > target)
          return i;
      return -1;
    }
  }
  const _CurveTimeline$1 = class {
    constructor(frameCount) {
      if (frameCount <= 0)
        throw new Error(`frameCount must be > 0: ${frameCount}`);
      this.curves = Utils.newFloatArray((frameCount - 1) * _CurveTimeline$1.BEZIER_SIZE);
    }
    getFrameCount() {
      return this.curves.length / _CurveTimeline$1.BEZIER_SIZE + 1;
    }
    setLinear(frameIndex) {
      this.curves[frameIndex * _CurveTimeline$1.BEZIER_SIZE] = _CurveTimeline$1.LINEAR;
    }
    setStepped(frameIndex) {
      this.curves[frameIndex * _CurveTimeline$1.BEZIER_SIZE] = _CurveTimeline$1.STEPPED;
    }
    getCurveType(frameIndex) {
      const index = frameIndex * _CurveTimeline$1.BEZIER_SIZE;
      if (index == this.curves.length)
        return _CurveTimeline$1.LINEAR;
      const type = this.curves[index];
      if (type == _CurveTimeline$1.LINEAR)
        return _CurveTimeline$1.LINEAR;
      if (type == _CurveTimeline$1.STEPPED)
        return _CurveTimeline$1.STEPPED;
      return _CurveTimeline$1.BEZIER;
    }
    setCurve(frameIndex, cx1, cy1, cx2, cy2) {
      const tmpx = (-cx1 * 2 + cx2) * 0.03;
      const tmpy = (-cy1 * 2 + cy2) * 0.03;
      const dddfx = ((cx1 - cx2) * 3 + 1) * 6e-3;
      const dddfy = ((cy1 - cy2) * 3 + 1) * 6e-3;
      let ddfx = tmpx * 2 + dddfx;
      let ddfy = tmpy * 2 + dddfy;
      let dfx = cx1 * 0.3 + tmpx + dddfx * 0.16666667;
      let dfy = cy1 * 0.3 + tmpy + dddfy * 0.16666667;
      let i = frameIndex * _CurveTimeline$1.BEZIER_SIZE;
      const curves = this.curves;
      curves[i++] = _CurveTimeline$1.BEZIER;
      let x = dfx;
      let y = dfy;
      for (let n = i + _CurveTimeline$1.BEZIER_SIZE - 1; i < n; i += 2) {
        curves[i] = x;
        curves[i + 1] = y;
        dfx += ddfx;
        dfy += ddfy;
        ddfx += dddfx;
        ddfy += dddfy;
        x += dfx;
        y += dfy;
      }
    }
    getCurvePercent(frameIndex, percent) {
      percent = MathUtils.clamp(percent, 0, 1);
      const curves = this.curves;
      let i = frameIndex * _CurveTimeline$1.BEZIER_SIZE;
      const type = curves[i];
      if (type == _CurveTimeline$1.LINEAR)
        return percent;
      if (type == _CurveTimeline$1.STEPPED)
        return 0;
      i++;
      let x = 0;
      for (let start = i, n = i + _CurveTimeline$1.BEZIER_SIZE - 1; i < n; i += 2) {
        x = curves[i];
        if (x >= percent) {
          let prevX;
          let prevY;
          if (i == start) {
            prevX = 0;
            prevY = 0;
          } else {
            prevX = curves[i - 2];
            prevY = curves[i - 1];
          }
          return prevY + (curves[i + 1] - prevY) * (percent - prevX) / (x - prevX);
        }
      }
      const y = curves[i - 1];
      return y + (1 - y) * (percent - x) / (1 - x);
    }
  };
  let CurveTimeline$2 = _CurveTimeline$1;
  CurveTimeline$2.LINEAR = 0;
  CurveTimeline$2.STEPPED = 1;
  CurveTimeline$2.BEZIER = 2;
  CurveTimeline$2.BEZIER_SIZE = 10 * 2 - 1;
  const _RotateTimeline$1 = class extends CurveTimeline$2 {
    constructor(frameCount) {
      super(frameCount);
      this.frames = Utils.newFloatArray(frameCount << 1);
    }
    getPropertyId() {
      return (0 << 24) + this.boneIndex;
    }
    setFrame(frameIndex, time, degrees) {
      frameIndex <<= 1;
      this.frames[frameIndex] = time;
      this.frames[frameIndex + _RotateTimeline$1.ROTATION] = degrees;
    }
    apply(skeleton, lastTime, time, events, alpha, blend, direction) {
      const frames = this.frames;
      const bone = skeleton.bones[this.boneIndex];
      if (!bone.active)
        return;
      if (time < frames[0]) {
        switch (blend) {
          case MixBlend.setup:
            bone.rotation = bone.data.rotation;
            return;
          case MixBlend.first:
            const r2 = bone.data.rotation - bone.rotation;
            bone.rotation += (r2 - (16384 - (16384.499999999996 - r2 / 360 | 0)) * 360) * alpha;
        }
        return;
      }
      if (time >= frames[frames.length - _RotateTimeline$1.ENTRIES]) {
        let r2 = frames[frames.length + _RotateTimeline$1.PREV_ROTATION];
        switch (blend) {
          case MixBlend.setup:
            bone.rotation = bone.data.rotation + r2 * alpha;
            break;
          case MixBlend.first:
          case MixBlend.replace:
            r2 += bone.data.rotation - bone.rotation;
            r2 -= (16384 - (16384.499999999996 - r2 / 360 | 0)) * 360;
          case MixBlend.add:
            bone.rotation += r2 * alpha;
        }
        return;
      }
      const frame = Animation$3.binarySearch(frames, time, _RotateTimeline$1.ENTRIES);
      const prevRotation = frames[frame + _RotateTimeline$1.PREV_ROTATION];
      const frameTime = frames[frame];
      const percent = this.getCurvePercent((frame >> 1) - 1, 1 - (time - frameTime) / (frames[frame + _RotateTimeline$1.PREV_TIME] - frameTime));
      let r = frames[frame + _RotateTimeline$1.ROTATION] - prevRotation;
      r = prevRotation + (r - (16384 - (16384.499999999996 - r / 360 | 0)) * 360) * percent;
      switch (blend) {
        case MixBlend.setup:
          bone.rotation = bone.data.rotation + (r - (16384 - (16384.499999999996 - r / 360 | 0)) * 360) * alpha;
          break;
        case MixBlend.first:
        case MixBlend.replace:
          r += bone.data.rotation - bone.rotation;
        case MixBlend.add:
          bone.rotation += (r - (16384 - (16384.499999999996 - r / 360 | 0)) * 360) * alpha;
      }
    }
  };
  let RotateTimeline$2 = _RotateTimeline$1;
  RotateTimeline$2.ENTRIES = 2;
  RotateTimeline$2.PREV_TIME = -2;
  RotateTimeline$2.PREV_ROTATION = -1;
  RotateTimeline$2.ROTATION = 1;
  const _TranslateTimeline$1 = class extends CurveTimeline$2 {
    constructor(frameCount) {
      super(frameCount);
      this.frames = Utils.newFloatArray(frameCount * _TranslateTimeline$1.ENTRIES);
    }
    getPropertyId() {
      return (1 << 24) + this.boneIndex;
    }
    setFrame(frameIndex, time, x, y) {
      frameIndex *= _TranslateTimeline$1.ENTRIES;
      this.frames[frameIndex] = time;
      this.frames[frameIndex + _TranslateTimeline$1.X] = x;
      this.frames[frameIndex + _TranslateTimeline$1.Y] = y;
    }
    apply(skeleton, lastTime, time, events, alpha, blend, direction) {
      const frames = this.frames;
      const bone = skeleton.bones[this.boneIndex];
      if (!bone.active)
        return;
      if (time < frames[0]) {
        switch (blend) {
          case MixBlend.setup:
            bone.x = bone.data.x;
            bone.y = bone.data.y;
            return;
          case MixBlend.first:
            bone.x += (bone.data.x - bone.x) * alpha;
            bone.y += (bone.data.y - bone.y) * alpha;
        }
        return;
      }
      let x = 0;
      let y = 0;
      if (time >= frames[frames.length - _TranslateTimeline$1.ENTRIES]) {
        x = frames[frames.length + _TranslateTimeline$1.PREV_X];
        y = frames[frames.length + _TranslateTimeline$1.PREV_Y];
      } else {
        const frame = Animation$3.binarySearch(frames, time, _TranslateTimeline$1.ENTRIES);
        x = frames[frame + _TranslateTimeline$1.PREV_X];
        y = frames[frame + _TranslateTimeline$1.PREV_Y];
        const frameTime = frames[frame];
        const percent = this.getCurvePercent(frame / _TranslateTimeline$1.ENTRIES - 1, 1 - (time - frameTime) / (frames[frame + _TranslateTimeline$1.PREV_TIME] - frameTime));
        x += (frames[frame + _TranslateTimeline$1.X] - x) * percent;
        y += (frames[frame + _TranslateTimeline$1.Y] - y) * percent;
      }
      switch (blend) {
        case MixBlend.setup:
          bone.x = bone.data.x + x * alpha;
          bone.y = bone.data.y + y * alpha;
          break;
        case MixBlend.first:
        case MixBlend.replace:
          bone.x += (bone.data.x + x - bone.x) * alpha;
          bone.y += (bone.data.y + y - bone.y) * alpha;
          break;
        case MixBlend.add:
          bone.x += x * alpha;
          bone.y += y * alpha;
      }
    }
  };
  let TranslateTimeline$2 = _TranslateTimeline$1;
  TranslateTimeline$2.ENTRIES = 3;
  TranslateTimeline$2.PREV_TIME = -3;
  TranslateTimeline$2.PREV_X = -2;
  TranslateTimeline$2.PREV_Y = -1;
  TranslateTimeline$2.X = 1;
  TranslateTimeline$2.Y = 2;
  class ScaleTimeline$2 extends TranslateTimeline$2 {
    constructor(frameCount) {
      super(frameCount);
    }
    getPropertyId() {
      return (2 << 24) + this.boneIndex;
    }
    apply(skeleton, lastTime, time, events, alpha, blend, direction) {
      const frames = this.frames;
      const bone = skeleton.bones[this.boneIndex];
      if (!bone.active)
        return;
      if (time < frames[0]) {
        switch (blend) {
          case MixBlend.setup:
            bone.scaleX = bone.data.scaleX;
            bone.scaleY = bone.data.scaleY;
            return;
          case MixBlend.first:
            bone.scaleX += (bone.data.scaleX - bone.scaleX) * alpha;
            bone.scaleY += (bone.data.scaleY - bone.scaleY) * alpha;
        }
        return;
      }
      let x = 0;
      let y = 0;
      if (time >= frames[frames.length - ScaleTimeline$2.ENTRIES]) {
        x = frames[frames.length + ScaleTimeline$2.PREV_X] * bone.data.scaleX;
        y = frames[frames.length + ScaleTimeline$2.PREV_Y] * bone.data.scaleY;
      } else {
        const frame = Animation$3.binarySearch(frames, time, ScaleTimeline$2.ENTRIES);
        x = frames[frame + ScaleTimeline$2.PREV_X];
        y = frames[frame + ScaleTimeline$2.PREV_Y];
        const frameTime = frames[frame];
        const percent = this.getCurvePercent(frame / ScaleTimeline$2.ENTRIES - 1, 1 - (time - frameTime) / (frames[frame + ScaleTimeline$2.PREV_TIME] - frameTime));
        x = (x + (frames[frame + ScaleTimeline$2.X] - x) * percent) * bone.data.scaleX;
        y = (y + (frames[frame + ScaleTimeline$2.Y] - y) * percent) * bone.data.scaleY;
      }
      if (alpha == 1) {
        if (blend == MixBlend.add) {
          bone.scaleX += x - bone.data.scaleX;
          bone.scaleY += y - bone.data.scaleY;
        } else {
          bone.scaleX = x;
          bone.scaleY = y;
        }
      } else {
        let bx = 0;
        let by = 0;
        if (direction == MixDirection.mixOut) {
          switch (blend) {
            case MixBlend.setup:
              bx = bone.data.scaleX;
              by = bone.data.scaleY;
              bone.scaleX = bx + (Math.abs(x) * MathUtils.signum(bx) - bx) * alpha;
              bone.scaleY = by + (Math.abs(y) * MathUtils.signum(by) - by) * alpha;
              break;
            case MixBlend.first:
            case MixBlend.replace:
              bx = bone.scaleX;
              by = bone.scaleY;
              bone.scaleX = bx + (Math.abs(x) * MathUtils.signum(bx) - bx) * alpha;
              bone.scaleY = by + (Math.abs(y) * MathUtils.signum(by) - by) * alpha;
              break;
            case MixBlend.add:
              bx = bone.scaleX;
              by = bone.scaleY;
              bone.scaleX = bx + (Math.abs(x) * MathUtils.signum(bx) - bone.data.scaleX) * alpha;
              bone.scaleY = by + (Math.abs(y) * MathUtils.signum(by) - bone.data.scaleY) * alpha;
          }
        } else {
          switch (blend) {
            case MixBlend.setup:
              bx = Math.abs(bone.data.scaleX) * MathUtils.signum(x);
              by = Math.abs(bone.data.scaleY) * MathUtils.signum(y);
              bone.scaleX = bx + (x - bx) * alpha;
              bone.scaleY = by + (y - by) * alpha;
              break;
            case MixBlend.first:
            case MixBlend.replace:
              bx = Math.abs(bone.scaleX) * MathUtils.signum(x);
              by = Math.abs(bone.scaleY) * MathUtils.signum(y);
              bone.scaleX = bx + (x - bx) * alpha;
              bone.scaleY = by + (y - by) * alpha;
              break;
            case MixBlend.add:
              bx = MathUtils.signum(x);
              by = MathUtils.signum(y);
              bone.scaleX = Math.abs(bone.scaleX) * bx + (x - Math.abs(bone.data.scaleX) * bx) * alpha;
              bone.scaleY = Math.abs(bone.scaleY) * by + (y - Math.abs(bone.data.scaleY) * by) * alpha;
          }
        }
      }
    }
  }
  class ShearTimeline$2 extends TranslateTimeline$2 {
    constructor(frameCount) {
      super(frameCount);
    }
    getPropertyId() {
      return (3 << 24) + this.boneIndex;
    }
    apply(skeleton, lastTime, time, events, alpha, blend, direction) {
      const frames = this.frames;
      const bone = skeleton.bones[this.boneIndex];
      if (!bone.active)
        return;
      if (time < frames[0]) {
        switch (blend) {
          case MixBlend.setup:
            bone.shearX = bone.data.shearX;
            bone.shearY = bone.data.shearY;
            return;
          case MixBlend.first:
            bone.shearX += (bone.data.shearX - bone.shearX) * alpha;
            bone.shearY += (bone.data.shearY - bone.shearY) * alpha;
        }
        return;
      }
      let x = 0;
      let y = 0;
      if (time >= frames[frames.length - ShearTimeline$2.ENTRIES]) {
        x = frames[frames.length + ShearTimeline$2.PREV_X];
        y = frames[frames.length + ShearTimeline$2.PREV_Y];
      } else {
        const frame = Animation$3.binarySearch(frames, time, ShearTimeline$2.ENTRIES);
        x = frames[frame + ShearTimeline$2.PREV_X];
        y = frames[frame + ShearTimeline$2.PREV_Y];
        const frameTime = frames[frame];
        const percent = this.getCurvePercent(frame / ShearTimeline$2.ENTRIES - 1, 1 - (time - frameTime) / (frames[frame + ShearTimeline$2.PREV_TIME] - frameTime));
        x = x + (frames[frame + ShearTimeline$2.X] - x) * percent;
        y = y + (frames[frame + ShearTimeline$2.Y] - y) * percent;
      }
      switch (blend) {
        case MixBlend.setup:
          bone.shearX = bone.data.shearX + x * alpha;
          bone.shearY = bone.data.shearY + y * alpha;
          break;
        case MixBlend.first:
        case MixBlend.replace:
          bone.shearX += (bone.data.shearX + x - bone.shearX) * alpha;
          bone.shearY += (bone.data.shearY + y - bone.shearY) * alpha;
          break;
        case MixBlend.add:
          bone.shearX += x * alpha;
          bone.shearY += y * alpha;
      }
    }
  }
  const _ColorTimeline$1 = class extends CurveTimeline$2 {
    constructor(frameCount) {
      super(frameCount);
      this.frames = Utils.newFloatArray(frameCount * _ColorTimeline$1.ENTRIES);
    }
    getPropertyId() {
      return (5 << 24) + this.slotIndex;
    }
    setFrame(frameIndex, time, r, g, b, a) {
      frameIndex *= _ColorTimeline$1.ENTRIES;
      this.frames[frameIndex] = time;
      this.frames[frameIndex + _ColorTimeline$1.R] = r;
      this.frames[frameIndex + _ColorTimeline$1.G] = g;
      this.frames[frameIndex + _ColorTimeline$1.B] = b;
      this.frames[frameIndex + _ColorTimeline$1.A] = a;
    }
    apply(skeleton, lastTime, time, events, alpha, blend, direction) {
      const slot = skeleton.slots[this.slotIndex];
      if (!slot.bone.active)
        return;
      const frames = this.frames;
      if (time < frames[0]) {
        switch (blend) {
          case MixBlend.setup:
            slot.color.setFromColor(slot.data.color);
            return;
          case MixBlend.first:
            const color = slot.color;
            const setup = slot.data.color;
            color.add((setup.r - color.r) * alpha, (setup.g - color.g) * alpha, (setup.b - color.b) * alpha, (setup.a - color.a) * alpha);
        }
        return;
      }
      let r = 0;
      let g = 0;
      let b = 0;
      let a = 0;
      if (time >= frames[frames.length - _ColorTimeline$1.ENTRIES]) {
        const i = frames.length;
        r = frames[i + _ColorTimeline$1.PREV_R];
        g = frames[i + _ColorTimeline$1.PREV_G];
        b = frames[i + _ColorTimeline$1.PREV_B];
        a = frames[i + _ColorTimeline$1.PREV_A];
      } else {
        const frame = Animation$3.binarySearch(frames, time, _ColorTimeline$1.ENTRIES);
        r = frames[frame + _ColorTimeline$1.PREV_R];
        g = frames[frame + _ColorTimeline$1.PREV_G];
        b = frames[frame + _ColorTimeline$1.PREV_B];
        a = frames[frame + _ColorTimeline$1.PREV_A];
        const frameTime = frames[frame];
        const percent = this.getCurvePercent(frame / _ColorTimeline$1.ENTRIES - 1, 1 - (time - frameTime) / (frames[frame + _ColorTimeline$1.PREV_TIME] - frameTime));
        r += (frames[frame + _ColorTimeline$1.R] - r) * percent;
        g += (frames[frame + _ColorTimeline$1.G] - g) * percent;
        b += (frames[frame + _ColorTimeline$1.B] - b) * percent;
        a += (frames[frame + _ColorTimeline$1.A] - a) * percent;
      }
      if (alpha == 1)
        slot.color.set(r, g, b, a);
      else {
        const color = slot.color;
        if (blend == MixBlend.setup)
          color.setFromColor(slot.data.color);
        color.add((r - color.r) * alpha, (g - color.g) * alpha, (b - color.b) * alpha, (a - color.a) * alpha);
      }
    }
  };
  let ColorTimeline$1 = _ColorTimeline$1;
  ColorTimeline$1.ENTRIES = 5;
  ColorTimeline$1.PREV_TIME = -5;
  ColorTimeline$1.PREV_R = -4;
  ColorTimeline$1.PREV_G = -3;
  ColorTimeline$1.PREV_B = -2;
  ColorTimeline$1.PREV_A = -1;
  ColorTimeline$1.R = 1;
  ColorTimeline$1.G = 2;
  ColorTimeline$1.B = 3;
  ColorTimeline$1.A = 4;
  const _TwoColorTimeline$1 = class extends CurveTimeline$2 {
    constructor(frameCount) {
      super(frameCount);
      this.frames = Utils.newFloatArray(frameCount * _TwoColorTimeline$1.ENTRIES);
    }
    getPropertyId() {
      return (14 << 24) + this.slotIndex;
    }
    setFrame(frameIndex, time, r, g, b, a, r2, g2, b2) {
      frameIndex *= _TwoColorTimeline$1.ENTRIES;
      this.frames[frameIndex] = time;
      this.frames[frameIndex + _TwoColorTimeline$1.R] = r;
      this.frames[frameIndex + _TwoColorTimeline$1.G] = g;
      this.frames[frameIndex + _TwoColorTimeline$1.B] = b;
      this.frames[frameIndex + _TwoColorTimeline$1.A] = a;
      this.frames[frameIndex + _TwoColorTimeline$1.R2] = r2;
      this.frames[frameIndex + _TwoColorTimeline$1.G2] = g2;
      this.frames[frameIndex + _TwoColorTimeline$1.B2] = b2;
    }
    apply(skeleton, lastTime, time, events, alpha, blend, direction) {
      const slot = skeleton.slots[this.slotIndex];
      if (!slot.bone.active)
        return;
      const frames = this.frames;
      if (time < frames[0]) {
        switch (blend) {
          case MixBlend.setup:
            slot.color.setFromColor(slot.data.color);
            slot.darkColor.setFromColor(slot.data.darkColor);
            return;
          case MixBlend.first:
            const light = slot.color;
            const dark = slot.darkColor;
            const setupLight = slot.data.color;
            const setupDark = slot.data.darkColor;
            light.add((setupLight.r - light.r) * alpha, (setupLight.g - light.g) * alpha, (setupLight.b - light.b) * alpha, (setupLight.a - light.a) * alpha);
            dark.add((setupDark.r - dark.r) * alpha, (setupDark.g - dark.g) * alpha, (setupDark.b - dark.b) * alpha, 0);
        }
        return;
      }
      let r = 0;
      let g = 0;
      let b = 0;
      let a = 0;
      let r2 = 0;
      let g2 = 0;
      let b2 = 0;
      if (time >= frames[frames.length - _TwoColorTimeline$1.ENTRIES]) {
        const i = frames.length;
        r = frames[i + _TwoColorTimeline$1.PREV_R];
        g = frames[i + _TwoColorTimeline$1.PREV_G];
        b = frames[i + _TwoColorTimeline$1.PREV_B];
        a = frames[i + _TwoColorTimeline$1.PREV_A];
        r2 = frames[i + _TwoColorTimeline$1.PREV_R2];
        g2 = frames[i + _TwoColorTimeline$1.PREV_G2];
        b2 = frames[i + _TwoColorTimeline$1.PREV_B2];
      } else {
        const frame = Animation$3.binarySearch(frames, time, _TwoColorTimeline$1.ENTRIES);
        r = frames[frame + _TwoColorTimeline$1.PREV_R];
        g = frames[frame + _TwoColorTimeline$1.PREV_G];
        b = frames[frame + _TwoColorTimeline$1.PREV_B];
        a = frames[frame + _TwoColorTimeline$1.PREV_A];
        r2 = frames[frame + _TwoColorTimeline$1.PREV_R2];
        g2 = frames[frame + _TwoColorTimeline$1.PREV_G2];
        b2 = frames[frame + _TwoColorTimeline$1.PREV_B2];
        const frameTime = frames[frame];
        const percent = this.getCurvePercent(frame / _TwoColorTimeline$1.ENTRIES - 1, 1 - (time - frameTime) / (frames[frame + _TwoColorTimeline$1.PREV_TIME] - frameTime));
        r += (frames[frame + _TwoColorTimeline$1.R] - r) * percent;
        g += (frames[frame + _TwoColorTimeline$1.G] - g) * percent;
        b += (frames[frame + _TwoColorTimeline$1.B] - b) * percent;
        a += (frames[frame + _TwoColorTimeline$1.A] - a) * percent;
        r2 += (frames[frame + _TwoColorTimeline$1.R2] - r2) * percent;
        g2 += (frames[frame + _TwoColorTimeline$1.G2] - g2) * percent;
        b2 += (frames[frame + _TwoColorTimeline$1.B2] - b2) * percent;
      }
      if (alpha == 1) {
        slot.color.set(r, g, b, a);
        slot.darkColor.set(r2, g2, b2, 1);
      } else {
        const light = slot.color;
        const dark = slot.darkColor;
        if (blend == MixBlend.setup) {
          light.setFromColor(slot.data.color);
          dark.setFromColor(slot.data.darkColor);
        }
        light.add((r - light.r) * alpha, (g - light.g) * alpha, (b - light.b) * alpha, (a - light.a) * alpha);
        dark.add((r2 - dark.r) * alpha, (g2 - dark.g) * alpha, (b2 - dark.b) * alpha, 0);
      }
    }
  };
  let TwoColorTimeline$1 = _TwoColorTimeline$1;
  TwoColorTimeline$1.ENTRIES = 8;
  TwoColorTimeline$1.PREV_TIME = -8;
  TwoColorTimeline$1.PREV_R = -7;
  TwoColorTimeline$1.PREV_G = -6;
  TwoColorTimeline$1.PREV_B = -5;
  TwoColorTimeline$1.PREV_A = -4;
  TwoColorTimeline$1.PREV_R2 = -3;
  TwoColorTimeline$1.PREV_G2 = -2;
  TwoColorTimeline$1.PREV_B2 = -1;
  TwoColorTimeline$1.R = 1;
  TwoColorTimeline$1.G = 2;
  TwoColorTimeline$1.B = 3;
  TwoColorTimeline$1.A = 4;
  TwoColorTimeline$1.R2 = 5;
  TwoColorTimeline$1.G2 = 6;
  TwoColorTimeline$1.B2 = 7;
  class AttachmentTimeline$2 {
    constructor(frameCount) {
      this.frames = Utils.newFloatArray(frameCount);
      this.attachmentNames = new Array(frameCount);
    }
    getPropertyId() {
      return (4 << 24) + this.slotIndex;
    }
    getFrameCount() {
      return this.frames.length;
    }
    setFrame(frameIndex, time, attachmentName) {
      this.frames[frameIndex] = time;
      this.attachmentNames[frameIndex] = attachmentName;
    }
    apply(skeleton, lastTime, time, events, alpha, blend, direction) {
      const slot = skeleton.slots[this.slotIndex];
      if (!slot.bone.active)
        return;
      if (direction == MixDirection.mixOut) {
        if (blend == MixBlend.setup)
          this.setAttachment(skeleton, slot, slot.data.attachmentName);
        return;
      }
      const frames = this.frames;
      if (time < frames[0]) {
        if (blend == MixBlend.setup || blend == MixBlend.first)
          this.setAttachment(skeleton, slot, slot.data.attachmentName);
        return;
      }
      let frameIndex = 0;
      if (time >= frames[frames.length - 1])
        frameIndex = frames.length - 1;
      else
        frameIndex = Animation$3.binarySearch(frames, time, 1) - 1;
      const attachmentName = this.attachmentNames[frameIndex];
      skeleton.slots[this.slotIndex].setAttachment(attachmentName == null ? null : skeleton.getAttachment(this.slotIndex, attachmentName));
    }
    setAttachment(skeleton, slot, attachmentName) {
      slot.setAttachment(attachmentName == null ? null : skeleton.getAttachment(this.slotIndex, attachmentName));
    }
  }
  let zeros$1 = null;
  class DeformTimeline$2 extends CurveTimeline$2 {
    constructor(frameCount) {
      super(frameCount);
      this.frames = Utils.newFloatArray(frameCount);
      this.frameVertices = new Array(frameCount);
      if (zeros$1 == null)
        zeros$1 = Utils.newFloatArray(64);
    }
    getPropertyId() {
      return (6 << 27) + Number(this.attachment.id) + this.slotIndex;
    }
    setFrame(frameIndex, time, vertices) {
      this.frames[frameIndex] = time;
      this.frameVertices[frameIndex] = vertices;
    }
    apply(skeleton, lastTime, time, firedEvents, alpha, blend, direction) {
      const slot = skeleton.slots[this.slotIndex];
      if (!slot.bone.active)
        return;
      const slotAttachment = slot.getAttachment();
      if (!(slotAttachment instanceof VertexAttachment$2) || !(slotAttachment.deformAttachment == this.attachment))
        return;
      const deformArray = slot.deform;
      if (deformArray.length == 0)
        blend = MixBlend.setup;
      const frameVertices = this.frameVertices;
      const vertexCount = frameVertices[0].length;
      const frames = this.frames;
      if (time < frames[0]) {
        const vertexAttachment = slotAttachment;
        switch (blend) {
          case MixBlend.setup:
            deformArray.length = 0;
            return;
          case MixBlend.first:
            if (alpha == 1) {
              deformArray.length = 0;
              break;
            }
            const deform2 = Utils.setArraySize(deformArray, vertexCount);
            if (vertexAttachment.bones == null) {
              const setupVertices = vertexAttachment.vertices;
              for (let i = 0; i < vertexCount; i++)
                deform2[i] += (setupVertices[i] - deform2[i]) * alpha;
            } else {
              alpha = 1 - alpha;
              for (let i = 0; i < vertexCount; i++)
                deform2[i] *= alpha;
            }
        }
        return;
      }
      const deform = Utils.setArraySize(deformArray, vertexCount);
      if (time >= frames[frames.length - 1]) {
        const lastVertices = frameVertices[frames.length - 1];
        if (alpha == 1) {
          if (blend == MixBlend.add) {
            const vertexAttachment = slotAttachment;
            if (vertexAttachment.bones == null) {
              const setupVertices = vertexAttachment.vertices;
              for (let i = 0; i < vertexCount; i++) {
                deform[i] += lastVertices[i] - setupVertices[i];
              }
            } else {
              for (let i = 0; i < vertexCount; i++)
                deform[i] += lastVertices[i];
            }
          } else {
            Utils.arrayCopy(lastVertices, 0, deform, 0, vertexCount);
          }
        } else {
          switch (blend) {
            case MixBlend.setup: {
              const vertexAttachment2 = slotAttachment;
              if (vertexAttachment2.bones == null) {
                const setupVertices = vertexAttachment2.vertices;
                for (let i = 0; i < vertexCount; i++) {
                  const setup = setupVertices[i];
                  deform[i] = setup + (lastVertices[i] - setup) * alpha;
                }
              } else {
                for (let i = 0; i < vertexCount; i++)
                  deform[i] = lastVertices[i] * alpha;
              }
              break;
            }
            case MixBlend.first:
            case MixBlend.replace:
              for (let i = 0; i < vertexCount; i++)
                deform[i] += (lastVertices[i] - deform[i]) * alpha;
              break;
            case MixBlend.add:
              const vertexAttachment = slotAttachment;
              if (vertexAttachment.bones == null) {
                const setupVertices = vertexAttachment.vertices;
                for (let i = 0; i < vertexCount; i++) {
                  deform[i] += (lastVertices[i] - setupVertices[i]) * alpha;
                }
              } else {
                for (let i = 0; i < vertexCount; i++)
                  deform[i] += lastVertices[i] * alpha;
              }
          }
        }
        return;
      }
      const frame = Animation$3.binarySearch(frames, time);
      const prevVertices = frameVertices[frame - 1];
      const nextVertices = frameVertices[frame];
      const frameTime = frames[frame];
      const percent = this.getCurvePercent(frame - 1, 1 - (time - frameTime) / (frames[frame - 1] - frameTime));
      if (alpha == 1) {
        if (blend == MixBlend.add) {
          const vertexAttachment = slotAttachment;
          if (vertexAttachment.bones == null) {
            const setupVertices = vertexAttachment.vertices;
            for (let i = 0; i < vertexCount; i++) {
              const prev = prevVertices[i];
              deform[i] += prev + (nextVertices[i] - prev) * percent - setupVertices[i];
            }
          } else {
            for (let i = 0; i < vertexCount; i++) {
              const prev = prevVertices[i];
              deform[i] += prev + (nextVertices[i] - prev) * percent;
            }
          }
        } else {
          for (let i = 0; i < vertexCount; i++) {
            const prev = prevVertices[i];
            deform[i] = prev + (nextVertices[i] - prev) * percent;
          }
        }
      } else {
        switch (blend) {
          case MixBlend.setup: {
            const vertexAttachment2 = slotAttachment;
            if (vertexAttachment2.bones == null) {
              const setupVertices = vertexAttachment2.vertices;
              for (let i = 0; i < vertexCount; i++) {
                const prev = prevVertices[i];
                const setup = setupVertices[i];
                deform[i] = setup + (prev + (nextVertices[i] - prev) * percent - setup) * alpha;
              }
            } else {
              for (let i = 0; i < vertexCount; i++) {
                const prev = prevVertices[i];
                deform[i] = (prev + (nextVertices[i] - prev) * percent) * alpha;
              }
            }
            break;
          }
          case MixBlend.first:
          case MixBlend.replace:
            for (let i = 0; i < vertexCount; i++) {
              const prev = prevVertices[i];
              deform[i] += (prev + (nextVertices[i] - prev) * percent - deform[i]) * alpha;
            }
            break;
          case MixBlend.add:
            const vertexAttachment = slotAttachment;
            if (vertexAttachment.bones == null) {
              const setupVertices = vertexAttachment.vertices;
              for (let i = 0; i < vertexCount; i++) {
                const prev = prevVertices[i];
                deform[i] += (prev + (nextVertices[i] - prev) * percent - setupVertices[i]) * alpha;
              }
            } else {
              for (let i = 0; i < vertexCount; i++) {
                const prev = prevVertices[i];
                deform[i] += (prev + (nextVertices[i] - prev) * percent) * alpha;
              }
            }
        }
      }
    }
  }
  class EventTimeline$2 {
    constructor(frameCount) {
      this.frames = Utils.newFloatArray(frameCount);
      this.events = new Array(frameCount);
    }
    getPropertyId() {
      return 7 << 24;
    }
    getFrameCount() {
      return this.frames.length;
    }
    setFrame(frameIndex, event) {
      this.frames[frameIndex] = event.time;
      this.events[frameIndex] = event;
    }
    apply(skeleton, lastTime, time, firedEvents, alpha, blend, direction) {
      if (firedEvents == null)
        return;
      const frames = this.frames;
      const frameCount = this.frames.length;
      if (lastTime > time) {
        this.apply(skeleton, lastTime, Number.MAX_VALUE, firedEvents, alpha, blend, direction);
        lastTime = -1;
      } else if (lastTime >= frames[frameCount - 1])
        return;
      if (time < frames[0])
        return;
      let frame = 0;
      if (lastTime < frames[0])
        frame = 0;
      else {
        frame = Animation$3.binarySearch(frames, lastTime);
        const frameTime = frames[frame];
        while (frame > 0) {
          if (frames[frame - 1] != frameTime)
            break;
          frame--;
        }
      }
      for (; frame < frameCount && time >= frames[frame]; frame++)
        firedEvents.push(this.events[frame]);
    }
  }
  class DrawOrderTimeline$2 {
    constructor(frameCount) {
      this.frames = Utils.newFloatArray(frameCount);
      this.drawOrders = new Array(frameCount);
    }
    getPropertyId() {
      return 8 << 24;
    }
    getFrameCount() {
      return this.frames.length;
    }
    setFrame(frameIndex, time, drawOrder) {
      this.frames[frameIndex] = time;
      this.drawOrders[frameIndex] = drawOrder;
    }
    apply(skeleton, lastTime, time, firedEvents, alpha, blend, direction) {
      const drawOrder = skeleton.drawOrder;
      const slots = skeleton.slots;
      if (direction == MixDirection.mixOut && blend == MixBlend.setup) {
        Utils.arrayCopy(skeleton.slots, 0, skeleton.drawOrder, 0, skeleton.slots.length);
        return;
      }
      const frames = this.frames;
      if (time < frames[0]) {
        if (blend == MixBlend.setup || blend == MixBlend.first)
          Utils.arrayCopy(skeleton.slots, 0, skeleton.drawOrder, 0, skeleton.slots.length);
        return;
      }
      let frame = 0;
      if (time >= frames[frames.length - 1])
        frame = frames.length - 1;
      else
        frame = Animation$3.binarySearch(frames, time) - 1;
      const drawOrderToSetupIndex = this.drawOrders[frame];
      if (drawOrderToSetupIndex == null)
        Utils.arrayCopy(slots, 0, drawOrder, 0, slots.length);
      else {
        for (let i = 0, n = drawOrderToSetupIndex.length; i < n; i++)
          drawOrder[i] = slots[drawOrderToSetupIndex[i]];
      }
    }
  }
  const _IkConstraintTimeline$1 = class extends CurveTimeline$2 {
    constructor(frameCount) {
      super(frameCount);
      this.frames = Utils.newFloatArray(frameCount * _IkConstraintTimeline$1.ENTRIES);
    }
    getPropertyId() {
      return (9 << 24) + this.ikConstraintIndex;
    }
    setFrame(frameIndex, time, mix, softness, bendDirection, compress, stretch) {
      frameIndex *= _IkConstraintTimeline$1.ENTRIES;
      this.frames[frameIndex] = time;
      this.frames[frameIndex + _IkConstraintTimeline$1.MIX] = mix;
      this.frames[frameIndex + _IkConstraintTimeline$1.SOFTNESS] = softness;
      this.frames[frameIndex + _IkConstraintTimeline$1.BEND_DIRECTION] = bendDirection;
      this.frames[frameIndex + _IkConstraintTimeline$1.COMPRESS] = compress ? 1 : 0;
      this.frames[frameIndex + _IkConstraintTimeline$1.STRETCH] = stretch ? 1 : 0;
    }
    apply(skeleton, lastTime, time, firedEvents, alpha, blend, direction) {
      const frames = this.frames;
      const constraint = skeleton.ikConstraints[this.ikConstraintIndex];
      if (!constraint.active)
        return;
      if (time < frames[0]) {
        switch (blend) {
          case MixBlend.setup:
            constraint.mix = constraint.data.mix;
            constraint.softness = constraint.data.softness;
            constraint.bendDirection = constraint.data.bendDirection;
            constraint.compress = constraint.data.compress;
            constraint.stretch = constraint.data.stretch;
            return;
          case MixBlend.first:
            constraint.mix += (constraint.data.mix - constraint.mix) * alpha;
            constraint.softness += (constraint.data.softness - constraint.softness) * alpha;
            constraint.bendDirection = constraint.data.bendDirection;
            constraint.compress = constraint.data.compress;
            constraint.stretch = constraint.data.stretch;
        }
        return;
      }
      if (time >= frames[frames.length - _IkConstraintTimeline$1.ENTRIES]) {
        if (blend == MixBlend.setup) {
          constraint.mix = constraint.data.mix + (frames[frames.length + _IkConstraintTimeline$1.PREV_MIX] - constraint.data.mix) * alpha;
          constraint.softness = constraint.data.softness + (frames[frames.length + _IkConstraintTimeline$1.PREV_SOFTNESS] - constraint.data.softness) * alpha;
          if (direction == MixDirection.mixOut) {
            constraint.bendDirection = constraint.data.bendDirection;
            constraint.compress = constraint.data.compress;
            constraint.stretch = constraint.data.stretch;
          } else {
            constraint.bendDirection = frames[frames.length + _IkConstraintTimeline$1.PREV_BEND_DIRECTION];
            constraint.compress = frames[frames.length + _IkConstraintTimeline$1.PREV_COMPRESS] != 0;
            constraint.stretch = frames[frames.length + _IkConstraintTimeline$1.PREV_STRETCH] != 0;
          }
        } else {
          constraint.mix += (frames[frames.length + _IkConstraintTimeline$1.PREV_MIX] - constraint.mix) * alpha;
          constraint.softness += (frames[frames.length + _IkConstraintTimeline$1.PREV_SOFTNESS] - constraint.softness) * alpha;
          if (direction == MixDirection.mixIn) {
            constraint.bendDirection = frames[frames.length + _IkConstraintTimeline$1.PREV_BEND_DIRECTION];
            constraint.compress = frames[frames.length + _IkConstraintTimeline$1.PREV_COMPRESS] != 0;
            constraint.stretch = frames[frames.length + _IkConstraintTimeline$1.PREV_STRETCH] != 0;
          }
        }
        return;
      }
      const frame = Animation$3.binarySearch(frames, time, _IkConstraintTimeline$1.ENTRIES);
      const mix = frames[frame + _IkConstraintTimeline$1.PREV_MIX];
      const softness = frames[frame + _IkConstraintTimeline$1.PREV_SOFTNESS];
      const frameTime = frames[frame];
      const percent = this.getCurvePercent(frame / _IkConstraintTimeline$1.ENTRIES - 1, 1 - (time - frameTime) / (frames[frame + _IkConstraintTimeline$1.PREV_TIME] - frameTime));
      if (blend == MixBlend.setup) {
        constraint.mix = constraint.data.mix + (mix + (frames[frame + _IkConstraintTimeline$1.MIX] - mix) * percent - constraint.data.mix) * alpha;
        constraint.softness = constraint.data.softness + (softness + (frames[frame + _IkConstraintTimeline$1.SOFTNESS] - softness) * percent - constraint.data.softness) * alpha;
        if (direction == MixDirection.mixOut) {
          constraint.bendDirection = constraint.data.bendDirection;
          constraint.compress = constraint.data.compress;
          constraint.stretch = constraint.data.stretch;
        } else {
          constraint.bendDirection = frames[frame + _IkConstraintTimeline$1.PREV_BEND_DIRECTION];
          constraint.compress = frames[frame + _IkConstraintTimeline$1.PREV_COMPRESS] != 0;
          constraint.stretch = frames[frame + _IkConstraintTimeline$1.PREV_STRETCH] != 0;
        }
      } else {
        constraint.mix += (mix + (frames[frame + _IkConstraintTimeline$1.MIX] - mix) * percent - constraint.mix) * alpha;
        constraint.softness += (softness + (frames[frame + _IkConstraintTimeline$1.SOFTNESS] - softness) * percent - constraint.softness) * alpha;
        if (direction == MixDirection.mixIn) {
          constraint.bendDirection = frames[frame + _IkConstraintTimeline$1.PREV_BEND_DIRECTION];
          constraint.compress = frames[frame + _IkConstraintTimeline$1.PREV_COMPRESS] != 0;
          constraint.stretch = frames[frame + _IkConstraintTimeline$1.PREV_STRETCH] != 0;
        }
      }
    }
  };
  let IkConstraintTimeline$2 = _IkConstraintTimeline$1;
  IkConstraintTimeline$2.ENTRIES = 6;
  IkConstraintTimeline$2.PREV_TIME = -6;
  IkConstraintTimeline$2.PREV_MIX = -5;
  IkConstraintTimeline$2.PREV_SOFTNESS = -4;
  IkConstraintTimeline$2.PREV_BEND_DIRECTION = -3;
  IkConstraintTimeline$2.PREV_COMPRESS = -2;
  IkConstraintTimeline$2.PREV_STRETCH = -1;
  IkConstraintTimeline$2.MIX = 1;
  IkConstraintTimeline$2.SOFTNESS = 2;
  IkConstraintTimeline$2.BEND_DIRECTION = 3;
  IkConstraintTimeline$2.COMPRESS = 4;
  IkConstraintTimeline$2.STRETCH = 5;
  const _TransformConstraintTimeline$1 = class extends CurveTimeline$2 {
    constructor(frameCount) {
      super(frameCount);
      this.frames = Utils.newFloatArray(frameCount * _TransformConstraintTimeline$1.ENTRIES);
    }
    getPropertyId() {
      return (10 << 24) + this.transformConstraintIndex;
    }
    setFrame(frameIndex, time, rotateMix, translateMix, scaleMix, shearMix) {
      frameIndex *= _TransformConstraintTimeline$1.ENTRIES;
      this.frames[frameIndex] = time;
      this.frames[frameIndex + _TransformConstraintTimeline$1.ROTATE] = rotateMix;
      this.frames[frameIndex + _TransformConstraintTimeline$1.TRANSLATE] = translateMix;
      this.frames[frameIndex + _TransformConstraintTimeline$1.SCALE] = scaleMix;
      this.frames[frameIndex + _TransformConstraintTimeline$1.SHEAR] = shearMix;
    }
    apply(skeleton, lastTime, time, firedEvents, alpha, blend, direction) {
      const frames = this.frames;
      const constraint = skeleton.transformConstraints[this.transformConstraintIndex];
      if (!constraint.active)
        return;
      if (time < frames[0]) {
        const data = constraint.data;
        switch (blend) {
          case MixBlend.setup:
            constraint.rotateMix = data.rotateMix;
            constraint.translateMix = data.translateMix;
            constraint.scaleMix = data.scaleMix;
            constraint.shearMix = data.shearMix;
            return;
          case MixBlend.first:
            constraint.rotateMix += (data.rotateMix - constraint.rotateMix) * alpha;
            constraint.translateMix += (data.translateMix - constraint.translateMix) * alpha;
            constraint.scaleMix += (data.scaleMix - constraint.scaleMix) * alpha;
            constraint.shearMix += (data.shearMix - constraint.shearMix) * alpha;
        }
        return;
      }
      let rotate = 0;
      let translate = 0;
      let scale = 0;
      let shear = 0;
      if (time >= frames[frames.length - _TransformConstraintTimeline$1.ENTRIES]) {
        const i = frames.length;
        rotate = frames[i + _TransformConstraintTimeline$1.PREV_ROTATE];
        translate = frames[i + _TransformConstraintTimeline$1.PREV_TRANSLATE];
        scale = frames[i + _TransformConstraintTimeline$1.PREV_SCALE];
        shear = frames[i + _TransformConstraintTimeline$1.PREV_SHEAR];
      } else {
        const frame = Animation$3.binarySearch(frames, time, _TransformConstraintTimeline$1.ENTRIES);
        rotate = frames[frame + _TransformConstraintTimeline$1.PREV_ROTATE];
        translate = frames[frame + _TransformConstraintTimeline$1.PREV_TRANSLATE];
        scale = frames[frame + _TransformConstraintTimeline$1.PREV_SCALE];
        shear = frames[frame + _TransformConstraintTimeline$1.PREV_SHEAR];
        const frameTime = frames[frame];
        const percent = this.getCurvePercent(
          frame / _TransformConstraintTimeline$1.ENTRIES - 1,
          1 - (time - frameTime) / (frames[frame + _TransformConstraintTimeline$1.PREV_TIME] - frameTime)
        );
        rotate += (frames[frame + _TransformConstraintTimeline$1.ROTATE] - rotate) * percent;
        translate += (frames[frame + _TransformConstraintTimeline$1.TRANSLATE] - translate) * percent;
        scale += (frames[frame + _TransformConstraintTimeline$1.SCALE] - scale) * percent;
        shear += (frames[frame + _TransformConstraintTimeline$1.SHEAR] - shear) * percent;
      }
      if (blend == MixBlend.setup) {
        const data = constraint.data;
        constraint.rotateMix = data.rotateMix + (rotate - data.rotateMix) * alpha;
        constraint.translateMix = data.translateMix + (translate - data.translateMix) * alpha;
        constraint.scaleMix = data.scaleMix + (scale - data.scaleMix) * alpha;
        constraint.shearMix = data.shearMix + (shear - data.shearMix) * alpha;
      } else {
        constraint.rotateMix += (rotate - constraint.rotateMix) * alpha;
        constraint.translateMix += (translate - constraint.translateMix) * alpha;
        constraint.scaleMix += (scale - constraint.scaleMix) * alpha;
        constraint.shearMix += (shear - constraint.shearMix) * alpha;
      }
    }
  };
  let TransformConstraintTimeline$2 = _TransformConstraintTimeline$1;
  TransformConstraintTimeline$2.ENTRIES = 5;
  TransformConstraintTimeline$2.PREV_TIME = -5;
  TransformConstraintTimeline$2.PREV_ROTATE = -4;
  TransformConstraintTimeline$2.PREV_TRANSLATE = -3;
  TransformConstraintTimeline$2.PREV_SCALE = -2;
  TransformConstraintTimeline$2.PREV_SHEAR = -1;
  TransformConstraintTimeline$2.ROTATE = 1;
  TransformConstraintTimeline$2.TRANSLATE = 2;
  TransformConstraintTimeline$2.SCALE = 3;
  TransformConstraintTimeline$2.SHEAR = 4;
  const _PathConstraintPositionTimeline$1 = class extends CurveTimeline$2 {
    constructor(frameCount) {
      super(frameCount);
      this.frames = Utils.newFloatArray(frameCount * _PathConstraintPositionTimeline$1.ENTRIES);
    }
    getPropertyId() {
      return (11 << 24) + this.pathConstraintIndex;
    }
    setFrame(frameIndex, time, value) {
      frameIndex *= _PathConstraintPositionTimeline$1.ENTRIES;
      this.frames[frameIndex] = time;
      this.frames[frameIndex + _PathConstraintPositionTimeline$1.VALUE] = value;
    }
    apply(skeleton, lastTime, time, firedEvents, alpha, blend, direction) {
      const frames = this.frames;
      const constraint = skeleton.pathConstraints[this.pathConstraintIndex];
      if (!constraint.active)
        return;
      if (time < frames[0]) {
        switch (blend) {
          case MixBlend.setup:
            constraint.position = constraint.data.position;
            return;
          case MixBlend.first:
            constraint.position += (constraint.data.position - constraint.position) * alpha;
        }
        return;
      }
      let position = 0;
      if (time >= frames[frames.length - _PathConstraintPositionTimeline$1.ENTRIES])
        position = frames[frames.length + _PathConstraintPositionTimeline$1.PREV_VALUE];
      else {
        const frame = Animation$3.binarySearch(frames, time, _PathConstraintPositionTimeline$1.ENTRIES);
        position = frames[frame + _PathConstraintPositionTimeline$1.PREV_VALUE];
        const frameTime = frames[frame];
        const percent = this.getCurvePercent(
          frame / _PathConstraintPositionTimeline$1.ENTRIES - 1,
          1 - (time - frameTime) / (frames[frame + _PathConstraintPositionTimeline$1.PREV_TIME] - frameTime)
        );
        position += (frames[frame + _PathConstraintPositionTimeline$1.VALUE] - position) * percent;
      }
      if (blend == MixBlend.setup)
        constraint.position = constraint.data.position + (position - constraint.data.position) * alpha;
      else
        constraint.position += (position - constraint.position) * alpha;
    }
  };
  let PathConstraintPositionTimeline$2 = _PathConstraintPositionTimeline$1;
  PathConstraintPositionTimeline$2.ENTRIES = 2;
  PathConstraintPositionTimeline$2.PREV_TIME = -2;
  PathConstraintPositionTimeline$2.PREV_VALUE = -1;
  PathConstraintPositionTimeline$2.VALUE = 1;
  class PathConstraintSpacingTimeline$2 extends PathConstraintPositionTimeline$2 {
    constructor(frameCount) {
      super(frameCount);
    }
    getPropertyId() {
      return (12 << 24) + this.pathConstraintIndex;
    }
    apply(skeleton, lastTime, time, firedEvents, alpha, blend, direction) {
      const frames = this.frames;
      const constraint = skeleton.pathConstraints[this.pathConstraintIndex];
      if (!constraint.active)
        return;
      if (time < frames[0]) {
        switch (blend) {
          case MixBlend.setup:
            constraint.spacing = constraint.data.spacing;
            return;
          case MixBlend.first:
            constraint.spacing += (constraint.data.spacing - constraint.spacing) * alpha;
        }
        return;
      }
      let spacing = 0;
      if (time >= frames[frames.length - PathConstraintSpacingTimeline$2.ENTRIES])
        spacing = frames[frames.length + PathConstraintSpacingTimeline$2.PREV_VALUE];
      else {
        const frame = Animation$3.binarySearch(frames, time, PathConstraintSpacingTimeline$2.ENTRIES);
        spacing = frames[frame + PathConstraintSpacingTimeline$2.PREV_VALUE];
        const frameTime = frames[frame];
        const percent = this.getCurvePercent(
          frame / PathConstraintSpacingTimeline$2.ENTRIES - 1,
          1 - (time - frameTime) / (frames[frame + PathConstraintSpacingTimeline$2.PREV_TIME] - frameTime)
        );
        spacing += (frames[frame + PathConstraintSpacingTimeline$2.VALUE] - spacing) * percent;
      }
      if (blend == MixBlend.setup)
        constraint.spacing = constraint.data.spacing + (spacing - constraint.data.spacing) * alpha;
      else
        constraint.spacing += (spacing - constraint.spacing) * alpha;
    }
  }
  const _PathConstraintMixTimeline$1 = class extends CurveTimeline$2 {
    constructor(frameCount) {
      super(frameCount);
      this.frames = Utils.newFloatArray(frameCount * _PathConstraintMixTimeline$1.ENTRIES);
    }
    getPropertyId() {
      return (13 << 24) + this.pathConstraintIndex;
    }
    setFrame(frameIndex, time, rotateMix, translateMix) {
      frameIndex *= _PathConstraintMixTimeline$1.ENTRIES;
      this.frames[frameIndex] = time;
      this.frames[frameIndex + _PathConstraintMixTimeline$1.ROTATE] = rotateMix;
      this.frames[frameIndex + _PathConstraintMixTimeline$1.TRANSLATE] = translateMix;
    }
    apply(skeleton, lastTime, time, firedEvents, alpha, blend, direction) {
      const frames = this.frames;
      const constraint = skeleton.pathConstraints[this.pathConstraintIndex];
      if (!constraint.active)
        return;
      if (time < frames[0]) {
        switch (blend) {
          case MixBlend.setup:
            constraint.rotateMix = constraint.data.rotateMix;
            constraint.translateMix = constraint.data.translateMix;
            return;
          case MixBlend.first:
            constraint.rotateMix += (constraint.data.rotateMix - constraint.rotateMix) * alpha;
            constraint.translateMix += (constraint.data.translateMix - constraint.translateMix) * alpha;
        }
        return;
      }
      let rotate = 0;
      let translate = 0;
      if (time >= frames[frames.length - _PathConstraintMixTimeline$1.ENTRIES]) {
        rotate = frames[frames.length + _PathConstraintMixTimeline$1.PREV_ROTATE];
        translate = frames[frames.length + _PathConstraintMixTimeline$1.PREV_TRANSLATE];
      } else {
        const frame = Animation$3.binarySearch(frames, time, _PathConstraintMixTimeline$1.ENTRIES);
        rotate = frames[frame + _PathConstraintMixTimeline$1.PREV_ROTATE];
        translate = frames[frame + _PathConstraintMixTimeline$1.PREV_TRANSLATE];
        const frameTime = frames[frame];
        const percent = this.getCurvePercent(
          frame / _PathConstraintMixTimeline$1.ENTRIES - 1,
          1 - (time - frameTime) / (frames[frame + _PathConstraintMixTimeline$1.PREV_TIME] - frameTime)
        );
        rotate += (frames[frame + _PathConstraintMixTimeline$1.ROTATE] - rotate) * percent;
        translate += (frames[frame + _PathConstraintMixTimeline$1.TRANSLATE] - translate) * percent;
      }
      if (blend == MixBlend.setup) {
        constraint.rotateMix = constraint.data.rotateMix + (rotate - constraint.data.rotateMix) * alpha;
        constraint.translateMix = constraint.data.translateMix + (translate - constraint.data.translateMix) * alpha;
      } else {
        constraint.rotateMix += (rotate - constraint.rotateMix) * alpha;
        constraint.translateMix += (translate - constraint.translateMix) * alpha;
      }
    }
  };
  let PathConstraintMixTimeline$2 = _PathConstraintMixTimeline$1;
  PathConstraintMixTimeline$2.ENTRIES = 3;
  PathConstraintMixTimeline$2.PREV_TIME = -3;
  PathConstraintMixTimeline$2.PREV_ROTATE = -2;
  PathConstraintMixTimeline$2.PREV_TRANSLATE = -1;
  PathConstraintMixTimeline$2.ROTATE = 1;
  PathConstraintMixTimeline$2.TRANSLATE = 2;
  new Animation$3("<empty>", [], 0);
  class AtlasAttachmentLoader$2 {
    constructor(atlas) {
      this.atlas = atlas;
    }
    newRegionAttachment(skin, name, path) {
      const region = this.atlas.findRegion(path);
      if (region == null)
        throw new Error(`Region not found in atlas: ${path} (region attachment: ${name})`);
      const attachment = new RegionAttachment$2(name);
      attachment.region = region;
      return attachment;
    }
    newMeshAttachment(skin, name, path) {
      const region = this.atlas.findRegion(path);
      if (region == null)
        throw new Error(`Region not found in atlas: ${path} (mesh attachment: ${name})`);
      const attachment = new MeshAttachment$2(name);
      attachment.region = region;
      return attachment;
    }
    newBoundingBoxAttachment(skin, name) {
      return new BoundingBoxAttachment$2(name);
    }
    newPathAttachment(skin, name) {
      return new PathAttachment$2(name);
    }
    newPointAttachment(skin, name) {
      return new PointAttachment$2(name);
    }
    newClippingAttachment(skin, name) {
      return new ClippingAttachment$2(name);
    }
  }
  class BoneData$2 {
    constructor(index, name, parent) {
      this.x = 0;
      this.y = 0;
      this.rotation = 0;
      this.scaleX = 1;
      this.scaleY = 1;
      this.shearX = 0;
      this.shearY = 0;
      this.transformMode = TransformMode.Normal;
      this.skinRequired = false;
      this.color = new Color();
      if (index < 0)
        throw new Error("index must be >= 0.");
      if (name == null)
        throw new Error("name cannot be null.");
      this.index = index;
      this.name = name;
      this.parent = parent;
    }
  }
  class ConstraintData$1 {
    constructor(name, order, skinRequired) {
      this.name = name;
      this.order = order;
      this.skinRequired = skinRequired;
    }
  }
  class Event$2 {
    constructor(time, data) {
      if (data == null)
        throw new Error("data cannot be null.");
      this.time = time;
      this.data = data;
    }
  }
  class EventData$2 {
    constructor(name) {
      this.name = name;
    }
  }
  class IkConstraintData$2 extends ConstraintData$1 {
    constructor(name) {
      super(name, 0, false);
      this.bones = new Array();
      this.bendDirection = 1;
      this.compress = false;
      this.stretch = false;
      this.uniform = false;
      this.mix = 1;
      this.softness = 0;
    }
  }
  class PathConstraintData$2 extends ConstraintData$1 {
    constructor(name) {
      super(name, 0, false);
      this.bones = new Array();
    }
  }
  var SpacingMode$2 = /* @__PURE__ */ ((SpacingMode2) => {
    SpacingMode2[SpacingMode2["Length"] = 0] = "Length";
    SpacingMode2[SpacingMode2["Fixed"] = 1] = "Fixed";
    SpacingMode2[SpacingMode2["Percent"] = 2] = "Percent";
    return SpacingMode2;
  })(SpacingMode$2 || {});
  class SkeletonData$2 {
    constructor() {
      this.bones = new Array();
      this.slots = new Array();
      this.skins = new Array();
      this.events = new Array();
      this.animations = new Array();
      this.ikConstraints = new Array();
      this.transformConstraints = new Array();
      this.pathConstraints = new Array();
      this.fps = 0;
    }
    findBone(boneName) {
      if (boneName == null)
        throw new Error("boneName cannot be null.");
      const bones = this.bones;
      for (let i = 0, n = bones.length; i < n; i++) {
        const bone = bones[i];
        if (bone.name == boneName)
          return bone;
      }
      return null;
    }
    findBoneIndex(boneName) {
      if (boneName == null)
        throw new Error("boneName cannot be null.");
      const bones = this.bones;
      for (let i = 0, n = bones.length; i < n; i++)
        if (bones[i].name == boneName)
          return i;
      return -1;
    }
    findSlot(slotName) {
      if (slotName == null)
        throw new Error("slotName cannot be null.");
      const slots = this.slots;
      for (let i = 0, n = slots.length; i < n; i++) {
        const slot = slots[i];
        if (slot.name == slotName)
          return slot;
      }
      return null;
    }
    findSlotIndex(slotName) {
      if (slotName == null)
        throw new Error("slotName cannot be null.");
      const slots = this.slots;
      for (let i = 0, n = slots.length; i < n; i++)
        if (slots[i].name == slotName)
          return i;
      return -1;
    }
    findSkin(skinName) {
      if (skinName == null)
        throw new Error("skinName cannot be null.");
      const skins = this.skins;
      for (let i = 0, n = skins.length; i < n; i++) {
        const skin = skins[i];
        if (skin.name == skinName)
          return skin;
      }
      return null;
    }
    findEvent(eventDataName) {
      if (eventDataName == null)
        throw new Error("eventDataName cannot be null.");
      const events = this.events;
      for (let i = 0, n = events.length; i < n; i++) {
        const event = events[i];
        if (event.name == eventDataName)
          return event;
      }
      return null;
    }
    findAnimation(animationName) {
      if (animationName == null)
        throw new Error("animationName cannot be null.");
      const animations = this.animations;
      for (let i = 0, n = animations.length; i < n; i++) {
        const animation = animations[i];
        if (animation.name == animationName)
          return animation;
      }
      return null;
    }
    findIkConstraint(constraintName) {
      if (constraintName == null)
        throw new Error("constraintName cannot be null.");
      const ikConstraints = this.ikConstraints;
      for (let i = 0, n = ikConstraints.length; i < n; i++) {
        const constraint = ikConstraints[i];
        if (constraint.name == constraintName)
          return constraint;
      }
      return null;
    }
    findTransformConstraint(constraintName) {
      if (constraintName == null)
        throw new Error("constraintName cannot be null.");
      const transformConstraints = this.transformConstraints;
      for (let i = 0, n = transformConstraints.length; i < n; i++) {
        const constraint = transformConstraints[i];
        if (constraint.name == constraintName)
          return constraint;
      }
      return null;
    }
    findPathConstraint(constraintName) {
      if (constraintName == null)
        throw new Error("constraintName cannot be null.");
      const pathConstraints = this.pathConstraints;
      for (let i = 0, n = pathConstraints.length; i < n; i++) {
        const constraint = pathConstraints[i];
        if (constraint.name == constraintName)
          return constraint;
      }
      return null;
    }
    findPathConstraintIndex(pathConstraintName) {
      if (pathConstraintName == null)
        throw new Error("pathConstraintName cannot be null.");
      const pathConstraints = this.pathConstraints;
      for (let i = 0, n = pathConstraints.length; i < n; i++)
        if (pathConstraints[i].name == pathConstraintName)
          return i;
      return -1;
    }
  }
  class SlotData$2 {
    constructor(index, name, boneData) {
      this.color = new Color(1, 1, 1, 1);
      if (index < 0)
        throw new Error("index must be >= 0.");
      if (name == null)
        throw new Error("name cannot be null.");
      if (boneData == null)
        throw new Error("boneData cannot be null.");
      this.index = index;
      this.name = name;
      this.boneData = boneData;
    }
  }
  class TransformConstraintData$2 extends ConstraintData$1 {
    constructor(name) {
      super(name, 0, false);
      this.bones = new Array();
      this.rotateMix = 0;
      this.translateMix = 0;
      this.scaleMix = 0;
      this.shearMix = 0;
      this.offsetRotation = 0;
      this.offsetX = 0;
      this.offsetY = 0;
      this.offsetScaleX = 0;
      this.offsetScaleY = 0;
      this.offsetShearY = 0;
      this.relative = false;
      this.local = false;
    }
  }
  class SkinEntry$1 {
    constructor(slotIndex, name, attachment) {
      this.slotIndex = slotIndex;
      this.name = name;
      this.attachment = attachment;
    }
  }
  class Skin$2 {
    constructor(name) {
      this.attachments = new Array();
      this.bones = Array();
      this.constraints = new Array();
      if (name == null)
        throw new Error("name cannot be null.");
      this.name = name;
    }
    setAttachment(slotIndex, name, attachment) {
      if (attachment == null)
        throw new Error("attachment cannot be null.");
      const attachments = this.attachments;
      if (slotIndex >= attachments.length)
        attachments.length = slotIndex + 1;
      if (!attachments[slotIndex])
        attachments[slotIndex] = {};
      attachments[slotIndex][name] = attachment;
    }
    addSkin(skin) {
      for (let i = 0; i < skin.bones.length; i++) {
        const bone = skin.bones[i];
        let contained = false;
        for (let j = 0; j < this.bones.length; j++) {
          if (this.bones[j] == bone) {
            contained = true;
            break;
          }
        }
        if (!contained)
          this.bones.push(bone);
      }
      for (let i = 0; i < skin.constraints.length; i++) {
        const constraint = skin.constraints[i];
        let contained = false;
        for (let j = 0; j < this.constraints.length; j++) {
          if (this.constraints[j] == constraint) {
            contained = true;
            break;
          }
        }
        if (!contained)
          this.constraints.push(constraint);
      }
      const attachments = skin.getAttachments();
      for (let i = 0; i < attachments.length; i++) {
        const attachment = attachments[i];
        this.setAttachment(attachment.slotIndex, attachment.name, attachment.attachment);
      }
    }
    copySkin(skin) {
      for (let i = 0; i < skin.bones.length; i++) {
        const bone = skin.bones[i];
        let contained = false;
        for (let j = 0; j < this.bones.length; j++) {
          if (this.bones[j] == bone) {
            contained = true;
            break;
          }
        }
        if (!contained)
          this.bones.push(bone);
      }
      for (let i = 0; i < skin.constraints.length; i++) {
        const constraint = skin.constraints[i];
        let contained = false;
        for (let j = 0; j < this.constraints.length; j++) {
          if (this.constraints[j] == constraint) {
            contained = true;
            break;
          }
        }
        if (!contained)
          this.constraints.push(constraint);
      }
      const attachments = skin.getAttachments();
      for (let i = 0; i < attachments.length; i++) {
        const attachment = attachments[i];
        if (attachment.attachment == null)
          continue;
        if (attachment.attachment instanceof MeshAttachment$2) {
          attachment.attachment = attachment.attachment.newLinkedMesh();
          this.setAttachment(attachment.slotIndex, attachment.name, attachment.attachment);
        } else {
          attachment.attachment = attachment.attachment.copy();
          this.setAttachment(attachment.slotIndex, attachment.name, attachment.attachment);
        }
      }
    }
    getAttachment(slotIndex, name) {
      const dictionary = this.attachments[slotIndex];
      return dictionary ? dictionary[name] : null;
    }
    removeAttachment(slotIndex, name) {
      const dictionary = this.attachments[slotIndex];
      if (dictionary)
        dictionary[name] = null;
    }
    getAttachments() {
      const entries = new Array();
      for (let i = 0; i < this.attachments.length; i++) {
        const slotAttachments = this.attachments[i];
        if (slotAttachments) {
          for (const name in slotAttachments) {
            const attachment = slotAttachments[name];
            if (attachment)
              entries.push(new SkinEntry$1(i, name, attachment));
          }
        }
      }
      return entries;
    }
    getAttachmentsForSlot(slotIndex, attachments) {
      const slotAttachments = this.attachments[slotIndex];
      if (slotAttachments) {
        for (const name in slotAttachments) {
          const attachment = slotAttachments[name];
          if (attachment)
            attachments.push(new SkinEntry$1(slotIndex, name, attachment));
        }
      }
    }
    clear() {
      this.attachments.length = 0;
      this.bones.length = 0;
      this.constraints.length = 0;
    }
    attachAll(skeleton, oldSkin) {
      let slotIndex = 0;
      for (let i = 0; i < skeleton.slots.length; i++) {
        const slot = skeleton.slots[i];
        const slotAttachment = slot.getAttachment();
        if (slotAttachment && slotIndex < oldSkin.attachments.length) {
          const dictionary = oldSkin.attachments[slotIndex];
          for (const key in dictionary) {
            const skinAttachment = dictionary[key];
            if (slotAttachment == skinAttachment) {
              const attachment = this.getAttachment(slotIndex, key);
              if (attachment != null)
                slot.setAttachment(attachment);
              break;
            }
          }
        }
        slotIndex++;
      }
    }
  }
  const _SkeletonBinary = class {
    constructor(attachmentLoader) {
      this.scale = 1;
      this.linkedMeshes = new Array();
      this.attachmentLoader = attachmentLoader;
    }
    readSkeletonData(binary) {
      const scale = this.scale;
      const skeletonData = new SkeletonData$2();
      skeletonData.name = "";
      const input = new BinaryInput(binary);
      skeletonData.hash = input.readString();
      skeletonData.version = input.readString();
      if (skeletonData.version === "3.8.75") {
        const error = `Unsupported skeleton data, 3.8.75 is deprecated, please export with a newer version of Spine.`;
        console.error(error);
      }
      skeletonData.x = input.readFloat();
      skeletonData.y = input.readFloat();
      skeletonData.width = input.readFloat();
      skeletonData.height = input.readFloat();
      const nonessential = input.readBoolean();
      if (nonessential) {
        skeletonData.fps = input.readFloat();
        skeletonData.imagesPath = input.readString();
        skeletonData.audioPath = input.readString();
      }
      let n = 0;
      n = input.readInt(true);
      for (let i = 0; i < n; i++)
        input.strings.push(input.readString());
      n = input.readInt(true);
      for (let i = 0; i < n; i++) {
        const name = input.readString();
        const parent = i == 0 ? null : skeletonData.bones[input.readInt(true)];
        const data = new BoneData$2(i, name, parent);
        data.rotation = input.readFloat();
        data.x = input.readFloat() * scale;
        data.y = input.readFloat() * scale;
        data.scaleX = input.readFloat();
        data.scaleY = input.readFloat();
        data.shearX = input.readFloat();
        data.shearY = input.readFloat();
        data.length = input.readFloat() * scale;
        data.transformMode = _SkeletonBinary.TransformModeValues[input.readInt(true)];
        data.skinRequired = input.readBoolean();
        if (nonessential)
          Color.rgba8888ToColor(data.color, input.readInt32());
        skeletonData.bones.push(data);
      }
      n = input.readInt(true);
      for (let i = 0; i < n; i++) {
        const slotName = input.readString();
        const boneData = skeletonData.bones[input.readInt(true)];
        const data = new SlotData$2(i, slotName, boneData);
        Color.rgba8888ToColor(data.color, input.readInt32());
        const darkColor = input.readInt32();
        if (darkColor != -1)
          Color.rgb888ToColor(data.darkColor = new Color(), darkColor);
        data.attachmentName = input.readStringRef();
        data.blendMode = _SkeletonBinary.BlendModeValues[input.readInt(true)];
        skeletonData.slots.push(data);
      }
      n = input.readInt(true);
      for (let i = 0, nn; i < n; i++) {
        const data = new IkConstraintData$2(input.readString());
        data.order = input.readInt(true);
        data.skinRequired = input.readBoolean();
        nn = input.readInt(true);
        for (let ii = 0; ii < nn; ii++)
          data.bones.push(skeletonData.bones[input.readInt(true)]);
        data.target = skeletonData.bones[input.readInt(true)];
        data.mix = input.readFloat();
        data.softness = input.readFloat() * scale;
        data.bendDirection = input.readByte();
        data.compress = input.readBoolean();
        data.stretch = input.readBoolean();
        data.uniform = input.readBoolean();
        skeletonData.ikConstraints.push(data);
      }
      n = input.readInt(true);
      for (let i = 0, nn; i < n; i++) {
        const data = new TransformConstraintData$2(input.readString());
        data.order = input.readInt(true);
        data.skinRequired = input.readBoolean();
        nn = input.readInt(true);
        for (let ii = 0; ii < nn; ii++)
          data.bones.push(skeletonData.bones[input.readInt(true)]);
        data.target = skeletonData.bones[input.readInt(true)];
        data.local = input.readBoolean();
        data.relative = input.readBoolean();
        data.offsetRotation = input.readFloat();
        data.offsetX = input.readFloat() * scale;
        data.offsetY = input.readFloat() * scale;
        data.offsetScaleX = input.readFloat();
        data.offsetScaleY = input.readFloat();
        data.offsetShearY = input.readFloat();
        data.rotateMix = input.readFloat();
        data.translateMix = input.readFloat();
        data.scaleMix = input.readFloat();
        data.shearMix = input.readFloat();
        skeletonData.transformConstraints.push(data);
      }
      n = input.readInt(true);
      for (let i = 0, nn; i < n; i++) {
        const data = new PathConstraintData$2(input.readString());
        data.order = input.readInt(true);
        data.skinRequired = input.readBoolean();
        nn = input.readInt(true);
        for (let ii = 0; ii < nn; ii++)
          data.bones.push(skeletonData.bones[input.readInt(true)]);
        data.target = skeletonData.slots[input.readInt(true)];
        data.positionMode = _SkeletonBinary.PositionModeValues[input.readInt(true)];
        data.spacingMode = _SkeletonBinary.SpacingModeValues[input.readInt(true)];
        data.rotateMode = _SkeletonBinary.RotateModeValues[input.readInt(true)];
        data.offsetRotation = input.readFloat();
        data.position = input.readFloat();
        if (data.positionMode == PositionMode.Fixed)
          data.position *= scale;
        data.spacing = input.readFloat();
        if (data.spacingMode == SpacingMode$2.Length || data.spacingMode == SpacingMode$2.Fixed)
          data.spacing *= scale;
        data.rotateMix = input.readFloat();
        data.translateMix = input.readFloat();
        skeletonData.pathConstraints.push(data);
      }
      const defaultSkin = this.readSkin(input, skeletonData, true, nonessential);
      if (defaultSkin != null) {
        skeletonData.defaultSkin = defaultSkin;
        skeletonData.skins.push(defaultSkin);
      }
      {
        let i = skeletonData.skins.length;
        Utils.setArraySize(skeletonData.skins, n = i + input.readInt(true));
        for (; i < n; i++)
          skeletonData.skins[i] = this.readSkin(input, skeletonData, false, nonessential);
      }
      n = this.linkedMeshes.length;
      for (let i = 0; i < n; i++) {
        const linkedMesh = this.linkedMeshes[i];
        const skin = linkedMesh.skin == null ? skeletonData.defaultSkin : skeletonData.findSkin(linkedMesh.skin);
        if (skin == null)
          throw new Error(`Skin not found: ${linkedMesh.skin}`);
        const parent = skin.getAttachment(linkedMesh.slotIndex, linkedMesh.parent);
        if (parent == null)
          throw new Error(`Parent mesh not found: ${linkedMesh.parent}`);
        linkedMesh.mesh.deformAttachment = linkedMesh.inheritDeform ? parent : linkedMesh.mesh;
        linkedMesh.mesh.setParentMesh(parent);
      }
      this.linkedMeshes.length = 0;
      n = input.readInt(true);
      for (let i = 0; i < n; i++) {
        const data = new EventData$2(input.readStringRef());
        data.intValue = input.readInt(false);
        data.floatValue = input.readFloat();
        data.stringValue = input.readString();
        data.audioPath = input.readString();
        if (data.audioPath != null) {
          data.volume = input.readFloat();
          data.balance = input.readFloat();
        }
        skeletonData.events.push(data);
      }
      n = input.readInt(true);
      for (let i = 0; i < n; i++)
        skeletonData.animations.push(this.readAnimation(input, input.readString(), skeletonData));
      return skeletonData;
    }
    readSkin(input, skeletonData, defaultSkin, nonessential) {
      let skin = null;
      let slotCount = 0;
      if (defaultSkin) {
        slotCount = input.readInt(true);
        if (slotCount == 0)
          return null;
        skin = new Skin$2("default");
      } else {
        skin = new Skin$2(input.readStringRef());
        skin.bones.length = input.readInt(true);
        for (let i = 0, n = skin.bones.length; i < n; i++)
          skin.bones[i] = skeletonData.bones[input.readInt(true)];
        for (let i = 0, n = input.readInt(true); i < n; i++)
          skin.constraints.push(skeletonData.ikConstraints[input.readInt(true)]);
        for (let i = 0, n = input.readInt(true); i < n; i++)
          skin.constraints.push(skeletonData.transformConstraints[input.readInt(true)]);
        for (let i = 0, n = input.readInt(true); i < n; i++)
          skin.constraints.push(skeletonData.pathConstraints[input.readInt(true)]);
        slotCount = input.readInt(true);
      }
      for (let i = 0; i < slotCount; i++) {
        const slotIndex = input.readInt(true);
        for (let ii = 0, nn = input.readInt(true); ii < nn; ii++) {
          const name = input.readStringRef();
          const attachment = this.readAttachment(input, skeletonData, skin, slotIndex, name, nonessential);
          if (attachment != null)
            skin.setAttachment(slotIndex, name, attachment);
        }
      }
      return skin;
    }
    readAttachment(input, skeletonData, skin, slotIndex, attachmentName, nonessential) {
      const scale = this.scale;
      let name = input.readStringRef();
      if (name == null)
        name = attachmentName;
      const typeIndex = input.readByte();
      const type = _SkeletonBinary.AttachmentTypeValues[typeIndex];
      switch (type) {
        case AttachmentType.Region: {
          let path = input.readStringRef();
          const rotation = input.readFloat();
          const x = input.readFloat();
          const y = input.readFloat();
          const scaleX = input.readFloat();
          const scaleY = input.readFloat();
          const width = input.readFloat();
          const height = input.readFloat();
          const color = input.readInt32();
          if (path == null)
            path = name;
          const region = this.attachmentLoader.newRegionAttachment(skin, name, path);
          if (region == null)
            return null;
          region.path = path;
          region.x = x * scale;
          region.y = y * scale;
          region.scaleX = scaleX;
          region.scaleY = scaleY;
          region.rotation = rotation;
          region.width = width * scale;
          region.height = height * scale;
          Color.rgba8888ToColor(region.color, color);
          return region;
        }
        case AttachmentType.BoundingBox: {
          const vertexCount = input.readInt(true);
          const vertices = this.readVertices(input, vertexCount);
          const color = nonessential ? input.readInt32() : 0;
          const box = this.attachmentLoader.newBoundingBoxAttachment(skin, name);
          if (box == null)
            return null;
          box.worldVerticesLength = vertexCount << 1;
          box.vertices = vertices.vertices;
          box.bones = vertices.bones;
          if (nonessential)
            Color.rgba8888ToColor(box.color, color);
          return box;
        }
        case AttachmentType.Mesh: {
          let path = input.readStringRef();
          const color = input.readInt32();
          const vertexCount = input.readInt(true);
          const uvs = this.readFloatArray(input, vertexCount << 1, 1);
          const triangles = this.readShortArray(input);
          const vertices = this.readVertices(input, vertexCount);
          const hullLength = input.readInt(true);
          let edges = null;
          let width = 0;
          let height = 0;
          if (nonessential) {
            edges = this.readShortArray(input);
            width = input.readFloat();
            height = input.readFloat();
          }
          if (path == null)
            path = name;
          const mesh = this.attachmentLoader.newMeshAttachment(skin, name, path);
          if (mesh == null)
            return null;
          mesh.path = path;
          Color.rgba8888ToColor(mesh.color, color);
          mesh.bones = vertices.bones;
          mesh.vertices = vertices.vertices;
          mesh.worldVerticesLength = vertexCount << 1;
          mesh.triangles = triangles;
          mesh.regionUVs = new Float32Array(uvs);
          mesh.hullLength = hullLength << 1;
          if (nonessential) {
            mesh.edges = edges;
            mesh.width = width * scale;
            mesh.height = height * scale;
          }
          return mesh;
        }
        case AttachmentType.LinkedMesh: {
          let path = input.readStringRef();
          const color = input.readInt32();
          const skinName = input.readStringRef();
          const parent = input.readStringRef();
          const inheritDeform = input.readBoolean();
          let width = 0;
          let height = 0;
          if (nonessential) {
            width = input.readFloat();
            height = input.readFloat();
          }
          if (path == null)
            path = name;
          const mesh = this.attachmentLoader.newMeshAttachment(skin, name, path);
          if (mesh == null)
            return null;
          mesh.path = path;
          Color.rgba8888ToColor(mesh.color, color);
          if (nonessential) {
            mesh.width = width * scale;
            mesh.height = height * scale;
          }
          this.linkedMeshes.push(new LinkedMesh$4(mesh, skinName, slotIndex, parent, inheritDeform));
          return mesh;
        }
        case AttachmentType.Path: {
          const closed2 = input.readBoolean();
          const constantSpeed = input.readBoolean();
          const vertexCount = input.readInt(true);
          const vertices = this.readVertices(input, vertexCount);
          const lengths = Utils.newArray(vertexCount / 3, 0);
          for (let i = 0, n = lengths.length; i < n; i++)
            lengths[i] = input.readFloat() * scale;
          const color = nonessential ? input.readInt32() : 0;
          const path = this.attachmentLoader.newPathAttachment(skin, name);
          if (path == null)
            return null;
          path.closed = closed2;
          path.constantSpeed = constantSpeed;
          path.worldVerticesLength = vertexCount << 1;
          path.vertices = vertices.vertices;
          path.bones = vertices.bones;
          path.lengths = lengths;
          if (nonessential)
            Color.rgba8888ToColor(path.color, color);
          return path;
        }
        case AttachmentType.Point: {
          const rotation = input.readFloat();
          const x = input.readFloat();
          const y = input.readFloat();
          const color = nonessential ? input.readInt32() : 0;
          const point = this.attachmentLoader.newPointAttachment(skin, name);
          if (point == null)
            return null;
          point.x = x * scale;
          point.y = y * scale;
          point.rotation = rotation;
          if (nonessential)
            Color.rgba8888ToColor(point.color, color);
          return point;
        }
        case AttachmentType.Clipping: {
          const endSlotIndex = input.readInt(true);
          const vertexCount = input.readInt(true);
          const vertices = this.readVertices(input, vertexCount);
          const color = nonessential ? input.readInt32() : 0;
          const clip = this.attachmentLoader.newClippingAttachment(skin, name);
          if (clip == null)
            return null;
          clip.endSlot = skeletonData.slots[endSlotIndex];
          clip.worldVerticesLength = vertexCount << 1;
          clip.vertices = vertices.vertices;
          clip.bones = vertices.bones;
          if (nonessential)
            Color.rgba8888ToColor(clip.color, color);
          return clip;
        }
      }
      return null;
    }
    readVertices(input, vertexCount) {
      const verticesLength = vertexCount << 1;
      const vertices = new Vertices$1();
      const scale = this.scale;
      if (!input.readBoolean()) {
        vertices.vertices = this.readFloatArray(input, verticesLength, scale);
        return vertices;
      }
      const weights = new Array();
      const bonesArray = new Array();
      for (let i = 0; i < vertexCount; i++) {
        const boneCount = input.readInt(true);
        bonesArray.push(boneCount);
        for (let ii = 0; ii < boneCount; ii++) {
          bonesArray.push(input.readInt(true));
          weights.push(input.readFloat() * scale);
          weights.push(input.readFloat() * scale);
          weights.push(input.readFloat());
        }
      }
      vertices.vertices = Utils.toFloatArray(weights);
      vertices.bones = bonesArray;
      return vertices;
    }
    readFloatArray(input, n, scale) {
      const array = new Array(n);
      if (scale == 1) {
        for (let i = 0; i < n; i++)
          array[i] = input.readFloat();
      } else {
        for (let i = 0; i < n; i++)
          array[i] = input.readFloat() * scale;
      }
      return array;
    }
    readShortArray(input) {
      const n = input.readInt(true);
      const array = new Array(n);
      for (let i = 0; i < n; i++)
        array[i] = input.readShort();
      return array;
    }
    readAnimation(input, name, skeletonData) {
      const timelines = new Array();
      const scale = this.scale;
      let duration = 0;
      const tempColor1 = new Color();
      const tempColor2 = new Color();
      for (let i = 0, n = input.readInt(true); i < n; i++) {
        const slotIndex = input.readInt(true);
        for (let ii = 0, nn = input.readInt(true); ii < nn; ii++) {
          const timelineType = input.readByte();
          const frameCount = input.readInt(true);
          switch (timelineType) {
            case _SkeletonBinary.SLOT_ATTACHMENT: {
              const timeline = new AttachmentTimeline$2(frameCount);
              timeline.slotIndex = slotIndex;
              for (let frameIndex = 0; frameIndex < frameCount; frameIndex++)
                timeline.setFrame(frameIndex, input.readFloat(), input.readStringRef());
              timelines.push(timeline);
              duration = Math.max(duration, timeline.frames[frameCount - 1]);
              break;
            }
            case _SkeletonBinary.SLOT_COLOR: {
              const timeline = new ColorTimeline$1(frameCount);
              timeline.slotIndex = slotIndex;
              for (let frameIndex = 0; frameIndex < frameCount; frameIndex++) {
                const time = input.readFloat();
                Color.rgba8888ToColor(tempColor1, input.readInt32());
                timeline.setFrame(frameIndex, time, tempColor1.r, tempColor1.g, tempColor1.b, tempColor1.a);
                if (frameIndex < frameCount - 1)
                  this.readCurve(input, frameIndex, timeline);
              }
              timelines.push(timeline);
              duration = Math.max(duration, timeline.frames[(frameCount - 1) * ColorTimeline$1.ENTRIES]);
              break;
            }
            case _SkeletonBinary.SLOT_TWO_COLOR: {
              const timeline = new TwoColorTimeline$1(frameCount);
              timeline.slotIndex = slotIndex;
              for (let frameIndex = 0; frameIndex < frameCount; frameIndex++) {
                const time = input.readFloat();
                Color.rgba8888ToColor(tempColor1, input.readInt32());
                Color.rgb888ToColor(tempColor2, input.readInt32());
                timeline.setFrame(frameIndex, time, tempColor1.r, tempColor1.g, tempColor1.b, tempColor1.a, tempColor2.r, tempColor2.g, tempColor2.b);
                if (frameIndex < frameCount - 1)
                  this.readCurve(input, frameIndex, timeline);
              }
              timelines.push(timeline);
              duration = Math.max(duration, timeline.frames[(frameCount - 1) * TwoColorTimeline$1.ENTRIES]);
              break;
            }
          }
        }
      }
      for (let i = 0, n = input.readInt(true); i < n; i++) {
        const boneIndex = input.readInt(true);
        for (let ii = 0, nn = input.readInt(true); ii < nn; ii++) {
          const timelineType = input.readByte();
          const frameCount = input.readInt(true);
          switch (timelineType) {
            case _SkeletonBinary.BONE_ROTATE: {
              const timeline = new RotateTimeline$2(frameCount);
              timeline.boneIndex = boneIndex;
              for (let frameIndex = 0; frameIndex < frameCount; frameIndex++) {
                timeline.setFrame(frameIndex, input.readFloat(), input.readFloat());
                if (frameIndex < frameCount - 1)
                  this.readCurve(input, frameIndex, timeline);
              }
              timelines.push(timeline);
              duration = Math.max(duration, timeline.frames[(frameCount - 1) * RotateTimeline$2.ENTRIES]);
              break;
            }
            case _SkeletonBinary.BONE_TRANSLATE:
            case _SkeletonBinary.BONE_SCALE:
            case _SkeletonBinary.BONE_SHEAR: {
              let timeline;
              let timelineScale = 1;
              if (timelineType == _SkeletonBinary.BONE_SCALE)
                timeline = new ScaleTimeline$2(frameCount);
              else if (timelineType == _SkeletonBinary.BONE_SHEAR)
                timeline = new ShearTimeline$2(frameCount);
              else {
                timeline = new TranslateTimeline$2(frameCount);
                timelineScale = scale;
              }
              timeline.boneIndex = boneIndex;
              for (let frameIndex = 0; frameIndex < frameCount; frameIndex++) {
                timeline.setFrame(frameIndex, input.readFloat(), input.readFloat() * timelineScale, input.readFloat() * timelineScale);
                if (frameIndex < frameCount - 1)
                  this.readCurve(input, frameIndex, timeline);
              }
              timelines.push(timeline);
              duration = Math.max(duration, timeline.frames[(frameCount - 1) * TranslateTimeline$2.ENTRIES]);
              break;
            }
          }
        }
      }
      for (let i = 0, n = input.readInt(true); i < n; i++) {
        const index = input.readInt(true);
        const frameCount = input.readInt(true);
        const timeline = new IkConstraintTimeline$2(frameCount);
        timeline.ikConstraintIndex = index;
        for (let frameIndex = 0; frameIndex < frameCount; frameIndex++) {
          timeline.setFrame(frameIndex, input.readFloat(), input.readFloat(), input.readFloat() * scale, input.readByte(), input.readBoolean(), input.readBoolean());
          if (frameIndex < frameCount - 1)
            this.readCurve(input, frameIndex, timeline);
        }
        timelines.push(timeline);
        duration = Math.max(duration, timeline.frames[(frameCount - 1) * IkConstraintTimeline$2.ENTRIES]);
      }
      for (let i = 0, n = input.readInt(true); i < n; i++) {
        const index = input.readInt(true);
        const frameCount = input.readInt(true);
        const timeline = new TransformConstraintTimeline$2(frameCount);
        timeline.transformConstraintIndex = index;
        for (let frameIndex = 0; frameIndex < frameCount; frameIndex++) {
          timeline.setFrame(frameIndex, input.readFloat(), input.readFloat(), input.readFloat(), input.readFloat(), input.readFloat());
          if (frameIndex < frameCount - 1)
            this.readCurve(input, frameIndex, timeline);
        }
        timelines.push(timeline);
        duration = Math.max(duration, timeline.frames[(frameCount - 1) * TransformConstraintTimeline$2.ENTRIES]);
      }
      for (let i = 0, n = input.readInt(true); i < n; i++) {
        const index = input.readInt(true);
        const data = skeletonData.pathConstraints[index];
        for (let ii = 0, nn = input.readInt(true); ii < nn; ii++) {
          const timelineType = input.readByte();
          const frameCount = input.readInt(true);
          switch (timelineType) {
            case _SkeletonBinary.PATH_POSITION:
            case _SkeletonBinary.PATH_SPACING: {
              let timeline;
              let timelineScale = 1;
              if (timelineType == _SkeletonBinary.PATH_SPACING) {
                timeline = new PathConstraintSpacingTimeline$2(frameCount);
                if (data.spacingMode == SpacingMode$2.Length || data.spacingMode == SpacingMode$2.Fixed)
                  timelineScale = scale;
              } else {
                timeline = new PathConstraintPositionTimeline$2(frameCount);
                if (data.positionMode == PositionMode.Fixed)
                  timelineScale = scale;
              }
              timeline.pathConstraintIndex = index;
              for (let frameIndex = 0; frameIndex < frameCount; frameIndex++) {
                timeline.setFrame(frameIndex, input.readFloat(), input.readFloat() * timelineScale);
                if (frameIndex < frameCount - 1)
                  this.readCurve(input, frameIndex, timeline);
              }
              timelines.push(timeline);
              duration = Math.max(duration, timeline.frames[(frameCount - 1) * PathConstraintPositionTimeline$2.ENTRIES]);
              break;
            }
            case _SkeletonBinary.PATH_MIX: {
              const timeline = new PathConstraintMixTimeline$2(frameCount);
              timeline.pathConstraintIndex = index;
              for (let frameIndex = 0; frameIndex < frameCount; frameIndex++) {
                timeline.setFrame(frameIndex, input.readFloat(), input.readFloat(), input.readFloat());
                if (frameIndex < frameCount - 1)
                  this.readCurve(input, frameIndex, timeline);
              }
              timelines.push(timeline);
              duration = Math.max(duration, timeline.frames[(frameCount - 1) * PathConstraintMixTimeline$2.ENTRIES]);
              break;
            }
          }
        }
      }
      for (let i = 0, n = input.readInt(true); i < n; i++) {
        const skin = skeletonData.skins[input.readInt(true)];
        for (let ii = 0, nn = input.readInt(true); ii < nn; ii++) {
          const slotIndex = input.readInt(true);
          for (let iii = 0, nnn = input.readInt(true); iii < nnn; iii++) {
            const attachment = skin.getAttachment(slotIndex, input.readStringRef());
            const weighted = attachment.bones != null;
            const vertices = attachment.vertices;
            const deformLength = weighted ? vertices.length / 3 * 2 : vertices.length;
            const frameCount = input.readInt(true);
            const timeline = new DeformTimeline$2(frameCount);
            timeline.slotIndex = slotIndex;
            timeline.attachment = attachment;
            for (let frameIndex = 0; frameIndex < frameCount; frameIndex++) {
              const time = input.readFloat();
              let deform;
              let end = input.readInt(true);
              if (end == 0)
                deform = weighted ? Utils.newFloatArray(deformLength) : vertices;
              else {
                deform = Utils.newFloatArray(deformLength);
                const start = input.readInt(true);
                end += start;
                if (scale == 1) {
                  for (let v = start; v < end; v++)
                    deform[v] = input.readFloat();
                } else {
                  for (let v = start; v < end; v++)
                    deform[v] = input.readFloat() * scale;
                }
                if (!weighted) {
                  for (let v = 0, vn = deform.length; v < vn; v++)
                    deform[v] += vertices[v];
                }
              }
              timeline.setFrame(frameIndex, time, deform);
              if (frameIndex < frameCount - 1)
                this.readCurve(input, frameIndex, timeline);
            }
            timelines.push(timeline);
            duration = Math.max(duration, timeline.frames[frameCount - 1]);
          }
        }
      }
      const drawOrderCount = input.readInt(true);
      if (drawOrderCount > 0) {
        const timeline = new DrawOrderTimeline$2(drawOrderCount);
        const slotCount = skeletonData.slots.length;
        for (let i = 0; i < drawOrderCount; i++) {
          const time = input.readFloat();
          const offsetCount = input.readInt(true);
          const drawOrder = Utils.newArray(slotCount, 0);
          for (let ii = slotCount - 1; ii >= 0; ii--)
            drawOrder[ii] = -1;
          const unchanged = Utils.newArray(slotCount - offsetCount, 0);
          let originalIndex = 0;
          let unchangedIndex = 0;
          for (let ii = 0; ii < offsetCount; ii++) {
            const slotIndex = input.readInt(true);
            while (originalIndex != slotIndex)
              unchanged[unchangedIndex++] = originalIndex++;
            drawOrder[originalIndex + input.readInt(true)] = originalIndex++;
          }
          while (originalIndex < slotCount)
            unchanged[unchangedIndex++] = originalIndex++;
          for (let ii = slotCount - 1; ii >= 0; ii--)
            if (drawOrder[ii] == -1)
              drawOrder[ii] = unchanged[--unchangedIndex];
          timeline.setFrame(i, time, drawOrder);
        }
        timelines.push(timeline);
        duration = Math.max(duration, timeline.frames[drawOrderCount - 1]);
      }
      const eventCount = input.readInt(true);
      if (eventCount > 0) {
        const timeline = new EventTimeline$2(eventCount);
        for (let i = 0; i < eventCount; i++) {
          const time = input.readFloat();
          const eventData = skeletonData.events[input.readInt(true)];
          const event = new Event$2(time, eventData);
          event.intValue = input.readInt(false);
          event.floatValue = input.readFloat();
          event.stringValue = input.readBoolean() ? input.readString() : eventData.stringValue;
          if (event.data.audioPath != null) {
            event.volume = input.readFloat();
            event.balance = input.readFloat();
          }
          timeline.setFrame(i, event);
        }
        timelines.push(timeline);
        duration = Math.max(duration, timeline.frames[eventCount - 1]);
      }
      return new Animation$3(name, timelines, duration);
    }
    readCurve(input, frameIndex, timeline) {
      switch (input.readByte()) {
        case _SkeletonBinary.CURVE_STEPPED:
          timeline.setStepped(frameIndex);
          break;
        case _SkeletonBinary.CURVE_BEZIER:
          this.setCurve(timeline, frameIndex, input.readFloat(), input.readFloat(), input.readFloat(), input.readFloat());
          break;
      }
    }
    setCurve(timeline, frameIndex, cx1, cy1, cx2, cy2) {
      timeline.setCurve(frameIndex, cx1, cy1, cx2, cy2);
    }
  };
  let SkeletonBinary$1 = _SkeletonBinary;
  SkeletonBinary$1.AttachmentTypeValues = [
    0,
    1,
    2,
    3,
    4,
    5,
    6
  ];
  SkeletonBinary$1.TransformModeValues = [
    TransformMode.Normal,
    TransformMode.OnlyTranslation,
    TransformMode.NoRotationOrReflection,
    TransformMode.NoScale,
    TransformMode.NoScaleOrReflection
  ];
  SkeletonBinary$1.PositionModeValues = [PositionMode.Fixed, PositionMode.Percent];
  SkeletonBinary$1.SpacingModeValues = [SpacingMode$2.Length, SpacingMode$2.Fixed, SpacingMode$2.Percent];
  SkeletonBinary$1.RotateModeValues = [RotateMode.Tangent, RotateMode.Chain, RotateMode.ChainScale];
  SkeletonBinary$1.BlendModeValues = [core.BLEND_MODES.NORMAL, core.BLEND_MODES.ADD, core.BLEND_MODES.MULTIPLY, core.BLEND_MODES.SCREEN];
  SkeletonBinary$1.BONE_ROTATE = 0;
  SkeletonBinary$1.BONE_TRANSLATE = 1;
  SkeletonBinary$1.BONE_SCALE = 2;
  SkeletonBinary$1.BONE_SHEAR = 3;
  SkeletonBinary$1.SLOT_ATTACHMENT = 0;
  SkeletonBinary$1.SLOT_COLOR = 1;
  SkeletonBinary$1.SLOT_TWO_COLOR = 2;
  SkeletonBinary$1.PATH_POSITION = 0;
  SkeletonBinary$1.PATH_SPACING = 1;
  SkeletonBinary$1.PATH_MIX = 2;
  SkeletonBinary$1.CURVE_LINEAR = 0;
  SkeletonBinary$1.CURVE_STEPPED = 1;
  SkeletonBinary$1.CURVE_BEZIER = 2;
  class LinkedMesh$4 {
    constructor(mesh, skin, slotIndex, parent, inheritDeform) {
      this.mesh = mesh;
      this.skin = skin;
      this.slotIndex = slotIndex;
      this.parent = parent;
      this.inheritDeform = inheritDeform;
    }
  }
  class Vertices$1 {
    constructor(bones = null, vertices = null) {
      this.bones = bones;
      this.vertices = vertices;
    }
  }
  class SkeletonJson$2 {
    constructor(attachmentLoader) {
      this.scale = 1;
      this.linkedMeshes = new Array();
      this.attachmentLoader = attachmentLoader;
    }
    readSkeletonData(json) {
      const scale = this.scale;
      const skeletonData = new SkeletonData$2();
      const root = typeof json === "string" ? JSON.parse(json) : json;
      const skeletonMap = root.skeleton;
      if (skeletonMap != null) {
        skeletonData.hash = skeletonMap.hash;
        skeletonData.version = skeletonMap.spine;
        if (skeletonData.version.substr(0, 3) !== "3.8") {
          const error = `Spine 3.8 loader cant load version ${skeletonMap.spine}. Please configure your pixi-spine bundle`;
          console.error(error);
        }
        if (skeletonData.version === "3.8.75") {
          const error = `Unsupported skeleton data, 3.8.75 is deprecated, please export with a newer version of Spine.`;
          console.error(error);
        }
        skeletonData.x = skeletonMap.x;
        skeletonData.y = skeletonMap.y;
        skeletonData.width = skeletonMap.width;
        skeletonData.height = skeletonMap.height;
        skeletonData.fps = skeletonMap.fps;
        skeletonData.imagesPath = skeletonMap.images;
      }
      if (root.bones) {
        for (let i = 0; i < root.bones.length; i++) {
          const boneMap = root.bones[i];
          let parent = null;
          const parentName = this.getValue(boneMap, "parent", null);
          if (parentName != null) {
            parent = skeletonData.findBone(parentName);
            if (parent == null)
              throw new Error(`Parent bone not found: ${parentName}`);
          }
          const data = new BoneData$2(skeletonData.bones.length, boneMap.name, parent);
          data.length = this.getValue(boneMap, "length", 0) * scale;
          data.x = this.getValue(boneMap, "x", 0) * scale;
          data.y = this.getValue(boneMap, "y", 0) * scale;
          data.rotation = this.getValue(boneMap, "rotation", 0);
          data.scaleX = this.getValue(boneMap, "scaleX", 1);
          data.scaleY = this.getValue(boneMap, "scaleY", 1);
          data.shearX = this.getValue(boneMap, "shearX", 0);
          data.shearY = this.getValue(boneMap, "shearY", 0);
          data.transformMode = SkeletonJson$2.transformModeFromString(this.getValue(boneMap, "transform", "normal"));
          data.skinRequired = this.getValue(boneMap, "skin", false);
          skeletonData.bones.push(data);
        }
      }
      if (root.slots) {
        for (let i = 0; i < root.slots.length; i++) {
          const slotMap = root.slots[i];
          const slotName = slotMap.name;
          const boneName = slotMap.bone;
          const boneData = skeletonData.findBone(boneName);
          if (boneData == null)
            throw new Error(`Slot bone not found: ${boneName}`);
          const data = new SlotData$2(skeletonData.slots.length, slotName, boneData);
          const color = this.getValue(slotMap, "color", null);
          if (color != null)
            data.color.setFromString(color);
          const dark = this.getValue(slotMap, "dark", null);
          if (dark != null) {
            data.darkColor = new Color(1, 1, 1, 1);
            data.darkColor.setFromString(dark);
          }
          data.attachmentName = this.getValue(slotMap, "attachment", null);
          data.blendMode = SkeletonJson$2.blendModeFromString(this.getValue(slotMap, "blend", "normal"));
          skeletonData.slots.push(data);
        }
      }
      if (root.ik) {
        for (let i = 0; i < root.ik.length; i++) {
          const constraintMap = root.ik[i];
          const data = new IkConstraintData$2(constraintMap.name);
          data.order = this.getValue(constraintMap, "order", 0);
          data.skinRequired = this.getValue(constraintMap, "skin", false);
          for (let j = 0; j < constraintMap.bones.length; j++) {
            const boneName = constraintMap.bones[j];
            const bone = skeletonData.findBone(boneName);
            if (bone == null)
              throw new Error(`IK bone not found: ${boneName}`);
            data.bones.push(bone);
          }
          const targetName = constraintMap.target;
          data.target = skeletonData.findBone(targetName);
          if (data.target == null)
            throw new Error(`IK target bone not found: ${targetName}`);
          data.mix = this.getValue(constraintMap, "mix", 1);
          data.softness = this.getValue(constraintMap, "softness", 0) * scale;
          data.bendDirection = this.getValue(constraintMap, "bendPositive", true) ? 1 : -1;
          data.compress = this.getValue(constraintMap, "compress", false);
          data.stretch = this.getValue(constraintMap, "stretch", false);
          data.uniform = this.getValue(constraintMap, "uniform", false);
          skeletonData.ikConstraints.push(data);
        }
      }
      if (root.transform) {
        for (let i = 0; i < root.transform.length; i++) {
          const constraintMap = root.transform[i];
          const data = new TransformConstraintData$2(constraintMap.name);
          data.order = this.getValue(constraintMap, "order", 0);
          data.skinRequired = this.getValue(constraintMap, "skin", false);
          for (let j = 0; j < constraintMap.bones.length; j++) {
            const boneName = constraintMap.bones[j];
            const bone = skeletonData.findBone(boneName);
            if (bone == null)
              throw new Error(`Transform constraint bone not found: ${boneName}`);
            data.bones.push(bone);
          }
          const targetName = constraintMap.target;
          data.target = skeletonData.findBone(targetName);
          if (data.target == null)
            throw new Error(`Transform constraint target bone not found: ${targetName}`);
          data.local = this.getValue(constraintMap, "local", false);
          data.relative = this.getValue(constraintMap, "relative", false);
          data.offsetRotation = this.getValue(constraintMap, "rotation", 0);
          data.offsetX = this.getValue(constraintMap, "x", 0) * scale;
          data.offsetY = this.getValue(constraintMap, "y", 0) * scale;
          data.offsetScaleX = this.getValue(constraintMap, "scaleX", 0);
          data.offsetScaleY = this.getValue(constraintMap, "scaleY", 0);
          data.offsetShearY = this.getValue(constraintMap, "shearY", 0);
          data.rotateMix = this.getValue(constraintMap, "rotateMix", 1);
          data.translateMix = this.getValue(constraintMap, "translateMix", 1);
          data.scaleMix = this.getValue(constraintMap, "scaleMix", 1);
          data.shearMix = this.getValue(constraintMap, "shearMix", 1);
          skeletonData.transformConstraints.push(data);
        }
      }
      if (root.path) {
        for (let i = 0; i < root.path.length; i++) {
          const constraintMap = root.path[i];
          const data = new PathConstraintData$2(constraintMap.name);
          data.order = this.getValue(constraintMap, "order", 0);
          data.skinRequired = this.getValue(constraintMap, "skin", false);
          for (let j = 0; j < constraintMap.bones.length; j++) {
            const boneName = constraintMap.bones[j];
            const bone = skeletonData.findBone(boneName);
            if (bone == null)
              throw new Error(`Transform constraint bone not found: ${boneName}`);
            data.bones.push(bone);
          }
          const targetName = constraintMap.target;
          data.target = skeletonData.findSlot(targetName);
          if (data.target == null)
            throw new Error(`Path target slot not found: ${targetName}`);
          data.positionMode = SkeletonJson$2.positionModeFromString(this.getValue(constraintMap, "positionMode", "percent"));
          data.spacingMode = SkeletonJson$2.spacingModeFromString(this.getValue(constraintMap, "spacingMode", "length"));
          data.rotateMode = SkeletonJson$2.rotateModeFromString(this.getValue(constraintMap, "rotateMode", "tangent"));
          data.offsetRotation = this.getValue(constraintMap, "rotation", 0);
          data.position = this.getValue(constraintMap, "position", 0);
          if (data.positionMode == PositionMode.Fixed)
            data.position *= scale;
          data.spacing = this.getValue(constraintMap, "spacing", 0);
          if (data.spacingMode == SpacingMode$2.Length || data.spacingMode == SpacingMode$2.Fixed)
            data.spacing *= scale;
          data.rotateMix = this.getValue(constraintMap, "rotateMix", 1);
          data.translateMix = this.getValue(constraintMap, "translateMix", 1);
          skeletonData.pathConstraints.push(data);
        }
      }
      if (root.skins) {
        for (let i = 0; i < root.skins.length; i++) {
          const skinMap = root.skins[i];
          const skin = new Skin$2(skinMap.name);
          if (skinMap.bones) {
            for (let ii = 0; ii < skinMap.bones.length; ii++) {
              const bone = skeletonData.findBone(skinMap.bones[ii]);
              if (bone == null)
                throw new Error(`Skin bone not found: ${skinMap.bones[i]}`);
              skin.bones.push(bone);
            }
          }
          if (skinMap.ik) {
            for (let ii = 0; ii < skinMap.ik.length; ii++) {
              const constraint = skeletonData.findIkConstraint(skinMap.ik[ii]);
              if (constraint == null)
                throw new Error(`Skin IK constraint not found: ${skinMap.ik[i]}`);
              skin.constraints.push(constraint);
            }
          }
          if (skinMap.transform) {
            for (let ii = 0; ii < skinMap.transform.length; ii++) {
              const constraint = skeletonData.findTransformConstraint(skinMap.transform[ii]);
              if (constraint == null)
                throw new Error(`Skin transform constraint not found: ${skinMap.transform[i]}`);
              skin.constraints.push(constraint);
            }
          }
          if (skinMap.path) {
            for (let ii = 0; ii < skinMap.path.length; ii++) {
              const constraint = skeletonData.findPathConstraint(skinMap.path[ii]);
              if (constraint == null)
                throw new Error(`Skin path constraint not found: ${skinMap.path[i]}`);
              skin.constraints.push(constraint);
            }
          }
          for (const slotName in skinMap.attachments) {
            const slot = skeletonData.findSlot(slotName);
            if (slot == null)
              throw new Error(`Slot not found: ${slotName}`);
            const slotMap = skinMap.attachments[slotName];
            for (const entryName in slotMap) {
              const attachment = this.readAttachment(slotMap[entryName], skin, slot.index, entryName, skeletonData);
              if (attachment != null)
                skin.setAttachment(slot.index, entryName, attachment);
            }
          }
          skeletonData.skins.push(skin);
          if (skin.name == "default")
            skeletonData.defaultSkin = skin;
        }
      }
      for (let i = 0, n = this.linkedMeshes.length; i < n; i++) {
        const linkedMesh = this.linkedMeshes[i];
        const skin = linkedMesh.skin == null ? skeletonData.defaultSkin : skeletonData.findSkin(linkedMesh.skin);
        if (skin == null)
          throw new Error(`Skin not found: ${linkedMesh.skin}`);
        const parent = skin.getAttachment(linkedMesh.slotIndex, linkedMesh.parent);
        if (parent == null)
          throw new Error(`Parent mesh not found: ${linkedMesh.parent}`);
        linkedMesh.mesh.deformAttachment = linkedMesh.inheritDeform ? parent : linkedMesh.mesh;
        linkedMesh.mesh.setParentMesh(parent);
      }
      this.linkedMeshes.length = 0;
      if (root.events) {
        for (const eventName in root.events) {
          const eventMap = root.events[eventName];
          const data = new EventData$2(eventName);
          data.intValue = this.getValue(eventMap, "int", 0);
          data.floatValue = this.getValue(eventMap, "float", 0);
          data.stringValue = this.getValue(eventMap, "string", "");
          data.audioPath = this.getValue(eventMap, "audio", null);
          if (data.audioPath != null) {
            data.volume = this.getValue(eventMap, "volume", 1);
            data.balance = this.getValue(eventMap, "balance", 0);
          }
          skeletonData.events.push(data);
        }
      }
      if (root.animations) {
        for (const animationName in root.animations) {
          const animationMap = root.animations[animationName];
          this.readAnimation(animationMap, animationName, skeletonData);
        }
      }
      return skeletonData;
    }
    readAttachment(map, skin, slotIndex, name, skeletonData) {
      const scale = this.scale;
      name = this.getValue(map, "name", name);
      const type = this.getValue(map, "type", "region");
      switch (type) {
        case "region": {
          const path = this.getValue(map, "path", name);
          const region = this.attachmentLoader.newRegionAttachment(skin, name, path);
          if (region == null)
            return null;
          region.path = path;
          region.x = this.getValue(map, "x", 0) * scale;
          region.y = this.getValue(map, "y", 0) * scale;
          region.scaleX = this.getValue(map, "scaleX", 1);
          region.scaleY = this.getValue(map, "scaleY", 1);
          region.rotation = this.getValue(map, "rotation", 0);
          region.width = map.width * scale;
          region.height = map.height * scale;
          const color = this.getValue(map, "color", null);
          if (color != null)
            region.color.setFromString(color);
          return region;
        }
        case "boundingbox": {
          const box = this.attachmentLoader.newBoundingBoxAttachment(skin, name);
          if (box == null)
            return null;
          this.readVertices(map, box, map.vertexCount << 1);
          const color = this.getValue(map, "color", null);
          if (color != null)
            box.color.setFromString(color);
          return box;
        }
        case "mesh":
        case "linkedmesh": {
          const path = this.getValue(map, "path", name);
          const mesh = this.attachmentLoader.newMeshAttachment(skin, name, path);
          if (mesh == null)
            return null;
          mesh.path = path;
          const color = this.getValue(map, "color", null);
          if (color != null)
            mesh.color.setFromString(color);
          mesh.width = this.getValue(map, "width", 0) * scale;
          mesh.height = this.getValue(map, "height", 0) * scale;
          const parent = this.getValue(map, "parent", null);
          if (parent != null) {
            this.linkedMeshes.push(new LinkedMesh$3(mesh, this.getValue(map, "skin", null), slotIndex, parent, this.getValue(map, "deform", true)));
            return mesh;
          }
          const uvs = map.uvs;
          this.readVertices(map, mesh, uvs.length);
          mesh.triangles = map.triangles;
          mesh.regionUVs = new Float32Array(uvs);
          mesh.edges = this.getValue(map, "edges", null);
          mesh.hullLength = this.getValue(map, "hull", 0) * 2;
          return mesh;
        }
        case "path": {
          const path = this.attachmentLoader.newPathAttachment(skin, name);
          if (path == null)
            return null;
          path.closed = this.getValue(map, "closed", false);
          path.constantSpeed = this.getValue(map, "constantSpeed", true);
          const vertexCount = map.vertexCount;
          this.readVertices(map, path, vertexCount << 1);
          const lengths = Utils.newArray(vertexCount / 3, 0);
          for (let i = 0; i < map.lengths.length; i++)
            lengths[i] = map.lengths[i] * scale;
          path.lengths = lengths;
          const color = this.getValue(map, "color", null);
          if (color != null)
            path.color.setFromString(color);
          return path;
        }
        case "point": {
          const point = this.attachmentLoader.newPointAttachment(skin, name);
          if (point == null)
            return null;
          point.x = this.getValue(map, "x", 0) * scale;
          point.y = this.getValue(map, "y", 0) * scale;
          point.rotation = this.getValue(map, "rotation", 0);
          const color = this.getValue(map, "color", null);
          if (color != null)
            point.color.setFromString(color);
          return point;
        }
        case "clipping": {
          const clip = this.attachmentLoader.newClippingAttachment(skin, name);
          if (clip == null)
            return null;
          const end = this.getValue(map, "end", null);
          if (end != null) {
            const slot = skeletonData.findSlot(end);
            if (slot == null)
              throw new Error(`Clipping end slot not found: ${end}`);
            clip.endSlot = slot;
          }
          const vertexCount = map.vertexCount;
          this.readVertices(map, clip, vertexCount << 1);
          const color = this.getValue(map, "color", null);
          if (color != null)
            clip.color.setFromString(color);
          return clip;
        }
      }
      return null;
    }
    readVertices(map, attachment, verticesLength) {
      const scale = this.scale;
      attachment.worldVerticesLength = verticesLength;
      const vertices = map.vertices;
      if (verticesLength == vertices.length) {
        const scaledVertices = Utils.toFloatArray(vertices);
        if (scale != 1) {
          for (let i = 0, n = vertices.length; i < n; i++)
            scaledVertices[i] *= scale;
        }
        attachment.vertices = scaledVertices;
        return;
      }
      const weights = new Array();
      const bones = new Array();
      for (let i = 0, n = vertices.length; i < n; ) {
        const boneCount = vertices[i++];
        bones.push(boneCount);
        for (let nn = i + boneCount * 4; i < nn; i += 4) {
          bones.push(vertices[i]);
          weights.push(vertices[i + 1] * scale);
          weights.push(vertices[i + 2] * scale);
          weights.push(vertices[i + 3]);
        }
      }
      attachment.bones = bones;
      attachment.vertices = Utils.toFloatArray(weights);
    }
    readAnimation(map, name, skeletonData) {
      const scale = this.scale;
      const timelines = new Array();
      let duration = 0;
      if (map.slots) {
        for (const slotName in map.slots) {
          const slotMap = map.slots[slotName];
          const slotIndex = skeletonData.findSlotIndex(slotName);
          if (slotIndex == -1)
            throw new Error(`Slot not found: ${slotName}`);
          for (const timelineName in slotMap) {
            const timelineMap = slotMap[timelineName];
            if (timelineName == "attachment") {
              const timeline = new AttachmentTimeline$2(timelineMap.length);
              timeline.slotIndex = slotIndex;
              let frameIndex = 0;
              for (let i = 0; i < timelineMap.length; i++) {
                const valueMap = timelineMap[i];
                timeline.setFrame(frameIndex++, this.getValue(valueMap, "time", 0), valueMap.name);
              }
              timelines.push(timeline);
              duration = Math.max(duration, timeline.frames[timeline.getFrameCount() - 1]);
            } else if (timelineName == "color") {
              const timeline = new ColorTimeline$1(timelineMap.length);
              timeline.slotIndex = slotIndex;
              let frameIndex = 0;
              for (let i = 0; i < timelineMap.length; i++) {
                const valueMap = timelineMap[i];
                const color = new Color();
                color.setFromString(valueMap.color || "ffffffff");
                timeline.setFrame(frameIndex, this.getValue(valueMap, "time", 0), color.r, color.g, color.b, color.a);
                this.readCurve(valueMap, timeline, frameIndex);
                frameIndex++;
              }
              timelines.push(timeline);
              duration = Math.max(duration, timeline.frames[(timeline.getFrameCount() - 1) * ColorTimeline$1.ENTRIES]);
            } else if (timelineName == "twoColor") {
              const timeline = new TwoColorTimeline$1(timelineMap.length);
              timeline.slotIndex = slotIndex;
              let frameIndex = 0;
              for (let i = 0; i < timelineMap.length; i++) {
                const valueMap = timelineMap[i];
                const light = new Color();
                const dark = new Color();
                light.setFromString(valueMap.light);
                dark.setFromString(valueMap.dark);
                timeline.setFrame(frameIndex, this.getValue(valueMap, "time", 0), light.r, light.g, light.b, light.a, dark.r, dark.g, dark.b);
                this.readCurve(valueMap, timeline, frameIndex);
                frameIndex++;
              }
              timelines.push(timeline);
              duration = Math.max(duration, timeline.frames[(timeline.getFrameCount() - 1) * TwoColorTimeline$1.ENTRIES]);
            } else
              throw new Error(`Invalid timeline type for a slot: ${timelineName} (${slotName})`);
          }
        }
      }
      if (map.bones) {
        for (const boneName in map.bones) {
          const boneMap = map.bones[boneName];
          const boneIndex = skeletonData.findBoneIndex(boneName);
          if (boneIndex == -1)
            throw new Error(`Bone not found: ${boneName}`);
          for (const timelineName in boneMap) {
            const timelineMap = boneMap[timelineName];
            if (timelineName === "rotate") {
              const timeline = new RotateTimeline$2(timelineMap.length);
              timeline.boneIndex = boneIndex;
              let frameIndex = 0;
              for (let i = 0; i < timelineMap.length; i++) {
                const valueMap = timelineMap[i];
                timeline.setFrame(frameIndex, this.getValue(valueMap, "time", 0), this.getValue(valueMap, "angle", 0));
                this.readCurve(valueMap, timeline, frameIndex);
                frameIndex++;
              }
              timelines.push(timeline);
              duration = Math.max(duration, timeline.frames[(timeline.getFrameCount() - 1) * RotateTimeline$2.ENTRIES]);
            } else if (timelineName === "translate" || timelineName === "scale" || timelineName === "shear") {
              let timeline = null;
              let timelineScale = 1;
              let defaultValue = 0;
              if (timelineName === "scale") {
                timeline = new ScaleTimeline$2(timelineMap.length);
                defaultValue = 1;
              } else if (timelineName === "shear")
                timeline = new ShearTimeline$2(timelineMap.length);
              else {
                timeline = new TranslateTimeline$2(timelineMap.length);
                timelineScale = scale;
              }
              timeline.boneIndex = boneIndex;
              let frameIndex = 0;
              for (let i = 0; i < timelineMap.length; i++) {
                const valueMap = timelineMap[i];
                const x = this.getValue(valueMap, "x", defaultValue);
                const y = this.getValue(valueMap, "y", defaultValue);
                timeline.setFrame(frameIndex, this.getValue(valueMap, "time", 0), x * timelineScale, y * timelineScale);
                this.readCurve(valueMap, timeline, frameIndex);
                frameIndex++;
              }
              timelines.push(timeline);
              duration = Math.max(duration, timeline.frames[(timeline.getFrameCount() - 1) * TranslateTimeline$2.ENTRIES]);
            } else
              throw new Error(`Invalid timeline type for a bone: ${timelineName} (${boneName})`);
          }
        }
      }
      if (map.ik) {
        for (const constraintName in map.ik) {
          const constraintMap = map.ik[constraintName];
          const constraint = skeletonData.findIkConstraint(constraintName);
          const timeline = new IkConstraintTimeline$2(constraintMap.length);
          timeline.ikConstraintIndex = skeletonData.ikConstraints.indexOf(constraint);
          let frameIndex = 0;
          for (let i = 0; i < constraintMap.length; i++) {
            const valueMap = constraintMap[i];
            timeline.setFrame(
              frameIndex,
              this.getValue(valueMap, "time", 0),
              this.getValue(valueMap, "mix", 1),
              this.getValue(valueMap, "softness", 0) * scale,
              this.getValue(valueMap, "bendPositive", true) ? 1 : -1,
              this.getValue(valueMap, "compress", false),
              this.getValue(valueMap, "stretch", false)
            );
            this.readCurve(valueMap, timeline, frameIndex);
            frameIndex++;
          }
          timelines.push(timeline);
          duration = Math.max(duration, timeline.frames[(timeline.getFrameCount() - 1) * IkConstraintTimeline$2.ENTRIES]);
        }
      }
      if (map.transform) {
        for (const constraintName in map.transform) {
          const constraintMap = map.transform[constraintName];
          const constraint = skeletonData.findTransformConstraint(constraintName);
          const timeline = new TransformConstraintTimeline$2(constraintMap.length);
          timeline.transformConstraintIndex = skeletonData.transformConstraints.indexOf(constraint);
          let frameIndex = 0;
          for (let i = 0; i < constraintMap.length; i++) {
            const valueMap = constraintMap[i];
            timeline.setFrame(
              frameIndex,
              this.getValue(valueMap, "time", 0),
              this.getValue(valueMap, "rotateMix", 1),
              this.getValue(valueMap, "translateMix", 1),
              this.getValue(valueMap, "scaleMix", 1),
              this.getValue(valueMap, "shearMix", 1)
            );
            this.readCurve(valueMap, timeline, frameIndex);
            frameIndex++;
          }
          timelines.push(timeline);
          duration = Math.max(duration, timeline.frames[(timeline.getFrameCount() - 1) * TransformConstraintTimeline$2.ENTRIES]);
        }
      }
      if (map.path) {
        for (const constraintName in map.path) {
          const constraintMap = map.path[constraintName];
          const index = skeletonData.findPathConstraintIndex(constraintName);
          if (index == -1)
            throw new Error(`Path constraint not found: ${constraintName}`);
          const data = skeletonData.pathConstraints[index];
          for (const timelineName in constraintMap) {
            const timelineMap = constraintMap[timelineName];
            if (timelineName === "position" || timelineName === "spacing") {
              let timeline = null;
              let timelineScale = 1;
              if (timelineName === "spacing") {
                timeline = new PathConstraintSpacingTimeline$2(timelineMap.length);
                if (data.spacingMode == SpacingMode$2.Length || data.spacingMode == SpacingMode$2.Fixed)
                  timelineScale = scale;
              } else {
                timeline = new PathConstraintPositionTimeline$2(timelineMap.length);
                if (data.positionMode == PositionMode.Fixed)
                  timelineScale = scale;
              }
              timeline.pathConstraintIndex = index;
              let frameIndex = 0;
              for (let i = 0; i < timelineMap.length; i++) {
                const valueMap = timelineMap[i];
                timeline.setFrame(frameIndex, this.getValue(valueMap, "time", 0), this.getValue(valueMap, timelineName, 0) * timelineScale);
                this.readCurve(valueMap, timeline, frameIndex);
                frameIndex++;
              }
              timelines.push(timeline);
              duration = Math.max(duration, timeline.frames[(timeline.getFrameCount() - 1) * PathConstraintPositionTimeline$2.ENTRIES]);
            } else if (timelineName === "mix") {
              const timeline = new PathConstraintMixTimeline$2(timelineMap.length);
              timeline.pathConstraintIndex = index;
              let frameIndex = 0;
              for (let i = 0; i < timelineMap.length; i++) {
                const valueMap = timelineMap[i];
                timeline.setFrame(frameIndex, this.getValue(valueMap, "time", 0), this.getValue(valueMap, "rotateMix", 1), this.getValue(valueMap, "translateMix", 1));
                this.readCurve(valueMap, timeline, frameIndex);
                frameIndex++;
              }
              timelines.push(timeline);
              duration = Math.max(duration, timeline.frames[(timeline.getFrameCount() - 1) * PathConstraintMixTimeline$2.ENTRIES]);
            }
          }
        }
      }
      if (map.deform) {
        for (const deformName in map.deform) {
          const deformMap = map.deform[deformName];
          const skin = skeletonData.findSkin(deformName);
          if (skin == null) {
            {
              continue;
            }
          }
          for (const slotName in deformMap) {
            const slotMap = deformMap[slotName];
            const slotIndex = skeletonData.findSlotIndex(slotName);
            if (slotIndex == -1)
              throw new Error(`Slot not found: ${slotMap.name}`);
            for (const timelineName in slotMap) {
              const timelineMap = slotMap[timelineName];
              const attachment = skin.getAttachment(slotIndex, timelineName);
              if (attachment == null)
                throw new Error(`Deform attachment not found: ${timelineMap.name}`);
              const weighted = attachment.bones != null;
              const vertices = attachment.vertices;
              const deformLength = weighted ? vertices.length / 3 * 2 : vertices.length;
              const timeline = new DeformTimeline$2(timelineMap.length);
              timeline.slotIndex = slotIndex;
              timeline.attachment = attachment;
              let frameIndex = 0;
              for (let j = 0; j < timelineMap.length; j++) {
                const valueMap = timelineMap[j];
                let deform;
                const verticesValue = this.getValue(valueMap, "vertices", null);
                if (verticesValue == null)
                  deform = weighted ? Utils.newFloatArray(deformLength) : vertices;
                else {
                  deform = Utils.newFloatArray(deformLength);
                  const start = this.getValue(valueMap, "offset", 0);
                  Utils.arrayCopy(verticesValue, 0, deform, start, verticesValue.length);
                  if (scale != 1) {
                    for (let i = start, n = i + verticesValue.length; i < n; i++)
                      deform[i] *= scale;
                  }
                  if (!weighted) {
                    for (let i = 0; i < deformLength; i++)
                      deform[i] += vertices[i];
                  }
                }
                timeline.setFrame(frameIndex, this.getValue(valueMap, "time", 0), deform);
                this.readCurve(valueMap, timeline, frameIndex);
                frameIndex++;
              }
              timelines.push(timeline);
              duration = Math.max(duration, timeline.frames[timeline.getFrameCount() - 1]);
            }
          }
        }
      }
      let drawOrderNode = map.drawOrder;
      if (drawOrderNode == null)
        drawOrderNode = map.draworder;
      if (drawOrderNode != null) {
        const timeline = new DrawOrderTimeline$2(drawOrderNode.length);
        const slotCount = skeletonData.slots.length;
        let frameIndex = 0;
        for (let j = 0; j < drawOrderNode.length; j++) {
          const drawOrderMap = drawOrderNode[j];
          let drawOrder = null;
          const offsets = this.getValue(drawOrderMap, "offsets", null);
          if (offsets != null) {
            drawOrder = Utils.newArray(slotCount, -1);
            const unchanged = Utils.newArray(slotCount - offsets.length, 0);
            let originalIndex = 0;
            let unchangedIndex = 0;
            for (let i = 0; i < offsets.length; i++) {
              const offsetMap = offsets[i];
              const slotIndex = skeletonData.findSlotIndex(offsetMap.slot);
              if (slotIndex == -1)
                throw new Error(`Slot not found: ${offsetMap.slot}`);
              while (originalIndex != slotIndex)
                unchanged[unchangedIndex++] = originalIndex++;
              drawOrder[originalIndex + offsetMap.offset] = originalIndex++;
            }
            while (originalIndex < slotCount)
              unchanged[unchangedIndex++] = originalIndex++;
            for (let i = slotCount - 1; i >= 0; i--)
              if (drawOrder[i] == -1)
                drawOrder[i] = unchanged[--unchangedIndex];
          }
          timeline.setFrame(frameIndex++, this.getValue(drawOrderMap, "time", 0), drawOrder);
        }
        timelines.push(timeline);
        duration = Math.max(duration, timeline.frames[timeline.getFrameCount() - 1]);
      }
      if (map.events) {
        const timeline = new EventTimeline$2(map.events.length);
        let frameIndex = 0;
        for (let i = 0; i < map.events.length; i++) {
          const eventMap = map.events[i];
          const eventData = skeletonData.findEvent(eventMap.name);
          if (eventData == null)
            throw new Error(`Event not found: ${eventMap.name}`);
          const event = new Event$2(Utils.toSinglePrecision(this.getValue(eventMap, "time", 0)), eventData);
          event.intValue = this.getValue(eventMap, "int", eventData.intValue);
          event.floatValue = this.getValue(eventMap, "float", eventData.floatValue);
          event.stringValue = this.getValue(eventMap, "string", eventData.stringValue);
          if (event.data.audioPath != null) {
            event.volume = this.getValue(eventMap, "volume", 1);
            event.balance = this.getValue(eventMap, "balance", 0);
          }
          timeline.setFrame(frameIndex++, event);
        }
        timelines.push(timeline);
        duration = Math.max(duration, timeline.frames[timeline.getFrameCount() - 1]);
      }
      if (isNaN(duration)) {
        throw new Error("Error while parsing animation, duration is NaN");
      }
      skeletonData.animations.push(new Animation$3(name, timelines, duration));
    }
    readCurve(map, timeline, frameIndex) {
      if (!map.hasOwnProperty("curve"))
        return;
      if (map.curve === "stepped")
        timeline.setStepped(frameIndex);
      else {
        const curve = map.curve;
        timeline.setCurve(frameIndex, curve, this.getValue(map, "c2", 0), this.getValue(map, "c3", 1), this.getValue(map, "c4", 1));
      }
    }
    getValue(map, prop, defaultValue) {
      return map[prop] !== void 0 ? map[prop] : defaultValue;
    }
    static blendModeFromString(str) {
      str = str.toLowerCase();
      if (str == "normal")
        return core.BLEND_MODES.NORMAL;
      if (str == "additive")
        return core.BLEND_MODES.ADD;
      if (str == "multiply")
        return core.BLEND_MODES.MULTIPLY;
      if (str == "screen")
        return core.BLEND_MODES.SCREEN;
      throw new Error(`Unknown blend mode: ${str}`);
    }
    static positionModeFromString(str) {
      str = str.toLowerCase();
      if (str == "fixed")
        return PositionMode.Fixed;
      if (str == "percent")
        return PositionMode.Percent;
      throw new Error(`Unknown position mode: ${str}`);
    }
    static spacingModeFromString(str) {
      str = str.toLowerCase();
      if (str == "length")
        return SpacingMode$2.Length;
      if (str == "fixed")
        return SpacingMode$2.Fixed;
      if (str == "percent")
        return SpacingMode$2.Percent;
      throw new Error(`Unknown position mode: ${str}`);
    }
    static rotateModeFromString(str) {
      str = str.toLowerCase();
      if (str == "tangent")
        return RotateMode.Tangent;
      if (str == "chain")
        return RotateMode.Chain;
      if (str == "chainscale")
        return RotateMode.ChainScale;
      throw new Error(`Unknown rotate mode: ${str}`);
    }
    static transformModeFromString(str) {
      str = str.toLowerCase();
      if (str == "normal")
        return TransformMode.Normal;
      if (str == "onlytranslation")
        return TransformMode.OnlyTranslation;
      if (str == "norotationorreflection")
        return TransformMode.NoRotationOrReflection;
      if (str == "noscale")
        return TransformMode.NoScale;
      if (str == "noscaleorreflection")
        return TransformMode.NoScaleOrReflection;
      throw new Error(`Unknown transform mode: ${str}`);
    }
  }
  class LinkedMesh$3 {
    constructor(mesh, skin, slotIndex, parent, inheritDeform) {
      this.mesh = mesh;
      this.skin = skin;
      this.slotIndex = slotIndex;
      this.parent = parent;
      this.inheritDeform = inheritDeform;
    }
  }
  class Attachment$1 {
    constructor(name) {
      if (name == null)
        throw new Error("name cannot be null.");
      this.name = name;
    }
  }
  const _VertexAttachment$1 = class extends Attachment$1 {
    constructor(name) {
      super(name);
      this.id = (_VertexAttachment$1.nextID++ & 65535) << 11;
      this.worldVerticesLength = 0;
    }
    computeWorldVerticesOld(slot, worldVertices) {
      this.computeWorldVertices(slot, 0, this.worldVerticesLength, worldVertices, 0, 2);
    }
    computeWorldVertices(slot, start, count, worldVertices, offset, stride) {
      count = offset + (count >> 1) * stride;
      const skeleton = slot.bone.skeleton;
      const deformArray = slot.attachmentVertices;
      let vertices = this.vertices;
      const bones = this.bones;
      if (bones == null) {
        if (deformArray.length > 0)
          vertices = deformArray;
        const mat = slot.bone.matrix;
        const x = mat.tx;
        const y = mat.ty;
        const a = mat.a;
        const b = mat.c;
        const c = mat.b;
        const d = mat.d;
        for (let v2 = start, w = offset; w < count; v2 += 2, w += stride) {
          const vx = vertices[v2];
          const vy = vertices[v2 + 1];
          worldVertices[w] = vx * a + vy * b + x;
          worldVertices[w + 1] = vx * c + vy * d + y;
        }
        return;
      }
      let v = 0;
      let skip = 0;
      for (let i = 0; i < start; i += 2) {
        const n = bones[v];
        v += n + 1;
        skip += n;
      }
      const skeletonBones = skeleton.bones;
      if (deformArray.length == 0) {
        for (let w = offset, b = skip * 3; w < count; w += stride) {
          let wx = 0;
          let wy = 0;
          let n = bones[v++];
          n += v;
          for (; v < n; v++, b += 3) {
            const mat = skeletonBones[bones[v]].matrix;
            const vx = vertices[b];
            const vy = vertices[b + 1];
            const weight = vertices[b + 2];
            wx += (vx * mat.a + vy * mat.c + mat.tx) * weight;
            wy += (vx * mat.b + vy * mat.d + mat.ty) * weight;
          }
          worldVertices[w] = wx;
          worldVertices[w + 1] = wy;
        }
      } else {
        const deform = deformArray;
        for (let w = offset, b = skip * 3, f = skip << 1; w < count; w += stride) {
          let wx = 0;
          let wy = 0;
          let n = bones[v++];
          n += v;
          for (; v < n; v++, b += 3, f += 2) {
            const mat = skeletonBones[bones[v]].matrix;
            const vx = vertices[b] + deform[f];
            const vy = vertices[b + 1] + deform[f + 1];
            const weight = vertices[b + 2];
            wx += (vx * mat.a + vy * mat.c + mat.tx) * weight;
            wy += (vx * mat.b + vy * mat.d + mat.ty) * weight;
          }
          worldVertices[w] = wx;
          worldVertices[w + 1] = wy;
        }
      }
    }
    applyDeform(sourceAttachment) {
      return this == sourceAttachment;
    }
  };
  let VertexAttachment$1 = _VertexAttachment$1;
  VertexAttachment$1.nextID = 0;
  class BoundingBoxAttachment$1 extends VertexAttachment$1 {
    constructor(name) {
      super(name);
      this.type = AttachmentType.BoundingBox;
      this.color = new Color(1, 1, 1, 1);
    }
  }
  class ClippingAttachment$1 extends VertexAttachment$1 {
    constructor(name) {
      super(name);
      this.type = AttachmentType.Clipping;
      this.color = new Color(0.2275, 0.2275, 0.8078, 1);
    }
  }
  class MeshAttachment$1 extends VertexAttachment$1 {
    constructor(name) {
      super(name);
      this.type = AttachmentType.Mesh;
      this.color = new Color(1, 1, 1, 1);
      this.inheritDeform = false;
      this.tempColor = new Color(0, 0, 0, 0);
    }
    applyDeform(sourceAttachment) {
      return this == sourceAttachment || this.inheritDeform && this.parentMesh == sourceAttachment;
    }
    getParentMesh() {
      return this.parentMesh;
    }
    setParentMesh(parentMesh) {
      this.parentMesh = parentMesh;
      if (parentMesh != null) {
        this.bones = parentMesh.bones;
        this.vertices = parentMesh.vertices;
        this.worldVerticesLength = parentMesh.worldVerticesLength;
        this.regionUVs = parentMesh.regionUVs;
        this.triangles = parentMesh.triangles;
        this.hullLength = parentMesh.hullLength;
        this.worldVerticesLength = parentMesh.worldVerticesLength;
      }
    }
  }
  class PathAttachment$1 extends VertexAttachment$1 {
    constructor(name) {
      super(name);
      this.type = AttachmentType.Path;
      this.closed = false;
      this.constantSpeed = false;
      this.color = new Color(1, 1, 1, 1);
    }
  }
  class PointAttachment$1 extends VertexAttachment$1 {
    constructor(name) {
      super(name);
      this.type = AttachmentType.Point;
      this.color = new Color(0.38, 0.94, 0, 1);
    }
    computeWorldPosition(bone, point) {
      const mat = bone.matrix;
      point.x = this.x * mat.a + this.y * mat.c + bone.worldX;
      point.y = this.x * mat.b + this.y * mat.d + bone.worldY;
      return point;
    }
    computeWorldRotation(bone) {
      const mat = bone.matrix;
      const cos = MathUtils.cosDeg(this.rotation);
      const sin = MathUtils.sinDeg(this.rotation);
      const x = cos * mat.a + sin * mat.c;
      const y = cos * mat.b + sin * mat.d;
      return Math.atan2(y, x) * MathUtils.radDeg;
    }
  }
  class Slot {
    constructor(data, bone) {
      this.attachmentVertices = new Array();
      if (data == null)
        throw new Error("data cannot be null.");
      if (bone == null)
        throw new Error("bone cannot be null.");
      this.data = data;
      this.bone = bone;
      this.color = new Color();
      this.darkColor = data.darkColor == null ? null : new Color();
      this.setToSetupPose();
      this.blendMode = this.data.blendMode;
    }
    getAttachment() {
      return this.attachment;
    }
    setAttachment(attachment) {
      if (this.attachment == attachment)
        return;
      this.attachment = attachment;
      this.attachmentTime = this.bone.skeleton.time;
      this.attachmentVertices.length = 0;
    }
    setAttachmentTime(time) {
      this.attachmentTime = this.bone.skeleton.time - time;
    }
    getAttachmentTime() {
      return this.bone.skeleton.time - this.attachmentTime;
    }
    setToSetupPose() {
      this.color.setFromColor(this.data.color);
      if (this.darkColor != null)
        this.darkColor.setFromColor(this.data.darkColor);
      if (this.data.attachmentName == null)
        this.attachment = null;
      else {
        this.attachment = null;
        this.setAttachment(this.bone.skeleton.getAttachment(this.data.index, this.data.attachmentName));
      }
    }
  }
  const _RegionAttachment$1 = class extends Attachment$1 {
    constructor(name) {
      super(name);
      this.type = AttachmentType.Region;
      this.x = 0;
      this.y = 0;
      this.scaleX = 1;
      this.scaleY = 1;
      this.rotation = 0;
      this.width = 0;
      this.height = 0;
      this.color = new Color(1, 1, 1, 1);
      this.offset = Utils.newFloatArray(8);
      this.uvs = Utils.newFloatArray(8);
      this.tempColor = new Color(1, 1, 1, 1);
    }
    updateOffset() {
      const regionScaleX = this.width / this.region.originalWidth * this.scaleX;
      const regionScaleY = this.height / this.region.originalHeight * this.scaleY;
      const localX = -this.width / 2 * this.scaleX + this.region.offsetX * regionScaleX;
      const localY = -this.height / 2 * this.scaleY + this.region.offsetY * regionScaleY;
      const localX2 = localX + this.region.width * regionScaleX;
      const localY2 = localY + this.region.height * regionScaleY;
      const radians = this.rotation * Math.PI / 180;
      const cos = Math.cos(radians);
      const sin = Math.sin(radians);
      const localXCos = localX * cos + this.x;
      const localXSin = localX * sin;
      const localYCos = localY * cos + this.y;
      const localYSin = localY * sin;
      const localX2Cos = localX2 * cos + this.x;
      const localX2Sin = localX2 * sin;
      const localY2Cos = localY2 * cos + this.y;
      const localY2Sin = localY2 * sin;
      const offset = this.offset;
      offset[_RegionAttachment$1.OX1] = localXCos - localYSin;
      offset[_RegionAttachment$1.OY1] = localYCos + localXSin;
      offset[_RegionAttachment$1.OX2] = localXCos - localY2Sin;
      offset[_RegionAttachment$1.OY2] = localY2Cos + localXSin;
      offset[_RegionAttachment$1.OX3] = localX2Cos - localY2Sin;
      offset[_RegionAttachment$1.OY3] = localY2Cos + localX2Sin;
      offset[_RegionAttachment$1.OX4] = localX2Cos - localYSin;
      offset[_RegionAttachment$1.OY4] = localYCos + localX2Sin;
    }
    setRegion(region) {
      this.region = region;
      const uvs = this.uvs;
      if (region.rotate) {
        uvs[2] = region.u;
        uvs[3] = region.v2;
        uvs[4] = region.u;
        uvs[5] = region.v;
        uvs[6] = region.u2;
        uvs[7] = region.v;
        uvs[0] = region.u2;
        uvs[1] = region.v2;
      } else {
        uvs[0] = region.u;
        uvs[1] = region.v2;
        uvs[2] = region.u;
        uvs[3] = region.v;
        uvs[4] = region.u2;
        uvs[5] = region.v;
        uvs[6] = region.u2;
        uvs[7] = region.v2;
      }
    }
    computeWorldVertices(bone, worldVertices, offset, stride) {
      const vertexOffset = this.offset;
      const mat = bone instanceof Slot ? bone.bone.matrix : bone.matrix;
      const x = mat.tx;
      const y = mat.ty;
      const a = mat.a;
      const b = mat.c;
      const c = mat.b;
      const d = mat.d;
      let offsetX = 0;
      let offsetY = 0;
      offsetX = vertexOffset[_RegionAttachment$1.OX1];
      offsetY = vertexOffset[_RegionAttachment$1.OY1];
      worldVertices[offset] = offsetX * a + offsetY * b + x;
      worldVertices[offset + 1] = offsetX * c + offsetY * d + y;
      offset += stride;
      offsetX = vertexOffset[_RegionAttachment$1.OX2];
      offsetY = vertexOffset[_RegionAttachment$1.OY2];
      worldVertices[offset] = offsetX * a + offsetY * b + x;
      worldVertices[offset + 1] = offsetX * c + offsetY * d + y;
      offset += stride;
      offsetX = vertexOffset[_RegionAttachment$1.OX3];
      offsetY = vertexOffset[_RegionAttachment$1.OY3];
      worldVertices[offset] = offsetX * a + offsetY * b + x;
      worldVertices[offset + 1] = offsetX * c + offsetY * d + y;
      offset += stride;
      offsetX = vertexOffset[_RegionAttachment$1.OX4];
      offsetY = vertexOffset[_RegionAttachment$1.OY4];
      worldVertices[offset] = offsetX * a + offsetY * b + x;
      worldVertices[offset + 1] = offsetX * c + offsetY * d + y;
    }
  };
  let RegionAttachment$1 = _RegionAttachment$1;
  RegionAttachment$1.OX1 = 0;
  RegionAttachment$1.OY1 = 1;
  RegionAttachment$1.OX2 = 2;
  RegionAttachment$1.OY2 = 3;
  RegionAttachment$1.OX3 = 4;
  RegionAttachment$1.OY3 = 5;
  RegionAttachment$1.OX4 = 6;
  RegionAttachment$1.OY4 = 7;
  RegionAttachment$1.X1 = 0;
  RegionAttachment$1.Y1 = 1;
  RegionAttachment$1.C1R = 2;
  RegionAttachment$1.C1G = 3;
  RegionAttachment$1.C1B = 4;
  RegionAttachment$1.C1A = 5;
  RegionAttachment$1.U1 = 6;
  RegionAttachment$1.V1 = 7;
  RegionAttachment$1.X2 = 8;
  RegionAttachment$1.Y2 = 9;
  RegionAttachment$1.C2R = 10;
  RegionAttachment$1.C2G = 11;
  RegionAttachment$1.C2B = 12;
  RegionAttachment$1.C2A = 13;
  RegionAttachment$1.U2 = 14;
  RegionAttachment$1.V2 = 15;
  RegionAttachment$1.X3 = 16;
  RegionAttachment$1.Y3 = 17;
  RegionAttachment$1.C3R = 18;
  RegionAttachment$1.C3G = 19;
  RegionAttachment$1.C3B = 20;
  RegionAttachment$1.C3A = 21;
  RegionAttachment$1.U3 = 22;
  RegionAttachment$1.V3 = 23;
  RegionAttachment$1.X4 = 24;
  RegionAttachment$1.Y4 = 25;
  RegionAttachment$1.C4R = 26;
  RegionAttachment$1.C4G = 27;
  RegionAttachment$1.C4B = 28;
  RegionAttachment$1.C4A = 29;
  RegionAttachment$1.U4 = 30;
  RegionAttachment$1.V4 = 31;
  new PowOut(2);
  class Animation$2 {
    constructor(name, timelines, duration) {
      if (name == null)
        throw new Error("name cannot be null.");
      if (timelines == null)
        throw new Error("timelines cannot be null.");
      this.name = name;
      this.timelines = timelines;
      this.duration = duration;
    }
    apply(skeleton, lastTime, time, loop, events, alpha, blend, direction) {
      if (skeleton == null)
        throw new Error("skeleton cannot be null.");
      if (loop && this.duration != 0) {
        time %= this.duration;
        if (lastTime > 0)
          lastTime %= this.duration;
      }
      const timelines = this.timelines;
      for (let i = 0, n = timelines.length; i < n; i++)
        timelines[i].apply(skeleton, lastTime, time, events, alpha, blend, direction);
    }
    static binarySearch(values, target, step = 1) {
      let low = 0;
      let high = values.length / step - 2;
      if (high == 0)
        return step;
      let current = high >>> 1;
      while (true) {
        if (values[(current + 1) * step] <= target)
          low = current + 1;
        else
          high = current;
        if (low == high)
          return (low + 1) * step;
        current = low + high >>> 1;
      }
    }
    static linearSearch(values, target, step) {
      for (let i = 0, last = values.length - step; i <= last; i += step)
        if (values[i] > target)
          return i;
      return -1;
    }
  }
  const _CurveTimeline = class {
    constructor(frameCount) {
      if (frameCount <= 0)
        throw new Error(`frameCount must be > 0: ${frameCount}`);
      this.curves = Utils.newFloatArray((frameCount - 1) * _CurveTimeline.BEZIER_SIZE);
    }
    getFrameCount() {
      return this.curves.length / _CurveTimeline.BEZIER_SIZE + 1;
    }
    setLinear(frameIndex) {
      this.curves[frameIndex * _CurveTimeline.BEZIER_SIZE] = _CurveTimeline.LINEAR;
    }
    setStepped(frameIndex) {
      this.curves[frameIndex * _CurveTimeline.BEZIER_SIZE] = _CurveTimeline.STEPPED;
    }
    getCurveType(frameIndex) {
      const index = frameIndex * _CurveTimeline.BEZIER_SIZE;
      if (index == this.curves.length)
        return _CurveTimeline.LINEAR;
      const type = this.curves[index];
      if (type == _CurveTimeline.LINEAR)
        return _CurveTimeline.LINEAR;
      if (type == _CurveTimeline.STEPPED)
        return _CurveTimeline.STEPPED;
      return _CurveTimeline.BEZIER;
    }
    setCurve(frameIndex, cx1, cy1, cx2, cy2) {
      const tmpx = (-cx1 * 2 + cx2) * 0.03;
      const tmpy = (-cy1 * 2 + cy2) * 0.03;
      const dddfx = ((cx1 - cx2) * 3 + 1) * 6e-3;
      const dddfy = ((cy1 - cy2) * 3 + 1) * 6e-3;
      let ddfx = tmpx * 2 + dddfx;
      let ddfy = tmpy * 2 + dddfy;
      let dfx = cx1 * 0.3 + tmpx + dddfx * 0.16666667;
      let dfy = cy1 * 0.3 + tmpy + dddfy * 0.16666667;
      let i = frameIndex * _CurveTimeline.BEZIER_SIZE;
      const curves = this.curves;
      curves[i++] = _CurveTimeline.BEZIER;
      let x = dfx;
      let y = dfy;
      for (let n = i + _CurveTimeline.BEZIER_SIZE - 1; i < n; i += 2) {
        curves[i] = x;
        curves[i + 1] = y;
        dfx += ddfx;
        dfy += ddfy;
        ddfx += dddfx;
        ddfy += dddfy;
        x += dfx;
        y += dfy;
      }
    }
    getCurvePercent(frameIndex, percent) {
      percent = MathUtils.clamp(percent, 0, 1);
      const curves = this.curves;
      let i = frameIndex * _CurveTimeline.BEZIER_SIZE;
      const type = curves[i];
      if (type == _CurveTimeline.LINEAR)
        return percent;
      if (type == _CurveTimeline.STEPPED)
        return 0;
      i++;
      let x = 0;
      for (let start = i, n = i + _CurveTimeline.BEZIER_SIZE - 1; i < n; i += 2) {
        x = curves[i];
        if (x >= percent) {
          let prevX;
          let prevY;
          if (i == start) {
            prevX = 0;
            prevY = 0;
          } else {
            prevX = curves[i - 2];
            prevY = curves[i - 1];
          }
          return prevY + (curves[i + 1] - prevY) * (percent - prevX) / (x - prevX);
        }
      }
      const y = curves[i - 1];
      return y + (1 - y) * (percent - x) / (1 - x);
    }
  };
  let CurveTimeline$1 = _CurveTimeline;
  CurveTimeline$1.LINEAR = 0;
  CurveTimeline$1.STEPPED = 1;
  CurveTimeline$1.BEZIER = 2;
  CurveTimeline$1.BEZIER_SIZE = 10 * 2 - 1;
  const _RotateTimeline = class extends CurveTimeline$1 {
    constructor(frameCount) {
      super(frameCount);
      this.frames = Utils.newFloatArray(frameCount << 1);
    }
    getPropertyId() {
      return (0 << 24) + this.boneIndex;
    }
    setFrame(frameIndex, time, degrees) {
      frameIndex <<= 1;
      this.frames[frameIndex] = time;
      this.frames[frameIndex + _RotateTimeline.ROTATION] = degrees;
    }
    apply(skeleton, lastTime, time, events, alpha, blend, direction) {
      const frames = this.frames;
      const bone = skeleton.bones[this.boneIndex];
      if (time < frames[0]) {
        switch (blend) {
          case MixBlend.setup:
            bone.rotation = bone.data.rotation;
            return;
          case MixBlend.first:
            const r2 = bone.data.rotation - bone.rotation;
            bone.rotation += (r2 - (16384 - (16384.499999999996 - r2 / 360 | 0)) * 360) * alpha;
        }
        return;
      }
      if (time >= frames[frames.length - _RotateTimeline.ENTRIES]) {
        let r2 = frames[frames.length + _RotateTimeline.PREV_ROTATION];
        switch (blend) {
          case MixBlend.setup:
            bone.rotation = bone.data.rotation + r2 * alpha;
            break;
          case MixBlend.first:
          case MixBlend.replace:
            r2 += bone.data.rotation - bone.rotation;
            r2 -= (16384 - (16384.499999999996 - r2 / 360 | 0)) * 360;
          case MixBlend.add:
            bone.rotation += r2 * alpha;
        }
        return;
      }
      const frame = Animation$2.binarySearch(frames, time, _RotateTimeline.ENTRIES);
      const prevRotation = frames[frame + _RotateTimeline.PREV_ROTATION];
      const frameTime = frames[frame];
      const percent = this.getCurvePercent((frame >> 1) - 1, 1 - (time - frameTime) / (frames[frame + _RotateTimeline.PREV_TIME] - frameTime));
      let r = frames[frame + _RotateTimeline.ROTATION] - prevRotation;
      r = prevRotation + (r - (16384 - (16384.499999999996 - r / 360 | 0)) * 360) * percent;
      switch (blend) {
        case MixBlend.setup:
          bone.rotation = bone.data.rotation + (r - (16384 - (16384.499999999996 - r / 360 | 0)) * 360) * alpha;
          break;
        case MixBlend.first:
        case MixBlend.replace:
          r += bone.data.rotation - bone.rotation;
        case MixBlend.add:
          bone.rotation += (r - (16384 - (16384.499999999996 - r / 360 | 0)) * 360) * alpha;
      }
    }
  };
  let RotateTimeline$1 = _RotateTimeline;
  RotateTimeline$1.ENTRIES = 2;
  RotateTimeline$1.PREV_TIME = -2;
  RotateTimeline$1.PREV_ROTATION = -1;
  RotateTimeline$1.ROTATION = 1;
  const _TranslateTimeline = class extends CurveTimeline$1 {
    constructor(frameCount) {
      super(frameCount);
      this.frames = Utils.newFloatArray(frameCount * _TranslateTimeline.ENTRIES);
    }
    getPropertyId() {
      return (1 << 24) + this.boneIndex;
    }
    setFrame(frameIndex, time, x, y) {
      frameIndex *= _TranslateTimeline.ENTRIES;
      this.frames[frameIndex] = time;
      this.frames[frameIndex + _TranslateTimeline.X] = x;
      this.frames[frameIndex + _TranslateTimeline.Y] = y;
    }
    apply(skeleton, lastTime, time, events, alpha, blend, direction) {
      const frames = this.frames;
      const bone = skeleton.bones[this.boneIndex];
      if (time < frames[0]) {
        switch (blend) {
          case MixBlend.setup:
            bone.x = bone.data.x;
            bone.y = bone.data.y;
            return;
          case MixBlend.first:
            bone.x += (bone.data.x - bone.x) * alpha;
            bone.y += (bone.data.y - bone.y) * alpha;
        }
        return;
      }
      let x = 0;
      let y = 0;
      if (time >= frames[frames.length - _TranslateTimeline.ENTRIES]) {
        x = frames[frames.length + _TranslateTimeline.PREV_X];
        y = frames[frames.length + _TranslateTimeline.PREV_Y];
      } else {
        const frame = Animation$2.binarySearch(frames, time, _TranslateTimeline.ENTRIES);
        x = frames[frame + _TranslateTimeline.PREV_X];
        y = frames[frame + _TranslateTimeline.PREV_Y];
        const frameTime = frames[frame];
        const percent = this.getCurvePercent(frame / _TranslateTimeline.ENTRIES - 1, 1 - (time - frameTime) / (frames[frame + _TranslateTimeline.PREV_TIME] - frameTime));
        x += (frames[frame + _TranslateTimeline.X] - x) * percent;
        y += (frames[frame + _TranslateTimeline.Y] - y) * percent;
      }
      switch (blend) {
        case MixBlend.setup:
          bone.x = bone.data.x + x * alpha;
          bone.y = bone.data.y + y * alpha;
          break;
        case MixBlend.first:
        case MixBlend.replace:
          bone.x += (bone.data.x + x - bone.x) * alpha;
          bone.y += (bone.data.y + y - bone.y) * alpha;
          break;
        case MixBlend.add:
          bone.x += x * alpha;
          bone.y += y * alpha;
      }
    }
  };
  let TranslateTimeline$1 = _TranslateTimeline;
  TranslateTimeline$1.ENTRIES = 3;
  TranslateTimeline$1.PREV_TIME = -3;
  TranslateTimeline$1.PREV_X = -2;
  TranslateTimeline$1.PREV_Y = -1;
  TranslateTimeline$1.X = 1;
  TranslateTimeline$1.Y = 2;
  class ScaleTimeline$1 extends TranslateTimeline$1 {
    constructor(frameCount) {
      super(frameCount);
    }
    getPropertyId() {
      return (2 << 24) + this.boneIndex;
    }
    apply(skeleton, lastTime, time, events, alpha, blend, direction) {
      const frames = this.frames;
      const bone = skeleton.bones[this.boneIndex];
      if (time < frames[0]) {
        switch (blend) {
          case MixBlend.setup:
            bone.scaleX = bone.data.scaleX;
            bone.scaleY = bone.data.scaleY;
            return;
          case MixBlend.first:
            bone.scaleX += (bone.data.scaleX - bone.scaleX) * alpha;
            bone.scaleY += (bone.data.scaleY - bone.scaleY) * alpha;
        }
        return;
      }
      let x = 0;
      let y = 0;
      if (time >= frames[frames.length - ScaleTimeline$1.ENTRIES]) {
        x = frames[frames.length + ScaleTimeline$1.PREV_X] * bone.data.scaleX;
        y = frames[frames.length + ScaleTimeline$1.PREV_Y] * bone.data.scaleY;
      } else {
        const frame = Animation$2.binarySearch(frames, time, ScaleTimeline$1.ENTRIES);
        x = frames[frame + ScaleTimeline$1.PREV_X];
        y = frames[frame + ScaleTimeline$1.PREV_Y];
        const frameTime = frames[frame];
        const percent = this.getCurvePercent(frame / ScaleTimeline$1.ENTRIES - 1, 1 - (time - frameTime) / (frames[frame + ScaleTimeline$1.PREV_TIME] - frameTime));
        x = (x + (frames[frame + ScaleTimeline$1.X] - x) * percent) * bone.data.scaleX;
        y = (y + (frames[frame + ScaleTimeline$1.Y] - y) * percent) * bone.data.scaleY;
      }
      if (alpha == 1) {
        if (blend == MixBlend.add) {
          bone.scaleX += x - bone.data.scaleX;
          bone.scaleY += y - bone.data.scaleY;
        } else {
          bone.scaleX = x;
          bone.scaleY = y;
        }
      } else {
        let bx = 0;
        let by = 0;
        if (direction == MixDirection.mixOut) {
          switch (blend) {
            case MixBlend.setup:
              bx = bone.data.scaleX;
              by = bone.data.scaleY;
              bone.scaleX = bx + (Math.abs(x) * MathUtils.signum(bx) - bx) * alpha;
              bone.scaleY = by + (Math.abs(y) * MathUtils.signum(by) - by) * alpha;
              break;
            case MixBlend.first:
            case MixBlend.replace:
              bx = bone.scaleX;
              by = bone.scaleY;
              bone.scaleX = bx + (Math.abs(x) * MathUtils.signum(bx) - bx) * alpha;
              bone.scaleY = by + (Math.abs(y) * MathUtils.signum(by) - by) * alpha;
              break;
            case MixBlend.add:
              bx = bone.scaleX;
              by = bone.scaleY;
              bone.scaleX = bx + (Math.abs(x) * MathUtils.signum(bx) - bone.data.scaleX) * alpha;
              bone.scaleY = by + (Math.abs(y) * MathUtils.signum(by) - bone.data.scaleY) * alpha;
          }
        } else {
          switch (blend) {
            case MixBlend.setup:
              bx = Math.abs(bone.data.scaleX) * MathUtils.signum(x);
              by = Math.abs(bone.data.scaleY) * MathUtils.signum(y);
              bone.scaleX = bx + (x - bx) * alpha;
              bone.scaleY = by + (y - by) * alpha;
              break;
            case MixBlend.first:
            case MixBlend.replace:
              bx = Math.abs(bone.scaleX) * MathUtils.signum(x);
              by = Math.abs(bone.scaleY) * MathUtils.signum(y);
              bone.scaleX = bx + (x - bx) * alpha;
              bone.scaleY = by + (y - by) * alpha;
              break;
            case MixBlend.add:
              bx = MathUtils.signum(x);
              by = MathUtils.signum(y);
              bone.scaleX = Math.abs(bone.scaleX) * bx + (x - Math.abs(bone.data.scaleX) * bx) * alpha;
              bone.scaleY = Math.abs(bone.scaleY) * by + (y - Math.abs(bone.data.scaleY) * by) * alpha;
          }
        }
      }
    }
  }
  class ShearTimeline$1 extends TranslateTimeline$1 {
    constructor(frameCount) {
      super(frameCount);
    }
    getPropertyId() {
      return (3 << 24) + this.boneIndex;
    }
    apply(skeleton, lastTime, time, events, alpha, blend, direction) {
      const frames = this.frames;
      const bone = skeleton.bones[this.boneIndex];
      if (time < frames[0]) {
        switch (blend) {
          case MixBlend.setup:
            bone.shearX = bone.data.shearX;
            bone.shearY = bone.data.shearY;
            return;
          case MixBlend.first:
            bone.shearX += (bone.data.shearX - bone.shearX) * alpha;
            bone.shearY += (bone.data.shearY - bone.shearY) * alpha;
        }
        return;
      }
      let x = 0;
      let y = 0;
      if (time >= frames[frames.length - ShearTimeline$1.ENTRIES]) {
        x = frames[frames.length + ShearTimeline$1.PREV_X];
        y = frames[frames.length + ShearTimeline$1.PREV_Y];
      } else {
        const frame = Animation$2.binarySearch(frames, time, ShearTimeline$1.ENTRIES);
        x = frames[frame + ShearTimeline$1.PREV_X];
        y = frames[frame + ShearTimeline$1.PREV_Y];
        const frameTime = frames[frame];
        const percent = this.getCurvePercent(frame / ShearTimeline$1.ENTRIES - 1, 1 - (time - frameTime) / (frames[frame + ShearTimeline$1.PREV_TIME] - frameTime));
        x = x + (frames[frame + ShearTimeline$1.X] - x) * percent;
        y = y + (frames[frame + ShearTimeline$1.Y] - y) * percent;
      }
      switch (blend) {
        case MixBlend.setup:
          bone.shearX = bone.data.shearX + x * alpha;
          bone.shearY = bone.data.shearY + y * alpha;
          break;
        case MixBlend.first:
        case MixBlend.replace:
          bone.shearX += (bone.data.shearX + x - bone.shearX) * alpha;
          bone.shearY += (bone.data.shearY + y - bone.shearY) * alpha;
          break;
        case MixBlend.add:
          bone.shearX += x * alpha;
          bone.shearY += y * alpha;
      }
    }
  }
  const _ColorTimeline = class extends CurveTimeline$1 {
    constructor(frameCount) {
      super(frameCount);
      this.frames = Utils.newFloatArray(frameCount * _ColorTimeline.ENTRIES);
    }
    getPropertyId() {
      return (5 << 24) + this.slotIndex;
    }
    setFrame(frameIndex, time, r, g, b, a) {
      frameIndex *= _ColorTimeline.ENTRIES;
      this.frames[frameIndex] = time;
      this.frames[frameIndex + _ColorTimeline.R] = r;
      this.frames[frameIndex + _ColorTimeline.G] = g;
      this.frames[frameIndex + _ColorTimeline.B] = b;
      this.frames[frameIndex + _ColorTimeline.A] = a;
    }
    apply(skeleton, lastTime, time, events, alpha, blend, direction) {
      const slot = skeleton.slots[this.slotIndex];
      const frames = this.frames;
      if (time < frames[0]) {
        switch (blend) {
          case MixBlend.setup:
            slot.color.setFromColor(slot.data.color);
            return;
          case MixBlend.first:
            const color = slot.color;
            const setup = slot.data.color;
            color.add((setup.r - color.r) * alpha, (setup.g - color.g) * alpha, (setup.b - color.b) * alpha, (setup.a - color.a) * alpha);
        }
        return;
      }
      let r = 0;
      let g = 0;
      let b = 0;
      let a = 0;
      if (time >= frames[frames.length - _ColorTimeline.ENTRIES]) {
        const i = frames.length;
        r = frames[i + _ColorTimeline.PREV_R];
        g = frames[i + _ColorTimeline.PREV_G];
        b = frames[i + _ColorTimeline.PREV_B];
        a = frames[i + _ColorTimeline.PREV_A];
      } else {
        const frame = Animation$2.binarySearch(frames, time, _ColorTimeline.ENTRIES);
        r = frames[frame + _ColorTimeline.PREV_R];
        g = frames[frame + _ColorTimeline.PREV_G];
        b = frames[frame + _ColorTimeline.PREV_B];
        a = frames[frame + _ColorTimeline.PREV_A];
        const frameTime = frames[frame];
        const percent = this.getCurvePercent(frame / _ColorTimeline.ENTRIES - 1, 1 - (time - frameTime) / (frames[frame + _ColorTimeline.PREV_TIME] - frameTime));
        r += (frames[frame + _ColorTimeline.R] - r) * percent;
        g += (frames[frame + _ColorTimeline.G] - g) * percent;
        b += (frames[frame + _ColorTimeline.B] - b) * percent;
        a += (frames[frame + _ColorTimeline.A] - a) * percent;
      }
      if (alpha == 1)
        slot.color.set(r, g, b, a);
      else {
        const color = slot.color;
        if (blend == MixBlend.setup)
          color.setFromColor(slot.data.color);
        color.add((r - color.r) * alpha, (g - color.g) * alpha, (b - color.b) * alpha, (a - color.a) * alpha);
      }
    }
  };
  let ColorTimeline = _ColorTimeline;
  ColorTimeline.ENTRIES = 5;
  ColorTimeline.PREV_TIME = -5;
  ColorTimeline.PREV_R = -4;
  ColorTimeline.PREV_G = -3;
  ColorTimeline.PREV_B = -2;
  ColorTimeline.PREV_A = -1;
  ColorTimeline.R = 1;
  ColorTimeline.G = 2;
  ColorTimeline.B = 3;
  ColorTimeline.A = 4;
  const _TwoColorTimeline = class extends CurveTimeline$1 {
    constructor(frameCount) {
      super(frameCount);
      this.frames = Utils.newFloatArray(frameCount * _TwoColorTimeline.ENTRIES);
    }
    getPropertyId() {
      return (14 << 24) + this.slotIndex;
    }
    setFrame(frameIndex, time, r, g, b, a, r2, g2, b2) {
      frameIndex *= _TwoColorTimeline.ENTRIES;
      this.frames[frameIndex] = time;
      this.frames[frameIndex + _TwoColorTimeline.R] = r;
      this.frames[frameIndex + _TwoColorTimeline.G] = g;
      this.frames[frameIndex + _TwoColorTimeline.B] = b;
      this.frames[frameIndex + _TwoColorTimeline.A] = a;
      this.frames[frameIndex + _TwoColorTimeline.R2] = r2;
      this.frames[frameIndex + _TwoColorTimeline.G2] = g2;
      this.frames[frameIndex + _TwoColorTimeline.B2] = b2;
    }
    apply(skeleton, lastTime, time, events, alpha, blend, direction) {
      const slot = skeleton.slots[this.slotIndex];
      const frames = this.frames;
      if (time < frames[0]) {
        switch (blend) {
          case MixBlend.setup:
            slot.color.setFromColor(slot.data.color);
            slot.darkColor.setFromColor(slot.data.darkColor);
            return;
          case MixBlend.first:
            const light = slot.color;
            const dark = slot.darkColor;
            const setupLight = slot.data.color;
            const setupDark = slot.data.darkColor;
            light.add((setupLight.r - light.r) * alpha, (setupLight.g - light.g) * alpha, (setupLight.b - light.b) * alpha, (setupLight.a - light.a) * alpha);
            dark.add((setupDark.r - dark.r) * alpha, (setupDark.g - dark.g) * alpha, (setupDark.b - dark.b) * alpha, 0);
        }
        return;
      }
      let r = 0;
      let g = 0;
      let b = 0;
      let a = 0;
      let r2 = 0;
      let g2 = 0;
      let b2 = 0;
      if (time >= frames[frames.length - _TwoColorTimeline.ENTRIES]) {
        const i = frames.length;
        r = frames[i + _TwoColorTimeline.PREV_R];
        g = frames[i + _TwoColorTimeline.PREV_G];
        b = frames[i + _TwoColorTimeline.PREV_B];
        a = frames[i + _TwoColorTimeline.PREV_A];
        r2 = frames[i + _TwoColorTimeline.PREV_R2];
        g2 = frames[i + _TwoColorTimeline.PREV_G2];
        b2 = frames[i + _TwoColorTimeline.PREV_B2];
      } else {
        const frame = Animation$2.binarySearch(frames, time, _TwoColorTimeline.ENTRIES);
        r = frames[frame + _TwoColorTimeline.PREV_R];
        g = frames[frame + _TwoColorTimeline.PREV_G];
        b = frames[frame + _TwoColorTimeline.PREV_B];
        a = frames[frame + _TwoColorTimeline.PREV_A];
        r2 = frames[frame + _TwoColorTimeline.PREV_R2];
        g2 = frames[frame + _TwoColorTimeline.PREV_G2];
        b2 = frames[frame + _TwoColorTimeline.PREV_B2];
        const frameTime = frames[frame];
        const percent = this.getCurvePercent(frame / _TwoColorTimeline.ENTRIES - 1, 1 - (time - frameTime) / (frames[frame + _TwoColorTimeline.PREV_TIME] - frameTime));
        r += (frames[frame + _TwoColorTimeline.R] - r) * percent;
        g += (frames[frame + _TwoColorTimeline.G] - g) * percent;
        b += (frames[frame + _TwoColorTimeline.B] - b) * percent;
        a += (frames[frame + _TwoColorTimeline.A] - a) * percent;
        r2 += (frames[frame + _TwoColorTimeline.R2] - r2) * percent;
        g2 += (frames[frame + _TwoColorTimeline.G2] - g2) * percent;
        b2 += (frames[frame + _TwoColorTimeline.B2] - b2) * percent;
      }
      if (alpha == 1) {
        slot.color.set(r, g, b, a);
        slot.darkColor.set(r2, g2, b2, 1);
      } else {
        const light = slot.color;
        const dark = slot.darkColor;
        if (blend == MixBlend.setup) {
          light.setFromColor(slot.data.color);
          dark.setFromColor(slot.data.darkColor);
        }
        light.add((r - light.r) * alpha, (g - light.g) * alpha, (b - light.b) * alpha, (a - light.a) * alpha);
        dark.add((r2 - dark.r) * alpha, (g2 - dark.g) * alpha, (b2 - dark.b) * alpha, 0);
      }
    }
  };
  let TwoColorTimeline = _TwoColorTimeline;
  TwoColorTimeline.ENTRIES = 8;
  TwoColorTimeline.PREV_TIME = -8;
  TwoColorTimeline.PREV_R = -7;
  TwoColorTimeline.PREV_G = -6;
  TwoColorTimeline.PREV_B = -5;
  TwoColorTimeline.PREV_A = -4;
  TwoColorTimeline.PREV_R2 = -3;
  TwoColorTimeline.PREV_G2 = -2;
  TwoColorTimeline.PREV_B2 = -1;
  TwoColorTimeline.R = 1;
  TwoColorTimeline.G = 2;
  TwoColorTimeline.B = 3;
  TwoColorTimeline.A = 4;
  TwoColorTimeline.R2 = 5;
  TwoColorTimeline.G2 = 6;
  TwoColorTimeline.B2 = 7;
  class AttachmentTimeline$1 {
    constructor(frameCount) {
      this.frames = Utils.newFloatArray(frameCount);
      this.attachmentNames = new Array(frameCount);
    }
    getPropertyId() {
      return (4 << 24) + this.slotIndex;
    }
    getFrameCount() {
      return this.frames.length;
    }
    setFrame(frameIndex, time, attachmentName) {
      this.frames[frameIndex] = time;
      this.attachmentNames[frameIndex] = attachmentName;
    }
    apply(skeleton, lastTime, time, events, alpha, blend, direction) {
      const slot = skeleton.slots[this.slotIndex];
      if (direction == MixDirection.mixOut && blend == MixBlend.setup) {
        const attachmentName2 = slot.data.attachmentName;
        slot.setAttachment(attachmentName2 == null ? null : skeleton.getAttachment(this.slotIndex, attachmentName2));
        return;
      }
      const frames = this.frames;
      if (time < frames[0]) {
        if (blend == MixBlend.setup || blend == MixBlend.first) {
          const attachmentName2 = slot.data.attachmentName;
          slot.setAttachment(attachmentName2 == null ? null : skeleton.getAttachment(this.slotIndex, attachmentName2));
        }
        return;
      }
      let frameIndex = 0;
      if (time >= frames[frames.length - 1])
        frameIndex = frames.length - 1;
      else
        frameIndex = Animation$2.binarySearch(frames, time, 1) - 1;
      const attachmentName = this.attachmentNames[frameIndex];
      skeleton.slots[this.slotIndex].setAttachment(attachmentName == null ? null : skeleton.getAttachment(this.slotIndex, attachmentName));
    }
  }
  let zeros = null;
  class DeformTimeline$1 extends CurveTimeline$1 {
    constructor(frameCount) {
      super(frameCount);
      this.frames = Utils.newFloatArray(frameCount);
      this.frameVertices = new Array(frameCount);
      if (zeros == null)
        zeros = Utils.newFloatArray(64);
    }
    getPropertyId() {
      return (6 << 27) + Number(this.attachment.id) + this.slotIndex;
    }
    setFrame(frameIndex, time, vertices) {
      this.frames[frameIndex] = time;
      this.frameVertices[frameIndex] = vertices;
    }
    apply(skeleton, lastTime, time, firedEvents, alpha, blend, direction) {
      const slot = skeleton.slots[this.slotIndex];
      const slotAttachment = slot.getAttachment();
      if (!(slotAttachment instanceof VertexAttachment$1) || !slotAttachment.applyDeform(this.attachment))
        return;
      const verticesArray = slot.attachmentVertices;
      if (verticesArray.length == 0)
        blend = MixBlend.setup;
      const frameVertices = this.frameVertices;
      const vertexCount = frameVertices[0].length;
      const frames = this.frames;
      if (time < frames[0]) {
        const vertexAttachment = slotAttachment;
        switch (blend) {
          case MixBlend.setup:
            verticesArray.length = 0;
            return;
          case MixBlend.first:
            if (alpha == 1) {
              verticesArray.length = 0;
              break;
            }
            const vertices2 = Utils.setArraySize(verticesArray, vertexCount);
            if (vertexAttachment.bones == null) {
              const setupVertices = vertexAttachment.vertices;
              for (let i = 0; i < vertexCount; i++)
                vertices2[i] += (setupVertices[i] - vertices2[i]) * alpha;
            } else {
              alpha = 1 - alpha;
              for (let i = 0; i < vertexCount; i++)
                vertices2[i] *= alpha;
            }
        }
        return;
      }
      const vertices = Utils.setArraySize(verticesArray, vertexCount);
      if (time >= frames[frames.length - 1]) {
        const lastVertices = frameVertices[frames.length - 1];
        if (alpha == 1) {
          if (blend == MixBlend.add) {
            const vertexAttachment = slotAttachment;
            if (vertexAttachment.bones == null) {
              const setupVertices = vertexAttachment.vertices;
              for (let i = 0; i < vertexCount; i++) {
                vertices[i] += lastVertices[i] - setupVertices[i];
              }
            } else {
              for (let i = 0; i < vertexCount; i++)
                vertices[i] += lastVertices[i];
            }
          } else {
            Utils.arrayCopy(lastVertices, 0, vertices, 0, vertexCount);
          }
        } else {
          switch (blend) {
            case MixBlend.setup: {
              const vertexAttachment2 = slotAttachment;
              if (vertexAttachment2.bones == null) {
                const setupVertices = vertexAttachment2.vertices;
                for (let i = 0; i < vertexCount; i++) {
                  const setup = setupVertices[i];
                  vertices[i] = setup + (lastVertices[i] - setup) * alpha;
                }
              } else {
                for (let i = 0; i < vertexCount; i++)
                  vertices[i] = lastVertices[i] * alpha;
              }
              break;
            }
            case MixBlend.first:
            case MixBlend.replace:
              for (let i = 0; i < vertexCount; i++)
                vertices[i] += (lastVertices[i] - vertices[i]) * alpha;
            case MixBlend.add:
              const vertexAttachment = slotAttachment;
              if (vertexAttachment.bones == null) {
                const setupVertices = vertexAttachment.vertices;
                for (let i = 0; i < vertexCount; i++) {
                  vertices[i] += (lastVertices[i] - setupVertices[i]) * alpha;
                }
              } else {
                for (let i = 0; i < vertexCount; i++)
                  vertices[i] += lastVertices[i] * alpha;
              }
          }
        }
        return;
      }
      const frame = Animation$2.binarySearch(frames, time);
      const prevVertices = frameVertices[frame - 1];
      const nextVertices = frameVertices[frame];
      const frameTime = frames[frame];
      const percent = this.getCurvePercent(frame - 1, 1 - (time - frameTime) / (frames[frame - 1] - frameTime));
      if (alpha == 1) {
        if (blend == MixBlend.add) {
          const vertexAttachment = slotAttachment;
          if (vertexAttachment.bones == null) {
            const setupVertices = vertexAttachment.vertices;
            for (let i = 0; i < vertexCount; i++) {
              const prev = prevVertices[i];
              vertices[i] += prev + (nextVertices[i] - prev) * percent - setupVertices[i];
            }
          } else {
            for (let i = 0; i < vertexCount; i++) {
              const prev = prevVertices[i];
              vertices[i] += prev + (nextVertices[i] - prev) * percent;
            }
          }
        } else {
          for (let i = 0; i < vertexCount; i++) {
            const prev = prevVertices[i];
            vertices[i] = prev + (nextVertices[i] - prev) * percent;
          }
        }
      } else {
        switch (blend) {
          case MixBlend.setup: {
            const vertexAttachment2 = slotAttachment;
            if (vertexAttachment2.bones == null) {
              const setupVertices = vertexAttachment2.vertices;
              for (let i = 0; i < vertexCount; i++) {
                const prev = prevVertices[i];
                const setup = setupVertices[i];
                vertices[i] = setup + (prev + (nextVertices[i] - prev) * percent - setup) * alpha;
              }
            } else {
              for (let i = 0; i < vertexCount; i++) {
                const prev = prevVertices[i];
                vertices[i] = (prev + (nextVertices[i] - prev) * percent) * alpha;
              }
            }
            break;
          }
          case MixBlend.first:
          case MixBlend.replace:
            for (let i = 0; i < vertexCount; i++) {
              const prev = prevVertices[i];
              vertices[i] += (prev + (nextVertices[i] - prev) * percent - vertices[i]) * alpha;
            }
            break;
          case MixBlend.add:
            const vertexAttachment = slotAttachment;
            if (vertexAttachment.bones == null) {
              const setupVertices = vertexAttachment.vertices;
              for (let i = 0; i < vertexCount; i++) {
                const prev = prevVertices[i];
                vertices[i] += (prev + (nextVertices[i] - prev) * percent - setupVertices[i]) * alpha;
              }
            } else {
              for (let i = 0; i < vertexCount; i++) {
                const prev = prevVertices[i];
                vertices[i] += (prev + (nextVertices[i] - prev) * percent) * alpha;
              }
            }
        }
      }
    }
  }
  class EventTimeline$1 {
    constructor(frameCount) {
      this.frames = Utils.newFloatArray(frameCount);
      this.events = new Array(frameCount);
    }
    getPropertyId() {
      return 7 << 24;
    }
    getFrameCount() {
      return this.frames.length;
    }
    setFrame(frameIndex, event) {
      this.frames[frameIndex] = event.time;
      this.events[frameIndex] = event;
    }
    apply(skeleton, lastTime, time, firedEvents, alpha, blend, direction) {
      if (firedEvents == null)
        return;
      const frames = this.frames;
      const frameCount = this.frames.length;
      if (lastTime > time) {
        this.apply(skeleton, lastTime, Number.MAX_VALUE, firedEvents, alpha, blend, direction);
        lastTime = -1;
      } else if (lastTime >= frames[frameCount - 1])
        return;
      if (time < frames[0])
        return;
      let frame = 0;
      if (lastTime < frames[0])
        frame = 0;
      else {
        frame = Animation$2.binarySearch(frames, lastTime);
        const frameTime = frames[frame];
        while (frame > 0) {
          if (frames[frame - 1] != frameTime)
            break;
          frame--;
        }
      }
      for (; frame < frameCount && time >= frames[frame]; frame++)
        firedEvents.push(this.events[frame]);
    }
  }
  class DrawOrderTimeline$1 {
    constructor(frameCount) {
      this.frames = Utils.newFloatArray(frameCount);
      this.drawOrders = new Array(frameCount);
    }
    getPropertyId() {
      return 8 << 24;
    }
    getFrameCount() {
      return this.frames.length;
    }
    setFrame(frameIndex, time, drawOrder) {
      this.frames[frameIndex] = time;
      this.drawOrders[frameIndex] = drawOrder;
    }
    apply(skeleton, lastTime, time, firedEvents, alpha, blend, direction) {
      const drawOrder = skeleton.drawOrder;
      const slots = skeleton.slots;
      if (direction == MixDirection.mixOut && blend == MixBlend.setup) {
        Utils.arrayCopy(skeleton.slots, 0, skeleton.drawOrder, 0, skeleton.slots.length);
        return;
      }
      const frames = this.frames;
      if (time < frames[0]) {
        if (blend == MixBlend.setup || blend == MixBlend.first)
          Utils.arrayCopy(skeleton.slots, 0, skeleton.drawOrder, 0, skeleton.slots.length);
        return;
      }
      let frame = 0;
      if (time >= frames[frames.length - 1])
        frame = frames.length - 1;
      else
        frame = Animation$2.binarySearch(frames, time) - 1;
      const drawOrderToSetupIndex = this.drawOrders[frame];
      if (drawOrderToSetupIndex == null)
        Utils.arrayCopy(slots, 0, drawOrder, 0, slots.length);
      else {
        for (let i = 0, n = drawOrderToSetupIndex.length; i < n; i++)
          drawOrder[i] = slots[drawOrderToSetupIndex[i]];
      }
    }
  }
  const _IkConstraintTimeline = class extends CurveTimeline$1 {
    constructor(frameCount) {
      super(frameCount);
      this.frames = Utils.newFloatArray(frameCount * _IkConstraintTimeline.ENTRIES);
    }
    getPropertyId() {
      return (9 << 24) + this.ikConstraintIndex;
    }
    setFrame(frameIndex, time, mix, bendDirection, compress, stretch) {
      frameIndex *= _IkConstraintTimeline.ENTRIES;
      this.frames[frameIndex] = time;
      this.frames[frameIndex + _IkConstraintTimeline.MIX] = mix;
      this.frames[frameIndex + _IkConstraintTimeline.BEND_DIRECTION] = bendDirection;
      this.frames[frameIndex + _IkConstraintTimeline.COMPRESS] = compress ? 1 : 0;
      this.frames[frameIndex + _IkConstraintTimeline.STRETCH] = stretch ? 1 : 0;
    }
    apply(skeleton, lastTime, time, firedEvents, alpha, blend, direction) {
      const frames = this.frames;
      const constraint = skeleton.ikConstraints[this.ikConstraintIndex];
      if (time < frames[0]) {
        switch (blend) {
          case MixBlend.setup:
            constraint.mix = constraint.data.mix;
            constraint.bendDirection = constraint.data.bendDirection;
            constraint.compress = constraint.data.compress;
            constraint.stretch = constraint.data.stretch;
            return;
          case MixBlend.first:
            constraint.mix += (constraint.data.mix - constraint.mix) * alpha;
            constraint.bendDirection = constraint.data.bendDirection;
            constraint.compress = constraint.data.compress;
            constraint.stretch = constraint.data.stretch;
        }
        return;
      }
      if (time >= frames[frames.length - _IkConstraintTimeline.ENTRIES]) {
        if (blend == MixBlend.setup) {
          constraint.mix = constraint.data.mix + (frames[frames.length + _IkConstraintTimeline.PREV_MIX] - constraint.data.mix) * alpha;
          if (direction == MixDirection.mixOut) {
            constraint.bendDirection = constraint.data.bendDirection;
            constraint.compress = constraint.data.compress;
            constraint.stretch = constraint.data.stretch;
          } else {
            constraint.bendDirection = frames[frames.length + _IkConstraintTimeline.PREV_BEND_DIRECTION];
            constraint.compress = frames[frames.length + _IkConstraintTimeline.PREV_COMPRESS] != 0;
            constraint.stretch = frames[frames.length + _IkConstraintTimeline.PREV_STRETCH] != 0;
          }
        } else {
          constraint.mix += (frames[frames.length + _IkConstraintTimeline.PREV_MIX] - constraint.mix) * alpha;
          if (direction == MixDirection.mixIn) {
            constraint.bendDirection = frames[frames.length + _IkConstraintTimeline.PREV_BEND_DIRECTION];
            constraint.compress = frames[frames.length + _IkConstraintTimeline.PREV_COMPRESS] != 0;
            constraint.stretch = frames[frames.length + _IkConstraintTimeline.PREV_STRETCH] != 0;
          }
        }
        return;
      }
      const frame = Animation$2.binarySearch(frames, time, _IkConstraintTimeline.ENTRIES);
      const mix = frames[frame + _IkConstraintTimeline.PREV_MIX];
      const frameTime = frames[frame];
      const percent = this.getCurvePercent(frame / _IkConstraintTimeline.ENTRIES - 1, 1 - (time - frameTime) / (frames[frame + _IkConstraintTimeline.PREV_TIME] - frameTime));
      if (blend == MixBlend.setup) {
        constraint.mix = constraint.data.mix + (mix + (frames[frame + _IkConstraintTimeline.MIX] - mix) * percent - constraint.data.mix) * alpha;
        if (direction == MixDirection.mixOut) {
          constraint.bendDirection = constraint.data.bendDirection;
          constraint.compress = constraint.data.compress;
          constraint.stretch = constraint.data.stretch;
        } else {
          constraint.bendDirection = frames[frame + _IkConstraintTimeline.PREV_BEND_DIRECTION];
          constraint.compress = frames[frame + _IkConstraintTimeline.PREV_COMPRESS] != 0;
          constraint.stretch = frames[frame + _IkConstraintTimeline.PREV_STRETCH] != 0;
        }
      } else {
        constraint.mix += (mix + (frames[frame + _IkConstraintTimeline.MIX] - mix) * percent - constraint.mix) * alpha;
        if (direction == MixDirection.mixIn) {
          constraint.bendDirection = frames[frame + _IkConstraintTimeline.PREV_BEND_DIRECTION];
          constraint.compress = frames[frame + _IkConstraintTimeline.PREV_COMPRESS] != 0;
          constraint.stretch = frames[frame + _IkConstraintTimeline.PREV_STRETCH] != 0;
        }
      }
    }
  };
  let IkConstraintTimeline$1 = _IkConstraintTimeline;
  IkConstraintTimeline$1.ENTRIES = 5;
  IkConstraintTimeline$1.PREV_TIME = -5;
  IkConstraintTimeline$1.PREV_MIX = -4;
  IkConstraintTimeline$1.PREV_BEND_DIRECTION = -3;
  IkConstraintTimeline$1.PREV_COMPRESS = -2;
  IkConstraintTimeline$1.PREV_STRETCH = -1;
  IkConstraintTimeline$1.MIX = 1;
  IkConstraintTimeline$1.BEND_DIRECTION = 2;
  IkConstraintTimeline$1.COMPRESS = 3;
  IkConstraintTimeline$1.STRETCH = 4;
  const _TransformConstraintTimeline = class extends CurveTimeline$1 {
    constructor(frameCount) {
      super(frameCount);
      this.frames = Utils.newFloatArray(frameCount * _TransformConstraintTimeline.ENTRIES);
    }
    getPropertyId() {
      return (10 << 24) + this.transformConstraintIndex;
    }
    setFrame(frameIndex, time, rotateMix, translateMix, scaleMix, shearMix) {
      frameIndex *= _TransformConstraintTimeline.ENTRIES;
      this.frames[frameIndex] = time;
      this.frames[frameIndex + _TransformConstraintTimeline.ROTATE] = rotateMix;
      this.frames[frameIndex + _TransformConstraintTimeline.TRANSLATE] = translateMix;
      this.frames[frameIndex + _TransformConstraintTimeline.SCALE] = scaleMix;
      this.frames[frameIndex + _TransformConstraintTimeline.SHEAR] = shearMix;
    }
    apply(skeleton, lastTime, time, firedEvents, alpha, blend, direction) {
      const frames = this.frames;
      const constraint = skeleton.transformConstraints[this.transformConstraintIndex];
      if (time < frames[0]) {
        const data = constraint.data;
        switch (blend) {
          case MixBlend.setup:
            constraint.rotateMix = data.rotateMix;
            constraint.translateMix = data.translateMix;
            constraint.scaleMix = data.scaleMix;
            constraint.shearMix = data.shearMix;
            return;
          case MixBlend.first:
            constraint.rotateMix += (data.rotateMix - constraint.rotateMix) * alpha;
            constraint.translateMix += (data.translateMix - constraint.translateMix) * alpha;
            constraint.scaleMix += (data.scaleMix - constraint.scaleMix) * alpha;
            constraint.shearMix += (data.shearMix - constraint.shearMix) * alpha;
        }
        return;
      }
      let rotate = 0;
      let translate = 0;
      let scale = 0;
      let shear = 0;
      if (time >= frames[frames.length - _TransformConstraintTimeline.ENTRIES]) {
        const i = frames.length;
        rotate = frames[i + _TransformConstraintTimeline.PREV_ROTATE];
        translate = frames[i + _TransformConstraintTimeline.PREV_TRANSLATE];
        scale = frames[i + _TransformConstraintTimeline.PREV_SCALE];
        shear = frames[i + _TransformConstraintTimeline.PREV_SHEAR];
      } else {
        const frame = Animation$2.binarySearch(frames, time, _TransformConstraintTimeline.ENTRIES);
        rotate = frames[frame + _TransformConstraintTimeline.PREV_ROTATE];
        translate = frames[frame + _TransformConstraintTimeline.PREV_TRANSLATE];
        scale = frames[frame + _TransformConstraintTimeline.PREV_SCALE];
        shear = frames[frame + _TransformConstraintTimeline.PREV_SHEAR];
        const frameTime = frames[frame];
        const percent = this.getCurvePercent(
          frame / _TransformConstraintTimeline.ENTRIES - 1,
          1 - (time - frameTime) / (frames[frame + _TransformConstraintTimeline.PREV_TIME] - frameTime)
        );
        rotate += (frames[frame + _TransformConstraintTimeline.ROTATE] - rotate) * percent;
        translate += (frames[frame + _TransformConstraintTimeline.TRANSLATE] - translate) * percent;
        scale += (frames[frame + _TransformConstraintTimeline.SCALE] - scale) * percent;
        shear += (frames[frame + _TransformConstraintTimeline.SHEAR] - shear) * percent;
      }
      if (blend == MixBlend.setup) {
        const data = constraint.data;
        constraint.rotateMix = data.rotateMix + (rotate - data.rotateMix) * alpha;
        constraint.translateMix = data.translateMix + (translate - data.translateMix) * alpha;
        constraint.scaleMix = data.scaleMix + (scale - data.scaleMix) * alpha;
        constraint.shearMix = data.shearMix + (shear - data.shearMix) * alpha;
      } else {
        constraint.rotateMix += (rotate - constraint.rotateMix) * alpha;
        constraint.translateMix += (translate - constraint.translateMix) * alpha;
        constraint.scaleMix += (scale - constraint.scaleMix) * alpha;
        constraint.shearMix += (shear - constraint.shearMix) * alpha;
      }
    }
  };
  let TransformConstraintTimeline$1 = _TransformConstraintTimeline;
  TransformConstraintTimeline$1.ENTRIES = 5;
  TransformConstraintTimeline$1.PREV_TIME = -5;
  TransformConstraintTimeline$1.PREV_ROTATE = -4;
  TransformConstraintTimeline$1.PREV_TRANSLATE = -3;
  TransformConstraintTimeline$1.PREV_SCALE = -2;
  TransformConstraintTimeline$1.PREV_SHEAR = -1;
  TransformConstraintTimeline$1.ROTATE = 1;
  TransformConstraintTimeline$1.TRANSLATE = 2;
  TransformConstraintTimeline$1.SCALE = 3;
  TransformConstraintTimeline$1.SHEAR = 4;
  const _PathConstraintPositionTimeline = class extends CurveTimeline$1 {
    constructor(frameCount) {
      super(frameCount);
      this.frames = Utils.newFloatArray(frameCount * _PathConstraintPositionTimeline.ENTRIES);
    }
    getPropertyId() {
      return (11 << 24) + this.pathConstraintIndex;
    }
    setFrame(frameIndex, time, value) {
      frameIndex *= _PathConstraintPositionTimeline.ENTRIES;
      this.frames[frameIndex] = time;
      this.frames[frameIndex + _PathConstraintPositionTimeline.VALUE] = value;
    }
    apply(skeleton, lastTime, time, firedEvents, alpha, blend, direction) {
      const frames = this.frames;
      const constraint = skeleton.pathConstraints[this.pathConstraintIndex];
      if (time < frames[0]) {
        switch (blend) {
          case MixBlend.setup:
            constraint.position = constraint.data.position;
            return;
          case MixBlend.first:
            constraint.position += (constraint.data.position - constraint.position) * alpha;
        }
        return;
      }
      let position = 0;
      if (time >= frames[frames.length - _PathConstraintPositionTimeline.ENTRIES])
        position = frames[frames.length + _PathConstraintPositionTimeline.PREV_VALUE];
      else {
        const frame = Animation$2.binarySearch(frames, time, _PathConstraintPositionTimeline.ENTRIES);
        position = frames[frame + _PathConstraintPositionTimeline.PREV_VALUE];
        const frameTime = frames[frame];
        const percent = this.getCurvePercent(
          frame / _PathConstraintPositionTimeline.ENTRIES - 1,
          1 - (time - frameTime) / (frames[frame + _PathConstraintPositionTimeline.PREV_TIME] - frameTime)
        );
        position += (frames[frame + _PathConstraintPositionTimeline.VALUE] - position) * percent;
      }
      if (blend == MixBlend.setup)
        constraint.position = constraint.data.position + (position - constraint.data.position) * alpha;
      else
        constraint.position += (position - constraint.position) * alpha;
    }
  };
  let PathConstraintPositionTimeline$1 = _PathConstraintPositionTimeline;
  PathConstraintPositionTimeline$1.ENTRIES = 2;
  PathConstraintPositionTimeline$1.PREV_TIME = -2;
  PathConstraintPositionTimeline$1.PREV_VALUE = -1;
  PathConstraintPositionTimeline$1.VALUE = 1;
  class PathConstraintSpacingTimeline$1 extends PathConstraintPositionTimeline$1 {
    constructor(frameCount) {
      super(frameCount);
    }
    getPropertyId() {
      return (12 << 24) + this.pathConstraintIndex;
    }
    apply(skeleton, lastTime, time, firedEvents, alpha, blend, direction) {
      const frames = this.frames;
      const constraint = skeleton.pathConstraints[this.pathConstraintIndex];
      if (time < frames[0]) {
        switch (blend) {
          case MixBlend.setup:
            constraint.spacing = constraint.data.spacing;
            return;
          case MixBlend.first:
            constraint.spacing += (constraint.data.spacing - constraint.spacing) * alpha;
        }
        return;
      }
      let spacing = 0;
      if (time >= frames[frames.length - PathConstraintSpacingTimeline$1.ENTRIES])
        spacing = frames[frames.length + PathConstraintSpacingTimeline$1.PREV_VALUE];
      else {
        const frame = Animation$2.binarySearch(frames, time, PathConstraintSpacingTimeline$1.ENTRIES);
        spacing = frames[frame + PathConstraintSpacingTimeline$1.PREV_VALUE];
        const frameTime = frames[frame];
        const percent = this.getCurvePercent(
          frame / PathConstraintSpacingTimeline$1.ENTRIES - 1,
          1 - (time - frameTime) / (frames[frame + PathConstraintSpacingTimeline$1.PREV_TIME] - frameTime)
        );
        spacing += (frames[frame + PathConstraintSpacingTimeline$1.VALUE] - spacing) * percent;
      }
      if (blend == MixBlend.setup)
        constraint.spacing = constraint.data.spacing + (spacing - constraint.data.spacing) * alpha;
      else
        constraint.spacing += (spacing - constraint.spacing) * alpha;
    }
  }
  const _PathConstraintMixTimeline = class extends CurveTimeline$1 {
    constructor(frameCount) {
      super(frameCount);
      this.frames = Utils.newFloatArray(frameCount * _PathConstraintMixTimeline.ENTRIES);
    }
    getPropertyId() {
      return (13 << 24) + this.pathConstraintIndex;
    }
    setFrame(frameIndex, time, rotateMix, translateMix) {
      frameIndex *= _PathConstraintMixTimeline.ENTRIES;
      this.frames[frameIndex] = time;
      this.frames[frameIndex + _PathConstraintMixTimeline.ROTATE] = rotateMix;
      this.frames[frameIndex + _PathConstraintMixTimeline.TRANSLATE] = translateMix;
    }
    apply(skeleton, lastTime, time, firedEvents, alpha, blend, direction) {
      const frames = this.frames;
      const constraint = skeleton.pathConstraints[this.pathConstraintIndex];
      if (time < frames[0]) {
        switch (blend) {
          case MixBlend.setup:
            constraint.rotateMix = constraint.data.rotateMix;
            constraint.translateMix = constraint.data.translateMix;
            return;
          case MixBlend.first:
            constraint.rotateMix += (constraint.data.rotateMix - constraint.rotateMix) * alpha;
            constraint.translateMix += (constraint.data.translateMix - constraint.translateMix) * alpha;
        }
        return;
      }
      let rotate = 0;
      let translate = 0;
      if (time >= frames[frames.length - _PathConstraintMixTimeline.ENTRIES]) {
        rotate = frames[frames.length + _PathConstraintMixTimeline.PREV_ROTATE];
        translate = frames[frames.length + _PathConstraintMixTimeline.PREV_TRANSLATE];
      } else {
        const frame = Animation$2.binarySearch(frames, time, _PathConstraintMixTimeline.ENTRIES);
        rotate = frames[frame + _PathConstraintMixTimeline.PREV_ROTATE];
        translate = frames[frame + _PathConstraintMixTimeline.PREV_TRANSLATE];
        const frameTime = frames[frame];
        const percent = this.getCurvePercent(
          frame / _PathConstraintMixTimeline.ENTRIES - 1,
          1 - (time - frameTime) / (frames[frame + _PathConstraintMixTimeline.PREV_TIME] - frameTime)
        );
        rotate += (frames[frame + _PathConstraintMixTimeline.ROTATE] - rotate) * percent;
        translate += (frames[frame + _PathConstraintMixTimeline.TRANSLATE] - translate) * percent;
      }
      if (blend == MixBlend.setup) {
        constraint.rotateMix = constraint.data.rotateMix + (rotate - constraint.data.rotateMix) * alpha;
        constraint.translateMix = constraint.data.translateMix + (translate - constraint.data.translateMix) * alpha;
      } else {
        constraint.rotateMix += (rotate - constraint.rotateMix) * alpha;
        constraint.translateMix += (translate - constraint.translateMix) * alpha;
      }
    }
  };
  let PathConstraintMixTimeline$1 = _PathConstraintMixTimeline;
  PathConstraintMixTimeline$1.ENTRIES = 3;
  PathConstraintMixTimeline$1.PREV_TIME = -3;
  PathConstraintMixTimeline$1.PREV_ROTATE = -2;
  PathConstraintMixTimeline$1.PREV_TRANSLATE = -1;
  PathConstraintMixTimeline$1.ROTATE = 1;
  PathConstraintMixTimeline$1.TRANSLATE = 2;
  const _AnimationState = class {
    constructor(data) {
      this.tracks = new Array();
      this.events = new Array();
      this.listeners = new Array();
      this.queue = new EventQueue(this);
      this.propertyIDs = new IntSet();
      this.animationsChanged = false;
      this.timeScale = 1;
      this.trackEntryPool = new Pool(() => new TrackEntry());
      this.data = data;
    }
    update(delta) {
      delta *= this.timeScale;
      const tracks = this.tracks;
      for (let i = 0, n = tracks.length; i < n; i++) {
        const current = tracks[i];
        if (current == null)
          continue;
        current.animationLast = current.nextAnimationLast;
        current.trackLast = current.nextTrackLast;
        let currentDelta = delta * current.timeScale;
        if (current.delay > 0) {
          current.delay -= currentDelta;
          if (current.delay > 0)
            continue;
          currentDelta = -current.delay;
          current.delay = 0;
        }
        let next = current.next;
        if (next != null) {
          const nextTime = current.trackLast - next.delay;
          if (nextTime >= 0) {
            next.delay = 0;
            next.trackTime = current.timeScale == 0 ? 0 : (nextTime / current.timeScale + delta) * next.timeScale;
            current.trackTime += currentDelta;
            this.setCurrent(i, next, true);
            while (next.mixingFrom != null) {
              next.mixTime += delta;
              next = next.mixingFrom;
            }
            continue;
          }
        } else if (current.trackLast >= current.trackEnd && current.mixingFrom == null) {
          tracks[i] = null;
          this.queue.end(current);
          this.disposeNext(current);
          continue;
        }
        if (current.mixingFrom != null && this.updateMixingFrom(current, delta)) {
          let from = current.mixingFrom;
          current.mixingFrom = null;
          if (from != null)
            from.mixingTo = null;
          while (from != null) {
            this.queue.end(from);
            from = from.mixingFrom;
          }
        }
        current.trackTime += currentDelta;
      }
      this.queue.drain();
    }
    updateMixingFrom(to, delta) {
      const from = to.mixingFrom;
      if (from == null)
        return true;
      const finished = this.updateMixingFrom(from, delta);
      from.animationLast = from.nextAnimationLast;
      from.trackLast = from.nextTrackLast;
      if (to.mixTime > 0 && to.mixTime >= to.mixDuration) {
        if (from.totalAlpha == 0 || to.mixDuration == 0) {
          to.mixingFrom = from.mixingFrom;
          if (from.mixingFrom != null)
            from.mixingFrom.mixingTo = to;
          to.interruptAlpha = from.interruptAlpha;
          this.queue.end(from);
        }
        return finished;
      }
      from.trackTime += delta * from.timeScale;
      to.mixTime += delta;
      return false;
    }
    apply(skeleton) {
      if (skeleton == null)
        throw new Error("skeleton cannot be null.");
      if (this.animationsChanged)
        this._animationsChanged();
      const events = this.events;
      const tracks = this.tracks;
      let applied = false;
      for (let i = 0, n = tracks.length; i < n; i++) {
        const current = tracks[i];
        if (current == null || current.delay > 0)
          continue;
        applied = true;
        const blend = i == 0 ? MixBlend.first : current.mixBlend;
        let mix = current.alpha;
        if (current.mixingFrom != null)
          mix *= this.applyMixingFrom(current, skeleton, blend);
        else if (current.trackTime >= current.trackEnd && current.next == null)
          mix = 0;
        const animationLast = current.animationLast;
        const animationTime = current.getAnimationTime();
        const timelineCount = current.animation.timelines.length;
        const timelines = current.animation.timelines;
        if (i == 0 && mix == 1 || blend == MixBlend.add) {
          for (let ii = 0; ii < timelineCount; ii++) {
            timelines[ii].apply(skeleton, animationLast, animationTime, events, mix, blend, MixDirection.mixIn);
          }
        } else {
          const timelineMode = current.timelineMode;
          const firstFrame = current.timelinesRotation.length == 0;
          if (firstFrame)
            Utils.setArraySize(current.timelinesRotation, timelineCount << 1, null);
          const timelinesRotation = current.timelinesRotation;
          for (let ii = 0; ii < timelineCount; ii++) {
            const timeline = timelines[ii];
            const timelineBlend = timelineMode[ii] == _AnimationState.SUBSEQUENT ? blend : MixBlend.setup;
            if (timeline instanceof RotateTimeline$1) {
              this.applyRotateTimeline(timeline, skeleton, animationTime, mix, timelineBlend, timelinesRotation, ii << 1, firstFrame);
            } else {
              timeline.apply(skeleton, animationLast, animationTime, events, mix, timelineBlend, MixDirection.mixIn);
            }
          }
        }
        this.queueEvents(current, animationTime);
        events.length = 0;
        current.nextAnimationLast = animationTime;
        current.nextTrackLast = current.trackTime;
      }
      this.queue.drain();
      return applied;
    }
    applyMixingFrom(to, skeleton, blend) {
      const from = to.mixingFrom;
      if (from.mixingFrom != null)
        this.applyMixingFrom(from, skeleton, blend);
      let mix = 0;
      if (to.mixDuration == 0) {
        mix = 1;
        if (blend == MixBlend.first)
          blend = MixBlend.setup;
      } else {
        mix = to.mixTime / to.mixDuration;
        if (mix > 1)
          mix = 1;
        if (blend != MixBlend.first)
          blend = from.mixBlend;
      }
      const events = mix < from.eventThreshold ? this.events : null;
      const attachments = mix < from.attachmentThreshold;
      const drawOrder = mix < from.drawOrderThreshold;
      const animationLast = from.animationLast;
      const animationTime = from.getAnimationTime();
      const timelineCount = from.animation.timelines.length;
      const timelines = from.animation.timelines;
      const alphaHold = from.alpha * to.interruptAlpha;
      const alphaMix = alphaHold * (1 - mix);
      if (blend == MixBlend.add) {
        for (let i = 0; i < timelineCount; i++)
          timelines[i].apply(skeleton, animationLast, animationTime, events, alphaMix, blend, MixDirection.mixOut);
      } else {
        const timelineMode = from.timelineMode;
        const timelineHoldMix = from.timelineHoldMix;
        const firstFrame = from.timelinesRotation.length == 0;
        if (firstFrame)
          Utils.setArraySize(from.timelinesRotation, timelineCount << 1, null);
        const timelinesRotation = from.timelinesRotation;
        from.totalAlpha = 0;
        for (let i = 0; i < timelineCount; i++) {
          const timeline = timelines[i];
          let direction = MixDirection.mixOut;
          let timelineBlend;
          let alpha = 0;
          switch (timelineMode[i]) {
            case _AnimationState.SUBSEQUENT:
              if (!attachments && timeline instanceof AttachmentTimeline$1)
                continue;
              if (!drawOrder && timeline instanceof DrawOrderTimeline$1)
                continue;
              timelineBlend = blend;
              alpha = alphaMix;
              break;
            case _AnimationState.FIRST:
              timelineBlend = MixBlend.setup;
              alpha = alphaMix;
              break;
            case _AnimationState.HOLD:
              timelineBlend = MixBlend.setup;
              alpha = alphaHold;
              break;
            default:
              timelineBlend = MixBlend.setup;
              const holdMix = timelineHoldMix[i];
              alpha = alphaHold * Math.max(0, 1 - holdMix.mixTime / holdMix.mixDuration);
              break;
          }
          from.totalAlpha += alpha;
          if (timeline instanceof RotateTimeline$1)
            this.applyRotateTimeline(timeline, skeleton, animationTime, alpha, timelineBlend, timelinesRotation, i << 1, firstFrame);
          else {
            if (timelineBlend == MixBlend.setup) {
              if (timeline instanceof AttachmentTimeline$1) {
                if (attachments)
                  direction = MixDirection.mixOut;
              } else if (timeline instanceof DrawOrderTimeline$1) {
                if (drawOrder)
                  direction = MixDirection.mixOut;
              }
            }
            timeline.apply(skeleton, animationLast, animationTime, events, alpha, timelineBlend, direction);
          }
        }
      }
      if (to.mixDuration > 0)
        this.queueEvents(from, animationTime);
      this.events.length = 0;
      from.nextAnimationLast = animationTime;
      from.nextTrackLast = from.trackTime;
      return mix;
    }
    applyRotateTimeline(timeline, skeleton, time, alpha, blend, timelinesRotation, i, firstFrame) {
      if (firstFrame)
        timelinesRotation[i] = 0;
      if (alpha == 1) {
        timeline.apply(skeleton, 0, time, null, 1, blend, MixDirection.mixIn);
        return;
      }
      const rotateTimeline = timeline;
      const frames = rotateTimeline.frames;
      const bone = skeleton.bones[rotateTimeline.boneIndex];
      let r1 = 0;
      let r2 = 0;
      if (time < frames[0]) {
        switch (blend) {
          case MixBlend.setup:
            bone.rotation = bone.data.rotation;
          default:
            return;
          case MixBlend.first:
            r1 = bone.rotation;
            r2 = bone.data.rotation;
        }
      } else {
        r1 = blend == MixBlend.setup ? bone.data.rotation : bone.rotation;
        if (time >= frames[frames.length - RotateTimeline$1.ENTRIES])
          r2 = bone.data.rotation + frames[frames.length + RotateTimeline$1.PREV_ROTATION];
        else {
          const frame = Animation$2.binarySearch(frames, time, RotateTimeline$1.ENTRIES);
          const prevRotation = frames[frame + RotateTimeline$1.PREV_ROTATION];
          const frameTime = frames[frame];
          const percent = rotateTimeline.getCurvePercent((frame >> 1) - 1, 1 - (time - frameTime) / (frames[frame + RotateTimeline$1.PREV_TIME] - frameTime));
          r2 = frames[frame + RotateTimeline$1.ROTATION] - prevRotation;
          r2 -= (16384 - (16384.499999999996 - r2 / 360 | 0)) * 360;
          r2 = prevRotation + r2 * percent + bone.data.rotation;
          r2 -= (16384 - (16384.499999999996 - r2 / 360 | 0)) * 360;
        }
      }
      let total = 0;
      let diff = r2 - r1;
      diff -= (16384 - (16384.499999999996 - diff / 360 | 0)) * 360;
      if (diff == 0) {
        total = timelinesRotation[i];
      } else {
        let lastTotal = 0;
        let lastDiff = 0;
        if (firstFrame) {
          lastTotal = 0;
          lastDiff = diff;
        } else {
          lastTotal = timelinesRotation[i];
          lastDiff = timelinesRotation[i + 1];
        }
        const current = diff > 0;
        let dir = lastTotal >= 0;
        if (MathUtils.signum(lastDiff) != MathUtils.signum(diff) && Math.abs(lastDiff) <= 90) {
          if (Math.abs(lastTotal) > 180)
            lastTotal += 360 * MathUtils.signum(lastTotal);
          dir = current;
        }
        total = diff + lastTotal - lastTotal % 360;
        if (dir != current)
          total += 360 * MathUtils.signum(lastTotal);
        timelinesRotation[i] = total;
      }
      timelinesRotation[i + 1] = diff;
      r1 += total * alpha;
      bone.rotation = r1 - (16384 - (16384.499999999996 - r1 / 360 | 0)) * 360;
    }
    queueEvents(entry, animationTime) {
      const animationStart = entry.animationStart;
      const animationEnd = entry.animationEnd;
      const duration = animationEnd - animationStart;
      const trackLastWrapped = entry.trackLast % duration;
      const events = this.events;
      let i = 0;
      const n = events.length;
      for (; i < n; i++) {
        const event = events[i];
        if (event.time < trackLastWrapped)
          break;
        if (event.time > animationEnd)
          continue;
        this.queue.event(entry, event);
      }
      let complete = false;
      if (entry.loop)
        complete = duration == 0 || trackLastWrapped > entry.trackTime % duration;
      else
        complete = animationTime >= animationEnd && entry.animationLast < animationEnd;
      if (complete)
        this.queue.complete(entry);
      for (; i < n; i++) {
        const event = events[i];
        if (event.time < animationStart)
          continue;
        this.queue.event(entry, events[i]);
      }
    }
    clearTracks() {
      const oldDrainDisabled = this.queue.drainDisabled;
      this.queue.drainDisabled = true;
      for (let i = 0, n = this.tracks.length; i < n; i++)
        this.clearTrack(i);
      this.tracks.length = 0;
      this.queue.drainDisabled = oldDrainDisabled;
      this.queue.drain();
    }
    clearTrack(trackIndex) {
      if (trackIndex >= this.tracks.length)
        return;
      const current = this.tracks[trackIndex];
      if (current == null)
        return;
      this.queue.end(current);
      this.disposeNext(current);
      let entry = current;
      while (true) {
        const from = entry.mixingFrom;
        if (from == null)
          break;
        this.queue.end(from);
        entry.mixingFrom = null;
        entry.mixingTo = null;
        entry = from;
      }
      this.tracks[current.trackIndex] = null;
      this.queue.drain();
    }
    setCurrent(index, current, interrupt) {
      const from = this.expandToIndex(index);
      this.tracks[index] = current;
      if (from != null) {
        if (interrupt)
          this.queue.interrupt(from);
        current.mixingFrom = from;
        from.mixingTo = current;
        current.mixTime = 0;
        if (from.mixingFrom != null && from.mixDuration > 0)
          current.interruptAlpha *= Math.min(1, from.mixTime / from.mixDuration);
        from.timelinesRotation.length = 0;
      }
      this.queue.start(current);
    }
    setAnimation(trackIndex, animationName, loop) {
      const animation = this.data.skeletonData.findAnimation(animationName);
      if (animation == null)
        throw new Error(`Animation not found: ${animationName}`);
      return this.setAnimationWith(trackIndex, animation, loop);
    }
    setAnimationWith(trackIndex, animation, loop) {
      if (animation == null)
        throw new Error("animation cannot be null.");
      let interrupt = true;
      let current = this.expandToIndex(trackIndex);
      if (current != null) {
        if (current.nextTrackLast == -1) {
          this.tracks[trackIndex] = current.mixingFrom;
          this.queue.interrupt(current);
          this.queue.end(current);
          this.disposeNext(current);
          current = current.mixingFrom;
          interrupt = false;
        } else
          this.disposeNext(current);
      }
      const entry = this.trackEntry(trackIndex, animation, loop, current);
      this.setCurrent(trackIndex, entry, interrupt);
      this.queue.drain();
      return entry;
    }
    addAnimation(trackIndex, animationName, loop, delay) {
      const animation = this.data.skeletonData.findAnimation(animationName);
      if (animation == null)
        throw new Error(`Animation not found: ${animationName}`);
      return this.addAnimationWith(trackIndex, animation, loop, delay);
    }
    addAnimationWith(trackIndex, animation, loop, delay) {
      if (animation == null)
        throw new Error("animation cannot be null.");
      let last = this.expandToIndex(trackIndex);
      if (last != null) {
        while (last.next != null)
          last = last.next;
      }
      const entry = this.trackEntry(trackIndex, animation, loop, last);
      if (last == null) {
        this.setCurrent(trackIndex, entry, true);
        this.queue.drain();
      } else {
        last.next = entry;
        if (delay <= 0) {
          const duration = last.animationEnd - last.animationStart;
          if (duration != 0) {
            if (last.loop)
              delay += duration * (1 + (last.trackTime / duration | 0));
            else
              delay += Math.max(duration, last.trackTime);
            delay -= this.data.getMix(last.animation, animation);
          } else
            delay = last.trackTime;
        }
      }
      entry.delay = delay;
      return entry;
    }
    setEmptyAnimation(trackIndex, mixDuration) {
      const entry = this.setAnimationWith(trackIndex, _AnimationState.emptyAnimation, false);
      entry.mixDuration = mixDuration;
      entry.trackEnd = mixDuration;
      return entry;
    }
    addEmptyAnimation(trackIndex, mixDuration, delay) {
      if (delay <= 0)
        delay -= mixDuration;
      const entry = this.addAnimationWith(trackIndex, _AnimationState.emptyAnimation, false, delay);
      entry.mixDuration = mixDuration;
      entry.trackEnd = mixDuration;
      return entry;
    }
    setEmptyAnimations(mixDuration) {
      const oldDrainDisabled = this.queue.drainDisabled;
      this.queue.drainDisabled = true;
      for (let i = 0, n = this.tracks.length; i < n; i++) {
        const current = this.tracks[i];
        if (current != null)
          this.setEmptyAnimation(current.trackIndex, mixDuration);
      }
      this.queue.drainDisabled = oldDrainDisabled;
      this.queue.drain();
    }
    expandToIndex(index) {
      if (index < this.tracks.length)
        return this.tracks[index];
      Utils.ensureArrayCapacity(this.tracks, index - this.tracks.length + 1, null);
      this.tracks.length = index + 1;
      return null;
    }
    trackEntry(trackIndex, animation, loop, last) {
      const entry = this.trackEntryPool.obtain();
      entry.trackIndex = trackIndex;
      entry.animation = animation;
      entry.loop = loop;
      entry.holdPrevious = false;
      entry.eventThreshold = 0;
      entry.attachmentThreshold = 0;
      entry.drawOrderThreshold = 0;
      entry.animationStart = 0;
      entry.animationEnd = animation.duration;
      entry.animationLast = -1;
      entry.nextAnimationLast = -1;
      entry.delay = 0;
      entry.trackTime = 0;
      entry.trackLast = -1;
      entry.nextTrackLast = -1;
      entry.trackEnd = Number.MAX_VALUE;
      entry.timeScale = 1;
      entry.alpha = 1;
      entry.interruptAlpha = 1;
      entry.mixTime = 0;
      entry.mixDuration = last == null ? 0 : this.data.getMix(last.animation, animation);
      return entry;
    }
    disposeNext(entry) {
      let next = entry.next;
      while (next != null) {
        this.queue.dispose(next);
        next = next.next;
      }
      entry.next = null;
    }
    _animationsChanged() {
      this.animationsChanged = false;
      this.propertyIDs.clear();
      for (let i = 0, n = this.tracks.length; i < n; i++) {
        let entry = this.tracks[i];
        if (entry == null)
          continue;
        while (entry.mixingFrom != null)
          entry = entry.mixingFrom;
        do {
          if (entry.mixingFrom == null || entry.mixBlend != MixBlend.add)
            this.setTimelineModes(entry);
          entry = entry.mixingTo;
        } while (entry != null);
      }
    }
    setTimelineModes(entry) {
      const to = entry.mixingTo;
      const timelines = entry.animation.timelines;
      const timelinesCount = entry.animation.timelines.length;
      const timelineMode = Utils.setArraySize(entry.timelineMode, timelinesCount);
      entry.timelineHoldMix.length = 0;
      const timelineDipMix = Utils.setArraySize(entry.timelineHoldMix, timelinesCount);
      const propertyIDs = this.propertyIDs;
      if (to != null && to.holdPrevious) {
        for (let i = 0; i < timelinesCount; i++) {
          propertyIDs.add(timelines[i].getPropertyId());
          timelineMode[i] = _AnimationState.HOLD;
        }
        return;
      }
      outer:
        for (let i = 0; i < timelinesCount; i++) {
          const id = timelines[i].getPropertyId();
          if (!propertyIDs.add(id))
            timelineMode[i] = _AnimationState.SUBSEQUENT;
          else if (to == null || !this.hasTimeline(to, id))
            timelineMode[i] = _AnimationState.FIRST;
          else {
            for (let next = to.mixingTo; next != null; next = next.mixingTo) {
              if (this.hasTimeline(next, id))
                continue;
              if (entry.mixDuration > 0) {
                timelineMode[i] = _AnimationState.HOLD_MIX;
                timelineDipMix[i] = next;
                continue outer;
              }
              break;
            }
            timelineMode[i] = _AnimationState.HOLD;
          }
        }
    }
    hasTimeline(entry, id) {
      const timelines = entry.animation.timelines;
      for (let i = 0, n = timelines.length; i < n; i++)
        if (timelines[i].getPropertyId() == id)
          return true;
      return false;
    }
    getCurrent(trackIndex) {
      if (trackIndex >= this.tracks.length)
        return null;
      return this.tracks[trackIndex];
    }
    addListener(listener) {
      if (listener == null)
        throw new Error("listener cannot be null.");
      this.listeners.push(listener);
    }
    removeListener(listener) {
      const index = this.listeners.indexOf(listener);
      if (index >= 0)
        this.listeners.splice(index, 1);
    }
    clearListeners() {
      this.listeners.length = 0;
    }
    clearListenerNotifications() {
      this.queue.clear();
    }
    setAnimationByName(trackIndex, animationName, loop) {
      if (!_AnimationState.deprecatedWarning1) {
        _AnimationState.deprecatedWarning1 = true;
        console.warn("Spine Deprecation Warning: AnimationState.setAnimationByName is deprecated, please use setAnimation from now on.");
      }
      this.setAnimation(trackIndex, animationName, loop);
    }
    addAnimationByName(trackIndex, animationName, loop, delay) {
      if (!_AnimationState.deprecatedWarning2) {
        _AnimationState.deprecatedWarning2 = true;
        console.warn("Spine Deprecation Warning: AnimationState.addAnimationByName is deprecated, please use addAnimation from now on.");
      }
      this.addAnimation(trackIndex, animationName, loop, delay);
    }
    hasAnimation(animationName) {
      const animation = this.data.skeletonData.findAnimation(animationName);
      return animation !== null;
    }
    hasAnimationByName(animationName) {
      if (!_AnimationState.deprecatedWarning3) {
        _AnimationState.deprecatedWarning3 = true;
        console.warn("Spine Deprecation Warning: AnimationState.hasAnimationByName is deprecated, please use hasAnimation from now on.");
      }
      return this.hasAnimation(animationName);
    }
  };
  let AnimationState = _AnimationState;
  AnimationState.emptyAnimation = new Animation$2("<empty>", [], 0);
  AnimationState.SUBSEQUENT = 0;
  AnimationState.FIRST = 1;
  AnimationState.HOLD = 2;
  AnimationState.HOLD_MIX = 3;
  AnimationState.deprecatedWarning1 = false;
  AnimationState.deprecatedWarning2 = false;
  AnimationState.deprecatedWarning3 = false;
  const _TrackEntry = class {
    constructor() {
      this.mixBlend = MixBlend.replace;
      this.timelineMode = new Array();
      this.timelineHoldMix = new Array();
      this.timelinesRotation = new Array();
    }
    reset() {
      this.next = null;
      this.mixingFrom = null;
      this.mixingTo = null;
      this.animation = null;
      this.listener = null;
      this.timelineMode.length = 0;
      this.timelineHoldMix.length = 0;
      this.timelinesRotation.length = 0;
    }
    getAnimationTime() {
      if (this.loop) {
        const duration = this.animationEnd - this.animationStart;
        if (duration == 0)
          return this.animationStart;
        return this.trackTime % duration + this.animationStart;
      }
      return Math.min(this.trackTime + this.animationStart, this.animationEnd);
    }
    setAnimationLast(animationLast) {
      this.animationLast = animationLast;
      this.nextAnimationLast = animationLast;
    }
    isComplete() {
      return this.trackTime >= this.animationEnd - this.animationStart;
    }
    resetRotationDirections() {
      this.timelinesRotation.length = 0;
    }
    get time() {
      if (!_TrackEntry.deprecatedWarning1) {
        _TrackEntry.deprecatedWarning1 = true;
        console.warn("Spine Deprecation Warning: TrackEntry.time is deprecated, please use trackTime from now on.");
      }
      return this.trackTime;
    }
    set time(value) {
      if (!_TrackEntry.deprecatedWarning1) {
        _TrackEntry.deprecatedWarning1 = true;
        console.warn("Spine Deprecation Warning: TrackEntry.time is deprecated, please use trackTime from now on.");
      }
      this.trackTime = value;
    }
    get endTime() {
      if (!_TrackEntry.deprecatedWarning2) {
        _TrackEntry.deprecatedWarning2 = true;
        console.warn("Spine Deprecation Warning: TrackEntry.endTime is deprecated, please use trackEnd from now on.");
      }
      return this.trackTime;
    }
    set endTime(value) {
      if (!_TrackEntry.deprecatedWarning2) {
        _TrackEntry.deprecatedWarning2 = true;
        console.warn("Spine Deprecation Warning: TrackEntry.endTime is deprecated, please use trackEnd from now on.");
      }
      this.trackTime = value;
    }
    loopsCount() {
      return Math.floor(this.trackTime / this.trackEnd);
    }
  };
  let TrackEntry = _TrackEntry;
  TrackEntry.deprecatedWarning1 = false;
  TrackEntry.deprecatedWarning2 = false;
  const _EventQueue = class {
    constructor(animState) {
      this.objects = [];
      this.drainDisabled = false;
      this.animState = animState;
    }
    start(entry) {
      this.objects.push(EventType.start);
      this.objects.push(entry);
      this.animState.animationsChanged = true;
    }
    interrupt(entry) {
      this.objects.push(EventType.interrupt);
      this.objects.push(entry);
    }
    end(entry) {
      this.objects.push(EventType.end);
      this.objects.push(entry);
      this.animState.animationsChanged = true;
    }
    dispose(entry) {
      this.objects.push(EventType.dispose);
      this.objects.push(entry);
    }
    complete(entry) {
      this.objects.push(EventType.complete);
      this.objects.push(entry);
    }
    event(entry, event) {
      this.objects.push(EventType.event);
      this.objects.push(entry);
      this.objects.push(event);
    }
    deprecateStuff() {
      if (!_EventQueue.deprecatedWarning1) {
        _EventQueue.deprecatedWarning1 = true;
        console.warn(
          "Spine Deprecation Warning: onComplete, onStart, onEnd, onEvent art deprecated, please use listeners from now on. 'state.addListener({ complete: function(track, event) { } })'"
        );
      }
      return true;
    }
    drain() {
      if (this.drainDisabled)
        return;
      this.drainDisabled = true;
      const objects = this.objects;
      const listeners = this.animState.listeners;
      for (let i = 0; i < objects.length; i += 2) {
        const type = objects[i];
        const entry = objects[i + 1];
        switch (type) {
          case EventType.start:
            if (entry.listener != null && entry.listener.start)
              entry.listener.start(entry);
            for (let ii = 0; ii < listeners.length; ii++)
              if (listeners[ii].start)
                listeners[ii].start(entry);
            entry.onStart && this.deprecateStuff() && entry.onStart(entry.trackIndex);
            this.animState.onStart && this.deprecateStuff() && this.deprecateStuff && this.animState.onStart(entry.trackIndex);
            break;
          case EventType.interrupt:
            if (entry.listener != null && entry.listener.interrupt)
              entry.listener.interrupt(entry);
            for (let ii = 0; ii < listeners.length; ii++)
              if (listeners[ii].interrupt)
                listeners[ii].interrupt(entry);
            break;
          case EventType.end:
            if (entry.listener != null && entry.listener.end)
              entry.listener.end(entry);
            for (let ii = 0; ii < listeners.length; ii++)
              if (listeners[ii].end)
                listeners[ii].end(entry);
            entry.onEnd && this.deprecateStuff() && entry.onEnd(entry.trackIndex);
            this.animState.onEnd && this.deprecateStuff() && this.animState.onEnd(entry.trackIndex);
          case EventType.dispose:
            if (entry.listener != null && entry.listener.dispose)
              entry.listener.dispose(entry);
            for (let ii = 0; ii < listeners.length; ii++)
              if (listeners[ii].dispose)
                listeners[ii].dispose(entry);
            this.animState.trackEntryPool.free(entry);
            break;
          case EventType.complete:
            if (entry.listener != null && entry.listener.complete)
              entry.listener.complete(entry);
            for (let ii = 0; ii < listeners.length; ii++)
              if (listeners[ii].complete)
                listeners[ii].complete(entry);
            const count = MathUtils.toInt(entry.loopsCount());
            entry.onComplete && this.deprecateStuff() && entry.onComplete(entry.trackIndex, count);
            this.animState.onComplete && this.deprecateStuff() && this.animState.onComplete(entry.trackIndex, count);
            break;
          case EventType.event:
            const event = objects[i++ + 2];
            if (entry.listener != null && entry.listener.event)
              entry.listener.event(entry, event);
            for (let ii = 0; ii < listeners.length; ii++)
              if (listeners[ii].event)
                listeners[ii].event(entry, event);
            entry.onEvent && this.deprecateStuff() && entry.onEvent(entry.trackIndex, event);
            this.animState.onEvent && this.deprecateStuff() && this.animState.onEvent(entry.trackIndex, event);
            break;
        }
      }
      this.clear();
      this.drainDisabled = false;
    }
    clear() {
      this.objects.length = 0;
    }
  };
  let EventQueue = _EventQueue;
  EventQueue.deprecatedWarning1 = false;
  var EventType = /* @__PURE__ */ ((EventType2) => {
    EventType2[EventType2["start"] = 0] = "start";
    EventType2[EventType2["interrupt"] = 1] = "interrupt";
    EventType2[EventType2["end"] = 2] = "end";
    EventType2[EventType2["dispose"] = 3] = "dispose";
    EventType2[EventType2["complete"] = 4] = "complete";
    EventType2[EventType2["event"] = 5] = "event";
    return EventType2;
  })(EventType || {});
  const _AnimationStateData = class {
    constructor(skeletonData) {
      this.animationToMixTime = {};
      this.defaultMix = 0;
      if (skeletonData == null)
        throw new Error("skeletonData cannot be null.");
      this.skeletonData = skeletonData;
    }
    setMix(fromName, toName, duration) {
      const from = this.skeletonData.findAnimation(fromName);
      if (from == null)
        throw new Error(`Animation not found: ${fromName}`);
      const to = this.skeletonData.findAnimation(toName);
      if (to == null)
        throw new Error(`Animation not found: ${toName}`);
      this.setMixWith(from, to, duration);
    }
    setMixByName(fromName, toName, duration) {
      if (!_AnimationStateData.deprecatedWarning1) {
        _AnimationStateData.deprecatedWarning1 = true;
        console.warn("Deprecation Warning: AnimationStateData.setMixByName is deprecated, please use setMix from now on.");
      }
      this.setMix(fromName, toName, duration);
    }
    setMixWith(from, to, duration) {
      if (from == null)
        throw new Error("from cannot be null.");
      if (to == null)
        throw new Error("to cannot be null.");
      const key = `${from.name}.${to.name}`;
      this.animationToMixTime[key] = duration;
    }
    getMix(from, to) {
      const key = `${from.name}.${to.name}`;
      const value = this.animationToMixTime[key];
      return value === void 0 ? this.defaultMix : value;
    }
  };
  let AnimationStateData = _AnimationStateData;
  AnimationStateData.deprecatedWarning1 = false;
  class AtlasAttachmentLoader$1 {
    constructor(atlas) {
      this.atlas = atlas;
    }
    newRegionAttachment(skin, name, path) {
      const region = this.atlas.findRegion(path);
      if (region == null)
        throw new Error(`Region not found in atlas: ${path} (region attachment: ${name})`);
      const attachment = new RegionAttachment$1(name);
      attachment.region = region;
      return attachment;
    }
    newMeshAttachment(skin, name, path) {
      const region = this.atlas.findRegion(path);
      if (region == null)
        throw new Error(`Region not found in atlas: ${path} (mesh attachment: ${name})`);
      const attachment = new MeshAttachment$1(name);
      attachment.region = region;
      return attachment;
    }
    newBoundingBoxAttachment(skin, name) {
      return new BoundingBoxAttachment$1(name);
    }
    newPathAttachment(skin, name) {
      return new PathAttachment$1(name);
    }
    newPointAttachment(skin, name) {
      return new PointAttachment$1(name);
    }
    newClippingAttachment(skin, name) {
      return new ClippingAttachment$1(name);
    }
  }
  class Bone {
    constructor(data, skeleton, parent) {
      this.matrix = new core.Matrix();
      this.children = new Array();
      this.x = 0;
      this.y = 0;
      this.rotation = 0;
      this.scaleX = 0;
      this.scaleY = 0;
      this.shearX = 0;
      this.shearY = 0;
      this.ax = 0;
      this.ay = 0;
      this.arotation = 0;
      this.ascaleX = 0;
      this.ascaleY = 0;
      this.ashearX = 0;
      this.ashearY = 0;
      this.appliedValid = false;
      this.sorted = false;
      this.active = true;
      if (data == null)
        throw new Error("data cannot be null.");
      if (skeleton == null)
        throw new Error("skeleton cannot be null.");
      this.data = data;
      this.skeleton = skeleton;
      this.parent = parent;
      this.setToSetupPose();
    }
    get worldX() {
      return this.matrix.tx;
    }
    get worldY() {
      return this.matrix.ty;
    }
    update() {
      this.updateWorldTransformWith(this.x, this.y, this.rotation, this.scaleX, this.scaleY, this.shearX, this.shearY);
    }
    updateWorldTransform() {
      this.updateWorldTransformWith(this.x, this.y, this.rotation, this.scaleX, this.scaleY, this.shearX, this.shearY);
    }
    updateWorldTransformWith(x, y, rotation, scaleX, scaleY, shearX, shearY) {
      this.ax = x;
      this.ay = y;
      this.arotation = rotation;
      this.ascaleX = scaleX;
      this.ascaleY = scaleY;
      this.ashearX = shearX;
      this.ashearY = shearY;
      this.appliedValid = true;
      const parent = this.parent;
      const m = this.matrix;
      const sx = this.skeleton.scaleX;
      const sy = -this.skeleton.scaleY;
      if (parent == null) {
        const skeleton = this.skeleton;
        const rotationY = rotation + 90 + shearY;
        m.a = MathUtils.cosDeg(rotation + shearX) * scaleX * sx;
        m.c = MathUtils.cosDeg(rotationY) * scaleY * sx;
        m.b = MathUtils.sinDeg(rotation + shearX) * scaleX * sy;
        m.d = MathUtils.sinDeg(rotationY) * scaleY * sy;
        m.tx = x * sx + skeleton.x;
        m.ty = y * sy + skeleton.y;
        return;
      }
      let pa = parent.matrix.a;
      let pb = parent.matrix.c;
      let pc = parent.matrix.b;
      let pd = parent.matrix.d;
      m.tx = pa * x + pb * y + parent.matrix.tx;
      m.ty = pc * x + pd * y + parent.matrix.ty;
      switch (this.data.transformMode) {
        case TransformMode.Normal: {
          const rotationY = rotation + 90 + shearY;
          const la = MathUtils.cosDeg(rotation + shearX) * scaleX;
          const lb = MathUtils.cosDeg(rotationY) * scaleY;
          const lc = MathUtils.sinDeg(rotation + shearX) * scaleX;
          const ld = MathUtils.sinDeg(rotationY) * scaleY;
          m.a = pa * la + pb * lc;
          m.c = pa * lb + pb * ld;
          m.b = pc * la + pd * lc;
          m.d = pc * lb + pd * ld;
          return;
        }
        case TransformMode.OnlyTranslation: {
          const rotationY = rotation + 90 + shearY;
          m.a = MathUtils.cosDeg(rotation + shearX) * scaleX;
          m.c = MathUtils.cosDeg(rotationY) * scaleY;
          m.b = MathUtils.sinDeg(rotation + shearX) * scaleX;
          m.d = MathUtils.sinDeg(rotationY) * scaleY;
          break;
        }
        case TransformMode.NoRotationOrReflection: {
          let s = pa * pa + pc * pc;
          let prx = 0;
          if (s > 1e-4) {
            s = Math.abs(pa * pd - pb * pc) / s;
            pb = pc * s;
            pd = pa * s;
            prx = Math.atan2(pc, pa) * MathUtils.radDeg;
          } else {
            pa = 0;
            pc = 0;
            prx = 90 - Math.atan2(pd, pb) * MathUtils.radDeg;
          }
          const rx = rotation + shearX - prx;
          const ry = rotation + shearY - prx + 90;
          const la = MathUtils.cosDeg(rx) * scaleX;
          const lb = MathUtils.cosDeg(ry) * scaleY;
          const lc = MathUtils.sinDeg(rx) * scaleX;
          const ld = MathUtils.sinDeg(ry) * scaleY;
          m.a = pa * la - pb * lc;
          m.c = pa * lb - pb * ld;
          m.b = pc * la + pd * lc;
          m.d = pc * lb + pd * ld;
          break;
        }
        case TransformMode.NoScale:
        case TransformMode.NoScaleOrReflection: {
          const cos = MathUtils.cosDeg(rotation);
          const sin = MathUtils.sinDeg(rotation);
          let za = (pa * cos + pb * sin) / sx;
          let zc = (pc * cos + pd * sin) / sy;
          let s = Math.sqrt(za * za + zc * zc);
          if (s > 1e-5)
            s = 1 / s;
          za *= s;
          zc *= s;
          s = Math.sqrt(za * za + zc * zc);
          if (this.data.transformMode == TransformMode.NoScale && pa * pd - pb * pc < 0 != (this.skeleton.scaleX < 0 != this.skeleton.scaleY > 0))
            s = -s;
          const r = Math.PI / 2 + Math.atan2(zc, za);
          const zb = Math.cos(r) * s;
          const zd = Math.sin(r) * s;
          const la = MathUtils.cosDeg(shearX) * scaleX;
          const lb = MathUtils.cosDeg(90 + shearY) * scaleY;
          const lc = MathUtils.sinDeg(shearX) * scaleX;
          const ld = MathUtils.sinDeg(90 + shearY) * scaleY;
          m.a = za * la + zb * lc;
          m.c = za * lb + zb * ld;
          m.b = zc * la + zd * lc;
          m.d = zc * lb + zd * ld;
          break;
        }
      }
      m.a *= sx;
      m.c *= sx;
      m.b *= sy;
      m.d *= sy;
    }
    setToSetupPose() {
      const data = this.data;
      this.x = data.x;
      this.y = data.y;
      this.rotation = data.rotation;
      this.scaleX = data.scaleX;
      this.scaleY = data.scaleY;
      this.shearX = data.shearX;
      this.shearY = data.shearY;
    }
    getWorldRotationX() {
      return Math.atan2(this.matrix.b, this.matrix.a) * MathUtils.radDeg;
    }
    getWorldRotationY() {
      return Math.atan2(this.matrix.d, this.matrix.c) * MathUtils.radDeg;
    }
    getWorldScaleX() {
      const m = this.matrix;
      return Math.sqrt(m.a * m.a + m.c * m.c);
    }
    getWorldScaleY() {
      const m = this.matrix;
      return Math.sqrt(m.b * m.b + m.d * m.d);
    }
    updateAppliedTransform() {
      this.appliedValid = true;
      const parent = this.parent;
      const m = this.matrix;
      if (parent == null) {
        this.ax = m.tx;
        this.ay = m.ty;
        this.arotation = Math.atan2(m.b, m.a) * MathUtils.radDeg;
        this.ascaleX = Math.sqrt(m.a * m.a + m.b * m.b);
        this.ascaleY = Math.sqrt(m.c * m.c + m.d * m.d);
        this.ashearX = 0;
        this.ashearY = Math.atan2(m.a * m.c + m.b * m.d, m.a * m.d - m.b * m.c) * MathUtils.radDeg;
        return;
      }
      const pm = parent.matrix;
      const pid = 1 / (pm.a * pm.d - pm.b * pm.c);
      const dx = m.tx - pm.tx;
      const dy = m.ty - pm.ty;
      this.ax = dx * pm.d * pid - dy * pm.c * pid;
      this.ay = dy * pm.a * pid - dx * pm.b * pid;
      const ia = pid * pm.d;
      const id = pid * pm.a;
      const ib = pid * pm.c;
      const ic = pid * pm.b;
      const ra = ia * m.a - ib * m.b;
      const rb = ia * m.c - ib * m.d;
      const rc = id * m.b - ic * m.a;
      const rd = id * m.d - ic * m.c;
      this.ashearX = 0;
      this.ascaleX = Math.sqrt(ra * ra + rc * rc);
      if (this.ascaleX > 1e-4) {
        const det = ra * rd - rb * rc;
        this.ascaleY = det / this.ascaleX;
        this.ashearY = Math.atan2(ra * rb + rc * rd, det) * MathUtils.radDeg;
        this.arotation = Math.atan2(rc, ra) * MathUtils.radDeg;
      } else {
        this.ascaleX = 0;
        this.ascaleY = Math.sqrt(rb * rb + rd * rd);
        this.ashearY = 0;
        this.arotation = 90 - Math.atan2(rd, rb) * MathUtils.radDeg;
      }
    }
    worldToLocal(world) {
      const m = this.matrix;
      const a = m.a;
      const b = m.c;
      const c = m.b;
      const d = m.d;
      const invDet = 1 / (a * d - b * c);
      const x = world.x - m.tx;
      const y = world.y - m.ty;
      world.x = x * d * invDet - y * b * invDet;
      world.y = y * a * invDet - x * c * invDet;
      return world;
    }
    localToWorld(local) {
      const m = this.matrix;
      const x = local.x;
      const y = local.y;
      local.x = x * m.a + y * m.c + m.tx;
      local.y = x * m.b + y * m.d + m.ty;
      return local;
    }
    worldToLocalRotation(worldRotation) {
      const sin = MathUtils.sinDeg(worldRotation);
      const cos = MathUtils.cosDeg(worldRotation);
      const mat = this.matrix;
      return Math.atan2(mat.a * sin - mat.b * cos, mat.d * cos - mat.c * sin) * MathUtils.radDeg;
    }
    localToWorldRotation(localRotation) {
      const sin = MathUtils.sinDeg(localRotation);
      const cos = MathUtils.cosDeg(localRotation);
      const mat = this.matrix;
      return Math.atan2(cos * mat.b + sin * mat.d, cos * mat.a + sin * mat.c) * MathUtils.radDeg;
    }
    rotateWorld(degrees) {
      const mat = this.matrix;
      const a = mat.a;
      const b = mat.c;
      const c = mat.b;
      const d = mat.d;
      const cos = MathUtils.cosDeg(degrees);
      const sin = MathUtils.sinDeg(degrees);
      mat.a = cos * a - sin * c;
      mat.c = cos * b - sin * d;
      mat.b = sin * a + cos * c;
      mat.d = sin * b + cos * d;
      this.appliedValid = false;
    }
  }
  class BoneData$1 {
    constructor(index, name, parent) {
      this.x = 0;
      this.y = 0;
      this.rotation = 0;
      this.scaleX = 1;
      this.scaleY = 1;
      this.shearX = 0;
      this.shearY = 0;
      this.transformMode = TransformMode.Normal;
      if (index < 0)
        throw new Error("index must be >= 0.");
      if (name == null)
        throw new Error("name cannot be null.");
      this.index = index;
      this.name = name;
      this.parent = parent;
    }
  }
  class Event$1 {
    constructor(time, data) {
      if (data == null)
        throw new Error("data cannot be null.");
      this.time = time;
      this.data = data;
    }
  }
  class EventData$1 {
    constructor(name) {
      this.name = name;
    }
  }
  class IkConstraint {
    constructor(data, skeleton) {
      this.bendDirection = 0;
      this.compress = false;
      this.stretch = false;
      this.mix = 1;
      if (data == null)
        throw new Error("data cannot be null.");
      if (skeleton == null)
        throw new Error("skeleton cannot be null.");
      this.data = data;
      this.mix = data.mix;
      this.bendDirection = data.bendDirection;
      this.compress = data.compress;
      this.stretch = data.stretch;
      this.bones = new Array();
      for (let i = 0; i < data.bones.length; i++)
        this.bones.push(skeleton.findBone(data.bones[i].name));
      this.target = skeleton.findBone(data.target.name);
    }
    getOrder() {
      return this.data.order;
    }
    apply() {
      this.update();
    }
    update() {
      const target = this.target;
      const bones = this.bones;
      switch (bones.length) {
        case 1:
          this.apply1(bones[0], target.worldX, target.worldY, this.compress, this.stretch, this.data.uniform, this.mix);
          break;
        case 2:
          this.apply2(bones[0], bones[1], target.worldX, target.worldY, this.bendDirection, this.stretch, this.mix);
          break;
      }
    }
    apply1(bone, targetX, targetY, compress, stretch, uniform, alpha) {
      if (!bone.appliedValid)
        bone.updateAppliedTransform();
      const p = bone.parent.matrix;
      const id = 1 / (p.a * p.d - p.b * p.c);
      const x = targetX - p.tx;
      const y = targetY - p.ty;
      const tx = (x * p.d - y * p.c) * id - bone.ax;
      const ty = (y * p.a - x * p.b) * id - bone.ay;
      let rotationIK = Math.atan2(ty, tx) * MathUtils.radDeg - bone.ashearX - bone.arotation;
      if (bone.ascaleX < 0)
        rotationIK += 180;
      if (rotationIK > 180)
        rotationIK -= 360;
      else if (rotationIK < -180)
        rotationIK += 360;
      let sx = bone.ascaleX;
      let sy = bone.ascaleY;
      if (compress || stretch) {
        const b = bone.data.length * sx;
        const dd = Math.sqrt(tx * tx + ty * ty);
        if (compress && dd < b || stretch && dd > b && b > 1e-4) {
          const s = (dd / b - 1) * alpha + 1;
          sx *= s;
          if (uniform)
            sy *= s;
        }
      }
      bone.updateWorldTransformWith(bone.ax, bone.ay, bone.arotation + rotationIK * alpha, sx, sy, bone.ashearX, bone.ashearY);
    }
    apply2(parent, child, targetX, targetY, bendDir, stretch, alpha) {
      if (alpha == 0) {
        child.updateWorldTransform();
        return;
      }
      if (!parent.appliedValid)
        parent.updateAppliedTransform();
      if (!child.appliedValid)
        child.updateAppliedTransform();
      const px = parent.ax;
      const py = parent.ay;
      let psx = parent.ascaleX;
      let sx = psx;
      let psy = parent.ascaleY;
      let csx = child.ascaleX;
      const pmat = parent.matrix;
      let os1 = 0;
      let os2 = 0;
      let s2 = 0;
      if (psx < 0) {
        psx = -psx;
        os1 = 180;
        s2 = -1;
      } else {
        os1 = 0;
        s2 = 1;
      }
      if (psy < 0) {
        psy = -psy;
        s2 = -s2;
      }
      if (csx < 0) {
        csx = -csx;
        os2 = 180;
      } else
        os2 = 0;
      const cx = child.ax;
      let cy = 0;
      let cwx = 0;
      let cwy = 0;
      let a = pmat.a;
      let b = pmat.c;
      let c = pmat.b;
      let d = pmat.d;
      const u = Math.abs(psx - psy) <= 1e-4;
      if (!u) {
        cy = 0;
        cwx = a * cx + pmat.tx;
        cwy = c * cx + pmat.ty;
      } else {
        cy = child.ay;
        cwx = a * cx + b * cy + pmat.tx;
        cwy = c * cx + d * cy + pmat.ty;
      }
      const pp = parent.parent.matrix;
      a = pp.a;
      b = pp.c;
      c = pp.b;
      d = pp.d;
      const id = 1 / (a * d - b * c);
      let x = targetX - pp.tx;
      let y = targetY - pp.ty;
      const tx = (x * d - y * b) * id - px;
      const ty = (y * a - x * c) * id - py;
      const dd = tx * tx + ty * ty;
      x = cwx - pp.tx;
      y = cwy - pp.ty;
      const dx = (x * d - y * b) * id - px;
      const dy = (y * a - x * c) * id - py;
      const l1 = Math.sqrt(dx * dx + dy * dy);
      let l2 = child.data.length * csx;
      let a1 = 0;
      let a2 = 0;
      outer:
        if (u) {
          l2 *= psx;
          let cos = (dd - l1 * l1 - l2 * l2) / (2 * l1 * l2);
          if (cos < -1)
            cos = -1;
          else if (cos > 1) {
            cos = 1;
            if (stretch && l1 + l2 > 1e-4)
              sx *= (Math.sqrt(dd) / (l1 + l2) - 1) * alpha + 1;
          }
          a2 = Math.acos(cos) * bendDir;
          a = l1 + l2 * cos;
          b = l2 * Math.sin(a2);
          a1 = Math.atan2(ty * a - tx * b, tx * a + ty * b);
        } else {
          a = psx * l2;
          b = psy * l2;
          const aa = a * a;
          const bb = b * b;
          const ta = Math.atan2(ty, tx);
          c = bb * l1 * l1 + aa * dd - aa * bb;
          const c1 = -2 * bb * l1;
          const c2 = bb - aa;
          d = c1 * c1 - 4 * c2 * c;
          if (d >= 0) {
            let q = Math.sqrt(d);
            if (c1 < 0)
              q = -q;
            q = -(c1 + q) / 2;
            const r0 = q / c2;
            const r1 = c / q;
            const r = Math.abs(r0) < Math.abs(r1) ? r0 : r1;
            if (r * r <= dd) {
              y = Math.sqrt(dd - r * r) * bendDir;
              a1 = ta - Math.atan2(y, r);
              a2 = Math.atan2(y / psy, (r - l1) / psx);
              break outer;
            }
          }
          let minAngle = MathUtils.PI;
          let minX = l1 - a;
          let minDist = minX * minX;
          let minY = 0;
          let maxAngle = 0;
          let maxX = l1 + a;
          let maxDist = maxX * maxX;
          let maxY = 0;
          c = -a * l1 / (aa - bb);
          if (c >= -1 && c <= 1) {
            c = Math.acos(c);
            x = a * Math.cos(c) + l1;
            y = b * Math.sin(c);
            d = x * x + y * y;
            if (d < minDist) {
              minAngle = c;
              minDist = d;
              minX = x;
              minY = y;
            }
            if (d > maxDist) {
              maxAngle = c;
              maxDist = d;
              maxX = x;
              maxY = y;
            }
          }
          if (dd <= (minDist + maxDist) / 2) {
            a1 = ta - Math.atan2(minY * bendDir, minX);
            a2 = minAngle * bendDir;
          } else {
            a1 = ta - Math.atan2(maxY * bendDir, maxX);
            a2 = maxAngle * bendDir;
          }
        }
      const os = Math.atan2(cy, cx) * s2;
      let rotation = parent.arotation;
      a1 = (a1 - os) * MathUtils.radDeg + os1 - rotation;
      if (a1 > 180)
        a1 -= 360;
      else if (a1 < -180)
        a1 += 360;
      parent.updateWorldTransformWith(px, py, rotation + a1 * alpha, sx, parent.ascaleY, 0, 0);
      rotation = child.arotation;
      a2 = ((a2 + os) * MathUtils.radDeg - child.ashearX) * s2 + os2 - rotation;
      if (a2 > 180)
        a2 -= 360;
      else if (a2 < -180)
        a2 += 360;
      child.updateWorldTransformWith(cx, cy, rotation + a2 * alpha, child.ascaleX, child.ascaleY, child.ashearX, child.ashearY);
    }
  }
  class IkConstraintData$1 {
    constructor(name) {
      this.order = 0;
      this.bones = new Array();
      this.bendDirection = 1;
      this.compress = false;
      this.stretch = false;
      this.uniform = false;
      this.mix = 1;
      this.name = name;
    }
  }
  class PathConstraintData$1 {
    constructor(name) {
      this.order = 0;
      this.bones = new Array();
      this.name = name;
    }
  }
  var SpacingMode$1 = /* @__PURE__ */ ((SpacingMode2) => {
    SpacingMode2[SpacingMode2["Length"] = 0] = "Length";
    SpacingMode2[SpacingMode2["Fixed"] = 1] = "Fixed";
    SpacingMode2[SpacingMode2["Percent"] = 2] = "Percent";
    return SpacingMode2;
  })(SpacingMode$1 || {});
  const _PathConstraint = class {
    constructor(data, skeleton) {
      this.position = 0;
      this.spacing = 0;
      this.rotateMix = 0;
      this.translateMix = 0;
      this.spaces = new Array();
      this.positions = new Array();
      this.world = new Array();
      this.curves = new Array();
      this.lengths = new Array();
      this.segments = new Array();
      if (data == null)
        throw new Error("data cannot be null.");
      if (skeleton == null)
        throw new Error("skeleton cannot be null.");
      this.data = data;
      this.bones = new Array();
      for (let i = 0, n = data.bones.length; i < n; i++)
        this.bones.push(skeleton.findBone(data.bones[i].name));
      this.target = skeleton.findSlot(data.target.name);
      this.position = data.position;
      this.spacing = data.spacing;
      this.rotateMix = data.rotateMix;
      this.translateMix = data.translateMix;
    }
    apply() {
      this.update();
    }
    update() {
      const attachment = this.target.getAttachment();
      if (!(attachment instanceof PathAttachment$1))
        return;
      const rotateMix = this.rotateMix;
      const translateMix = this.translateMix;
      const translate = translateMix > 0;
      const rotate = rotateMix > 0;
      if (!translate && !rotate)
        return;
      const data = this.data;
      const spacingMode = data.spacingMode;
      const lengthSpacing = spacingMode == SpacingMode$1.Length;
      const rotateMode = data.rotateMode;
      const tangents = rotateMode == RotateMode.Tangent;
      const scale = rotateMode == RotateMode.ChainScale;
      const boneCount = this.bones.length;
      const spacesCount = tangents ? boneCount : boneCount + 1;
      const bones = this.bones;
      const spaces = Utils.setArraySize(this.spaces, spacesCount);
      let lengths = null;
      const spacing = this.spacing;
      if (scale || lengthSpacing) {
        if (scale)
          lengths = Utils.setArraySize(this.lengths, boneCount);
        for (let i = 0, n = spacesCount - 1; i < n; ) {
          const bone = bones[i];
          const setupLength = bone.data.length;
          if (setupLength < _PathConstraint.epsilon) {
            if (scale)
              lengths[i] = 0;
            spaces[++i] = 0;
          } else {
            const x = setupLength * bone.matrix.a;
            const y = setupLength * bone.matrix.b;
            const length = Math.sqrt(x * x + y * y);
            if (scale)
              lengths[i] = length;
            spaces[++i] = (lengthSpacing ? setupLength + spacing : spacing) * length / setupLength;
          }
        }
      } else {
        for (let i = 1; i < spacesCount; i++)
          spaces[i] = spacing;
      }
      const positions = this.computeWorldPositions(
        attachment,
        spacesCount,
        tangents,
        data.positionMode == PositionMode.Percent,
        spacingMode == SpacingMode$1.Percent
      );
      let boneX = positions[0];
      let boneY = positions[1];
      let offsetRotation = data.offsetRotation;
      let tip = false;
      if (offsetRotation == 0)
        tip = rotateMode == RotateMode.Chain;
      else {
        tip = false;
        const p = this.target.bone.matrix;
        offsetRotation *= p.a * p.d - p.b * p.c > 0 ? MathUtils.degRad : -MathUtils.degRad;
      }
      for (let i = 0, p = 3; i < boneCount; i++, p += 3) {
        const bone = bones[i];
        const mat = bone.matrix;
        mat.tx += (boneX - mat.tx) * translateMix;
        mat.ty += (boneY - mat.ty) * translateMix;
        const x = positions[p];
        const y = positions[p + 1];
        const dx = x - boneX;
        const dy = y - boneY;
        if (scale) {
          const length = lengths[i];
          if (length != 0) {
            const s = (Math.sqrt(dx * dx + dy * dy) / length - 1) * rotateMix + 1;
            mat.a *= s;
            mat.b *= s;
          }
        }
        boneX = x;
        boneY = y;
        if (rotate) {
          const a = mat.a;
          const b = mat.c;
          const c = mat.b;
          const d = mat.d;
          let r = 0;
          let cos = 0;
          let sin = 0;
          if (tangents)
            if (tangents)
              r = positions[p - 1];
            else if (spaces[i + 1] == 0)
              r = positions[p + 2];
            else
              r = Math.atan2(dy, dx);
          r -= Math.atan2(c, a);
          if (tip) {
            cos = Math.cos(r);
            sin = Math.sin(r);
            const length = bone.data.length;
            boneX += (length * (cos * a - sin * c) - dx) * rotateMix;
            boneY += (length * (sin * a + cos * c) - dy) * rotateMix;
          } else {
            r += offsetRotation;
          }
          if (r > MathUtils.PI)
            r -= MathUtils.PI2;
          else if (r < -MathUtils.PI)
            r += MathUtils.PI2;
          r *= rotateMix;
          cos = Math.cos(r);
          sin = Math.sin(r);
          mat.a = cos * a - sin * c;
          mat.c = cos * b - sin * d;
          mat.b = sin * a + cos * c;
          mat.d = sin * b + cos * d;
        }
        bone.appliedValid = false;
      }
    }
    computeWorldPositions(path, spacesCount, tangents, percentPosition, percentSpacing) {
      const target = this.target;
      let position = this.position;
      const spaces = this.spaces;
      const out = Utils.setArraySize(this.positions, spacesCount * 3 + 2);
      let world = null;
      const closed2 = path.closed;
      let verticesLength = path.worldVerticesLength;
      let curveCount = verticesLength / 6;
      let prevCurve = _PathConstraint.NONE;
      if (!path.constantSpeed) {
        const lengths = path.lengths;
        curveCount -= closed2 ? 1 : 2;
        const pathLength2 = lengths[curveCount];
        if (percentPosition)
          position *= pathLength2;
        if (percentSpacing) {
          for (let i = 0; i < spacesCount; i++)
            spaces[i] *= pathLength2;
        }
        world = Utils.setArraySize(this.world, 8);
        for (let i = 0, o = 0, curve = 0; i < spacesCount; i++, o += 3) {
          const space = spaces[i];
          position += space;
          let p = position;
          if (closed2) {
            p %= pathLength2;
            if (p < 0)
              p += pathLength2;
            curve = 0;
          } else if (p < 0) {
            if (prevCurve != _PathConstraint.BEFORE) {
              prevCurve = _PathConstraint.BEFORE;
              path.computeWorldVertices(target, 2, 4, world, 0, 2);
            }
            this.addBeforePosition(p, world, 0, out, o);
            continue;
          } else if (p > pathLength2) {
            if (prevCurve != _PathConstraint.AFTER) {
              prevCurve = _PathConstraint.AFTER;
              path.computeWorldVertices(target, verticesLength - 6, 4, world, 0, 2);
            }
            this.addAfterPosition(p - pathLength2, world, 0, out, o);
            continue;
          }
          for (; ; curve++) {
            const length = lengths[curve];
            if (p > length)
              continue;
            if (curve == 0)
              p /= length;
            else {
              const prev = lengths[curve - 1];
              p = (p - prev) / (length - prev);
            }
            break;
          }
          if (curve != prevCurve) {
            prevCurve = curve;
            if (closed2 && curve == curveCount) {
              path.computeWorldVertices(target, verticesLength - 4, 4, world, 0, 2);
              path.computeWorldVertices(target, 0, 4, world, 4, 2);
            } else
              path.computeWorldVertices(target, curve * 6 + 2, 8, world, 0, 2);
          }
          this.addCurvePosition(p, world[0], world[1], world[2], world[3], world[4], world[5], world[6], world[7], out, o, tangents || i > 0 && space == 0);
        }
        return out;
      }
      if (closed2) {
        verticesLength += 2;
        world = Utils.setArraySize(this.world, verticesLength);
        path.computeWorldVertices(target, 2, verticesLength - 4, world, 0, 2);
        path.computeWorldVertices(target, 0, 2, world, verticesLength - 4, 2);
        world[verticesLength - 2] = world[0];
        world[verticesLength - 1] = world[1];
      } else {
        curveCount--;
        verticesLength -= 4;
        world = Utils.setArraySize(this.world, verticesLength);
        path.computeWorldVertices(target, 2, verticesLength, world, 0, 2);
      }
      const curves = Utils.setArraySize(this.curves, curveCount);
      let pathLength = 0;
      let x1 = world[0];
      let y1 = world[1];
      let cx1 = 0;
      let cy1 = 0;
      let cx2 = 0;
      let cy2 = 0;
      let x2 = 0;
      let y2 = 0;
      let tmpx = 0;
      let tmpy = 0;
      let dddfx = 0;
      let dddfy = 0;
      let ddfx = 0;
      let ddfy = 0;
      let dfx = 0;
      let dfy = 0;
      for (let i = 0, w = 2; i < curveCount; i++, w += 6) {
        cx1 = world[w];
        cy1 = world[w + 1];
        cx2 = world[w + 2];
        cy2 = world[w + 3];
        x2 = world[w + 4];
        y2 = world[w + 5];
        tmpx = (x1 - cx1 * 2 + cx2) * 0.1875;
        tmpy = (y1 - cy1 * 2 + cy2) * 0.1875;
        dddfx = ((cx1 - cx2) * 3 - x1 + x2) * 0.09375;
        dddfy = ((cy1 - cy2) * 3 - y1 + y2) * 0.09375;
        ddfx = tmpx * 2 + dddfx;
        ddfy = tmpy * 2 + dddfy;
        dfx = (cx1 - x1) * 0.75 + tmpx + dddfx * 0.16666667;
        dfy = (cy1 - y1) * 0.75 + tmpy + dddfy * 0.16666667;
        pathLength += Math.sqrt(dfx * dfx + dfy * dfy);
        dfx += ddfx;
        dfy += ddfy;
        ddfx += dddfx;
        ddfy += dddfy;
        pathLength += Math.sqrt(dfx * dfx + dfy * dfy);
        dfx += ddfx;
        dfy += ddfy;
        pathLength += Math.sqrt(dfx * dfx + dfy * dfy);
        dfx += ddfx + dddfx;
        dfy += ddfy + dddfy;
        pathLength += Math.sqrt(dfx * dfx + dfy * dfy);
        curves[i] = pathLength;
        x1 = x2;
        y1 = y2;
      }
      if (percentPosition)
        position *= pathLength;
      if (percentSpacing) {
        for (let i = 0; i < spacesCount; i++)
          spaces[i] *= pathLength;
      }
      const segments = this.segments;
      let curveLength = 0;
      for (let i = 0, o = 0, curve = 0, segment = 0; i < spacesCount; i++, o += 3) {
        const space = spaces[i];
        position += space;
        let p = position;
        if (closed2) {
          p %= pathLength;
          if (p < 0)
            p += pathLength;
          curve = 0;
        } else if (p < 0) {
          this.addBeforePosition(p, world, 0, out, o);
          continue;
        } else if (p > pathLength) {
          this.addAfterPosition(p - pathLength, world, verticesLength - 4, out, o);
          continue;
        }
        for (; ; curve++) {
          const length = curves[curve];
          if (p > length)
            continue;
          if (curve == 0)
            p /= length;
          else {
            const prev = curves[curve - 1];
            p = (p - prev) / (length - prev);
          }
          break;
        }
        if (curve != prevCurve) {
          prevCurve = curve;
          let ii = curve * 6;
          x1 = world[ii];
          y1 = world[ii + 1];
          cx1 = world[ii + 2];
          cy1 = world[ii + 3];
          cx2 = world[ii + 4];
          cy2 = world[ii + 5];
          x2 = world[ii + 6];
          y2 = world[ii + 7];
          tmpx = (x1 - cx1 * 2 + cx2) * 0.03;
          tmpy = (y1 - cy1 * 2 + cy2) * 0.03;
          dddfx = ((cx1 - cx2) * 3 - x1 + x2) * 6e-3;
          dddfy = ((cy1 - cy2) * 3 - y1 + y2) * 6e-3;
          ddfx = tmpx * 2 + dddfx;
          ddfy = tmpy * 2 + dddfy;
          dfx = (cx1 - x1) * 0.3 + tmpx + dddfx * 0.16666667;
          dfy = (cy1 - y1) * 0.3 + tmpy + dddfy * 0.16666667;
          curveLength = Math.sqrt(dfx * dfx + dfy * dfy);
          segments[0] = curveLength;
          for (ii = 1; ii < 8; ii++) {
            dfx += ddfx;
            dfy += ddfy;
            ddfx += dddfx;
            ddfy += dddfy;
            curveLength += Math.sqrt(dfx * dfx + dfy * dfy);
            segments[ii] = curveLength;
          }
          dfx += ddfx;
          dfy += ddfy;
          curveLength += Math.sqrt(dfx * dfx + dfy * dfy);
          segments[8] = curveLength;
          dfx += ddfx + dddfx;
          dfy += ddfy + dddfy;
          curveLength += Math.sqrt(dfx * dfx + dfy * dfy);
          segments[9] = curveLength;
          segment = 0;
        }
        p *= curveLength;
        for (; ; segment++) {
          const length = segments[segment];
          if (p > length)
            continue;
          if (segment == 0)
            p /= length;
          else {
            const prev = segments[segment - 1];
            p = segment + (p - prev) / (length - prev);
          }
          break;
        }
        this.addCurvePosition(p * 0.1, x1, y1, cx1, cy1, cx2, cy2, x2, y2, out, o, tangents || i > 0 && space == 0);
      }
      return out;
    }
    addBeforePosition(p, temp, i, out, o) {
      const x1 = temp[i];
      const y1 = temp[i + 1];
      const dx = temp[i + 2] - x1;
      const dy = temp[i + 3] - y1;
      const r = Math.atan2(dy, dx);
      out[o] = x1 + p * Math.cos(r);
      out[o + 1] = y1 + p * Math.sin(r);
      out[o + 2] = r;
    }
    addAfterPosition(p, temp, i, out, o) {
      const x1 = temp[i + 2];
      const y1 = temp[i + 3];
      const dx = x1 - temp[i];
      const dy = y1 - temp[i + 1];
      const r = Math.atan2(dy, dx);
      out[o] = x1 + p * Math.cos(r);
      out[o + 1] = y1 + p * Math.sin(r);
      out[o + 2] = r;
    }
    addCurvePosition(p, x1, y1, cx1, cy1, cx2, cy2, x2, y2, out, o, tangents) {
      if (p == 0 || isNaN(p))
        p = 1e-4;
      const tt = p * p;
      const ttt = tt * p;
      const u = 1 - p;
      const uu = u * u;
      const uuu = uu * u;
      const ut = u * p;
      const ut3 = ut * 3;
      const uut3 = u * ut3;
      const utt3 = ut3 * p;
      const x = x1 * uuu + cx1 * uut3 + cx2 * utt3 + x2 * ttt;
      const y = y1 * uuu + cy1 * uut3 + cy2 * utt3 + y2 * ttt;
      out[o] = x;
      out[o + 1] = y;
      if (tangents)
        out[o + 2] = Math.atan2(y - (y1 * uu + cy1 * ut * 2 + cy2 * tt), x - (x1 * uu + cx1 * ut * 2 + cx2 * tt));
    }
    getOrder() {
      return this.data.order;
    }
  };
  let PathConstraint = _PathConstraint;
  PathConstraint.NONE = -1;
  PathConstraint.BEFORE = -2;
  PathConstraint.AFTER = -3;
  PathConstraint.epsilon = 1e-5;
  class TransformConstraint {
    constructor(data, skeleton) {
      this.rotateMix = 0;
      this.translateMix = 0;
      this.scaleMix = 0;
      this.shearMix = 0;
      this.temp = new Vector2();
      if (data == null)
        throw new Error("data cannot be null.");
      if (skeleton == null)
        throw new Error("skeleton cannot be null.");
      this.data = data;
      this.rotateMix = data.rotateMix;
      this.translateMix = data.translateMix;
      this.scaleMix = data.scaleMix;
      this.shearMix = data.shearMix;
      this.bones = new Array();
      for (let i = 0; i < data.bones.length; i++)
        this.bones.push(skeleton.findBone(data.bones[i].name));
      this.target = skeleton.findBone(data.target.name);
    }
    apply() {
      this.update();
    }
    update() {
      if (this.data.local) {
        if (this.data.relative)
          this.applyRelativeLocal();
        else
          this.applyAbsoluteLocal();
      } else if (this.data.relative)
        this.applyRelativeWorld();
      else
        this.applyAbsoluteWorld();
    }
    applyAbsoluteWorld() {
      const rotateMix = this.rotateMix;
      const translateMix = this.translateMix;
      const scaleMix = this.scaleMix;
      const shearMix = this.shearMix;
      const target = this.target;
      const targetMat = target.matrix;
      const ta = targetMat.a;
      const tb = targetMat.c;
      const tc = targetMat.b;
      const td = targetMat.d;
      const degRadReflect = ta * td - tb * tc > 0 ? MathUtils.degRad : -MathUtils.degRad;
      const offsetRotation = this.data.offsetRotation * degRadReflect;
      const offsetShearY = this.data.offsetShearY * degRadReflect;
      const bones = this.bones;
      for (let i = 0, n = bones.length; i < n; i++) {
        const bone = bones[i];
        let modified = false;
        const mat = bone.matrix;
        if (rotateMix != 0) {
          const a = mat.a;
          const b = mat.c;
          const c = mat.b;
          const d = mat.d;
          let r = Math.atan2(tc, ta) - Math.atan2(c, a) + offsetRotation;
          if (r > MathUtils.PI)
            r -= MathUtils.PI2;
          else if (r < -MathUtils.PI)
            r += MathUtils.PI2;
          r *= rotateMix;
          const cos = Math.cos(r);
          const sin = Math.sin(r);
          mat.a = cos * a - sin * c;
          mat.c = cos * b - sin * d;
          mat.b = sin * a + cos * c;
          mat.d = sin * b + cos * d;
          modified = true;
        }
        if (translateMix != 0) {
          const temp = this.temp;
          target.localToWorld(temp.set(this.data.offsetX, this.data.offsetY));
          mat.tx += (temp.x - mat.tx) * translateMix;
          mat.ty += (temp.y - mat.ty) * translateMix;
          modified = true;
        }
        if (scaleMix > 0) {
          let s = Math.sqrt(mat.a * mat.a + mat.b * mat.b);
          let ts = Math.sqrt(ta * ta + tc * tc);
          if (s > 1e-5)
            s = (s + (ts - s + this.data.offsetScaleX) * scaleMix) / s;
          mat.a *= s;
          mat.b *= s;
          s = Math.sqrt(mat.c * mat.c + mat.d * mat.d);
          ts = Math.sqrt(tb * tb + td * td);
          if (s > 1e-5)
            s = (s + (ts - s + this.data.offsetScaleY) * scaleMix) / s;
          mat.c *= s;
          mat.d *= s;
          modified = true;
        }
        if (shearMix > 0) {
          const b = mat.c;
          const d = mat.d;
          const by = Math.atan2(d, b);
          let r = Math.atan2(td, tb) - Math.atan2(tc, ta) - (by - Math.atan2(mat.b, mat.a));
          if (r > MathUtils.PI)
            r -= MathUtils.PI2;
          else if (r < -MathUtils.PI)
            r += MathUtils.PI2;
          r = by + (r + offsetShearY) * shearMix;
          const s = Math.sqrt(b * b + d * d);
          mat.c = Math.cos(r) * s;
          mat.d = Math.sin(r) * s;
          modified = true;
        }
        if (modified)
          bone.appliedValid = false;
      }
    }
    applyRelativeWorld() {
      const rotateMix = this.rotateMix;
      const translateMix = this.translateMix;
      const scaleMix = this.scaleMix;
      const shearMix = this.shearMix;
      const target = this.target;
      const targetMat = target.matrix;
      const ta = targetMat.a;
      const tb = targetMat.c;
      const tc = targetMat.b;
      const td = targetMat.d;
      const degRadReflect = ta * td - tb * tc > 0 ? MathUtils.degRad : -MathUtils.degRad;
      const offsetRotation = this.data.offsetRotation * degRadReflect;
      const offsetShearY = this.data.offsetShearY * degRadReflect;
      const bones = this.bones;
      for (let i = 0, n = bones.length; i < n; i++) {
        const bone = bones[i];
        let modified = false;
        const mat = bone.matrix;
        if (rotateMix != 0) {
          const a = mat.a;
          const b = mat.c;
          const c = mat.b;
          const d = mat.d;
          let r = Math.atan2(tc, ta) + offsetRotation;
          if (r > MathUtils.PI)
            r -= MathUtils.PI2;
          else if (r < -MathUtils.PI)
            r += MathUtils.PI2;
          r *= rotateMix;
          const cos = Math.cos(r);
          const sin = Math.sin(r);
          mat.a = cos * a - sin * c;
          mat.c = cos * b - sin * d;
          mat.b = sin * a + cos * c;
          mat.d = sin * b + cos * d;
          modified = true;
        }
        if (translateMix != 0) {
          const temp = this.temp;
          target.localToWorld(temp.set(this.data.offsetX, this.data.offsetY));
          mat.tx += temp.x * translateMix;
          mat.ty += temp.y * translateMix;
          modified = true;
        }
        if (scaleMix > 0) {
          let s = (Math.sqrt(ta * ta + tc * tc) - 1 + this.data.offsetScaleX) * scaleMix + 1;
          mat.a *= s;
          mat.b *= s;
          s = (Math.sqrt(tb * tb + td * td) - 1 + this.data.offsetScaleY) * scaleMix + 1;
          mat.c *= s;
          mat.d *= s;
          modified = true;
        }
        if (shearMix > 0) {
          let r = Math.atan2(td, tb) - Math.atan2(tc, ta);
          if (r > MathUtils.PI)
            r -= MathUtils.PI2;
          else if (r < -MathUtils.PI)
            r += MathUtils.PI2;
          const b = mat.c;
          const d = mat.d;
          r = Math.atan2(d, b) + (r - MathUtils.PI / 2 + offsetShearY) * shearMix;
          const s = Math.sqrt(b * b + d * d);
          mat.c = Math.cos(r) * s;
          mat.d = Math.sin(r) * s;
          modified = true;
        }
        if (modified)
          bone.appliedValid = false;
      }
    }
    applyAbsoluteLocal() {
      const rotateMix = this.rotateMix;
      const translateMix = this.translateMix;
      const scaleMix = this.scaleMix;
      const shearMix = this.shearMix;
      const target = this.target;
      if (!target.appliedValid)
        target.updateAppliedTransform();
      const bones = this.bones;
      for (let i = 0, n = bones.length; i < n; i++) {
        const bone = bones[i];
        if (!bone.appliedValid)
          bone.updateAppliedTransform();
        let rotation = bone.arotation;
        if (rotateMix != 0) {
          let r = target.arotation - rotation + this.data.offsetRotation;
          r -= (16384 - (16384.499999999996 - r / 360 | 0)) * 360;
          rotation += r * rotateMix;
        }
        let x = bone.ax;
        let y = bone.ay;
        if (translateMix != 0) {
          x += (target.ax - x + this.data.offsetX) * translateMix;
          y += (target.ay - y + this.data.offsetY) * translateMix;
        }
        let scaleX = bone.ascaleX;
        let scaleY = bone.ascaleY;
        if (scaleMix > 0) {
          if (scaleX > 1e-5)
            scaleX = (scaleX + (target.ascaleX - scaleX + this.data.offsetScaleX) * scaleMix) / scaleX;
          if (scaleY > 1e-5)
            scaleY = (scaleY + (target.ascaleY - scaleY + this.data.offsetScaleY) * scaleMix) / scaleY;
        }
        const shearY = bone.ashearY;
        if (shearMix > 0) {
          let r = target.ashearY - shearY + this.data.offsetShearY;
          r -= (16384 - (16384.499999999996 - r / 360 | 0)) * 360;
          bone.shearY += r * shearMix;
        }
        bone.updateWorldTransformWith(x, y, rotation, scaleX, scaleY, bone.ashearX, shearY);
      }
    }
    applyRelativeLocal() {
      const rotateMix = this.rotateMix;
      const translateMix = this.translateMix;
      const scaleMix = this.scaleMix;
      const shearMix = this.shearMix;
      const target = this.target;
      if (!target.appliedValid)
        target.updateAppliedTransform();
      const bones = this.bones;
      for (let i = 0, n = bones.length; i < n; i++) {
        const bone = bones[i];
        if (!bone.appliedValid)
          bone.updateAppliedTransform();
        let rotation = bone.arotation;
        if (rotateMix != 0)
          rotation += (target.arotation + this.data.offsetRotation) * rotateMix;
        let x = bone.ax;
        let y = bone.ay;
        if (translateMix != 0) {
          x += (target.ax + this.data.offsetX) * translateMix;
          y += (target.ay + this.data.offsetY) * translateMix;
        }
        let scaleX = bone.ascaleX;
        let scaleY = bone.ascaleY;
        if (scaleMix > 0) {
          if (scaleX > 1e-5)
            scaleX *= (target.ascaleX - 1 + this.data.offsetScaleX) * scaleMix + 1;
          if (scaleY > 1e-5)
            scaleY *= (target.ascaleY - 1 + this.data.offsetScaleY) * scaleMix + 1;
        }
        let shearY = bone.ashearY;
        if (shearMix > 0)
          shearY += (target.ashearY + this.data.offsetShearY) * shearMix;
        bone.updateWorldTransformWith(x, y, rotation, scaleX, scaleY, bone.ashearX, shearY);
      }
    }
    getOrder() {
      return this.data.order;
    }
  }
  const _Skeleton = class {
    constructor(data) {
      this._updateCache = new Array();
      this.updateCacheReset = new Array();
      this.time = 0;
      this.scaleX = 1;
      this.scaleY = 1;
      this.x = 0;
      this.y = 0;
      if (data == null)
        throw new Error("data cannot be null.");
      this.data = data;
      this.bones = new Array();
      for (let i = 0; i < data.bones.length; i++) {
        const boneData = data.bones[i];
        let bone;
        if (boneData.parent == null)
          bone = new Bone(boneData, this, null);
        else {
          const parent = this.bones[boneData.parent.index];
          bone = new Bone(boneData, this, parent);
          parent.children.push(bone);
        }
        this.bones.push(bone);
      }
      this.slots = new Array();
      this.drawOrder = new Array();
      for (let i = 0; i < data.slots.length; i++) {
        const slotData = data.slots[i];
        const bone = this.bones[slotData.boneData.index];
        const slot = new Slot(slotData, bone);
        this.slots.push(slot);
        this.drawOrder.push(slot);
      }
      this.ikConstraints = new Array();
      for (let i = 0; i < data.ikConstraints.length; i++) {
        const ikConstraintData = data.ikConstraints[i];
        this.ikConstraints.push(new IkConstraint(ikConstraintData, this));
      }
      this.transformConstraints = new Array();
      for (let i = 0; i < data.transformConstraints.length; i++) {
        const transformConstraintData = data.transformConstraints[i];
        this.transformConstraints.push(new TransformConstraint(transformConstraintData, this));
      }
      this.pathConstraints = new Array();
      for (let i = 0; i < data.pathConstraints.length; i++) {
        const pathConstraintData = data.pathConstraints[i];
        this.pathConstraints.push(new PathConstraint(pathConstraintData, this));
      }
      this.color = new Color(1, 1, 1, 1);
      this.updateCache();
    }
    updateCache() {
      const updateCache = this._updateCache;
      updateCache.length = 0;
      this.updateCacheReset.length = 0;
      const bones = this.bones;
      for (let i = 0, n = bones.length; i < n; i++)
        bones[i].sorted = false;
      const ikConstraints = this.ikConstraints;
      const transformConstraints = this.transformConstraints;
      const pathConstraints = this.pathConstraints;
      const ikCount = ikConstraints.length;
      const transformCount = transformConstraints.length;
      const pathCount = pathConstraints.length;
      const constraintCount = ikCount + transformCount + pathCount;
      outer:
        for (let i = 0; i < constraintCount; i++) {
          for (let ii = 0; ii < ikCount; ii++) {
            const constraint = ikConstraints[ii];
            if (constraint.data.order == i) {
              this.sortIkConstraint(constraint);
              continue outer;
            }
          }
          for (let ii = 0; ii < transformCount; ii++) {
            const constraint = transformConstraints[ii];
            if (constraint.data.order == i) {
              this.sortTransformConstraint(constraint);
              continue outer;
            }
          }
          for (let ii = 0; ii < pathCount; ii++) {
            const constraint = pathConstraints[ii];
            if (constraint.data.order == i) {
              this.sortPathConstraint(constraint);
              continue outer;
            }
          }
        }
      for (let i = 0, n = bones.length; i < n; i++)
        this.sortBone(bones[i]);
    }
    sortIkConstraint(constraint) {
      const target = constraint.target;
      this.sortBone(target);
      const constrained = constraint.bones;
      const parent = constrained[0];
      this.sortBone(parent);
      if (constrained.length > 1) {
        const child = constrained[constrained.length - 1];
        if (!(this._updateCache.indexOf(child) > -1))
          this.updateCacheReset.push(child);
      }
      this._updateCache.push(constraint);
      this.sortReset(parent.children);
      constrained[constrained.length - 1].sorted = true;
    }
    sortPathConstraint(constraint) {
      const slot = constraint.target;
      const slotIndex = slot.data.index;
      const slotBone = slot.bone;
      if (this.skin != null)
        this.sortPathConstraintAttachment(this.skin, slotIndex, slotBone);
      if (this.data.defaultSkin != null && this.data.defaultSkin != this.skin)
        this.sortPathConstraintAttachment(this.data.defaultSkin, slotIndex, slotBone);
      for (let i = 0, n = this.data.skins.length; i < n; i++)
        this.sortPathConstraintAttachment(this.data.skins[i], slotIndex, slotBone);
      const attachment = slot.getAttachment();
      if (attachment instanceof PathAttachment$1)
        this.sortPathConstraintAttachmentWith(attachment, slotBone);
      const constrained = constraint.bones;
      const boneCount = constrained.length;
      for (let i = 0; i < boneCount; i++)
        this.sortBone(constrained[i]);
      this._updateCache.push(constraint);
      for (let i = 0; i < boneCount; i++)
        this.sortReset(constrained[i].children);
      for (let i = 0; i < boneCount; i++)
        constrained[i].sorted = true;
    }
    sortTransformConstraint(constraint) {
      this.sortBone(constraint.target);
      const constrained = constraint.bones;
      const boneCount = constrained.length;
      if (constraint.data.local) {
        for (let i = 0; i < boneCount; i++) {
          const child = constrained[i];
          this.sortBone(child.parent);
          if (!(this._updateCache.indexOf(child) > -1))
            this.updateCacheReset.push(child);
        }
      } else {
        for (let i = 0; i < boneCount; i++) {
          this.sortBone(constrained[i]);
        }
      }
      this._updateCache.push(constraint);
      for (let ii = 0; ii < boneCount; ii++)
        this.sortReset(constrained[ii].children);
      for (let ii = 0; ii < boneCount; ii++)
        constrained[ii].sorted = true;
    }
    sortPathConstraintAttachment(skin, slotIndex, slotBone) {
      const attachments = skin.attachments[slotIndex];
      if (!attachments)
        return;
      for (const key in attachments) {
        this.sortPathConstraintAttachmentWith(attachments[key], slotBone);
      }
    }
    sortPathConstraintAttachmentWith(attachment, slotBone) {
      if (!(attachment instanceof PathAttachment$1))
        return;
      const pathBones = attachment.bones;
      if (pathBones == null)
        this.sortBone(slotBone);
      else {
        const bones = this.bones;
        let i = 0;
        while (i < pathBones.length) {
          const boneCount = pathBones[i++];
          for (let n = i + boneCount; i < n; i++) {
            const boneIndex = pathBones[i];
            this.sortBone(bones[boneIndex]);
          }
        }
      }
    }
    sortBone(bone) {
      if (bone.sorted)
        return;
      const parent = bone.parent;
      if (parent != null)
        this.sortBone(parent);
      bone.sorted = true;
      this._updateCache.push(bone);
    }
    sortReset(bones) {
      for (let i = 0, n = bones.length; i < n; i++) {
        const bone = bones[i];
        if (bone.sorted)
          this.sortReset(bone.children);
        bone.sorted = false;
      }
    }
    updateWorldTransform() {
      const updateCacheReset = this.updateCacheReset;
      for (let i = 0, n = updateCacheReset.length; i < n; i++) {
        const bone = updateCacheReset[i];
        bone.ax = bone.x;
        bone.ay = bone.y;
        bone.arotation = bone.rotation;
        bone.ascaleX = bone.scaleX;
        bone.ascaleY = bone.scaleY;
        bone.ashearX = bone.shearX;
        bone.ashearY = bone.shearY;
        bone.appliedValid = true;
      }
      const updateCache = this._updateCache;
      for (let i = 0, n = updateCache.length; i < n; i++)
        updateCache[i].update();
    }
    setToSetupPose() {
      this.setBonesToSetupPose();
      this.setSlotsToSetupPose();
    }
    setBonesToSetupPose() {
      const bones = this.bones;
      for (let i = 0, n = bones.length; i < n; i++)
        bones[i].setToSetupPose();
      const ikConstraints = this.ikConstraints;
      for (let i = 0, n = ikConstraints.length; i < n; i++) {
        const constraint = ikConstraints[i];
        constraint.bendDirection = constraint.data.bendDirection;
        constraint.mix = constraint.data.mix;
      }
      const transformConstraints = this.transformConstraints;
      for (let i = 0, n = transformConstraints.length; i < n; i++) {
        const constraint = transformConstraints[i];
        const data = constraint.data;
        constraint.rotateMix = data.rotateMix;
        constraint.translateMix = data.translateMix;
        constraint.scaleMix = data.scaleMix;
        constraint.shearMix = data.shearMix;
      }
      const pathConstraints = this.pathConstraints;
      for (let i = 0, n = pathConstraints.length; i < n; i++) {
        const constraint = pathConstraints[i];
        const data = constraint.data;
        constraint.position = data.position;
        constraint.spacing = data.spacing;
        constraint.rotateMix = data.rotateMix;
        constraint.translateMix = data.translateMix;
      }
    }
    setSlotsToSetupPose() {
      const slots = this.slots;
      Utils.arrayCopy(slots, 0, this.drawOrder, 0, slots.length);
      for (let i = 0, n = slots.length; i < n; i++)
        slots[i].setToSetupPose();
    }
    getRootBone() {
      if (this.bones.length == 0)
        return null;
      return this.bones[0];
    }
    findBone(boneName) {
      if (boneName == null)
        throw new Error("boneName cannot be null.");
      const bones = this.bones;
      for (let i = 0, n = bones.length; i < n; i++) {
        const bone = bones[i];
        if (bone.data.name == boneName)
          return bone;
      }
      return null;
    }
    findBoneIndex(boneName) {
      if (boneName == null)
        throw new Error("boneName cannot be null.");
      const bones = this.bones;
      for (let i = 0, n = bones.length; i < n; i++)
        if (bones[i].data.name == boneName)
          return i;
      return -1;
    }
    findSlot(slotName) {
      if (slotName == null)
        throw new Error("slotName cannot be null.");
      const slots = this.slots;
      for (let i = 0, n = slots.length; i < n; i++) {
        const slot = slots[i];
        if (slot.data.name == slotName)
          return slot;
      }
      return null;
    }
    findSlotIndex(slotName) {
      if (slotName == null)
        throw new Error("slotName cannot be null.");
      const slots = this.slots;
      for (let i = 0, n = slots.length; i < n; i++)
        if (slots[i].data.name == slotName)
          return i;
      return -1;
    }
    setSkinByName(skinName) {
      const skin = this.data.findSkin(skinName);
      if (skin == null)
        throw new Error(`Skin not found: ${skinName}`);
      this.setSkin(skin);
    }
    setSkin(newSkin) {
      if (newSkin != null) {
        if (this.skin != null)
          newSkin.attachAll(this, this.skin);
        else {
          const slots = this.slots;
          for (let i = 0, n = slots.length; i < n; i++) {
            const slot = slots[i];
            const name = slot.data.attachmentName;
            if (name != null) {
              const attachment = newSkin.getAttachment(i, name);
              if (attachment != null)
                slot.setAttachment(attachment);
            }
          }
        }
      }
      this.skin = newSkin;
    }
    getAttachmentByName(slotName, attachmentName) {
      return this.getAttachment(this.data.findSlotIndex(slotName), attachmentName);
    }
    getAttachment(slotIndex, attachmentName) {
      if (attachmentName == null)
        throw new Error("attachmentName cannot be null.");
      if (this.skin != null) {
        const attachment = this.skin.getAttachment(slotIndex, attachmentName);
        if (attachment != null)
          return attachment;
      }
      if (this.data.defaultSkin != null)
        return this.data.defaultSkin.getAttachment(slotIndex, attachmentName);
      return null;
    }
    setAttachment(slotName, attachmentName) {
      if (slotName == null)
        throw new Error("slotName cannot be null.");
      const slots = this.slots;
      for (let i = 0, n = slots.length; i < n; i++) {
        const slot = slots[i];
        if (slot.data.name == slotName) {
          let attachment = null;
          if (attachmentName != null) {
            attachment = this.getAttachment(i, attachmentName);
            if (attachment == null)
              throw new Error(`Attachment not found: ${attachmentName}, for slot: ${slotName}`);
          }
          slot.setAttachment(attachment);
          return;
        }
      }
      throw new Error(`Slot not found: ${slotName}`);
    }
    findIkConstraint(constraintName) {
      if (constraintName == null)
        throw new Error("constraintName cannot be null.");
      const ikConstraints = this.ikConstraints;
      for (let i = 0, n = ikConstraints.length; i < n; i++) {
        const ikConstraint = ikConstraints[i];
        if (ikConstraint.data.name == constraintName)
          return ikConstraint;
      }
      return null;
    }
    findTransformConstraint(constraintName) {
      if (constraintName == null)
        throw new Error("constraintName cannot be null.");
      const transformConstraints = this.transformConstraints;
      for (let i = 0, n = transformConstraints.length; i < n; i++) {
        const constraint = transformConstraints[i];
        if (constraint.data.name == constraintName)
          return constraint;
      }
      return null;
    }
    findPathConstraint(constraintName) {
      if (constraintName == null)
        throw new Error("constraintName cannot be null.");
      const pathConstraints = this.pathConstraints;
      for (let i = 0, n = pathConstraints.length; i < n; i++) {
        const constraint = pathConstraints[i];
        if (constraint.data.name == constraintName)
          return constraint;
      }
      return null;
    }
    getBounds(offset, size, temp) {
      if (offset == null)
        throw new Error("offset cannot be null.");
      if (size == null)
        throw new Error("size cannot be null.");
      const drawOrder = this.drawOrder;
      let minX = Number.POSITIVE_INFINITY;
      let minY = Number.POSITIVE_INFINITY;
      let maxX = Number.NEGATIVE_INFINITY;
      let maxY = Number.NEGATIVE_INFINITY;
      for (let i = 0, n = drawOrder.length; i < n; i++) {
        const slot = drawOrder[i];
        let verticesLength = 0;
        let vertices = null;
        const attachment = slot.getAttachment();
        if (attachment instanceof RegionAttachment$1) {
          verticesLength = 8;
          vertices = Utils.setArraySize(temp, verticesLength, 0);
          attachment.computeWorldVertices(slot.bone, vertices, 0, 2);
        } else if (attachment instanceof MeshAttachment$1) {
          const mesh = attachment;
          verticesLength = mesh.worldVerticesLength;
          vertices = Utils.setArraySize(temp, verticesLength, 0);
          mesh.computeWorldVertices(slot, 0, verticesLength, vertices, 0, 2);
        }
        if (vertices != null) {
          for (let ii = 0, nn = vertices.length; ii < nn; ii += 2) {
            const x = vertices[ii];
            const y = vertices[ii + 1];
            minX = Math.min(minX, x);
            minY = Math.min(minY, y);
            maxX = Math.max(maxX, x);
            maxY = Math.max(maxY, y);
          }
        }
      }
      offset.set(minX, minY);
      size.set(maxX - minX, maxY - minY);
    }
    update(delta) {
      this.time += delta;
    }
    get flipX() {
      return this.scaleX == -1;
    }
    set flipX(value) {
      if (!_Skeleton.deprecatedWarning1) {
        _Skeleton.deprecatedWarning1 = true;
        console.warn("Spine Deprecation Warning: `Skeleton.flipX/flipY` was deprecated, please use scaleX/scaleY");
      }
      this.scaleX = value ? 1 : -1;
    }
    get flipY() {
      return this.scaleY == -1;
    }
    set flipY(value) {
      if (!_Skeleton.deprecatedWarning1) {
        _Skeleton.deprecatedWarning1 = true;
        console.warn("Spine Deprecation Warning: `Skeleton.flipX/flipY` was deprecated, please use scaleX/scaleY");
      }
      this.scaleY = value ? 1 : -1;
    }
  };
  let Skeleton = _Skeleton;
  Skeleton.deprecatedWarning1 = false;
  class SkeletonData$1 {
    constructor() {
      this.bones = new Array();
      this.slots = new Array();
      this.skins = new Array();
      this.events = new Array();
      this.animations = new Array();
      this.ikConstraints = new Array();
      this.transformConstraints = new Array();
      this.pathConstraints = new Array();
      this.fps = 0;
    }
    findBone(boneName) {
      if (boneName == null)
        throw new Error("boneName cannot be null.");
      const bones = this.bones;
      for (let i = 0, n = bones.length; i < n; i++) {
        const bone = bones[i];
        if (bone.name == boneName)
          return bone;
      }
      return null;
    }
    findBoneIndex(boneName) {
      if (boneName == null)
        throw new Error("boneName cannot be null.");
      const bones = this.bones;
      for (let i = 0, n = bones.length; i < n; i++)
        if (bones[i].name == boneName)
          return i;
      return -1;
    }
    findSlot(slotName) {
      if (slotName == null)
        throw new Error("slotName cannot be null.");
      const slots = this.slots;
      for (let i = 0, n = slots.length; i < n; i++) {
        const slot = slots[i];
        if (slot.name == slotName)
          return slot;
      }
      return null;
    }
    findSlotIndex(slotName) {
      if (slotName == null)
        throw new Error("slotName cannot be null.");
      const slots = this.slots;
      for (let i = 0, n = slots.length; i < n; i++)
        if (slots[i].name == slotName)
          return i;
      return -1;
    }
    findSkin(skinName) {
      if (skinName == null)
        throw new Error("skinName cannot be null.");
      const skins = this.skins;
      for (let i = 0, n = skins.length; i < n; i++) {
        const skin = skins[i];
        if (skin.name == skinName)
          return skin;
      }
      return null;
    }
    findEvent(eventDataName) {
      if (eventDataName == null)
        throw new Error("eventDataName cannot be null.");
      const events = this.events;
      for (let i = 0, n = events.length; i < n; i++) {
        const event = events[i];
        if (event.name == eventDataName)
          return event;
      }
      return null;
    }
    findAnimation(animationName) {
      if (animationName == null)
        throw new Error("animationName cannot be null.");
      const animations = this.animations;
      for (let i = 0, n = animations.length; i < n; i++) {
        const animation = animations[i];
        if (animation.name == animationName)
          return animation;
      }
      return null;
    }
    findIkConstraint(constraintName) {
      if (constraintName == null)
        throw new Error("constraintName cannot be null.");
      const ikConstraints = this.ikConstraints;
      for (let i = 0, n = ikConstraints.length; i < n; i++) {
        const constraint = ikConstraints[i];
        if (constraint.name == constraintName)
          return constraint;
      }
      return null;
    }
    findTransformConstraint(constraintName) {
      if (constraintName == null)
        throw new Error("constraintName cannot be null.");
      const transformConstraints = this.transformConstraints;
      for (let i = 0, n = transformConstraints.length; i < n; i++) {
        const constraint = transformConstraints[i];
        if (constraint.name == constraintName)
          return constraint;
      }
      return null;
    }
    findPathConstraint(constraintName) {
      if (constraintName == null)
        throw new Error("constraintName cannot be null.");
      const pathConstraints = this.pathConstraints;
      for (let i = 0, n = pathConstraints.length; i < n; i++) {
        const constraint = pathConstraints[i];
        if (constraint.name == constraintName)
          return constraint;
      }
      return null;
    }
    findPathConstraintIndex(pathConstraintName) {
      if (pathConstraintName == null)
        throw new Error("pathConstraintName cannot be null.");
      const pathConstraints = this.pathConstraints;
      for (let i = 0, n = pathConstraints.length; i < n; i++)
        if (pathConstraints[i].name == pathConstraintName)
          return i;
      return -1;
    }
  }
  class SlotData$1 {
    constructor(index, name, boneData) {
      this.color = new Color(1, 1, 1, 1);
      if (index < 0)
        throw new Error("index must be >= 0.");
      if (name == null)
        throw new Error("name cannot be null.");
      if (boneData == null)
        throw new Error("boneData cannot be null.");
      this.index = index;
      this.name = name;
      this.boneData = boneData;
    }
  }
  class TransformConstraintData$1 {
    constructor(name) {
      this.order = 0;
      this.bones = new Array();
      this.rotateMix = 0;
      this.translateMix = 0;
      this.scaleMix = 0;
      this.shearMix = 0;
      this.offsetRotation = 0;
      this.offsetX = 0;
      this.offsetY = 0;
      this.offsetScaleX = 0;
      this.offsetScaleY = 0;
      this.offsetShearY = 0;
      this.relative = false;
      this.local = false;
      if (name == null)
        throw new Error("name cannot be null.");
      this.name = name;
    }
  }
  class Skin$1 {
    constructor(name) {
      this.attachments = new Array();
      if (name == null)
        throw new Error("name cannot be null.");
      this.name = name;
    }
    addAttachment(slotIndex, name, attachment) {
      if (attachment == null)
        throw new Error("attachment cannot be null.");
      const attachments = this.attachments;
      if (slotIndex >= attachments.length)
        attachments.length = slotIndex + 1;
      if (!attachments[slotIndex])
        attachments[slotIndex] = {};
      attachments[slotIndex][name] = attachment;
    }
    getAttachment(slotIndex, name) {
      const dictionary = this.attachments[slotIndex];
      return dictionary ? dictionary[name] : null;
    }
    attachAll(skeleton, oldSkin) {
      let slotIndex = 0;
      for (let i = 0; i < skeleton.slots.length; i++) {
        const slot = skeleton.slots[i];
        const slotAttachment = slot.getAttachment();
        if (slotAttachment && slotIndex < oldSkin.attachments.length) {
          const dictionary = oldSkin.attachments[slotIndex];
          for (const key in dictionary) {
            const skinAttachment = dictionary[key];
            if (slotAttachment == skinAttachment) {
              const attachment = this.getAttachment(slotIndex, key);
              if (attachment != null)
                slot.setAttachment(attachment);
              break;
            }
          }
        }
        slotIndex++;
      }
    }
  }
  class SkeletonJson$1 {
    constructor(attachmentLoader) {
      this.scale = 1;
      this.linkedMeshes = new Array();
      this.attachmentLoader = attachmentLoader;
    }
    readSkeletonData(json) {
      const scale = this.scale;
      const skeletonData = new SkeletonData$1();
      const root = typeof json === "string" ? JSON.parse(json) : json;
      const skeletonMap = root.skeleton;
      if (skeletonMap != null) {
        skeletonData.hash = skeletonMap.hash;
        skeletonData.version = skeletonMap.spine;
        skeletonData.width = skeletonMap.width;
        skeletonData.height = skeletonMap.height;
        skeletonData.fps = skeletonMap.fps;
        skeletonData.imagesPath = skeletonMap.images;
      }
      if (root.bones) {
        for (let i = 0; i < root.bones.length; i++) {
          const boneMap = root.bones[i];
          let parent = null;
          const parentName = this.getValue(boneMap, "parent", null);
          if (parentName != null) {
            parent = skeletonData.findBone(parentName);
            if (parent == null)
              throw new Error(`Parent bone not found: ${parentName}`);
          }
          const data = new BoneData$1(skeletonData.bones.length, boneMap.name, parent);
          data.length = this.getValue(boneMap, "length", 0) * scale;
          data.x = this.getValue(boneMap, "x", 0) * scale;
          data.y = this.getValue(boneMap, "y", 0) * scale;
          data.rotation = this.getValue(boneMap, "rotation", 0);
          data.scaleX = this.getValue(boneMap, "scaleX", 1);
          data.scaleY = this.getValue(boneMap, "scaleY", 1);
          data.shearX = this.getValue(boneMap, "shearX", 0);
          data.shearY = this.getValue(boneMap, "shearY", 0);
          data.transformMode = SkeletonJson$1.transformModeFromString(this.getValue(boneMap, "transform", "normal"));
          skeletonData.bones.push(data);
        }
      }
      if (root.slots) {
        for (let i = 0; i < root.slots.length; i++) {
          const slotMap = root.slots[i];
          const slotName = slotMap.name;
          const boneName = slotMap.bone;
          const boneData = skeletonData.findBone(boneName);
          if (boneData == null)
            throw new Error(`Slot bone not found: ${boneName}`);
          const data = new SlotData$1(skeletonData.slots.length, slotName, boneData);
          const color = this.getValue(slotMap, "color", null);
          if (color != null)
            data.color.setFromString(color);
          const dark = this.getValue(slotMap, "dark", null);
          if (dark != null) {
            data.darkColor = new Color(1, 1, 1, 1);
            data.darkColor.setFromString(dark);
          }
          data.attachmentName = this.getValue(slotMap, "attachment", null);
          data.blendMode = SkeletonJson$1.blendModeFromString(this.getValue(slotMap, "blend", "normal"));
          skeletonData.slots.push(data);
        }
      }
      if (root.ik) {
        for (let i = 0; i < root.ik.length; i++) {
          const constraintMap = root.ik[i];
          const data = new IkConstraintData$1(constraintMap.name);
          data.order = this.getValue(constraintMap, "order", 0);
          for (let j = 0; j < constraintMap.bones.length; j++) {
            const boneName = constraintMap.bones[j];
            const bone = skeletonData.findBone(boneName);
            if (bone == null)
              throw new Error(`IK bone not found: ${boneName}`);
            data.bones.push(bone);
          }
          const targetName = constraintMap.target;
          data.target = skeletonData.findBone(targetName);
          if (data.target == null)
            throw new Error(`IK target bone not found: ${targetName}`);
          data.bendDirection = this.getValue(constraintMap, "bendPositive", true) ? 1 : -1;
          data.mix = this.getValue(constraintMap, "mix", 1);
          skeletonData.ikConstraints.push(data);
        }
      }
      if (root.transform) {
        for (let i = 0; i < root.transform.length; i++) {
          const constraintMap = root.transform[i];
          const data = new TransformConstraintData$1(constraintMap.name);
          data.order = this.getValue(constraintMap, "order", 0);
          for (let j = 0; j < constraintMap.bones.length; j++) {
            const boneName = constraintMap.bones[j];
            const bone = skeletonData.findBone(boneName);
            if (bone == null)
              throw new Error(`Transform constraint bone not found: ${boneName}`);
            data.bones.push(bone);
          }
          const targetName = constraintMap.target;
          data.target = skeletonData.findBone(targetName);
          if (data.target == null)
            throw new Error(`Transform constraint target bone not found: ${targetName}`);
          data.local = this.getValue(constraintMap, "local", false);
          data.relative = this.getValue(constraintMap, "relative", false);
          data.offsetRotation = this.getValue(constraintMap, "rotation", 0);
          data.offsetX = this.getValue(constraintMap, "x", 0) * scale;
          data.offsetY = this.getValue(constraintMap, "y", 0) * scale;
          data.offsetScaleX = this.getValue(constraintMap, "scaleX", 0);
          data.offsetScaleY = this.getValue(constraintMap, "scaleY", 0);
          data.offsetShearY = this.getValue(constraintMap, "shearY", 0);
          data.rotateMix = this.getValue(constraintMap, "rotateMix", 1);
          data.translateMix = this.getValue(constraintMap, "translateMix", 1);
          data.scaleMix = this.getValue(constraintMap, "scaleMix", 1);
          data.shearMix = this.getValue(constraintMap, "shearMix", 1);
          skeletonData.transformConstraints.push(data);
        }
      }
      if (root.path) {
        for (let i = 0; i < root.path.length; i++) {
          const constraintMap = root.path[i];
          const data = new PathConstraintData$1(constraintMap.name);
          data.order = this.getValue(constraintMap, "order", 0);
          for (let j = 0; j < constraintMap.bones.length; j++) {
            const boneName = constraintMap.bones[j];
            const bone = skeletonData.findBone(boneName);
            if (bone == null)
              throw new Error(`Transform constraint bone not found: ${boneName}`);
            data.bones.push(bone);
          }
          const targetName = constraintMap.target;
          data.target = skeletonData.findSlot(targetName);
          if (data.target == null)
            throw new Error(`Path target slot not found: ${targetName}`);
          data.positionMode = SkeletonJson$1.positionModeFromString(this.getValue(constraintMap, "positionMode", "percent"));
          data.spacingMode = SkeletonJson$1.spacingModeFromString(this.getValue(constraintMap, "spacingMode", "length"));
          data.rotateMode = SkeletonJson$1.rotateModeFromString(this.getValue(constraintMap, "rotateMode", "tangent"));
          data.offsetRotation = this.getValue(constraintMap, "rotation", 0);
          data.position = this.getValue(constraintMap, "position", 0);
          if (data.positionMode == PositionMode.Fixed)
            data.position *= scale;
          data.spacing = this.getValue(constraintMap, "spacing", 0);
          if (data.spacingMode == SpacingMode$1.Length || data.spacingMode == SpacingMode$1.Fixed)
            data.spacing *= scale;
          data.rotateMix = this.getValue(constraintMap, "rotateMix", 1);
          data.translateMix = this.getValue(constraintMap, "translateMix", 1);
          skeletonData.pathConstraints.push(data);
        }
      }
      if (root.skins) {
        for (const skinName in root.skins) {
          const skinMap = root.skins[skinName];
          const skin = new Skin$1(skinName);
          for (const slotName in skinMap) {
            const slotIndex = skeletonData.findSlotIndex(slotName);
            if (slotIndex == -1)
              throw new Error(`Slot not found: ${slotName}`);
            const slotMap = skinMap[slotName];
            for (const entryName in slotMap) {
              const attachment = this.readAttachment(slotMap[entryName], skin, slotIndex, entryName, skeletonData);
              if (attachment != null)
                skin.addAttachment(slotIndex, entryName, attachment);
            }
          }
          skeletonData.skins.push(skin);
          if (skin.name == "default")
            skeletonData.defaultSkin = skin;
        }
      }
      for (let i = 0, n = this.linkedMeshes.length; i < n; i++) {
        const linkedMesh = this.linkedMeshes[i];
        const skin = linkedMesh.skin == null ? skeletonData.defaultSkin : skeletonData.findSkin(linkedMesh.skin);
        if (skin == null)
          throw new Error(`Skin not found: ${linkedMesh.skin}`);
        const parent = skin.getAttachment(linkedMesh.slotIndex, linkedMesh.parent);
        if (parent == null)
          throw new Error(`Parent mesh not found: ${linkedMesh.parent}`);
        linkedMesh.mesh.setParentMesh(parent);
      }
      this.linkedMeshes.length = 0;
      if (root.events) {
        for (const eventName in root.events) {
          const eventMap = root.events[eventName];
          const data = new EventData$1(eventName);
          data.intValue = this.getValue(eventMap, "int", 0);
          data.floatValue = this.getValue(eventMap, "float", 0);
          data.stringValue = this.getValue(eventMap, "string", "");
          data.audioPath = this.getValue(eventMap, "audio", null);
          if (data.audioPath != null) {
            data.volume = this.getValue(eventMap, "volume", 1);
            data.balance = this.getValue(eventMap, "balance", 0);
          }
          skeletonData.events.push(data);
        }
      }
      if (root.animations) {
        for (const animationName in root.animations) {
          const animationMap = root.animations[animationName];
          this.readAnimation(animationMap, animationName, skeletonData);
        }
      }
      return skeletonData;
    }
    readAttachment(map, skin, slotIndex, name, skeletonData) {
      const scale = this.scale;
      name = this.getValue(map, "name", name);
      const type = this.getValue(map, "type", "region");
      switch (type) {
        case "region": {
          const path = this.getValue(map, "path", name);
          const region = this.attachmentLoader.newRegionAttachment(skin, name, path);
          if (region == null)
            return null;
          region.path = path;
          region.x = this.getValue(map, "x", 0) * scale;
          region.y = this.getValue(map, "y", 0) * scale;
          region.scaleX = this.getValue(map, "scaleX", 1);
          region.scaleY = this.getValue(map, "scaleY", 1);
          region.rotation = this.getValue(map, "rotation", 0);
          region.width = map.width * scale;
          region.height = map.height * scale;
          const color = this.getValue(map, "color", null);
          if (color != null)
            region.color.setFromString(color);
          return region;
        }
        case "boundingbox": {
          const box = this.attachmentLoader.newBoundingBoxAttachment(skin, name);
          if (box == null)
            return null;
          this.readVertices(map, box, map.vertexCount << 1);
          const color = this.getValue(map, "color", null);
          if (color != null)
            box.color.setFromString(color);
          return box;
        }
        case "mesh":
        case "linkedmesh": {
          const path = this.getValue(map, "path", name);
          const mesh = this.attachmentLoader.newMeshAttachment(skin, name, path);
          if (mesh == null)
            return null;
          mesh.path = path;
          const color = this.getValue(map, "color", null);
          if (color != null)
            mesh.color.setFromString(color);
          const parent = this.getValue(map, "parent", null);
          if (parent != null) {
            mesh.inheritDeform = this.getValue(map, "deform", true);
            this.linkedMeshes.push(new LinkedMesh$2(mesh, this.getValue(map, "skin", null), slotIndex, parent));
            return mesh;
          }
          const uvs = map.uvs;
          this.readVertices(map, mesh, uvs.length);
          mesh.triangles = map.triangles;
          mesh.regionUVs = new Float32Array(uvs);
          mesh.hullLength = this.getValue(map, "hull", 0) * 2;
          return mesh;
        }
        case "path": {
          const path = this.attachmentLoader.newPathAttachment(skin, name);
          if (path == null)
            return null;
          path.closed = this.getValue(map, "closed", false);
          path.constantSpeed = this.getValue(map, "constantSpeed", true);
          const vertexCount = map.vertexCount;
          this.readVertices(map, path, vertexCount << 1);
          const lengths = Utils.newArray(vertexCount / 3, 0);
          for (let i = 0; i < map.lengths.length; i++)
            lengths[i] = map.lengths[i] * scale;
          path.lengths = lengths;
          const color = this.getValue(map, "color", null);
          if (color != null)
            path.color.setFromString(color);
          return path;
        }
        case "point": {
          const point = this.attachmentLoader.newPointAttachment(skin, name);
          if (point == null)
            return null;
          point.x = this.getValue(map, "x", 0) * scale;
          point.y = this.getValue(map, "y", 0) * scale;
          point.rotation = this.getValue(map, "rotation", 0);
          const color = this.getValue(map, "color", null);
          if (color != null)
            point.color.setFromString(color);
          return point;
        }
        case "clipping": {
          const clip = this.attachmentLoader.newClippingAttachment(skin, name);
          if (clip == null)
            return null;
          const end = this.getValue(map, "end", null);
          if (end != null) {
            const slot = skeletonData.findSlot(end);
            if (slot == null)
              throw new Error(`Clipping end slot not found: ${end}`);
            clip.endSlot = slot;
          }
          const vertexCount = map.vertexCount;
          this.readVertices(map, clip, vertexCount << 1);
          const color = this.getValue(map, "color", null);
          if (color != null)
            clip.color.setFromString(color);
          return clip;
        }
      }
      return null;
    }
    readVertices(map, attachment, verticesLength) {
      const scale = this.scale;
      attachment.worldVerticesLength = verticesLength;
      const vertices = map.vertices;
      if (verticesLength == vertices.length) {
        const scaledVertices = Utils.toFloatArray(vertices);
        if (scale != 1) {
          for (let i = 0, n = vertices.length; i < n; i++)
            scaledVertices[i] *= scale;
        }
        attachment.vertices = scaledVertices;
        return;
      }
      const weights = new Array();
      const bones = new Array();
      for (let i = 0, n = vertices.length; i < n; ) {
        const boneCount = vertices[i++];
        bones.push(boneCount);
        for (let nn = i + boneCount * 4; i < nn; i += 4) {
          bones.push(vertices[i]);
          weights.push(vertices[i + 1] * scale);
          weights.push(vertices[i + 2] * scale);
          weights.push(vertices[i + 3]);
        }
      }
      attachment.bones = bones;
      attachment.vertices = Utils.toFloatArray(weights);
    }
    readAnimation(map, name, skeletonData) {
      const scale = this.scale;
      const timelines = new Array();
      let duration = 0;
      if (map.slots) {
        for (const slotName in map.slots) {
          const slotMap = map.slots[slotName];
          const slotIndex = skeletonData.findSlotIndex(slotName);
          if (slotIndex == -1)
            throw new Error(`Slot not found: ${slotName}`);
          for (const timelineName in slotMap) {
            const timelineMap = slotMap[timelineName];
            if (timelineName == "attachment") {
              const timeline = new AttachmentTimeline$1(timelineMap.length);
              timeline.slotIndex = slotIndex;
              let frameIndex = 0;
              for (let i = 0; i < timelineMap.length; i++) {
                const valueMap = timelineMap[i];
                timeline.setFrame(frameIndex++, valueMap.time, valueMap.name);
              }
              timelines.push(timeline);
              duration = Math.max(duration, timeline.frames[timeline.getFrameCount() - 1]);
            } else if (timelineName == "color") {
              const timeline = new ColorTimeline(timelineMap.length);
              timeline.slotIndex = slotIndex;
              let frameIndex = 0;
              for (let i = 0; i < timelineMap.length; i++) {
                const valueMap = timelineMap[i];
                const color = new Color();
                color.setFromString(valueMap.color || "ffffffff");
                timeline.setFrame(frameIndex, valueMap.time, color.r, color.g, color.b, color.a);
                this.readCurve(valueMap, timeline, frameIndex);
                frameIndex++;
              }
              timelines.push(timeline);
              duration = Math.max(duration, timeline.frames[(timeline.getFrameCount() - 1) * ColorTimeline.ENTRIES]);
            } else if (timelineName == "twoColor") {
              const timeline = new TwoColorTimeline(timelineMap.length);
              timeline.slotIndex = slotIndex;
              let frameIndex = 0;
              for (let i = 0; i < timelineMap.length; i++) {
                const valueMap = timelineMap[i];
                const light = new Color();
                const dark = new Color();
                light.setFromString(valueMap.light);
                dark.setFromString(valueMap.dark);
                timeline.setFrame(frameIndex, valueMap.time, light.r, light.g, light.b, light.a, dark.r, dark.g, dark.b);
                this.readCurve(valueMap, timeline, frameIndex);
                frameIndex++;
              }
              timelines.push(timeline);
              duration = Math.max(duration, timeline.frames[(timeline.getFrameCount() - 1) * TwoColorTimeline.ENTRIES]);
            } else
              throw new Error(`Invalid timeline type for a slot: ${timelineName} (${slotName})`);
          }
        }
      }
      if (map.bones) {
        for (const boneName in map.bones) {
          const boneMap = map.bones[boneName];
          const boneIndex = skeletonData.findBoneIndex(boneName);
          if (boneIndex == -1)
            throw new Error(`Bone not found: ${boneName}`);
          for (const timelineName in boneMap) {
            const timelineMap = boneMap[timelineName];
            if (timelineName === "rotate") {
              const timeline = new RotateTimeline$1(timelineMap.length);
              timeline.boneIndex = boneIndex;
              let frameIndex = 0;
              for (let i = 0; i < timelineMap.length; i++) {
                const valueMap = timelineMap[i];
                timeline.setFrame(frameIndex, valueMap.time, valueMap.angle);
                this.readCurve(valueMap, timeline, frameIndex);
                frameIndex++;
              }
              timelines.push(timeline);
              duration = Math.max(duration, timeline.frames[(timeline.getFrameCount() - 1) * RotateTimeline$1.ENTRIES]);
            } else if (timelineName === "translate" || timelineName === "scale" || timelineName === "shear") {
              let timeline = null;
              let timelineScale = 1;
              if (timelineName === "scale")
                timeline = new ScaleTimeline$1(timelineMap.length);
              else if (timelineName === "shear")
                timeline = new ShearTimeline$1(timelineMap.length);
              else {
                timeline = new TranslateTimeline$1(timelineMap.length);
                timelineScale = scale;
              }
              timeline.boneIndex = boneIndex;
              let frameIndex = 0;
              for (let i = 0; i < timelineMap.length; i++) {
                const valueMap = timelineMap[i];
                const x = this.getValue(valueMap, "x", 0);
                const y = this.getValue(valueMap, "y", 0);
                timeline.setFrame(frameIndex, valueMap.time, x * timelineScale, y * timelineScale);
                this.readCurve(valueMap, timeline, frameIndex);
                frameIndex++;
              }
              timelines.push(timeline);
              duration = Math.max(duration, timeline.frames[(timeline.getFrameCount() - 1) * TranslateTimeline$1.ENTRIES]);
            } else
              throw new Error(`Invalid timeline type for a bone: ${timelineName} (${boneName})`);
          }
        }
      }
      if (map.ik) {
        for (const constraintName in map.ik) {
          const constraintMap = map.ik[constraintName];
          const constraint = skeletonData.findIkConstraint(constraintName);
          const timeline = new IkConstraintTimeline$1(constraintMap.length);
          timeline.ikConstraintIndex = skeletonData.ikConstraints.indexOf(constraint);
          let frameIndex = 0;
          for (let i = 0; i < constraintMap.length; i++) {
            const valueMap = constraintMap[i];
            timeline.setFrame(
              frameIndex,
              valueMap.time,
              this.getValue(valueMap, "mix", 1),
              this.getValue(valueMap, "bendPositive", true) ? 1 : -1,
              this.getValue(valueMap, "compress", false),
              this.getValue(valueMap, "stretch", false)
            );
            this.readCurve(valueMap, timeline, frameIndex);
            frameIndex++;
          }
          timelines.push(timeline);
          duration = Math.max(duration, timeline.frames[(timeline.getFrameCount() - 1) * IkConstraintTimeline$1.ENTRIES]);
        }
      }
      if (map.transform) {
        for (const constraintName in map.transform) {
          const constraintMap = map.transform[constraintName];
          const constraint = skeletonData.findTransformConstraint(constraintName);
          const timeline = new TransformConstraintTimeline$1(constraintMap.length);
          timeline.transformConstraintIndex = skeletonData.transformConstraints.indexOf(constraint);
          let frameIndex = 0;
          for (let i = 0; i < constraintMap.length; i++) {
            const valueMap = constraintMap[i];
            timeline.setFrame(
              frameIndex,
              valueMap.time,
              this.getValue(valueMap, "rotateMix", 1),
              this.getValue(valueMap, "translateMix", 1),
              this.getValue(valueMap, "scaleMix", 1),
              this.getValue(valueMap, "shearMix", 1)
            );
            this.readCurve(valueMap, timeline, frameIndex);
            frameIndex++;
          }
          timelines.push(timeline);
          duration = Math.max(duration, timeline.frames[(timeline.getFrameCount() - 1) * TransformConstraintTimeline$1.ENTRIES]);
        }
      }
      if (map.paths) {
        for (const constraintName in map.paths) {
          const constraintMap = map.paths[constraintName];
          const index = skeletonData.findPathConstraintIndex(constraintName);
          if (index == -1)
            throw new Error(`Path constraint not found: ${constraintName}`);
          const data = skeletonData.pathConstraints[index];
          for (const timelineName in constraintMap) {
            const timelineMap = constraintMap[timelineName];
            if (timelineName === "position" || timelineName === "spacing") {
              let timeline = null;
              let timelineScale = 1;
              if (timelineName === "spacing") {
                timeline = new PathConstraintSpacingTimeline$1(timelineMap.length);
                if (data.spacingMode == SpacingMode$1.Length || data.spacingMode == SpacingMode$1.Fixed)
                  timelineScale = scale;
              } else {
                timeline = new PathConstraintPositionTimeline$1(timelineMap.length);
                if (data.positionMode == PositionMode.Fixed)
                  timelineScale = scale;
              }
              timeline.pathConstraintIndex = index;
              let frameIndex = 0;
              for (let i = 0; i < timelineMap.length; i++) {
                const valueMap = timelineMap[i];
                timeline.setFrame(frameIndex, valueMap.time, this.getValue(valueMap, timelineName, 0) * timelineScale);
                this.readCurve(valueMap, timeline, frameIndex);
                frameIndex++;
              }
              timelines.push(timeline);
              duration = Math.max(duration, timeline.frames[(timeline.getFrameCount() - 1) * PathConstraintPositionTimeline$1.ENTRIES]);
            } else if (timelineName === "mix") {
              const timeline = new PathConstraintMixTimeline$1(timelineMap.length);
              timeline.pathConstraintIndex = index;
              let frameIndex = 0;
              for (let i = 0; i < timelineMap.length; i++) {
                const valueMap = timelineMap[i];
                timeline.setFrame(frameIndex, valueMap.time, this.getValue(valueMap, "rotateMix", 1), this.getValue(valueMap, "translateMix", 1));
                this.readCurve(valueMap, timeline, frameIndex);
                frameIndex++;
              }
              timelines.push(timeline);
              duration = Math.max(duration, timeline.frames[(timeline.getFrameCount() - 1) * PathConstraintMixTimeline$1.ENTRIES]);
            }
          }
        }
      }
      if (map.deform) {
        for (const deformName in map.deform) {
          const deformMap = map.deform[deformName];
          const skin = skeletonData.findSkin(deformName);
          if (skin == null) {
            {
              continue;
            }
          }
          for (const slotName in deformMap) {
            const slotMap = deformMap[slotName];
            const slotIndex = skeletonData.findSlotIndex(slotName);
            if (slotIndex == -1)
              throw new Error(`Slot not found: ${slotMap.name}`);
            for (const timelineName in slotMap) {
              const timelineMap = slotMap[timelineName];
              const attachment = skin.getAttachment(slotIndex, timelineName);
              if (attachment == null)
                throw new Error(`Deform attachment not found: ${timelineMap.name}`);
              const weighted = attachment.bones != null;
              const vertices = attachment.vertices;
              const deformLength = weighted ? vertices.length / 3 * 2 : vertices.length;
              const timeline = new DeformTimeline$1(timelineMap.length);
              timeline.slotIndex = slotIndex;
              timeline.attachment = attachment;
              let frameIndex = 0;
              for (let j = 0; j < timelineMap.length; j++) {
                const valueMap = timelineMap[j];
                let deform;
                const verticesValue = this.getValue(valueMap, "vertices", null);
                if (verticesValue == null)
                  deform = weighted ? Utils.newFloatArray(deformLength) : vertices;
                else {
                  deform = Utils.newFloatArray(deformLength);
                  const start = this.getValue(valueMap, "offset", 0);
                  Utils.arrayCopy(verticesValue, 0, deform, start, verticesValue.length);
                  if (scale != 1) {
                    for (let i = start, n = i + verticesValue.length; i < n; i++)
                      deform[i] *= scale;
                  }
                  if (!weighted) {
                    for (let i = 0; i < deformLength; i++)
                      deform[i] += vertices[i];
                  }
                }
                timeline.setFrame(frameIndex, valueMap.time, deform);
                this.readCurve(valueMap, timeline, frameIndex);
                frameIndex++;
              }
              timelines.push(timeline);
              duration = Math.max(duration, timeline.frames[timeline.getFrameCount() - 1]);
            }
          }
        }
      }
      let drawOrderNode = map.drawOrder;
      if (drawOrderNode == null)
        drawOrderNode = map.draworder;
      if (drawOrderNode != null) {
        const timeline = new DrawOrderTimeline$1(drawOrderNode.length);
        const slotCount = skeletonData.slots.length;
        let frameIndex = 0;
        for (let j = 0; j < drawOrderNode.length; j++) {
          const drawOrderMap = drawOrderNode[j];
          let drawOrder = null;
          const offsets = this.getValue(drawOrderMap, "offsets", null);
          if (offsets != null) {
            drawOrder = Utils.newArray(slotCount, -1);
            const unchanged = Utils.newArray(slotCount - offsets.length, 0);
            let originalIndex = 0;
            let unchangedIndex = 0;
            for (let i = 0; i < offsets.length; i++) {
              const offsetMap = offsets[i];
              const slotIndex = skeletonData.findSlotIndex(offsetMap.slot);
              if (slotIndex == -1)
                throw new Error(`Slot not found: ${offsetMap.slot}`);
              while (originalIndex != slotIndex)
                unchanged[unchangedIndex++] = originalIndex++;
              drawOrder[originalIndex + offsetMap.offset] = originalIndex++;
            }
            while (originalIndex < slotCount)
              unchanged[unchangedIndex++] = originalIndex++;
            for (let i = slotCount - 1; i >= 0; i--)
              if (drawOrder[i] == -1)
                drawOrder[i] = unchanged[--unchangedIndex];
          }
          timeline.setFrame(frameIndex++, drawOrderMap.time, drawOrder);
        }
        timelines.push(timeline);
        duration = Math.max(duration, timeline.frames[timeline.getFrameCount() - 1]);
      }
      if (map.events) {
        const timeline = new EventTimeline$1(map.events.length);
        let frameIndex = 0;
        for (let i = 0; i < map.events.length; i++) {
          const eventMap = map.events[i];
          const eventData = skeletonData.findEvent(eventMap.name);
          if (eventData == null)
            throw new Error(`Event not found: ${eventMap.name}`);
          const event = new Event$1(Utils.toSinglePrecision(eventMap.time), eventData);
          event.intValue = this.getValue(eventMap, "int", eventData.intValue);
          event.floatValue = this.getValue(eventMap, "float", eventData.floatValue);
          event.stringValue = this.getValue(eventMap, "string", eventData.stringValue);
          if (event.data.audioPath != null) {
            event.volume = this.getValue(eventMap, "volume", 1);
            event.balance = this.getValue(eventMap, "balance", 0);
          }
          timeline.setFrame(frameIndex++, event);
        }
        timelines.push(timeline);
        duration = Math.max(duration, timeline.frames[timeline.getFrameCount() - 1]);
      }
      if (isNaN(duration)) {
        throw new Error("Error while parsing animation, duration is NaN");
      }
      skeletonData.animations.push(new Animation$2(name, timelines, duration));
    }
    readCurve(map, timeline, frameIndex) {
      if (!map.curve)
        return;
      if (map.curve === "stepped")
        timeline.setStepped(frameIndex);
      else if (Object.prototype.toString.call(map.curve) === "[object Array]") {
        const curve = map.curve;
        timeline.setCurve(frameIndex, curve[0], curve[1], curve[2], curve[3]);
      }
    }
    getValue(map, prop, defaultValue) {
      return map[prop] !== void 0 ? map[prop] : defaultValue;
    }
    static blendModeFromString(str) {
      str = str.toLowerCase();
      if (str == "normal")
        return core.BLEND_MODES.NORMAL;
      if (str == "additive")
        return core.BLEND_MODES.ADD;
      if (str == "multiply")
        return core.BLEND_MODES.MULTIPLY;
      if (str == "screen")
        return core.BLEND_MODES.SCREEN;
      throw new Error(`Unknown blend mode: ${str}`);
    }
    static positionModeFromString(str) {
      str = str.toLowerCase();
      if (str == "fixed")
        return PositionMode.Fixed;
      if (str == "percent")
        return PositionMode.Percent;
      throw new Error(`Unknown position mode: ${str}`);
    }
    static spacingModeFromString(str) {
      str = str.toLowerCase();
      if (str == "length")
        return SpacingMode$1.Length;
      if (str == "fixed")
        return SpacingMode$1.Fixed;
      if (str == "percent")
        return SpacingMode$1.Percent;
      throw new Error(`Unknown position mode: ${str}`);
    }
    static rotateModeFromString(str) {
      str = str.toLowerCase();
      if (str == "tangent")
        return RotateMode.Tangent;
      if (str == "chain")
        return RotateMode.Chain;
      if (str == "chainscale")
        return RotateMode.ChainScale;
      throw new Error(`Unknown rotate mode: ${str}`);
    }
    static transformModeFromString(str) {
      str = str.toLowerCase();
      if (str == "normal")
        return TransformMode.Normal;
      if (str == "onlytranslation")
        return TransformMode.OnlyTranslation;
      if (str == "norotationorreflection")
        return TransformMode.NoRotationOrReflection;
      if (str == "noscale")
        return TransformMode.NoScale;
      if (str == "noscaleorreflection")
        return TransformMode.NoScaleOrReflection;
      throw new Error(`Unknown transform mode: ${str}`);
    }
  }
  class LinkedMesh$2 {
    constructor(mesh, skin, slotIndex, parent) {
      this.mesh = mesh;
      this.skin = skin;
      this.slotIndex = slotIndex;
      this.parent = parent;
    }
  }
  class Spine extends SpineBase {
    createSkeleton(spineData) {
      this.skeleton = new Skeleton(spineData);
      this.skeleton.updateWorldTransform();
      this.stateData = new AnimationStateData(spineData);
      this.state = new AnimationState(this.stateData);
    }
  }
  class Attachment {
    constructor(name) {
      if (!name)
        throw new Error("name cannot be null.");
      this.name = name;
    }
  }
  const _VertexAttachment = class extends Attachment {
    constructor(name) {
      super(name);
      this.id = _VertexAttachment.nextID++;
      this.bones = null;
      this.vertices = [];
      this.worldVerticesLength = 0;
      this.timelineAttachment = this;
    }
    computeWorldVerticesOld(slot, worldVertices) {
      this.computeWorldVertices(slot, 0, this.worldVerticesLength, worldVertices, 0, 2);
    }
    computeWorldVertices(slot, start, count, worldVertices, offset, stride) {
      count = offset + (count >> 1) * stride;
      const skeleton = slot.bone.skeleton;
      const deformArray = slot.deform;
      let vertices = this.vertices;
      const bones = this.bones;
      if (!bones) {
        if (deformArray.length > 0)
          vertices = deformArray;
        const mat = slot.bone.matrix;
        const x = mat.tx;
        const y = mat.ty;
        const a = mat.a;
        const b = mat.c;
        const c = mat.b;
        const d = mat.d;
        for (let v2 = start, w = offset; w < count; v2 += 2, w += stride) {
          const vx = vertices[v2];
          const vy = vertices[v2 + 1];
          worldVertices[w] = vx * a + vy * b + x;
          worldVertices[w + 1] = vx * c + vy * d + y;
        }
        return;
      }
      let v = 0;
      let skip = 0;
      for (let i = 0; i < start; i += 2) {
        const n = bones[v];
        v += n + 1;
        skip += n;
      }
      const skeletonBones = skeleton.bones;
      if (deformArray.length == 0) {
        for (let w = offset, b = skip * 3; w < count; w += stride) {
          let wx = 0;
          let wy = 0;
          let n = bones[v++];
          n += v;
          for (; v < n; v++, b += 3) {
            const mat = skeletonBones[bones[v]].matrix;
            const vx = vertices[b];
            const vy = vertices[b + 1];
            const weight = vertices[b + 2];
            wx += (vx * mat.a + vy * mat.c + mat.tx) * weight;
            wy += (vx * mat.b + vy * mat.d + mat.ty) * weight;
          }
          worldVertices[w] = wx;
          worldVertices[w + 1] = wy;
        }
      } else {
        const deform = deformArray;
        for (let w = offset, b = skip * 3, f = skip << 1; w < count; w += stride) {
          let wx = 0;
          let wy = 0;
          let n = bones[v++];
          n += v;
          for (; v < n; v++, b += 3, f += 2) {
            const mat = skeletonBones[bones[v]].matrix;
            const vx = vertices[b] + deform[f];
            const vy = vertices[b + 1] + deform[f + 1];
            const weight = vertices[b + 2];
            wx += (vx * mat.a + vy * mat.c + mat.tx) * weight;
            wy += (vx * mat.b + vy * mat.d + mat.ty) * weight;
          }
          worldVertices[w] = wx;
          worldVertices[w + 1] = wy;
        }
      }
    }
    copyTo(attachment) {
      if (this.bones) {
        attachment.bones = new Array(this.bones.length);
        Utils.arrayCopy(this.bones, 0, attachment.bones, 0, this.bones.length);
      } else
        attachment.bones = null;
      if (this.vertices) {
        attachment.vertices = Utils.newFloatArray(this.vertices.length);
        Utils.arrayCopy(this.vertices, 0, attachment.vertices, 0, this.vertices.length);
      }
      attachment.worldVerticesLength = this.worldVerticesLength;
      attachment.timelineAttachment = this.timelineAttachment;
    }
  };
  let VertexAttachment = _VertexAttachment;
  VertexAttachment.nextID = 0;
  class BoundingBoxAttachment extends VertexAttachment {
    constructor(name) {
      super(name);
      this.type = AttachmentType.BoundingBox;
      this.color = new Color(1, 1, 1, 1);
    }
    copy() {
      const copy = new BoundingBoxAttachment(this.name);
      this.copyTo(copy);
      copy.color.setFromColor(this.color);
      return copy;
    }
  }
  class ClippingAttachment extends VertexAttachment {
    constructor(name) {
      super(name);
      this.type = AttachmentType.Clipping;
      this.endSlot = null;
      this.color = new Color(0.2275, 0.2275, 0.8078, 1);
    }
    copy() {
      const copy = new ClippingAttachment(this.name);
      this.copyTo(copy);
      copy.endSlot = this.endSlot;
      copy.color.setFromColor(this.color);
      return copy;
    }
  }
  class MeshAttachment extends VertexAttachment {
    constructor(name, path) {
      super(name);
      this.type = AttachmentType.Mesh;
      this.region = null;
      this.triangles = [];
      this.color = new Color(1, 1, 1, 1);
      this.width = 0;
      this.height = 0;
      this.hullLength = 0;
      this.edges = [];
      this.parentMesh = null;
      this.sequence = null;
      this.tempColor = new Color(0, 0, 0, 0);
      this.path = path;
    }
    getParentMesh() {
      return this.parentMesh;
    }
    setParentMesh(parentMesh) {
      this.parentMesh = parentMesh;
      if (parentMesh) {
        this.bones = parentMesh.bones;
        this.vertices = parentMesh.vertices;
        this.worldVerticesLength = parentMesh.worldVerticesLength;
        this.regionUVs = parentMesh.regionUVs;
        this.triangles = parentMesh.triangles;
        this.hullLength = parentMesh.hullLength;
        this.worldVerticesLength = parentMesh.worldVerticesLength;
      }
    }
    copy() {
      if (this.parentMesh)
        return this.newLinkedMesh();
      const copy = new MeshAttachment(this.name, this.path);
      copy.region = this.region;
      copy.color.setFromColor(this.color);
      this.copyTo(copy);
      copy.regionUVs = new Float32Array(this.regionUVs.length);
      Utils.arrayCopy(this.regionUVs, 0, copy.regionUVs, 0, this.regionUVs.length);
      copy.triangles = new Array(this.triangles.length);
      Utils.arrayCopy(this.triangles, 0, copy.triangles, 0, this.triangles.length);
      copy.hullLength = this.hullLength;
      copy.sequence = this.sequence != null ? this.sequence.copy() : null;
      if (this.edges) {
        copy.edges = new Array(this.edges.length);
        Utils.arrayCopy(this.edges, 0, copy.edges, 0, this.edges.length);
      }
      copy.width = this.width;
      copy.height = this.height;
      return copy;
    }
    computeWorldVertices(slot, start, count, worldVertices, offset, stride) {
      if (this.sequence != null)
        this.sequence.apply(slot, this);
      super.computeWorldVertices(slot, start, count, worldVertices, offset, stride);
    }
    newLinkedMesh() {
      const copy = new MeshAttachment(this.name, this.path);
      copy.region = this.region;
      copy.color.setFromColor(this.color);
      copy.timelineAttachment = this.timelineAttachment;
      copy.setParentMesh(this.parentMesh ? this.parentMesh : this);
      return copy;
    }
  }
  class PathAttachment extends VertexAttachment {
    constructor(name) {
      super(name);
      this.type = AttachmentType.Path;
      this.lengths = [];
      this.closed = false;
      this.constantSpeed = false;
      this.color = new Color(1, 1, 1, 1);
    }
    copy() {
      const copy = new PathAttachment(this.name);
      this.copyTo(copy);
      copy.lengths = new Array(this.lengths.length);
      Utils.arrayCopy(this.lengths, 0, copy.lengths, 0, this.lengths.length);
      copy.closed = closed;
      copy.constantSpeed = this.constantSpeed;
      copy.color.setFromColor(this.color);
      return copy;
    }
  }
  class PointAttachment extends VertexAttachment {
    constructor(name) {
      super(name);
      this.type = AttachmentType.Point;
      this.x = 0;
      this.y = 0;
      this.rotation = 0;
      this.color = new Color(0.38, 0.94, 0, 1);
    }
    computeWorldPosition(bone, point) {
      const mat = bone.matrix;
      point.x = this.x * mat.a + this.y * mat.c + bone.worldX;
      point.y = this.x * mat.b + this.y * mat.d + bone.worldY;
      return point;
    }
    computeWorldRotation(bone) {
      const mat = bone.matrix;
      const cos = MathUtils.cosDeg(this.rotation);
      const sin = MathUtils.sinDeg(this.rotation);
      const x = cos * mat.a + sin * mat.c;
      const y = cos * mat.b + sin * mat.d;
      return Math.atan2(y, x) * MathUtils.radDeg;
    }
    copy() {
      const copy = new PointAttachment(this.name);
      copy.x = this.x;
      copy.y = this.y;
      copy.rotation = this.rotation;
      copy.color.setFromColor(this.color);
      return copy;
    }
  }
  const _RegionAttachment = class extends Attachment {
    constructor(name, path) {
      super(name);
      this.type = AttachmentType.Region;
      this.x = 0;
      this.y = 0;
      this.scaleX = 1;
      this.scaleY = 1;
      this.rotation = 0;
      this.width = 0;
      this.height = 0;
      this.color = new Color(1, 1, 1, 1);
      this.rendererObject = null;
      this.region = null;
      this.sequence = null;
      this.offset = Utils.newFloatArray(8);
      this.uvs = Utils.newFloatArray(8);
      this.tempColor = new Color(1, 1, 1, 1);
      this.path = path;
    }
    updateRegion() {
      if (!this.region)
        throw new Error("Region not set.");
      const region = this.region;
      const regionScaleX = this.width / this.region.originalWidth * this.scaleX;
      const regionScaleY = this.height / this.region.originalHeight * this.scaleY;
      const localX = -this.width / 2 * this.scaleX + this.region.offsetX * regionScaleX;
      const localY = -this.height / 2 * this.scaleY + this.region.offsetY * regionScaleY;
      const localX2 = localX + this.region.width * regionScaleX;
      const localY2 = localY + this.region.height * regionScaleY;
      const radians = this.rotation * Math.PI / 180;
      const cos = Math.cos(radians);
      const sin = Math.sin(radians);
      const x = this.x;
      const y = this.y;
      const localXCos = localX * cos + x;
      const localXSin = localX * sin;
      const localYCos = localY * cos + y;
      const localYSin = localY * sin;
      const localX2Cos = localX2 * cos + x;
      const localX2Sin = localX2 * sin;
      const localY2Cos = localY2 * cos + y;
      const localY2Sin = localY2 * sin;
      const offset = this.offset;
      offset[0] = localXCos - localYSin;
      offset[1] = localYCos + localXSin;
      offset[2] = localXCos - localY2Sin;
      offset[3] = localY2Cos + localXSin;
      offset[4] = localX2Cos - localY2Sin;
      offset[5] = localY2Cos + localX2Sin;
      offset[6] = localX2Cos - localYSin;
      offset[7] = localYCos + localX2Sin;
      const uvs = this.uvs;
      if (region.degrees == 90) {
        uvs[2] = region.u;
        uvs[3] = region.v2;
        uvs[4] = region.u;
        uvs[5] = region.v;
        uvs[6] = region.u2;
        uvs[7] = region.v;
        uvs[0] = region.u2;
        uvs[1] = region.v2;
      } else {
        uvs[0] = region.u;
        uvs[1] = region.v2;
        uvs[2] = region.u;
        uvs[3] = region.v;
        uvs[4] = region.u2;
        uvs[5] = region.v;
        uvs[6] = region.u2;
        uvs[7] = region.v2;
      }
    }
    computeWorldVertices(slot, worldVertices, offset, stride) {
      if (this.sequence != null)
        this.sequence.apply(slot, this);
      const bone = slot.bone;
      const vertexOffset = this.offset;
      const mat = bone.matrix;
      const x = mat.tx;
      const y = mat.ty;
      const a = mat.a;
      const b = mat.c;
      const c = mat.b;
      const d = mat.d;
      let offsetX = 0;
      let offsetY = 0;
      offsetX = vertexOffset[0];
      offsetY = vertexOffset[1];
      worldVertices[offset] = offsetX * a + offsetY * b + x;
      worldVertices[offset + 1] = offsetX * c + offsetY * d + y;
      offset += stride;
      offsetX = vertexOffset[2];
      offsetY = vertexOffset[3];
      worldVertices[offset] = offsetX * a + offsetY * b + x;
      worldVertices[offset + 1] = offsetX * c + offsetY * d + y;
      offset += stride;
      offsetX = vertexOffset[4];
      offsetY = vertexOffset[5];
      worldVertices[offset] = offsetX * a + offsetY * b + x;
      worldVertices[offset + 1] = offsetX * c + offsetY * d + y;
      offset += stride;
      offsetX = vertexOffset[6];
      offsetY = vertexOffset[7];
      worldVertices[offset] = offsetX * a + offsetY * b + x;
      worldVertices[offset + 1] = offsetX * c + offsetY * d + y;
    }
    copy() {
      const copy = new _RegionAttachment(this.name, this.path);
      copy.region = this.region;
      copy.rendererObject = this.rendererObject;
      copy.x = this.x;
      copy.y = this.y;
      copy.scaleX = this.scaleX;
      copy.scaleY = this.scaleY;
      copy.rotation = this.rotation;
      copy.width = this.width;
      copy.height = this.height;
      Utils.arrayCopy(this.uvs, 0, copy.uvs, 0, 8);
      Utils.arrayCopy(this.offset, 0, copy.offset, 0, 8);
      copy.color.setFromColor(this.color);
      copy.sequence = this.sequence != null ? this.sequence.copy() : null;
      return copy;
    }
  };
  let RegionAttachment = _RegionAttachment;
  RegionAttachment.X1 = 0;
  RegionAttachment.Y1 = 1;
  RegionAttachment.C1R = 2;
  RegionAttachment.C1G = 3;
  RegionAttachment.C1B = 4;
  RegionAttachment.C1A = 5;
  RegionAttachment.U1 = 6;
  RegionAttachment.V1 = 7;
  RegionAttachment.X2 = 8;
  RegionAttachment.Y2 = 9;
  RegionAttachment.C2R = 10;
  RegionAttachment.C2G = 11;
  RegionAttachment.C2B = 12;
  RegionAttachment.C2A = 13;
  RegionAttachment.U2 = 14;
  RegionAttachment.V2 = 15;
  RegionAttachment.X3 = 16;
  RegionAttachment.Y3 = 17;
  RegionAttachment.C3R = 18;
  RegionAttachment.C3G = 19;
  RegionAttachment.C3B = 20;
  RegionAttachment.C3A = 21;
  RegionAttachment.U3 = 22;
  RegionAttachment.V3 = 23;
  RegionAttachment.X4 = 24;
  RegionAttachment.Y4 = 25;
  RegionAttachment.C4R = 26;
  RegionAttachment.C4G = 27;
  RegionAttachment.C4B = 28;
  RegionAttachment.C4A = 29;
  RegionAttachment.U4 = 30;
  RegionAttachment.V4 = 31;
  const _Sequence = class {
    constructor(count) {
      this.id = _Sequence.nextID();
      this.start = 0;
      this.digits = 0;
      this.setupIndex = 0;
      this.regions = new Array(count);
    }
    copy() {
      const copy = new _Sequence(this.regions.length);
      Utils.arrayCopy(this.regions, 0, copy.regions, 0, this.regions.length);
      copy.start = this.start;
      copy.digits = this.digits;
      copy.setupIndex = this.setupIndex;
      return copy;
    }
    apply(slot, attachment) {
      let index = slot.sequenceIndex;
      if (index == -1)
        index = this.setupIndex;
      if (index >= this.regions.length)
        index = this.regions.length - 1;
      const region = this.regions[index];
      if (attachment.region != region) {
        attachment.region = region;
      }
    }
    getPath(basePath, index) {
      let result = basePath;
      const frame = (this.start + index).toString();
      for (let i = this.digits - frame.length; i > 0; i--)
        result += "0";
      result += frame;
      return result;
    }
    static nextID() {
      return _Sequence._nextID++;
    }
  };
  let Sequence = _Sequence;
  Sequence._nextID = 0;
  var SequenceMode = /* @__PURE__ */ ((SequenceMode2) => {
    SequenceMode2[SequenceMode2["hold"] = 0] = "hold";
    SequenceMode2[SequenceMode2["once"] = 1] = "once";
    SequenceMode2[SequenceMode2["loop"] = 2] = "loop";
    SequenceMode2[SequenceMode2["pingpong"] = 3] = "pingpong";
    SequenceMode2[SequenceMode2["onceReverse"] = 4] = "onceReverse";
    SequenceMode2[SequenceMode2["loopReverse"] = 5] = "loopReverse";
    SequenceMode2[SequenceMode2["pingpongReverse"] = 6] = "pingpongReverse";
    return SequenceMode2;
  })(SequenceMode || {});
  const SequenceModeValues = [
    0,
    1,
    2,
    3,
    4,
    5,
    6
  ];
  class Animation$1 {
    constructor(name, timelines, duration) {
      this.timelines = [];
      this.timelineIds = new StringSet();
      if (!name)
        throw new Error("name cannot be null.");
      this.name = name;
      this.setTimelines(timelines);
      this.duration = duration;
    }
    setTimelines(timelines) {
      if (!timelines)
        throw new Error("timelines cannot be null.");
      this.timelines = timelines;
      this.timelineIds.clear();
      for (let i = 0; i < timelines.length; i++)
        this.timelineIds.addAll(timelines[i].getPropertyIds());
    }
    hasTimeline(ids) {
      for (let i = 0; i < ids.length; i++)
        if (this.timelineIds.contains(ids[i]))
          return true;
      return false;
    }
    apply(skeleton, lastTime, time, loop, events, alpha, blend, direction) {
      if (!skeleton)
        throw new Error("skeleton cannot be null.");
      if (loop && this.duration != 0) {
        time %= this.duration;
        if (lastTime > 0)
          lastTime %= this.duration;
      }
      const timelines = this.timelines;
      for (let i = 0, n = timelines.length; i < n; i++)
        timelines[i].apply(skeleton, lastTime, time, events, alpha, blend, direction);
    }
  }
  const Property = {
    rotate: 0,
    x: 1,
    y: 2,
    scaleX: 3,
    scaleY: 4,
    shearX: 5,
    shearY: 6,
    rgb: 7,
    alpha: 8,
    rgb2: 9,
    attachment: 10,
    deform: 11,
    event: 12,
    drawOrder: 13,
    ikConstraint: 14,
    transformConstraint: 15,
    pathConstraintPosition: 16,
    pathConstraintSpacing: 17,
    pathConstraintMix: 18,
    sequence: 19
  };
  class Timeline$1 {
    constructor(frameCount, propertyIds) {
      this.propertyIds = propertyIds;
      this.frames = Utils.newFloatArray(frameCount * this.getFrameEntries());
    }
    getPropertyIds() {
      return this.propertyIds;
    }
    getFrameEntries() {
      return 1;
    }
    getFrameCount() {
      return this.frames.length / this.getFrameEntries();
    }
    getDuration() {
      return this.frames[this.frames.length - this.getFrameEntries()];
    }
    static search1(frames, time) {
      const n = frames.length;
      for (let i = 1; i < n; i++)
        if (frames[i] > time)
          return i - 1;
      return n - 1;
    }
    static search(frames, time, step) {
      const n = frames.length;
      for (let i = step; i < n; i += step)
        if (frames[i] > time)
          return i - step;
      return n - step;
    }
  }
  class CurveTimeline extends Timeline$1 {
    constructor(frameCount, bezierCount, propertyIds) {
      super(frameCount, propertyIds);
      this.curves = Utils.newFloatArray(
        frameCount + bezierCount * 18
      );
      this.curves[frameCount - 1] = 1;
    }
    setLinear(frame) {
      this.curves[frame] = 0;
    }
    setStepped(frame) {
      this.curves[frame] = 1;
    }
    shrink(bezierCount) {
      const size = this.getFrameCount() + bezierCount * 18;
      if (this.curves.length > size) {
        const newCurves = Utils.newFloatArray(size);
        Utils.arrayCopy(this.curves, 0, newCurves, 0, size);
        this.curves = newCurves;
      }
    }
    setBezier(bezier, frame, value, time1, value1, cx1, cy1, cx2, cy2, time2, value2) {
      const curves = this.curves;
      let i = this.getFrameCount() + bezier * 18;
      if (value == 0)
        curves[frame] = 2 + i;
      const tmpx = (time1 - cx1 * 2 + cx2) * 0.03;
      const tmpy = (value1 - cy1 * 2 + cy2) * 0.03;
      const dddx = ((cx1 - cx2) * 3 - time1 + time2) * 6e-3;
      const dddy = ((cy1 - cy2) * 3 - value1 + value2) * 6e-3;
      let ddx = tmpx * 2 + dddx;
      let ddy = tmpy * 2 + dddy;
      let dx = (cx1 - time1) * 0.3 + tmpx + dddx * 0.16666667;
      let dy = (cy1 - value1) * 0.3 + tmpy + dddy * 0.16666667;
      let x = time1 + dx;
      let y = value1 + dy;
      for (let n = i + 18; i < n; i += 2) {
        curves[i] = x;
        curves[i + 1] = y;
        dx += ddx;
        dy += ddy;
        ddx += dddx;
        ddy += dddy;
        x += dx;
        y += dy;
      }
    }
    getBezierValue(time, frameIndex, valueOffset, i) {
      const curves = this.curves;
      if (curves[i] > time) {
        const x2 = this.frames[frameIndex];
        const y2 = this.frames[frameIndex + valueOffset];
        return y2 + (time - x2) / (curves[i] - x2) * (curves[i + 1] - y2);
      }
      const n = i + 18;
      for (i += 2; i < n; i += 2) {
        if (curves[i] >= time) {
          const x2 = curves[i - 2];
          const y2 = curves[i - 1];
          return y2 + (time - x2) / (curves[i] - x2) * (curves[i + 1] - y2);
        }
      }
      frameIndex += this.getFrameEntries();
      const x = curves[n - 2];
      const y = curves[n - 1];
      return y + (time - x) / (this.frames[frameIndex] - x) * (this.frames[frameIndex + valueOffset] - y);
    }
  }
  class CurveTimeline1 extends CurveTimeline {
    constructor(frameCount, bezierCount, propertyId) {
      super(frameCount, bezierCount, [propertyId]);
    }
    getFrameEntries() {
      return 2;
    }
    setFrame(frame, time, value) {
      frame <<= 1;
      this.frames[frame] = time;
      this.frames[frame + 1] = value;
    }
    getCurveValue(time) {
      const frames = this.frames;
      let i = frames.length - 2;
      for (let ii = 2; ii <= i; ii += 2) {
        if (frames[ii] > time) {
          i = ii - 2;
          break;
        }
      }
      const curveType = this.curves[i >> 1];
      switch (curveType) {
        case 0:
          const before = frames[i];
          const value = frames[i + 1];
          return value + (time - before) / (frames[i + 2] - before) * (frames[i + 2 + 1] - value);
        case 1:
          return frames[i + 1];
      }
      return this.getBezierValue(
        time,
        i,
        1,
        curveType - 2
      );
    }
  }
  class CurveTimeline2 extends CurveTimeline {
    constructor(frameCount, bezierCount, propertyId1, propertyId2) {
      super(frameCount, bezierCount, [propertyId1, propertyId2]);
    }
    getFrameEntries() {
      return 3;
    }
    setFrame(frame, time, value1, value2) {
      frame *= 3;
      this.frames[frame] = time;
      this.frames[frame + 1] = value1;
      this.frames[frame + 2] = value2;
    }
  }
  class RotateTimeline extends CurveTimeline1 {
    constructor(frameCount, bezierCount, boneIndex) {
      super(frameCount, bezierCount, `${Property.rotate}|${boneIndex}`);
      this.boneIndex = 0;
      this.boneIndex = boneIndex;
    }
    apply(skeleton, lastTime, time, events, alpha, blend, direction) {
      const bone = skeleton.bones[this.boneIndex];
      if (!bone.active)
        return;
      const frames = this.frames;
      if (time < frames[0]) {
        switch (blend) {
          case MixBlend.setup:
            bone.rotation = bone.data.rotation;
            return;
          case MixBlend.first:
            bone.rotation += (bone.data.rotation - bone.rotation) * alpha;
        }
        return;
      }
      let r = this.getCurveValue(time);
      switch (blend) {
        case MixBlend.setup:
          bone.rotation = bone.data.rotation + r * alpha;
          break;
        case MixBlend.first:
        case MixBlend.replace:
          r += bone.data.rotation - bone.rotation;
        case MixBlend.add:
          bone.rotation += r * alpha;
      }
    }
  }
  class TranslateTimeline extends CurveTimeline2 {
    constructor(frameCount, bezierCount, boneIndex) {
      super(frameCount, bezierCount, `${Property.x}|${boneIndex}`, `${Property.y}|${boneIndex}`);
      this.boneIndex = 0;
      this.boneIndex = boneIndex;
    }
    apply(skeleton, lastTime, time, events, alpha, blend, direction) {
      const bone = skeleton.bones[this.boneIndex];
      if (!bone.active)
        return;
      const frames = this.frames;
      if (time < frames[0]) {
        switch (blend) {
          case MixBlend.setup:
            bone.x = bone.data.x;
            bone.y = bone.data.y;
            return;
          case MixBlend.first:
            bone.x += (bone.data.x - bone.x) * alpha;
            bone.y += (bone.data.y - bone.y) * alpha;
        }
        return;
      }
      let x = 0;
      let y = 0;
      const i = Timeline$1.search(
        frames,
        time,
        3
      );
      const curveType = this.curves[i / 3];
      switch (curveType) {
        case 0:
          const before = frames[i];
          x = frames[i + 1];
          y = frames[i + 2];
          const t = (time - before) / (frames[i + 3] - before);
          x += (frames[i + 3 + 1] - x) * t;
          y += (frames[i + 3 + 2] - y) * t;
          break;
        case 1:
          x = frames[i + 1];
          y = frames[i + 2];
          break;
        default:
          x = this.getBezierValue(
            time,
            i,
            1,
            curveType - 2
          );
          y = this.getBezierValue(
            time,
            i,
            2,
            curveType + 18 - 2
          );
      }
      switch (blend) {
        case MixBlend.setup:
          bone.x = bone.data.x + x * alpha;
          bone.y = bone.data.y + y * alpha;
          break;
        case MixBlend.first:
        case MixBlend.replace:
          bone.x += (bone.data.x + x - bone.x) * alpha;
          bone.y += (bone.data.y + y - bone.y) * alpha;
          break;
        case MixBlend.add:
          bone.x += x * alpha;
          bone.y += y * alpha;
      }
    }
  }
  class TranslateXTimeline extends CurveTimeline1 {
    constructor(frameCount, bezierCount, boneIndex) {
      super(frameCount, bezierCount, `${Property.x}|${boneIndex}`);
      this.boneIndex = 0;
      this.boneIndex = boneIndex;
    }
    apply(skeleton, lastTime, time, events, alpha, blend, direction) {
      const bone = skeleton.bones[this.boneIndex];
      if (!bone.active)
        return;
      const frames = this.frames;
      if (time < frames[0]) {
        switch (blend) {
          case MixBlend.setup:
            bone.x = bone.data.x;
            return;
          case MixBlend.first:
            bone.x += (bone.data.x - bone.x) * alpha;
        }
        return;
      }
      const x = this.getCurveValue(time);
      switch (blend) {
        case MixBlend.setup:
          bone.x = bone.data.x + x * alpha;
          break;
        case MixBlend.first:
        case MixBlend.replace:
          bone.x += (bone.data.x + x - bone.x) * alpha;
          break;
        case MixBlend.add:
          bone.x += x * alpha;
      }
    }
  }
  class TranslateYTimeline extends CurveTimeline1 {
    constructor(frameCount, bezierCount, boneIndex) {
      super(frameCount, bezierCount, `${Property.y}|${boneIndex}`);
      this.boneIndex = 0;
      this.boneIndex = boneIndex;
    }
    apply(skeleton, lastTime, time, events, alpha, blend, direction) {
      const bone = skeleton.bones[this.boneIndex];
      if (!bone.active)
        return;
      const frames = this.frames;
      if (time < frames[0]) {
        switch (blend) {
          case MixBlend.setup:
            bone.y = bone.data.y;
            return;
          case MixBlend.first:
            bone.y += (bone.data.y - bone.y) * alpha;
        }
        return;
      }
      const y = this.getCurveValue(time);
      switch (blend) {
        case MixBlend.setup:
          bone.y = bone.data.y + y * alpha;
          break;
        case MixBlend.first:
        case MixBlend.replace:
          bone.y += (bone.data.y + y - bone.y) * alpha;
          break;
        case MixBlend.add:
          bone.y += y * alpha;
      }
    }
  }
  class ScaleTimeline extends CurveTimeline2 {
    constructor(frameCount, bezierCount, boneIndex) {
      super(frameCount, bezierCount, `${Property.scaleX}|${boneIndex}`, `${Property.scaleY}|${boneIndex}`);
      this.boneIndex = 0;
      this.boneIndex = boneIndex;
    }
    apply(skeleton, lastTime, time, events, alpha, blend, direction) {
      const bone = skeleton.bones[this.boneIndex];
      if (!bone.active)
        return;
      const frames = this.frames;
      if (time < frames[0]) {
        switch (blend) {
          case MixBlend.setup:
            bone.scaleX = bone.data.scaleX;
            bone.scaleY = bone.data.scaleY;
            return;
          case MixBlend.first:
            bone.scaleX += (bone.data.scaleX - bone.scaleX) * alpha;
            bone.scaleY += (bone.data.scaleY - bone.scaleY) * alpha;
        }
        return;
      }
      let x;
      let y;
      const i = Timeline$1.search(
        frames,
        time,
        3
      );
      const curveType = this.curves[i / 3];
      switch (curveType) {
        case 0:
          const before = frames[i];
          x = frames[i + 1];
          y = frames[i + 2];
          const t = (time - before) / (frames[i + 3] - before);
          x += (frames[i + 3 + 1] - x) * t;
          y += (frames[i + 3 + 2] - y) * t;
          break;
        case 1:
          x = frames[i + 1];
          y = frames[i + 2];
          break;
        default:
          x = this.getBezierValue(
            time,
            i,
            1,
            curveType - 2
          );
          y = this.getBezierValue(
            time,
            i,
            2,
            curveType + 18 - 2
          );
      }
      x *= bone.data.scaleX;
      y *= bone.data.scaleY;
      if (alpha == 1) {
        if (blend == MixBlend.add) {
          bone.scaleX += x - bone.data.scaleX;
          bone.scaleY += y - bone.data.scaleY;
        } else {
          bone.scaleX = x;
          bone.scaleY = y;
        }
      } else {
        let bx = 0;
        let by = 0;
        if (direction == MixDirection.mixOut) {
          switch (blend) {
            case MixBlend.setup:
              bx = bone.data.scaleX;
              by = bone.data.scaleY;
              bone.scaleX = bx + (Math.abs(x) * MathUtils.signum(bx) - bx) * alpha;
              bone.scaleY = by + (Math.abs(y) * MathUtils.signum(by) - by) * alpha;
              break;
            case MixBlend.first:
            case MixBlend.replace:
              bx = bone.scaleX;
              by = bone.scaleY;
              bone.scaleX = bx + (Math.abs(x) * MathUtils.signum(bx) - bx) * alpha;
              bone.scaleY = by + (Math.abs(y) * MathUtils.signum(by) - by) * alpha;
              break;
            case MixBlend.add:
              bone.scaleX += (x - bone.data.scaleX) * alpha;
              bone.scaleY += (y - bone.data.scaleY) * alpha;
          }
        } else {
          switch (blend) {
            case MixBlend.setup:
              bx = Math.abs(bone.data.scaleX) * MathUtils.signum(x);
              by = Math.abs(bone.data.scaleY) * MathUtils.signum(y);
              bone.scaleX = bx + (x - bx) * alpha;
              bone.scaleY = by + (y - by) * alpha;
              break;
            case MixBlend.first:
            case MixBlend.replace:
              bx = Math.abs(bone.scaleX) * MathUtils.signum(x);
              by = Math.abs(bone.scaleY) * MathUtils.signum(y);
              bone.scaleX = bx + (x - bx) * alpha;
              bone.scaleY = by + (y - by) * alpha;
              break;
            case MixBlend.add:
              bone.scaleX += (x - bone.data.scaleX) * alpha;
              bone.scaleY += (y - bone.data.scaleY) * alpha;
          }
        }
      }
    }
  }
  class ScaleXTimeline extends CurveTimeline1 {
    constructor(frameCount, bezierCount, boneIndex) {
      super(frameCount, bezierCount, `${Property.scaleX}|${boneIndex}`);
      this.boneIndex = 0;
      this.boneIndex = boneIndex;
    }
    apply(skeleton, lastTime, time, events, alpha, blend, direction) {
      const bone = skeleton.bones[this.boneIndex];
      if (!bone.active)
        return;
      const frames = this.frames;
      if (time < frames[0]) {
        switch (blend) {
          case MixBlend.setup:
            bone.scaleX = bone.data.scaleX;
            return;
          case MixBlend.first:
            bone.scaleX += (bone.data.scaleX - bone.scaleX) * alpha;
        }
        return;
      }
      const x = this.getCurveValue(time) * bone.data.scaleX;
      if (alpha == 1) {
        if (blend == MixBlend.add)
          bone.scaleX += x - bone.data.scaleX;
        else
          bone.scaleX = x;
      } else {
        let bx = 0;
        if (direction == MixDirection.mixOut) {
          switch (blend) {
            case MixBlend.setup:
              bx = bone.data.scaleX;
              bone.scaleX = bx + (Math.abs(x) * MathUtils.signum(bx) - bx) * alpha;
              break;
            case MixBlend.first:
            case MixBlend.replace:
              bx = bone.scaleX;
              bone.scaleX = bx + (Math.abs(x) * MathUtils.signum(bx) - bx) * alpha;
              break;
            case MixBlend.add:
              bone.scaleX += (x - bone.data.scaleX) * alpha;
          }
        } else {
          switch (blend) {
            case MixBlend.setup:
              bx = Math.abs(bone.data.scaleX) * MathUtils.signum(x);
              bone.scaleX = bx + (x - bx) * alpha;
              break;
            case MixBlend.first:
            case MixBlend.replace:
              bx = Math.abs(bone.scaleX) * MathUtils.signum(x);
              bone.scaleX = bx + (x - bx) * alpha;
              break;
            case MixBlend.add:
              bone.scaleX += (x - bone.data.scaleX) * alpha;
          }
        }
      }
    }
  }
  class ScaleYTimeline extends CurveTimeline1 {
    constructor(frameCount, bezierCount, boneIndex) {
      super(frameCount, bezierCount, `${Property.scaleY}|${boneIndex}`);
      this.boneIndex = 0;
      this.boneIndex = boneIndex;
    }
    apply(skeleton, lastTime, time, events, alpha, blend, direction) {
      const bone = skeleton.bones[this.boneIndex];
      if (!bone.active)
        return;
      const frames = this.frames;
      if (time < frames[0]) {
        switch (blend) {
          case MixBlend.setup:
            bone.scaleY = bone.data.scaleY;
            return;
          case MixBlend.first:
            bone.scaleY += (bone.data.scaleY - bone.scaleY) * alpha;
        }
        return;
      }
      const y = this.getCurveValue(time) * bone.data.scaleY;
      if (alpha == 1) {
        if (blend == MixBlend.add)
          bone.scaleY += y - bone.data.scaleY;
        else
          bone.scaleY = y;
      } else {
        let by = 0;
        if (direction == MixDirection.mixOut) {
          switch (blend) {
            case MixBlend.setup:
              by = bone.data.scaleY;
              bone.scaleY = by + (Math.abs(y) * MathUtils.signum(by) - by) * alpha;
              break;
            case MixBlend.first:
            case MixBlend.replace:
              by = bone.scaleY;
              bone.scaleY = by + (Math.abs(y) * MathUtils.signum(by) - by) * alpha;
              break;
            case MixBlend.add:
              bone.scaleY += (y - bone.data.scaleY) * alpha;
          }
        } else {
          switch (blend) {
            case MixBlend.setup:
              by = Math.abs(bone.data.scaleY) * MathUtils.signum(y);
              bone.scaleY = by + (y - by) * alpha;
              break;
            case MixBlend.first:
            case MixBlend.replace:
              by = Math.abs(bone.scaleY) * MathUtils.signum(y);
              bone.scaleY = by + (y - by) * alpha;
              break;
            case MixBlend.add:
              bone.scaleY += (y - bone.data.scaleY) * alpha;
          }
        }
      }
    }
  }
  class ShearTimeline extends CurveTimeline2 {
    constructor(frameCount, bezierCount, boneIndex) {
      super(frameCount, bezierCount, `${Property.shearX}|${boneIndex}`, `${Property.shearY}|${boneIndex}`);
      this.boneIndex = 0;
      this.boneIndex = boneIndex;
    }
    apply(skeleton, lastTime, time, events, alpha, blend, direction) {
      const bone = skeleton.bones[this.boneIndex];
      if (!bone.active)
        return;
      const frames = this.frames;
      if (time < frames[0]) {
        switch (blend) {
          case MixBlend.setup:
            bone.shearX = bone.data.shearX;
            bone.shearY = bone.data.shearY;
            return;
          case MixBlend.first:
            bone.shearX += (bone.data.shearX - bone.shearX) * alpha;
            bone.shearY += (bone.data.shearY - bone.shearY) * alpha;
        }
        return;
      }
      let x = 0;
      let y = 0;
      const i = Timeline$1.search(
        frames,
        time,
        3
      );
      const curveType = this.curves[i / 3];
      switch (curveType) {
        case 0:
          const before = frames[i];
          x = frames[i + 1];
          y = frames[i + 2];
          const t = (time - before) / (frames[i + 3] - before);
          x += (frames[i + 3 + 1] - x) * t;
          y += (frames[i + 3 + 2] - y) * t;
          break;
        case 1:
          x = frames[i + 1];
          y = frames[i + 2];
          break;
        default:
          x = this.getBezierValue(
            time,
            i,
            1,
            curveType - 2
          );
          y = this.getBezierValue(
            time,
            i,
            2,
            curveType + 18 - 2
          );
      }
      switch (blend) {
        case MixBlend.setup:
          bone.shearX = bone.data.shearX + x * alpha;
          bone.shearY = bone.data.shearY + y * alpha;
          break;
        case MixBlend.first:
        case MixBlend.replace:
          bone.shearX += (bone.data.shearX + x - bone.shearX) * alpha;
          bone.shearY += (bone.data.shearY + y - bone.shearY) * alpha;
          break;
        case MixBlend.add:
          bone.shearX += x * alpha;
          bone.shearY += y * alpha;
      }
    }
  }
  class ShearXTimeline extends CurveTimeline1 {
    constructor(frameCount, bezierCount, boneIndex) {
      super(frameCount, bezierCount, `${Property.shearX}|${boneIndex}`);
      this.boneIndex = 0;
      this.boneIndex = boneIndex;
    }
    apply(skeleton, lastTime, time, events, alpha, blend, direction) {
      const bone = skeleton.bones[this.boneIndex];
      if (!bone.active)
        return;
      const frames = this.frames;
      if (time < frames[0]) {
        switch (blend) {
          case MixBlend.setup:
            bone.shearX = bone.data.shearX;
            return;
          case MixBlend.first:
            bone.shearX += (bone.data.shearX - bone.shearX) * alpha;
        }
        return;
      }
      const x = this.getCurveValue(time);
      switch (blend) {
        case MixBlend.setup:
          bone.shearX = bone.data.shearX + x * alpha;
          break;
        case MixBlend.first:
        case MixBlend.replace:
          bone.shearX += (bone.data.shearX + x - bone.shearX) * alpha;
          break;
        case MixBlend.add:
          bone.shearX += x * alpha;
      }
    }
  }
  class ShearYTimeline extends CurveTimeline1 {
    constructor(frameCount, bezierCount, boneIndex) {
      super(frameCount, bezierCount, `${Property.shearY}|${boneIndex}`);
      this.boneIndex = 0;
      this.boneIndex = boneIndex;
    }
    apply(skeleton, lastTime, time, events, alpha, blend, direction) {
      const bone = skeleton.bones[this.boneIndex];
      if (!bone.active)
        return;
      const frames = this.frames;
      if (time < frames[0]) {
        switch (blend) {
          case MixBlend.setup:
            bone.shearY = bone.data.shearY;
            return;
          case MixBlend.first:
            bone.shearY += (bone.data.shearY - bone.shearY) * alpha;
        }
        return;
      }
      const y = this.getCurveValue(time);
      switch (blend) {
        case MixBlend.setup:
          bone.shearY = bone.data.shearY + y * alpha;
          break;
        case MixBlend.first:
        case MixBlend.replace:
          bone.shearY += (bone.data.shearY + y - bone.shearY) * alpha;
          break;
        case MixBlend.add:
          bone.shearY += y * alpha;
      }
    }
  }
  class RGBATimeline extends CurveTimeline {
    constructor(frameCount, bezierCount, slotIndex) {
      super(frameCount, bezierCount, [`${Property.rgb}|${slotIndex}`, `${Property.alpha}|${slotIndex}`]);
      this.slotIndex = 0;
      this.slotIndex = slotIndex;
    }
    getFrameEntries() {
      return 5;
    }
    setFrame(frame, time, r, g, b, a) {
      frame *= 5;
      this.frames[frame] = time;
      this.frames[frame + 1] = r;
      this.frames[frame + 2] = g;
      this.frames[frame + 3] = b;
      this.frames[frame + 4] = a;
    }
    apply(skeleton, lastTime, time, events, alpha, blend, direction) {
      const slot = skeleton.slots[this.slotIndex];
      if (!slot.bone.active)
        return;
      const frames = this.frames;
      const color = slot.color;
      if (time < frames[0]) {
        const setup = slot.data.color;
        switch (blend) {
          case MixBlend.setup:
            color.setFromColor(setup);
            return;
          case MixBlend.first:
            color.add((setup.r - color.r) * alpha, (setup.g - color.g) * alpha, (setup.b - color.b) * alpha, (setup.a - color.a) * alpha);
        }
        return;
      }
      let r = 0;
      let g = 0;
      let b = 0;
      let a = 0;
      const i = Timeline$1.search(
        frames,
        time,
        5
      );
      const curveType = this.curves[i / 5];
      switch (curveType) {
        case 0:
          const before = frames[i];
          r = frames[i + 1];
          g = frames[i + 2];
          b = frames[i + 3];
          a = frames[i + 4];
          const t = (time - before) / (frames[i + 5] - before);
          r += (frames[i + 5 + 1] - r) * t;
          g += (frames[i + 5 + 2] - g) * t;
          b += (frames[i + 5 + 3] - b) * t;
          a += (frames[i + 5 + 4] - a) * t;
          break;
        case 1:
          r = frames[i + 1];
          g = frames[i + 2];
          b = frames[i + 3];
          a = frames[i + 4];
          break;
        default:
          r = this.getBezierValue(
            time,
            i,
            1,
            curveType - 2
          );
          g = this.getBezierValue(
            time,
            i,
            2,
            curveType + 18 - 2
          );
          b = this.getBezierValue(
            time,
            i,
            3,
            curveType + 18 * 2 - 2
          );
          a = this.getBezierValue(
            time,
            i,
            4,
            curveType + 18 * 3 - 2
          );
      }
      if (alpha == 1)
        color.set(r, g, b, a);
      else {
        if (blend == MixBlend.setup)
          color.setFromColor(slot.data.color);
        color.add((r - color.r) * alpha, (g - color.g) * alpha, (b - color.b) * alpha, (a - color.a) * alpha);
      }
    }
  }
  class RGBTimeline extends CurveTimeline {
    constructor(frameCount, bezierCount, slotIndex) {
      super(frameCount, bezierCount, [`${Property.rgb}|${slotIndex}`]);
      this.slotIndex = 0;
      this.slotIndex = slotIndex;
    }
    getFrameEntries() {
      return 4;
    }
    setFrame(frame, time, r, g, b) {
      frame <<= 2;
      this.frames[frame] = time;
      this.frames[frame + 1] = r;
      this.frames[frame + 2] = g;
      this.frames[frame + 3] = b;
    }
    apply(skeleton, lastTime, time, events, alpha, blend, direction) {
      const slot = skeleton.slots[this.slotIndex];
      if (!slot.bone.active)
        return;
      const frames = this.frames;
      const color = slot.color;
      if (time < frames[0]) {
        const setup = slot.data.color;
        switch (blend) {
          case MixBlend.setup:
            color.r = setup.r;
            color.g = setup.g;
            color.b = setup.b;
            return;
          case MixBlend.first:
            color.r += (setup.r - color.r) * alpha;
            color.g += (setup.g - color.g) * alpha;
            color.b += (setup.b - color.b) * alpha;
        }
        return;
      }
      let r = 0;
      let g = 0;
      let b = 0;
      const i = Timeline$1.search(
        frames,
        time,
        4
      );
      const curveType = this.curves[i >> 2];
      switch (curveType) {
        case 0:
          const before = frames[i];
          r = frames[i + 1];
          g = frames[i + 2];
          b = frames[i + 3];
          const t = (time - before) / (frames[i + 4] - before);
          r += (frames[i + 4 + 1] - r) * t;
          g += (frames[i + 4 + 2] - g) * t;
          b += (frames[i + 4 + 3] - b) * t;
          break;
        case 1:
          r = frames[i + 1];
          g = frames[i + 2];
          b = frames[i + 3];
          break;
        default:
          r = this.getBezierValue(
            time,
            i,
            1,
            curveType - 2
          );
          g = this.getBezierValue(
            time,
            i,
            2,
            curveType + 18 - 2
          );
          b = this.getBezierValue(
            time,
            i,
            3,
            curveType + 18 * 2 - 2
          );
      }
      if (alpha == 1) {
        color.r = r;
        color.g = g;
        color.b = b;
      } else {
        if (blend == MixBlend.setup) {
          const setup = slot.data.color;
          color.r = setup.r;
          color.g = setup.g;
          color.b = setup.b;
        }
        color.r += (r - color.r) * alpha;
        color.g += (g - color.g) * alpha;
        color.b += (b - color.b) * alpha;
      }
    }
  }
  class AlphaTimeline extends CurveTimeline1 {
    constructor(frameCount, bezierCount, slotIndex) {
      super(frameCount, bezierCount, `${Property.alpha}|${slotIndex}`);
      this.slotIndex = 0;
      this.slotIndex = slotIndex;
    }
    apply(skeleton, lastTime, time, events, alpha, blend, direction) {
      const slot = skeleton.slots[this.slotIndex];
      if (!slot.bone.active)
        return;
      const color = slot.color;
      if (time < this.frames[0]) {
        const setup = slot.data.color;
        switch (blend) {
          case MixBlend.setup:
            color.a = setup.a;
            return;
          case MixBlend.first:
            color.a += (setup.a - color.a) * alpha;
        }
        return;
      }
      const a = this.getCurveValue(time);
      if (alpha == 1)
        color.a = a;
      else {
        if (blend == MixBlend.setup)
          color.a = slot.data.color.a;
        color.a += (a - color.a) * alpha;
      }
    }
  }
  class RGBA2Timeline extends CurveTimeline {
    constructor(frameCount, bezierCount, slotIndex) {
      super(frameCount, bezierCount, [`${Property.rgb}|${slotIndex}`, `${Property.alpha}|${slotIndex}`, `${Property.rgb2}|${slotIndex}`]);
      this.slotIndex = 0;
      this.slotIndex = slotIndex;
    }
    getFrameEntries() {
      return 8;
    }
    setFrame(frame, time, r, g, b, a, r2, g2, b2) {
      frame <<= 3;
      this.frames[frame] = time;
      this.frames[frame + 1] = r;
      this.frames[frame + 2] = g;
      this.frames[frame + 3] = b;
      this.frames[frame + 4] = a;
      this.frames[frame + 5] = r2;
      this.frames[frame + 6] = g2;
      this.frames[frame + 7] = b2;
    }
    apply(skeleton, lastTime, time, events, alpha, blend, direction) {
      const slot = skeleton.slots[this.slotIndex];
      if (!slot.bone.active)
        return;
      const frames = this.frames;
      const light = slot.color;
      const dark = slot.darkColor;
      if (time < frames[0]) {
        const setupLight = slot.data.color;
        const setupDark = slot.data.darkColor;
        switch (blend) {
          case MixBlend.setup:
            light.setFromColor(setupLight);
            dark.r = setupDark.r;
            dark.g = setupDark.g;
            dark.b = setupDark.b;
            return;
          case MixBlend.first:
            light.add((setupLight.r - light.r) * alpha, (setupLight.g - light.g) * alpha, (setupLight.b - light.b) * alpha, (setupLight.a - light.a) * alpha);
            dark.r += (setupDark.r - dark.r) * alpha;
            dark.g += (setupDark.g - dark.g) * alpha;
            dark.b += (setupDark.b - dark.b) * alpha;
        }
        return;
      }
      let r = 0;
      let g = 0;
      let b = 0;
      let a = 0;
      let r2 = 0;
      let g2 = 0;
      let b2 = 0;
      const i = Timeline$1.search(
        frames,
        time,
        8
      );
      const curveType = this.curves[i >> 3];
      switch (curveType) {
        case 0:
          const before = frames[i];
          r = frames[i + 1];
          g = frames[i + 2];
          b = frames[i + 3];
          a = frames[i + 4];
          r2 = frames[i + 5];
          g2 = frames[i + 6];
          b2 = frames[i + 7];
          const t = (time - before) / (frames[i + 8] - before);
          r += (frames[i + 8 + 1] - r) * t;
          g += (frames[i + 8 + 2] - g) * t;
          b += (frames[i + 8 + 3] - b) * t;
          a += (frames[i + 8 + 4] - a) * t;
          r2 += (frames[i + 8 + 5] - r2) * t;
          g2 += (frames[i + 8 + 6] - g2) * t;
          b2 += (frames[i + 8 + 7] - b2) * t;
          break;
        case 1:
          r = frames[i + 1];
          g = frames[i + 2];
          b = frames[i + 3];
          a = frames[i + 4];
          r2 = frames[i + 5];
          g2 = frames[i + 6];
          b2 = frames[i + 7];
          break;
        default:
          r = this.getBezierValue(
            time,
            i,
            1,
            curveType - 2
          );
          g = this.getBezierValue(
            time,
            i,
            2,
            curveType + 18 - 2
          );
          b = this.getBezierValue(
            time,
            i,
            3,
            curveType + 18 * 2 - 2
          );
          a = this.getBezierValue(
            time,
            i,
            4,
            curveType + 18 * 3 - 2
          );
          r2 = this.getBezierValue(
            time,
            i,
            5,
            curveType + 18 * 4 - 2
          );
          g2 = this.getBezierValue(
            time,
            i,
            6,
            curveType + 18 * 5 - 2
          );
          b2 = this.getBezierValue(
            time,
            i,
            7,
            curveType + 18 * 6 - 2
          );
      }
      if (alpha == 1) {
        light.set(r, g, b, a);
        dark.r = r2;
        dark.g = g2;
        dark.b = b2;
      } else {
        if (blend == MixBlend.setup) {
          light.setFromColor(slot.data.color);
          const setupDark = slot.data.darkColor;
          dark.r = setupDark.r;
          dark.g = setupDark.g;
          dark.b = setupDark.b;
        }
        light.add((r - light.r) * alpha, (g - light.g) * alpha, (b - light.b) * alpha, (a - light.a) * alpha);
        dark.r += (r2 - dark.r) * alpha;
        dark.g += (g2 - dark.g) * alpha;
        dark.b += (b2 - dark.b) * alpha;
      }
    }
  }
  class RGB2Timeline extends CurveTimeline {
    constructor(frameCount, bezierCount, slotIndex) {
      super(frameCount, bezierCount, [`${Property.rgb}|${slotIndex}`, `${Property.rgb2}|${slotIndex}`]);
      this.slotIndex = 0;
      this.slotIndex = slotIndex;
    }
    getFrameEntries() {
      return 7;
    }
    setFrame(frame, time, r, g, b, r2, g2, b2) {
      frame *= 7;
      this.frames[frame] = time;
      this.frames[frame + 1] = r;
      this.frames[frame + 2] = g;
      this.frames[frame + 3] = b;
      this.frames[frame + 4] = r2;
      this.frames[frame + 5] = g2;
      this.frames[frame + 6] = b2;
    }
    apply(skeleton, lastTime, time, events, alpha, blend, direction) {
      const slot = skeleton.slots[this.slotIndex];
      if (!slot.bone.active)
        return;
      const frames = this.frames;
      const light = slot.color;
      const dark = slot.darkColor;
      if (time < frames[0]) {
        const setupLight = slot.data.color;
        const setupDark = slot.data.darkColor;
        switch (blend) {
          case MixBlend.setup:
            light.r = setupLight.r;
            light.g = setupLight.g;
            light.b = setupLight.b;
            dark.r = setupDark.r;
            dark.g = setupDark.g;
            dark.b = setupDark.b;
            return;
          case MixBlend.first:
            light.r += (setupLight.r - light.r) * alpha;
            light.g += (setupLight.g - light.g) * alpha;
            light.b += (setupLight.b - light.b) * alpha;
            dark.r += (setupDark.r - dark.r) * alpha;
            dark.g += (setupDark.g - dark.g) * alpha;
            dark.b += (setupDark.b - dark.b) * alpha;
        }
        return;
      }
      let r = 0;
      let g = 0;
      let b = 0;
      let r2 = 0;
      let g2 = 0;
      let b2 = 0;
      const i = Timeline$1.search(
        frames,
        time,
        7
      );
      const curveType = this.curves[i / 7];
      switch (curveType) {
        case 0:
          const before = frames[i];
          r = frames[i + 1];
          g = frames[i + 2];
          b = frames[i + 3];
          r2 = frames[i + 4];
          g2 = frames[i + 5];
          b2 = frames[i + 6];
          const t = (time - before) / (frames[i + 7] - before);
          r += (frames[i + 7 + 1] - r) * t;
          g += (frames[i + 7 + 2] - g) * t;
          b += (frames[i + 7 + 3] - b) * t;
          r2 += (frames[i + 7 + 4] - r2) * t;
          g2 += (frames[i + 7 + 5] - g2) * t;
          b2 += (frames[i + 7 + 6] - b2) * t;
          break;
        case 1:
          r = frames[i + 1];
          g = frames[i + 2];
          b = frames[i + 3];
          r2 = frames[i + 4];
          g2 = frames[i + 5];
          b2 = frames[i + 6];
          break;
        default:
          r = this.getBezierValue(
            time,
            i,
            1,
            curveType - 2
          );
          g = this.getBezierValue(
            time,
            i,
            2,
            curveType + 18 - 2
          );
          b = this.getBezierValue(
            time,
            i,
            3,
            curveType + 18 * 2 - 2
          );
          r2 = this.getBezierValue(
            time,
            i,
            4,
            curveType + 18 * 3 - 2
          );
          g2 = this.getBezierValue(
            time,
            i,
            5,
            curveType + 18 * 4 - 2
          );
          b2 = this.getBezierValue(
            time,
            i,
            6,
            curveType + 18 * 5 - 2
          );
      }
      if (alpha == 1) {
        light.r = r;
        light.g = g;
        light.b = b;
        dark.r = r2;
        dark.g = g2;
        dark.b = b2;
      } else {
        if (blend == MixBlend.setup) {
          const setupLight = slot.data.color;
          const setupDark = slot.data.darkColor;
          light.r = setupLight.r;
          light.g = setupLight.g;
          light.b = setupLight.b;
          dark.r = setupDark.r;
          dark.g = setupDark.g;
          dark.b = setupDark.b;
        }
        light.r += (r - light.r) * alpha;
        light.g += (g - light.g) * alpha;
        light.b += (b - light.b) * alpha;
        dark.r += (r2 - dark.r) * alpha;
        dark.g += (g2 - dark.g) * alpha;
        dark.b += (b2 - dark.b) * alpha;
      }
    }
  }
  class AttachmentTimeline extends Timeline$1 {
    constructor(frameCount, slotIndex) {
      super(frameCount, [`${Property.attachment}|${slotIndex}`]);
      this.slotIndex = 0;
      this.slotIndex = slotIndex;
      this.attachmentNames = new Array(frameCount);
    }
    getFrameCount() {
      return this.frames.length;
    }
    setFrame(frame, time, attachmentName) {
      this.frames[frame] = time;
      this.attachmentNames[frame] = attachmentName;
    }
    apply(skeleton, lastTime, time, events, alpha, blend, direction) {
      const slot = skeleton.slots[this.slotIndex];
      if (!slot.bone.active)
        return;
      if (direction == MixDirection.mixOut) {
        if (blend == MixBlend.setup)
          this.setAttachment(skeleton, slot, slot.data.attachmentName);
        return;
      }
      if (time < this.frames[0]) {
        if (blend == MixBlend.setup || blend == MixBlend.first)
          this.setAttachment(skeleton, slot, slot.data.attachmentName);
        return;
      }
      this.setAttachment(skeleton, slot, this.attachmentNames[Timeline$1.search1(this.frames, time)]);
    }
    setAttachment(skeleton, slot, attachmentName) {
      slot.setAttachment(!attachmentName ? null : skeleton.getAttachment(this.slotIndex, attachmentName));
    }
  }
  class DeformTimeline extends CurveTimeline {
    constructor(frameCount, bezierCount, slotIndex, attachment) {
      super(frameCount, bezierCount, [`${Property.deform}|${slotIndex}|${attachment.id}`]);
      this.slotIndex = 0;
      this.slotIndex = slotIndex;
      this.attachment = attachment;
      this.vertices = new Array(frameCount);
    }
    getFrameCount() {
      return this.frames.length;
    }
    setFrame(frame, time, vertices) {
      this.frames[frame] = time;
      this.vertices[frame] = vertices;
    }
    setBezier(bezier, frame, value, time1, value1, cx1, cy1, cx2, cy2, time2, value2) {
      const curves = this.curves;
      let i = this.getFrameCount() + bezier * 18;
      if (value == 0)
        curves[frame] = 2 + i;
      const tmpx = (time1 - cx1 * 2 + cx2) * 0.03;
      const tmpy = cy2 * 0.03 - cy1 * 0.06;
      const dddx = ((cx1 - cx2) * 3 - time1 + time2) * 6e-3;
      const dddy = (cy1 - cy2 + 0.33333333) * 0.018;
      let ddx = tmpx * 2 + dddx;
      let ddy = tmpy * 2 + dddy;
      let dx = (cx1 - time1) * 0.3 + tmpx + dddx * 0.16666667;
      let dy = cy1 * 0.3 + tmpy + dddy * 0.16666667;
      let x = time1 + dx;
      let y = dy;
      for (let n = i + 18; i < n; i += 2) {
        curves[i] = x;
        curves[i + 1] = y;
        dx += ddx;
        dy += ddy;
        ddx += dddx;
        ddy += dddy;
        x += dx;
        y += dy;
      }
    }
    getCurvePercent(time, frame) {
      const curves = this.curves;
      let i = curves[frame];
      switch (i) {
        case 0:
          const x2 = this.frames[frame];
          return (time - x2) / (this.frames[frame + this.getFrameEntries()] - x2);
        case 1:
          return 0;
      }
      i -= 2;
      if (curves[i] > time) {
        const x2 = this.frames[frame];
        return curves[i + 1] * (time - x2) / (curves[i] - x2);
      }
      const n = i + 18;
      for (i += 2; i < n; i += 2) {
        if (curves[i] >= time) {
          const x2 = curves[i - 2];
          const y2 = curves[i - 1];
          return y2 + (time - x2) / (curves[i] - x2) * (curves[i + 1] - y2);
        }
      }
      const x = curves[n - 2];
      const y = curves[n - 1];
      return y + (1 - y) * (time - x) / (this.frames[frame + this.getFrameEntries()] - x);
    }
    apply(skeleton, lastTime, time, firedEvents, alpha, blend, direction) {
      const slot = skeleton.slots[this.slotIndex];
      if (!slot.bone.active)
        return;
      const slotAttachment = slot.getAttachment();
      if (!slotAttachment)
        return;
      if (!(slotAttachment instanceof VertexAttachment) || slotAttachment.timelineAttachment != this.attachment)
        return;
      const deform = slot.deform;
      if (deform.length == 0)
        blend = MixBlend.setup;
      const vertices = this.vertices;
      const vertexCount = vertices[0].length;
      const frames = this.frames;
      if (time < frames[0]) {
        switch (blend) {
          case MixBlend.setup:
            deform.length = 0;
            return;
          case MixBlend.first:
            if (alpha == 1) {
              deform.length = 0;
              return;
            }
            deform.length = vertexCount;
            const vertexAttachment = slotAttachment;
            if (!vertexAttachment.bones) {
              const setupVertices = vertexAttachment.vertices;
              for (let i = 0; i < vertexCount; i++)
                deform[i] += (setupVertices[i] - deform[i]) * alpha;
            } else {
              alpha = 1 - alpha;
              for (let i = 0; i < vertexCount; i++)
                deform[i] *= alpha;
            }
        }
        return;
      }
      deform.length = vertexCount;
      if (time >= frames[frames.length - 1]) {
        const lastVertices = vertices[frames.length - 1];
        if (alpha == 1) {
          if (blend == MixBlend.add) {
            const vertexAttachment = slotAttachment;
            if (!vertexAttachment.bones) {
              const setupVertices = vertexAttachment.vertices;
              for (let i = 0; i < vertexCount; i++)
                deform[i] += lastVertices[i] - setupVertices[i];
            } else {
              for (let i = 0; i < vertexCount; i++)
                deform[i] += lastVertices[i];
            }
          } else
            Utils.arrayCopy(lastVertices, 0, deform, 0, vertexCount);
        } else {
          switch (blend) {
            case MixBlend.setup: {
              const vertexAttachment2 = slotAttachment;
              if (!vertexAttachment2.bones) {
                const setupVertices = vertexAttachment2.vertices;
                for (let i = 0; i < vertexCount; i++) {
                  const setup = setupVertices[i];
                  deform[i] = setup + (lastVertices[i] - setup) * alpha;
                }
              } else {
                for (let i = 0; i < vertexCount; i++)
                  deform[i] = lastVertices[i] * alpha;
              }
              break;
            }
            case MixBlend.first:
            case MixBlend.replace:
              for (let i = 0; i < vertexCount; i++)
                deform[i] += (lastVertices[i] - deform[i]) * alpha;
              break;
            case MixBlend.add:
              const vertexAttachment = slotAttachment;
              if (!vertexAttachment.bones) {
                const setupVertices = vertexAttachment.vertices;
                for (let i = 0; i < vertexCount; i++)
                  deform[i] += (lastVertices[i] - setupVertices[i]) * alpha;
              } else {
                for (let i = 0; i < vertexCount; i++)
                  deform[i] += lastVertices[i] * alpha;
              }
          }
        }
        return;
      }
      const frame = Timeline$1.search1(frames, time);
      const percent = this.getCurvePercent(time, frame);
      const prevVertices = vertices[frame];
      const nextVertices = vertices[frame + 1];
      if (alpha == 1) {
        if (blend == MixBlend.add) {
          const vertexAttachment = slotAttachment;
          if (!vertexAttachment.bones) {
            const setupVertices = vertexAttachment.vertices;
            for (let i = 0; i < vertexCount; i++) {
              const prev = prevVertices[i];
              deform[i] += prev + (nextVertices[i] - prev) * percent - setupVertices[i];
            }
          } else {
            for (let i = 0; i < vertexCount; i++) {
              const prev = prevVertices[i];
              deform[i] += prev + (nextVertices[i] - prev) * percent;
            }
          }
        } else {
          for (let i = 0; i < vertexCount; i++) {
            const prev = prevVertices[i];
            deform[i] = prev + (nextVertices[i] - prev) * percent;
          }
        }
      } else {
        switch (blend) {
          case MixBlend.setup: {
            const vertexAttachment2 = slotAttachment;
            if (!vertexAttachment2.bones) {
              const setupVertices = vertexAttachment2.vertices;
              for (let i = 0; i < vertexCount; i++) {
                const prev = prevVertices[i];
                const setup = setupVertices[i];
                deform[i] = setup + (prev + (nextVertices[i] - prev) * percent - setup) * alpha;
              }
            } else {
              for (let i = 0; i < vertexCount; i++) {
                const prev = prevVertices[i];
                deform[i] = (prev + (nextVertices[i] - prev) * percent) * alpha;
              }
            }
            break;
          }
          case MixBlend.first:
          case MixBlend.replace:
            for (let i = 0; i < vertexCount; i++) {
              const prev = prevVertices[i];
              deform[i] += (prev + (nextVertices[i] - prev) * percent - deform[i]) * alpha;
            }
            break;
          case MixBlend.add:
            const vertexAttachment = slotAttachment;
            if (!vertexAttachment.bones) {
              const setupVertices = vertexAttachment.vertices;
              for (let i = 0; i < vertexCount; i++) {
                const prev = prevVertices[i];
                deform[i] += (prev + (nextVertices[i] - prev) * percent - setupVertices[i]) * alpha;
              }
            } else {
              for (let i = 0; i < vertexCount; i++) {
                const prev = prevVertices[i];
                deform[i] += (prev + (nextVertices[i] - prev) * percent) * alpha;
              }
            }
        }
      }
    }
  }
  const _EventTimeline = class extends Timeline$1 {
    constructor(frameCount) {
      super(frameCount, _EventTimeline.propertyIds);
      this.events = new Array(frameCount);
    }
    getFrameCount() {
      return this.frames.length;
    }
    setFrame(frame, event) {
      this.frames[frame] = event.time;
      this.events[frame] = event;
    }
    apply(skeleton, lastTime, time, firedEvents, alpha, blend, direction) {
      if (!firedEvents)
        return;
      const frames = this.frames;
      const frameCount = this.frames.length;
      if (lastTime > time) {
        this.apply(skeleton, lastTime, Number.MAX_VALUE, firedEvents, alpha, blend, direction);
        lastTime = -1;
      } else if (lastTime >= frames[frameCount - 1])
        return;
      if (time < frames[0])
        return;
      let i = 0;
      if (lastTime < frames[0])
        i = 0;
      else {
        i = Timeline$1.search1(frames, lastTime) + 1;
        const frameTime = frames[i];
        while (i > 0) {
          if (frames[i - 1] != frameTime)
            break;
          i--;
        }
      }
      for (; i < frameCount && time >= frames[i]; i++)
        firedEvents.push(this.events[i]);
    }
  };
  let EventTimeline = _EventTimeline;
  EventTimeline.propertyIds = [`${Property.event}`];
  const _DrawOrderTimeline = class extends Timeline$1 {
    constructor(frameCount) {
      super(frameCount, _DrawOrderTimeline.propertyIds);
      this.drawOrders = new Array(frameCount);
    }
    getFrameCount() {
      return this.frames.length;
    }
    setFrame(frame, time, drawOrder) {
      this.frames[frame] = time;
      this.drawOrders[frame] = drawOrder;
    }
    apply(skeleton, lastTime, time, firedEvents, alpha, blend, direction) {
      if (direction == MixDirection.mixOut) {
        if (blend == MixBlend.setup)
          Utils.arrayCopy(skeleton.slots, 0, skeleton.drawOrder, 0, skeleton.slots.length);
        return;
      }
      if (time < this.frames[0]) {
        if (blend == MixBlend.setup || blend == MixBlend.first)
          Utils.arrayCopy(skeleton.slots, 0, skeleton.drawOrder, 0, skeleton.slots.length);
        return;
      }
      const idx = Timeline$1.search1(this.frames, time);
      const drawOrderToSetupIndex = this.drawOrders[idx];
      if (!drawOrderToSetupIndex)
        Utils.arrayCopy(skeleton.slots, 0, skeleton.drawOrder, 0, skeleton.slots.length);
      else {
        const drawOrder = skeleton.drawOrder;
        const slots = skeleton.slots;
        for (let i = 0, n = drawOrderToSetupIndex.length; i < n; i++)
          drawOrder[i] = slots[drawOrderToSetupIndex[i]];
      }
    }
  };
  let DrawOrderTimeline = _DrawOrderTimeline;
  DrawOrderTimeline.propertyIds = [`${Property.drawOrder}`];
  class IkConstraintTimeline extends CurveTimeline {
    constructor(frameCount, bezierCount, ikConstraintIndex) {
      super(frameCount, bezierCount, [`${Property.ikConstraint}|${ikConstraintIndex}`]);
      this.ikConstraintIndex = 0;
      this.ikConstraintIndex = ikConstraintIndex;
    }
    getFrameEntries() {
      return 6;
    }
    setFrame(frame, time, mix, softness, bendDirection, compress, stretch) {
      frame *= 6;
      this.frames[frame] = time;
      this.frames[frame + 1] = mix;
      this.frames[frame + 2] = softness;
      this.frames[frame + 3] = bendDirection;
      this.frames[frame + 4] = compress ? 1 : 0;
      this.frames[frame + 5] = stretch ? 1 : 0;
    }
    apply(skeleton, lastTime, time, firedEvents, alpha, blend, direction) {
      const constraint = skeleton.ikConstraints[this.ikConstraintIndex];
      if (!constraint.active)
        return;
      const frames = this.frames;
      if (time < frames[0]) {
        switch (blend) {
          case MixBlend.setup:
            constraint.mix = constraint.data.mix;
            constraint.softness = constraint.data.softness;
            constraint.bendDirection = constraint.data.bendDirection;
            constraint.compress = constraint.data.compress;
            constraint.stretch = constraint.data.stretch;
            return;
          case MixBlend.first:
            constraint.mix += (constraint.data.mix - constraint.mix) * alpha;
            constraint.softness += (constraint.data.softness - constraint.softness) * alpha;
            constraint.bendDirection = constraint.data.bendDirection;
            constraint.compress = constraint.data.compress;
            constraint.stretch = constraint.data.stretch;
        }
        return;
      }
      let mix = 0;
      let softness = 0;
      const i = Timeline$1.search(
        frames,
        time,
        6
      );
      const curveType = this.curves[i / 6];
      switch (curveType) {
        case 0:
          const before = frames[i];
          mix = frames[i + 1];
          softness = frames[i + 2];
          const t = (time - before) / (frames[i + 6] - before);
          mix += (frames[i + 6 + 1] - mix) * t;
          softness += (frames[i + 6 + 2] - softness) * t;
          break;
        case 1:
          mix = frames[i + 1];
          softness = frames[i + 2];
          break;
        default:
          mix = this.getBezierValue(
            time,
            i,
            1,
            curveType - 2
          );
          softness = this.getBezierValue(
            time,
            i,
            2,
            curveType + 18 - 2
          );
      }
      if (blend == MixBlend.setup) {
        constraint.mix = constraint.data.mix + (mix - constraint.data.mix) * alpha;
        constraint.softness = constraint.data.softness + (softness - constraint.data.softness) * alpha;
        if (direction == MixDirection.mixOut) {
          constraint.bendDirection = constraint.data.bendDirection;
          constraint.compress = constraint.data.compress;
          constraint.stretch = constraint.data.stretch;
        } else {
          constraint.bendDirection = frames[i + 3];
          constraint.compress = frames[i + 4] != 0;
          constraint.stretch = frames[i + 5] != 0;
        }
      } else {
        constraint.mix += (mix - constraint.mix) * alpha;
        constraint.softness += (softness - constraint.softness) * alpha;
        if (direction == MixDirection.mixIn) {
          constraint.bendDirection = frames[i + 3];
          constraint.compress = frames[i + 4] != 0;
          constraint.stretch = frames[i + 5] != 0;
        }
      }
    }
  }
  class TransformConstraintTimeline extends CurveTimeline {
    constructor(frameCount, bezierCount, transformConstraintIndex) {
      super(frameCount, bezierCount, [`${Property.transformConstraint}|${transformConstraintIndex}`]);
      this.transformConstraintIndex = 0;
      this.transformConstraintIndex = transformConstraintIndex;
    }
    getFrameEntries() {
      return 7;
    }
    setFrame(frame, time, mixRotate, mixX, mixY, mixScaleX, mixScaleY, mixShearY) {
      const frames = this.frames;
      frame *= 7;
      frames[frame] = time;
      frames[frame + 1] = mixRotate;
      frames[frame + 2] = mixX;
      frames[frame + 3] = mixY;
      frames[frame + 4] = mixScaleX;
      frames[frame + 5] = mixScaleY;
      frames[frame + 6] = mixShearY;
    }
    apply(skeleton, lastTime, time, firedEvents, alpha, blend, direction) {
      const constraint = skeleton.transformConstraints[this.transformConstraintIndex];
      if (!constraint.active)
        return;
      const frames = this.frames;
      if (time < frames[0]) {
        const data = constraint.data;
        switch (blend) {
          case MixBlend.setup:
            constraint.mixRotate = data.mixRotate;
            constraint.mixX = data.mixX;
            constraint.mixY = data.mixY;
            constraint.mixScaleX = data.mixScaleX;
            constraint.mixScaleY = data.mixScaleY;
            constraint.mixShearY = data.mixShearY;
            return;
          case MixBlend.first:
            constraint.mixRotate += (data.mixRotate - constraint.mixRotate) * alpha;
            constraint.mixX += (data.mixX - constraint.mixX) * alpha;
            constraint.mixY += (data.mixY - constraint.mixY) * alpha;
            constraint.mixScaleX += (data.mixScaleX - constraint.mixScaleX) * alpha;
            constraint.mixScaleY += (data.mixScaleY - constraint.mixScaleY) * alpha;
            constraint.mixShearY += (data.mixShearY - constraint.mixShearY) * alpha;
        }
        return;
      }
      let rotate;
      let x;
      let y;
      let scaleX;
      let scaleY;
      let shearY;
      const i = Timeline$1.search(
        frames,
        time,
        7
      );
      const curveType = this.curves[i / 7];
      switch (curveType) {
        case 0:
          const before = frames[i];
          rotate = frames[i + 1];
          x = frames[i + 2];
          y = frames[i + 3];
          scaleX = frames[i + 4];
          scaleY = frames[i + 5];
          shearY = frames[i + 6];
          const t = (time - before) / (frames[i + 7] - before);
          rotate += (frames[i + 7 + 1] - rotate) * t;
          x += (frames[i + 7 + 2] - x) * t;
          y += (frames[i + 7 + 3] - y) * t;
          scaleX += (frames[i + 7 + 4] - scaleX) * t;
          scaleY += (frames[i + 7 + 5] - scaleY) * t;
          shearY += (frames[i + 7 + 6] - shearY) * t;
          break;
        case 1:
          rotate = frames[i + 1];
          x = frames[i + 2];
          y = frames[i + 3];
          scaleX = frames[i + 4];
          scaleY = frames[i + 5];
          shearY = frames[i + 6];
          break;
        default:
          rotate = this.getBezierValue(
            time,
            i,
            1,
            curveType - 2
          );
          x = this.getBezierValue(
            time,
            i,
            2,
            curveType + 18 - 2
          );
          y = this.getBezierValue(
            time,
            i,
            3,
            curveType + 18 * 2 - 2
          );
          scaleX = this.getBezierValue(
            time,
            i,
            4,
            curveType + 18 * 3 - 2
          );
          scaleY = this.getBezierValue(
            time,
            i,
            5,
            curveType + 18 * 4 - 2
          );
          shearY = this.getBezierValue(
            time,
            i,
            6,
            curveType + 18 * 5 - 2
          );
      }
      if (blend == MixBlend.setup) {
        const data = constraint.data;
        constraint.mixRotate = data.mixRotate + (rotate - data.mixRotate) * alpha;
        constraint.mixX = data.mixX + (x - data.mixX) * alpha;
        constraint.mixY = data.mixY + (y - data.mixY) * alpha;
        constraint.mixScaleX = data.mixScaleX + (scaleX - data.mixScaleX) * alpha;
        constraint.mixScaleY = data.mixScaleY + (scaleY - data.mixScaleY) * alpha;
        constraint.mixShearY = data.mixShearY + (shearY - data.mixShearY) * alpha;
      } else {
        constraint.mixRotate += (rotate - constraint.mixRotate) * alpha;
        constraint.mixX += (x - constraint.mixX) * alpha;
        constraint.mixY += (y - constraint.mixY) * alpha;
        constraint.mixScaleX += (scaleX - constraint.mixScaleX) * alpha;
        constraint.mixScaleY += (scaleY - constraint.mixScaleY) * alpha;
        constraint.mixShearY += (shearY - constraint.mixShearY) * alpha;
      }
    }
  }
  class PathConstraintPositionTimeline extends CurveTimeline1 {
    constructor(frameCount, bezierCount, pathConstraintIndex) {
      super(frameCount, bezierCount, `${Property.pathConstraintPosition}|${pathConstraintIndex}`);
      this.pathConstraintIndex = 0;
      this.pathConstraintIndex = pathConstraintIndex;
    }
    apply(skeleton, lastTime, time, firedEvents, alpha, blend, direction) {
      const constraint = skeleton.pathConstraints[this.pathConstraintIndex];
      if (!constraint.active)
        return;
      const frames = this.frames;
      if (time < frames[0]) {
        switch (blend) {
          case MixBlend.setup:
            constraint.position = constraint.data.position;
            return;
          case MixBlend.first:
            constraint.position += (constraint.data.position - constraint.position) * alpha;
        }
        return;
      }
      const position = this.getCurveValue(time);
      if (blend == MixBlend.setup)
        constraint.position = constraint.data.position + (position - constraint.data.position) * alpha;
      else
        constraint.position += (position - constraint.position) * alpha;
    }
  }
  class PathConstraintSpacingTimeline extends CurveTimeline1 {
    constructor(frameCount, bezierCount, pathConstraintIndex) {
      super(frameCount, bezierCount, `${Property.pathConstraintSpacing}|${pathConstraintIndex}`);
      this.pathConstraintIndex = 0;
      this.pathConstraintIndex = pathConstraintIndex;
    }
    apply(skeleton, lastTime, time, firedEvents, alpha, blend, direction) {
      const constraint = skeleton.pathConstraints[this.pathConstraintIndex];
      if (!constraint.active)
        return;
      const frames = this.frames;
      if (time < frames[0]) {
        switch (blend) {
          case MixBlend.setup:
            constraint.spacing = constraint.data.spacing;
            return;
          case MixBlend.first:
            constraint.spacing += (constraint.data.spacing - constraint.spacing) * alpha;
        }
        return;
      }
      const spacing = this.getCurveValue(time);
      if (blend == MixBlend.setup)
        constraint.spacing = constraint.data.spacing + (spacing - constraint.data.spacing) * alpha;
      else
        constraint.spacing += (spacing - constraint.spacing) * alpha;
    }
  }
  class PathConstraintMixTimeline extends CurveTimeline {
    constructor(frameCount, bezierCount, pathConstraintIndex) {
      super(frameCount, bezierCount, [`${Property.pathConstraintMix}|${pathConstraintIndex}`]);
      this.pathConstraintIndex = 0;
      this.pathConstraintIndex = pathConstraintIndex;
    }
    getFrameEntries() {
      return 4;
    }
    setFrame(frame, time, mixRotate, mixX, mixY) {
      const frames = this.frames;
      frame <<= 2;
      frames[frame] = time;
      frames[frame + 1] = mixRotate;
      frames[frame + 2] = mixX;
      frames[frame + 3] = mixY;
    }
    apply(skeleton, lastTime, time, firedEvents, alpha, blend, direction) {
      const constraint = skeleton.pathConstraints[this.pathConstraintIndex];
      if (!constraint.active)
        return;
      const frames = this.frames;
      if (time < frames[0]) {
        switch (blend) {
          case MixBlend.setup:
            constraint.mixRotate = constraint.data.mixRotate;
            constraint.mixX = constraint.data.mixX;
            constraint.mixY = constraint.data.mixY;
            return;
          case MixBlend.first:
            constraint.mixRotate += (constraint.data.mixRotate - constraint.mixRotate) * alpha;
            constraint.mixX += (constraint.data.mixX - constraint.mixX) * alpha;
            constraint.mixY += (constraint.data.mixY - constraint.mixY) * alpha;
        }
        return;
      }
      let rotate;
      let x;
      let y;
      const i = Timeline$1.search(
        frames,
        time,
        4
      );
      const curveType = this.curves[i >> 2];
      switch (curveType) {
        case 0:
          const before = frames[i];
          rotate = frames[i + 1];
          x = frames[i + 2];
          y = frames[i + 3];
          const t = (time - before) / (frames[i + 4] - before);
          rotate += (frames[i + 4 + 1] - rotate) * t;
          x += (frames[i + 4 + 2] - x) * t;
          y += (frames[i + 4 + 3] - y) * t;
          break;
        case 1:
          rotate = frames[i + 1];
          x = frames[i + 2];
          y = frames[i + 3];
          break;
        default:
          rotate = this.getBezierValue(
            time,
            i,
            1,
            curveType - 2
          );
          x = this.getBezierValue(
            time,
            i,
            2,
            curveType + 18 - 2
          );
          y = this.getBezierValue(
            time,
            i,
            3,
            curveType + 18 * 2 - 2
          );
      }
      if (blend == MixBlend.setup) {
        const data = constraint.data;
        constraint.mixRotate = data.mixRotate + (rotate - data.mixRotate) * alpha;
        constraint.mixX = data.mixX + (x - data.mixX) * alpha;
        constraint.mixY = data.mixY + (y - data.mixY) * alpha;
      } else {
        constraint.mixRotate += (rotate - constraint.mixRotate) * alpha;
        constraint.mixX += (x - constraint.mixX) * alpha;
        constraint.mixY += (y - constraint.mixY) * alpha;
      }
    }
  }
  const _SequenceTimeline = class extends Timeline$1 {
    constructor(frameCount, slotIndex, attachment) {
      super(frameCount, [`${Property.sequence}|${slotIndex}|${attachment.sequence.id}`]);
      this.slotIndex = slotIndex;
      this.attachment = attachment;
    }
    getFrameEntries() {
      return _SequenceTimeline.ENTRIES;
    }
    getSlotIndex() {
      return this.slotIndex;
    }
    getAttachment() {
      return this.attachment;
    }
    setFrame(frame, time, mode, index, delay) {
      const frames = this.frames;
      frame *= _SequenceTimeline.ENTRIES;
      frames[frame] = time;
      frames[frame + _SequenceTimeline.MODE] = mode | index << 4;
      frames[frame + _SequenceTimeline.DELAY] = delay;
    }
    apply(skeleton, lastTime, time, events, alpha, blend, direction) {
      const slot = skeleton.slots[this.slotIndex];
      if (!slot.bone.active)
        return;
      const slotAttachment = slot.attachment;
      const attachment = this.attachment;
      if (slotAttachment != attachment) {
        if (!(slotAttachment instanceof VertexAttachment) || slotAttachment.timelineAttachment != attachment)
          return;
      }
      const frames = this.frames;
      if (time < frames[0]) {
        if (blend == MixBlend.setup || blend == MixBlend.first)
          slot.sequenceIndex = -1;
        return;
      }
      const i = Timeline$1.search(frames, time, _SequenceTimeline.ENTRIES);
      const before = frames[i];
      const modeAndIndex = frames[i + _SequenceTimeline.MODE];
      const delay = frames[i + _SequenceTimeline.DELAY];
      if (!this.attachment.sequence)
        return;
      let index = modeAndIndex >> 4;
      const count = this.attachment.sequence.regions.length;
      const mode = SequenceModeValues[modeAndIndex & 15];
      if (mode != SequenceMode.hold) {
        index += (time - before) / delay + 1e-5 | 0;
        switch (mode) {
          case SequenceMode.once:
            index = Math.min(count - 1, index);
            break;
          case SequenceMode.loop:
            index %= count;
            break;
          case SequenceMode.pingpong: {
            const n = (count << 1) - 2;
            index = n == 0 ? 0 : index % n;
            if (index >= count)
              index = n - index;
            break;
          }
          case SequenceMode.onceReverse:
            index = Math.max(count - 1 - index, 0);
            break;
          case SequenceMode.loopReverse:
            index = count - 1 - index % count;
            break;
          case SequenceMode.pingpongReverse: {
            const n = (count << 1) - 2;
            index = n == 0 ? 0 : (index + count - 1) % n;
            if (index >= count)
              index = n - index;
          }
        }
      }
      slot.sequenceIndex = index;
    }
  };
  let SequenceTimeline = _SequenceTimeline;
  SequenceTimeline.ENTRIES = 3;
  SequenceTimeline.MODE = 1;
  SequenceTimeline.DELAY = 2;
  new Animation$1("<empty>", [], 0);
  class AtlasAttachmentLoader {
    constructor(atlas) {
      this.atlas = atlas;
    }
    loadSequence(name, basePath, sequence) {
      const regions = sequence.regions;
      for (let i = 0, n = regions.length; i < n; i++) {
        const path = sequence.getPath(basePath, i);
        const region = this.atlas.findRegion(path);
        if (region == null)
          throw new Error(`Region not found in atlas: ${path} (sequence: ${name})`);
        regions[i] = region;
        regions[i].renderObject = regions[i];
      }
    }
    newRegionAttachment(skin, name, path, sequence) {
      const attachment = new RegionAttachment(name, path);
      if (sequence != null) {
        this.loadSequence(name, path, sequence);
      } else {
        const region = this.atlas.findRegion(path);
        if (!region)
          throw new Error(`Region not found in atlas: ${path} (region attachment: ${name})`);
        region.renderObject = region;
        attachment.region = region;
      }
      return attachment;
    }
    newMeshAttachment(skin, name, path, sequence) {
      const attachment = new MeshAttachment(name, path);
      if (sequence != null) {
        this.loadSequence(name, path, sequence);
      } else {
        const region = this.atlas.findRegion(path);
        if (!region)
          throw new Error(`Region not found in atlas: ${path} (mesh attachment: ${name})`);
        region.renderObject = region;
        attachment.region = region;
      }
      return attachment;
    }
    newBoundingBoxAttachment(skin, name) {
      return new BoundingBoxAttachment(name);
    }
    newPathAttachment(skin, name) {
      return new PathAttachment(name);
    }
    newPointAttachment(skin, name) {
      return new PointAttachment(name);
    }
    newClippingAttachment(skin, name) {
      return new ClippingAttachment(name);
    }
  }
  class BoneData {
    constructor(index, name, parent) {
      this.index = 0;
      this.parent = null;
      this.length = 0;
      this.x = 0;
      this.y = 0;
      this.rotation = 0;
      this.scaleX = 1;
      this.scaleY = 1;
      this.shearX = 0;
      this.shearY = 0;
      this.transformMode = TransformMode.Normal;
      this.skinRequired = false;
      this.color = new Color();
      if (index < 0)
        throw new Error("index must be >= 0.");
      if (!name)
        throw new Error("name cannot be null.");
      this.index = index;
      this.name = name;
      this.parent = parent;
    }
  }
  class ConstraintData {
    constructor(name, order, skinRequired) {
      this.name = name;
      this.order = order;
      this.skinRequired = skinRequired;
    }
  }
  class Event {
    constructor(time, data) {
      this.intValue = 0;
      this.floatValue = 0;
      this.stringValue = null;
      this.time = 0;
      this.volume = 0;
      this.balance = 0;
      if (!data)
        throw new Error("data cannot be null.");
      this.time = time;
      this.data = data;
    }
  }
  class EventData {
    constructor(name) {
      this.intValue = 0;
      this.floatValue = 0;
      this.stringValue = null;
      this.audioPath = null;
      this.volume = 0;
      this.balance = 0;
      this.name = name;
    }
  }
  class IkConstraintData extends ConstraintData {
    constructor(name) {
      super(name, 0, false);
      this.bones = new Array();
      this._target = null;
      this.bendDirection = 1;
      this.compress = false;
      this.stretch = false;
      this.uniform = false;
      this.mix = 1;
      this.softness = 0;
    }
    set target(boneData) {
      this._target = boneData;
    }
    get target() {
      if (!this._target)
        throw new Error("BoneData not set.");
      else
        return this._target;
    }
  }
  class PathConstraintData extends ConstraintData {
    constructor(name) {
      super(name, 0, false);
      this.bones = new Array();
      this._target = null;
      this.positionMode = PositionMode.Fixed;
      this.spacingMode = SpacingMode.Fixed;
      this.rotateMode = RotateMode.Chain;
      this.offsetRotation = 0;
      this.position = 0;
      this.spacing = 0;
      this.mixRotate = 0;
      this.mixX = 0;
      this.mixY = 0;
    }
    set target(slotData) {
      this._target = slotData;
    }
    get target() {
      if (!this._target)
        throw new Error("SlotData not set.");
      else
        return this._target;
    }
  }
  var SpacingMode = /* @__PURE__ */ ((SpacingMode2) => {
    SpacingMode2[SpacingMode2["Length"] = 0] = "Length";
    SpacingMode2[SpacingMode2["Fixed"] = 1] = "Fixed";
    SpacingMode2[SpacingMode2["Percent"] = 2] = "Percent";
    SpacingMode2[SpacingMode2["Proportional"] = 3] = "Proportional";
    return SpacingMode2;
  })(SpacingMode || {});
  class SkeletonData {
    constructor() {
      this.name = null;
      this.bones = new Array();
      this.slots = new Array();
      this.skins = new Array();
      this.defaultSkin = null;
      this.events = new Array();
      this.animations = new Array();
      this.ikConstraints = new Array();
      this.transformConstraints = new Array();
      this.pathConstraints = new Array();
      this.x = 0;
      this.y = 0;
      this.width = 0;
      this.height = 0;
      this.version = null;
      this.hash = null;
      this.fps = 0;
      this.imagesPath = null;
      this.audioPath = null;
    }
    findBone(boneName) {
      if (!boneName)
        throw new Error("boneName cannot be null.");
      const bones = this.bones;
      for (let i = 0, n = bones.length; i < n; i++) {
        const bone = bones[i];
        if (bone.name == boneName)
          return bone;
      }
      return null;
    }
    findBoneIndex(boneName) {
      if (!boneName)
        throw new Error("boneName cannot be null.");
      const bones = this.bones;
      for (let i = 0, n = bones.length; i < n; i++)
        if (bones[i].name == boneName)
          return i;
      return -1;
    }
    findSlot(slotName) {
      if (!slotName)
        throw new Error("slotName cannot be null.");
      const slots = this.slots;
      for (let i = 0, n = slots.length; i < n; i++) {
        const slot = slots[i];
        if (slot.name == slotName)
          return slot;
      }
      return null;
    }
    findSlotIndex(slotName) {
      if (!slotName)
        throw new Error("slotName cannot be null.");
      const slots = this.slots;
      for (let i = 0, n = slots.length; i < n; i++)
        if (slots[i].name == slotName)
          return i;
      return -1;
    }
    findSkin(skinName) {
      if (!skinName)
        throw new Error("skinName cannot be null.");
      const skins = this.skins;
      for (let i = 0, n = skins.length; i < n; i++) {
        const skin = skins[i];
        if (skin.name == skinName)
          return skin;
      }
      return null;
    }
    findEvent(eventDataName) {
      if (!eventDataName)
        throw new Error("eventDataName cannot be null.");
      const events = this.events;
      for (let i = 0, n = events.length; i < n; i++) {
        const event = events[i];
        if (event.name == eventDataName)
          return event;
      }
      return null;
    }
    findAnimation(animationName) {
      if (!animationName)
        throw new Error("animationName cannot be null.");
      const animations = this.animations;
      for (let i = 0, n = animations.length; i < n; i++) {
        const animation = animations[i];
        if (animation.name == animationName)
          return animation;
      }
      return null;
    }
    findIkConstraint(constraintName) {
      if (!constraintName)
        throw new Error("constraintName cannot be null.");
      const ikConstraints = this.ikConstraints;
      for (let i = 0, n = ikConstraints.length; i < n; i++) {
        const constraint = ikConstraints[i];
        if (constraint.name == constraintName)
          return constraint;
      }
      return null;
    }
    findTransformConstraint(constraintName) {
      if (!constraintName)
        throw new Error("constraintName cannot be null.");
      const transformConstraints = this.transformConstraints;
      for (let i = 0, n = transformConstraints.length; i < n; i++) {
        const constraint = transformConstraints[i];
        if (constraint.name == constraintName)
          return constraint;
      }
      return null;
    }
    findPathConstraint(constraintName) {
      if (!constraintName)
        throw new Error("constraintName cannot be null.");
      const pathConstraints = this.pathConstraints;
      for (let i = 0, n = pathConstraints.length; i < n; i++) {
        const constraint = pathConstraints[i];
        if (constraint.name == constraintName)
          return constraint;
      }
      return null;
    }
    findPathConstraintIndex(pathConstraintName) {
      if (pathConstraintName == null)
        throw new Error("pathConstraintName cannot be null.");
      const pathConstraints = this.pathConstraints;
      for (let i = 0, n = pathConstraints.length; i < n; i++)
        if (pathConstraints[i].name == pathConstraintName)
          return i;
      return -1;
    }
  }
  class SlotData {
    constructor(index, name, boneData) {
      this.index = 0;
      this.color = new Color(1, 1, 1, 1);
      this.darkColor = null;
      this.attachmentName = null;
      this.blendMode = core.BLEND_MODES.NORMAL;
      if (index < 0)
        throw new Error("index must be >= 0.");
      if (!name)
        throw new Error("name cannot be null.");
      if (!boneData)
        throw new Error("boneData cannot be null.");
      this.index = index;
      this.name = name;
      this.boneData = boneData;
    }
  }
  class TransformConstraintData extends ConstraintData {
    constructor(name) {
      super(name, 0, false);
      this.bones = new Array();
      this._target = null;
      this.mixRotate = 0;
      this.mixX = 0;
      this.mixY = 0;
      this.mixScaleX = 0;
      this.mixScaleY = 0;
      this.mixShearY = 0;
      this.offsetRotation = 0;
      this.offsetX = 0;
      this.offsetY = 0;
      this.offsetScaleX = 0;
      this.offsetScaleY = 0;
      this.offsetShearY = 0;
      this.relative = false;
      this.local = false;
    }
    set target(boneData) {
      this._target = boneData;
    }
    get target() {
      if (!this._target)
        throw new Error("BoneData not set.");
      else
        return this._target;
    }
  }
  class SkinEntry {
    constructor(slotIndex, name, attachment) {
      this.slotIndex = slotIndex;
      this.name = name;
      this.attachment = attachment;
    }
  }
  class Skin {
    constructor(name) {
      this.attachments = new Array();
      this.bones = Array();
      this.constraints = new Array();
      if (!name)
        throw new Error("name cannot be null.");
      this.name = name;
    }
    setAttachment(slotIndex, name, attachment) {
      if (!attachment)
        throw new Error("attachment cannot be null.");
      const attachments = this.attachments;
      if (slotIndex >= attachments.length)
        attachments.length = slotIndex + 1;
      if (!attachments[slotIndex])
        attachments[slotIndex] = {};
      attachments[slotIndex][name] = attachment;
    }
    addSkin(skin) {
      for (let i = 0; i < skin.bones.length; i++) {
        const bone = skin.bones[i];
        let contained = false;
        for (let ii = 0; ii < this.bones.length; ii++) {
          if (this.bones[ii] == bone) {
            contained = true;
            break;
          }
        }
        if (!contained)
          this.bones.push(bone);
      }
      for (let i = 0; i < skin.constraints.length; i++) {
        const constraint = skin.constraints[i];
        let contained = false;
        for (let ii = 0; ii < this.constraints.length; ii++) {
          if (this.constraints[ii] == constraint) {
            contained = true;
            break;
          }
        }
        if (!contained)
          this.constraints.push(constraint);
      }
      const attachments = skin.getAttachments();
      for (let i = 0; i < attachments.length; i++) {
        const attachment = attachments[i];
        this.setAttachment(attachment.slotIndex, attachment.name, attachment.attachment);
      }
    }
    copySkin(skin) {
      for (let i = 0; i < skin.bones.length; i++) {
        const bone = skin.bones[i];
        let contained = false;
        for (let ii = 0; ii < this.bones.length; ii++) {
          if (this.bones[ii] == bone) {
            contained = true;
            break;
          }
        }
        if (!contained)
          this.bones.push(bone);
      }
      for (let i = 0; i < skin.constraints.length; i++) {
        const constraint = skin.constraints[i];
        let contained = false;
        for (let ii = 0; ii < this.constraints.length; ii++) {
          if (this.constraints[ii] == constraint) {
            contained = true;
            break;
          }
        }
        if (!contained)
          this.constraints.push(constraint);
      }
      const attachments = skin.getAttachments();
      for (let i = 0; i < attachments.length; i++) {
        const attachment = attachments[i];
        if (!attachment.attachment)
          continue;
        if (attachment.attachment instanceof MeshAttachment) {
          attachment.attachment = attachment.attachment.newLinkedMesh();
          this.setAttachment(attachment.slotIndex, attachment.name, attachment.attachment);
        } else {
          attachment.attachment = attachment.attachment.copy();
          this.setAttachment(attachment.slotIndex, attachment.name, attachment.attachment);
        }
      }
    }
    getAttachment(slotIndex, name) {
      const dictionary = this.attachments[slotIndex];
      return dictionary ? dictionary[name] : null;
    }
    removeAttachment(slotIndex, name) {
      const dictionary = this.attachments[slotIndex];
      if (dictionary)
        delete dictionary[name];
    }
    getAttachments() {
      const entries = new Array();
      for (let i = 0; i < this.attachments.length; i++) {
        const slotAttachments = this.attachments[i];
        if (slotAttachments) {
          for (const name in slotAttachments) {
            const attachment = slotAttachments[name];
            if (attachment)
              entries.push(new SkinEntry(i, name, attachment));
          }
        }
      }
      return entries;
    }
    getAttachmentsForSlot(slotIndex, attachments) {
      const slotAttachments = this.attachments[slotIndex];
      if (slotAttachments) {
        for (const name in slotAttachments) {
          const attachment = slotAttachments[name];
          if (attachment)
            attachments.push(new SkinEntry(slotIndex, name, attachment));
        }
      }
    }
    clear() {
      this.attachments.length = 0;
      this.bones.length = 0;
      this.constraints.length = 0;
    }
    attachAll(skeleton, oldSkin) {
      let slotIndex = 0;
      for (let i = 0; i < skeleton.slots.length; i++) {
        const slot = skeleton.slots[i];
        const slotAttachment = slot.getAttachment();
        if (slotAttachment && slotIndex < oldSkin.attachments.length) {
          const dictionary = oldSkin.attachments[slotIndex];
          for (const key in dictionary) {
            const skinAttachment = dictionary[key];
            if (slotAttachment == skinAttachment) {
              const attachment = this.getAttachment(slotIndex, key);
              if (attachment)
                slot.setAttachment(attachment);
              break;
            }
          }
        }
        slotIndex++;
      }
    }
  }
  class SkeletonBinary {
    constructor(attachmentLoader) {
      this.ver40 = false;
      this.scale = 1;
      this.linkedMeshes = new Array();
      this.attachmentLoader = attachmentLoader;
    }
    readSkeletonData(binary) {
      const scale = this.scale;
      const skeletonData = new SkeletonData();
      skeletonData.name = "";
      const input = new BinaryInput(binary);
      const lowHash = input.readInt32();
      const highHash = input.readInt32();
      skeletonData.hash = highHash == 0 && lowHash == 0 ? null : highHash.toString(16) + lowHash.toString(16);
      skeletonData.version = input.readString();
      const verShort = skeletonData.version.substr(0, 3);
      if (verShort !== "4.0" && verShort !== "4.1") {
        const error = `Spine 4.1 loader cant load version ${skeletonData.version}. Please configure your pixi-spine bundle`;
        console.error(error);
      }
      this.ver40 = verShort === "4.0";
      skeletonData.x = input.readFloat();
      skeletonData.y = input.readFloat();
      skeletonData.width = input.readFloat();
      skeletonData.height = input.readFloat();
      const nonessential = input.readBoolean();
      if (nonessential) {
        skeletonData.fps = input.readFloat();
        skeletonData.imagesPath = input.readString();
        skeletonData.audioPath = input.readString();
      }
      let n = 0;
      n = input.readInt(true);
      for (let i = 0; i < n; i++) {
        const str = input.readString();
        if (!str)
          throw new Error("String in string table must not be null.");
        input.strings.push(str);
      }
      n = input.readInt(true);
      for (let i = 0; i < n; i++) {
        const name = input.readString();
        if (!name)
          throw new Error("Bone name must not be null.");
        const parent = i == 0 ? null : skeletonData.bones[input.readInt(true)];
        const data = new BoneData(i, name, parent);
        data.rotation = input.readFloat();
        data.x = input.readFloat() * scale;
        data.y = input.readFloat() * scale;
        data.scaleX = input.readFloat();
        data.scaleY = input.readFloat();
        data.shearX = input.readFloat();
        data.shearY = input.readFloat();
        data.length = input.readFloat() * scale;
        data.transformMode = input.readInt(true);
        data.skinRequired = input.readBoolean();
        if (nonessential)
          Color.rgba8888ToColor(data.color, input.readInt32());
        skeletonData.bones.push(data);
      }
      n = input.readInt(true);
      for (let i = 0; i < n; i++) {
        const slotName = input.readString();
        if (!slotName)
          throw new Error("Slot name must not be null.");
        const boneData = skeletonData.bones[input.readInt(true)];
        const data = new SlotData(i, slotName, boneData);
        Color.rgba8888ToColor(data.color, input.readInt32());
        const darkColor = input.readInt32();
        if (darkColor != -1)
          Color.rgb888ToColor(data.darkColor = new Color(), darkColor);
        data.attachmentName = input.readStringRef();
        data.blendMode = input.readInt(true);
        skeletonData.slots.push(data);
      }
      n = input.readInt(true);
      for (let i = 0, nn; i < n; i++) {
        const name = input.readString();
        if (!name)
          throw new Error("IK constraint data name must not be null.");
        const data = new IkConstraintData(name);
        data.order = input.readInt(true);
        data.skinRequired = input.readBoolean();
        nn = input.readInt(true);
        for (let ii = 0; ii < nn; ii++)
          data.bones.push(skeletonData.bones[input.readInt(true)]);
        data.target = skeletonData.bones[input.readInt(true)];
        data.mix = input.readFloat();
        data.softness = input.readFloat() * scale;
        data.bendDirection = input.readByte();
        data.compress = input.readBoolean();
        data.stretch = input.readBoolean();
        data.uniform = input.readBoolean();
        skeletonData.ikConstraints.push(data);
      }
      n = input.readInt(true);
      for (let i = 0, nn; i < n; i++) {
        const name = input.readString();
        if (!name)
          throw new Error("Transform constraint data name must not be null.");
        const data = new TransformConstraintData(name);
        data.order = input.readInt(true);
        data.skinRequired = input.readBoolean();
        nn = input.readInt(true);
        for (let ii = 0; ii < nn; ii++)
          data.bones.push(skeletonData.bones[input.readInt(true)]);
        data.target = skeletonData.bones[input.readInt(true)];
        data.local = input.readBoolean();
        data.relative = input.readBoolean();
        data.offsetRotation = input.readFloat();
        data.offsetX = input.readFloat() * scale;
        data.offsetY = input.readFloat() * scale;
        data.offsetScaleX = input.readFloat();
        data.offsetScaleY = input.readFloat();
        data.offsetShearY = input.readFloat();
        data.mixRotate = input.readFloat();
        data.mixX = input.readFloat();
        data.mixY = input.readFloat();
        data.mixScaleX = input.readFloat();
        data.mixScaleY = input.readFloat();
        data.mixShearY = input.readFloat();
        skeletonData.transformConstraints.push(data);
      }
      n = input.readInt(true);
      for (let i = 0, nn; i < n; i++) {
        const name = input.readString();
        if (!name)
          throw new Error("Path constraint data name must not be null.");
        const data = new PathConstraintData(name);
        data.order = input.readInt(true);
        data.skinRequired = input.readBoolean();
        nn = input.readInt(true);
        for (let ii = 0; ii < nn; ii++)
          data.bones.push(skeletonData.bones[input.readInt(true)]);
        data.target = skeletonData.slots[input.readInt(true)];
        data.positionMode = input.readInt(true);
        data.spacingMode = input.readInt(true);
        data.rotateMode = input.readInt(true);
        data.offsetRotation = input.readFloat();
        data.position = input.readFloat();
        if (data.positionMode == PositionMode.Fixed)
          data.position *= scale;
        data.spacing = input.readFloat();
        if (data.spacingMode == SpacingMode.Length || data.spacingMode == SpacingMode.Fixed)
          data.spacing *= scale;
        data.mixRotate = input.readFloat();
        data.mixX = input.readFloat();
        data.mixY = input.readFloat();
        skeletonData.pathConstraints.push(data);
      }
      const defaultSkin = this.readSkin(input, skeletonData, true, nonessential);
      if (defaultSkin) {
        skeletonData.defaultSkin = defaultSkin;
        skeletonData.skins.push(defaultSkin);
      }
      {
        let i = skeletonData.skins.length;
        Utils.setArraySize(skeletonData.skins, n = i + input.readInt(true));
        for (; i < n; i++) {
          const skin = this.readSkin(input, skeletonData, false, nonessential);
          if (!skin)
            throw new Error("readSkin() should not have returned null.");
          skeletonData.skins[i] = skin;
        }
      }
      n = this.linkedMeshes.length;
      for (let i = 0; i < n; i++) {
        const linkedMesh = this.linkedMeshes[i];
        const skin = !linkedMesh.skin ? skeletonData.defaultSkin : skeletonData.findSkin(linkedMesh.skin);
        if (!skin)
          throw new Error("Not skin found for linked mesh.");
        if (!linkedMesh.parent)
          throw new Error("Linked mesh parent must not be null");
        const parent = skin.getAttachment(linkedMesh.slotIndex, linkedMesh.parent);
        if (!parent)
          throw new Error(`Parent mesh not found: ${linkedMesh.parent}`);
        linkedMesh.mesh.timelineAttachment = linkedMesh.inheritTimeline ? parent : linkedMesh.mesh;
        linkedMesh.mesh.setParentMesh(parent);
      }
      this.linkedMeshes.length = 0;
      n = input.readInt(true);
      for (let i = 0; i < n; i++) {
        const eventName = input.readStringRef();
        if (!eventName)
          throw new Error();
        const data = new EventData(eventName);
        data.intValue = input.readInt(false);
        data.floatValue = input.readFloat();
        data.stringValue = input.readString();
        data.audioPath = input.readString();
        if (data.audioPath) {
          data.volume = input.readFloat();
          data.balance = input.readFloat();
        }
        skeletonData.events.push(data);
      }
      n = input.readInt(true);
      for (let i = 0; i < n; i++) {
        const animationName = input.readString();
        if (!animationName)
          throw new Error("Animatio name must not be null.");
        skeletonData.animations.push(this.readAnimation(input, animationName, skeletonData));
      }
      return skeletonData;
    }
    readSkin(input, skeletonData, defaultSkin, nonessential) {
      let skin = null;
      let slotCount = 0;
      if (defaultSkin) {
        slotCount = input.readInt(true);
        if (slotCount == 0)
          return null;
        skin = new Skin("default");
      } else {
        const skinName = input.readStringRef();
        if (!skinName)
          throw new Error("Skin name must not be null.");
        skin = new Skin(skinName);
        skin.bones.length = input.readInt(true);
        for (let i = 0, n = skin.bones.length; i < n; i++)
          skin.bones[i] = skeletonData.bones[input.readInt(true)];
        for (let i = 0, n = input.readInt(true); i < n; i++)
          skin.constraints.push(skeletonData.ikConstraints[input.readInt(true)]);
        for (let i = 0, n = input.readInt(true); i < n; i++)
          skin.constraints.push(skeletonData.transformConstraints[input.readInt(true)]);
        for (let i = 0, n = input.readInt(true); i < n; i++)
          skin.constraints.push(skeletonData.pathConstraints[input.readInt(true)]);
        slotCount = input.readInt(true);
      }
      for (let i = 0; i < slotCount; i++) {
        const slotIndex = input.readInt(true);
        for (let ii = 0, nn = input.readInt(true); ii < nn; ii++) {
          const name = input.readStringRef();
          if (!name)
            throw new Error("Attachment name must not be null");
          const attachment = this.readAttachment(input, skeletonData, skin, slotIndex, name, nonessential);
          if (attachment)
            skin.setAttachment(slotIndex, name, attachment);
        }
      }
      return skin;
    }
    readAttachment(input, skeletonData, skin, slotIndex, attachmentName, nonessential) {
      const scale = this.scale;
      let name = input.readStringRef();
      if (!name)
        name = attachmentName;
      switch (input.readByte()) {
        case AttachmentType.Region: {
          let path = input.readStringRef();
          const rotation = input.readFloat();
          const x = input.readFloat();
          const y = input.readFloat();
          const scaleX = input.readFloat();
          const scaleY = input.readFloat();
          const width = input.readFloat();
          const height = input.readFloat();
          const color = input.readInt32();
          const sequence = this.readSequence(input);
          if (!path)
            path = name;
          const region = this.attachmentLoader.newRegionAttachment(skin, name, path, sequence);
          if (!region)
            return null;
          region.path = path;
          region.x = x * scale;
          region.y = y * scale;
          region.scaleX = scaleX;
          region.scaleY = scaleY;
          region.rotation = rotation;
          region.width = width * scale;
          region.height = height * scale;
          Color.rgba8888ToColor(region.color, color);
          region.sequence = sequence;
          if (sequence == null)
            region.updateRegion();
          return region;
        }
        case AttachmentType.BoundingBox: {
          const vertexCount = input.readInt(true);
          const vertices = this.readVertices(input, vertexCount);
          const color = nonessential ? input.readInt32() : 0;
          const box = this.attachmentLoader.newBoundingBoxAttachment(skin, name);
          if (!box)
            return null;
          box.worldVerticesLength = vertexCount << 1;
          box.vertices = vertices.vertices;
          box.bones = vertices.bones;
          if (nonessential)
            Color.rgba8888ToColor(box.color, color);
          return box;
        }
        case AttachmentType.Mesh: {
          let path = input.readStringRef();
          const color = input.readInt32();
          const vertexCount = input.readInt(true);
          const uvs = this.readFloatArray(input, vertexCount << 1, 1);
          const triangles = this.readShortArray(input);
          const vertices = this.readVertices(input, vertexCount);
          const hullLength = input.readInt(true);
          const sequence = this.readSequence(input);
          let edges = [];
          let width = 0;
          let height = 0;
          if (nonessential) {
            edges = this.readShortArray(input);
            width = input.readFloat();
            height = input.readFloat();
          }
          if (!path)
            path = name;
          const mesh = this.attachmentLoader.newMeshAttachment(skin, name, path, sequence);
          if (!mesh)
            return null;
          mesh.path = path;
          Color.rgba8888ToColor(mesh.color, color);
          mesh.bones = vertices.bones;
          mesh.vertices = vertices.vertices;
          mesh.worldVerticesLength = vertexCount << 1;
          mesh.triangles = triangles;
          mesh.regionUVs = new Float32Array(uvs);
          mesh.hullLength = hullLength << 1;
          mesh.sequence = sequence;
          if (nonessential) {
            mesh.edges = edges;
            mesh.width = width * scale;
            mesh.height = height * scale;
          }
          return mesh;
        }
        case AttachmentType.LinkedMesh: {
          let path = input.readStringRef();
          const color = input.readInt32();
          const skinName = input.readStringRef();
          const parent = input.readStringRef();
          const inheritTimelines = input.readBoolean();
          const sequence = this.readSequence(input);
          let width = 0;
          let height = 0;
          if (nonessential) {
            width = input.readFloat();
            height = input.readFloat();
          }
          if (!path)
            path = name;
          const mesh = this.attachmentLoader.newMeshAttachment(skin, name, path, sequence);
          if (!mesh)
            return null;
          mesh.path = path;
          Color.rgba8888ToColor(mesh.color, color);
          mesh.sequence = sequence;
          if (nonessential) {
            mesh.width = width * scale;
            mesh.height = height * scale;
          }
          this.linkedMeshes.push(new LinkedMesh$1(mesh, skinName, slotIndex, parent, inheritTimelines));
          return mesh;
        }
        case AttachmentType.Path: {
          const closed2 = input.readBoolean();
          const constantSpeed = input.readBoolean();
          const vertexCount = input.readInt(true);
          const vertices = this.readVertices(input, vertexCount);
          const lengths = Utils.newArray(vertexCount / 3, 0);
          for (let i = 0, n = lengths.length; i < n; i++)
            lengths[i] = input.readFloat() * scale;
          const color = nonessential ? input.readInt32() : 0;
          const path = this.attachmentLoader.newPathAttachment(skin, name);
          if (!path)
            return null;
          path.closed = closed2;
          path.constantSpeed = constantSpeed;
          path.worldVerticesLength = vertexCount << 1;
          path.vertices = vertices.vertices;
          path.bones = vertices.bones;
          path.lengths = lengths;
          if (nonessential)
            Color.rgba8888ToColor(path.color, color);
          return path;
        }
        case AttachmentType.Point: {
          const rotation = input.readFloat();
          const x = input.readFloat();
          const y = input.readFloat();
          const color = nonessential ? input.readInt32() : 0;
          const point = this.attachmentLoader.newPointAttachment(skin, name);
          if (!point)
            return null;
          point.x = x * scale;
          point.y = y * scale;
          point.rotation = rotation;
          if (nonessential)
            Color.rgba8888ToColor(point.color, color);
          return point;
        }
        case AttachmentType.Clipping: {
          const endSlotIndex = input.readInt(true);
          const vertexCount = input.readInt(true);
          const vertices = this.readVertices(input, vertexCount);
          const color = nonessential ? input.readInt32() : 0;
          const clip = this.attachmentLoader.newClippingAttachment(skin, name);
          if (!clip)
            return null;
          clip.endSlot = skeletonData.slots[endSlotIndex];
          clip.worldVerticesLength = vertexCount << 1;
          clip.vertices = vertices.vertices;
          clip.bones = vertices.bones;
          if (nonessential)
            Color.rgba8888ToColor(clip.color, color);
          return clip;
        }
      }
      return null;
    }
    readSequence(input) {
      if (this.ver40 || !input.readBoolean())
        return null;
      const sequence = new Sequence(input.readInt(true));
      sequence.start = input.readInt(true);
      sequence.digits = input.readInt(true);
      sequence.setupIndex = input.readInt(true);
      return sequence;
    }
    readDeformTimelineType(input) {
      if (this.ver40)
        return ATTACHMENT_DEFORM;
      return input.readByte();
    }
    readVertices(input, vertexCount) {
      const scale = this.scale;
      const verticesLength = vertexCount << 1;
      const vertices = new Vertices();
      if (!input.readBoolean()) {
        vertices.vertices = this.readFloatArray(input, verticesLength, scale);
        return vertices;
      }
      const weights = new Array();
      const bonesArray = new Array();
      for (let i = 0; i < vertexCount; i++) {
        const boneCount = input.readInt(true);
        bonesArray.push(boneCount);
        for (let ii = 0; ii < boneCount; ii++) {
          bonesArray.push(input.readInt(true));
          weights.push(input.readFloat() * scale);
          weights.push(input.readFloat() * scale);
          weights.push(input.readFloat());
        }
      }
      vertices.vertices = Utils.toFloatArray(weights);
      vertices.bones = bonesArray;
      return vertices;
    }
    readFloatArray(input, n, scale) {
      const array = new Array(n);
      if (scale == 1) {
        for (let i = 0; i < n; i++)
          array[i] = input.readFloat();
      } else {
        for (let i = 0; i < n; i++)
          array[i] = input.readFloat() * scale;
      }
      return array;
    }
    readShortArray(input) {
      const n = input.readInt(true);
      const array = new Array(n);
      for (let i = 0; i < n; i++)
        array[i] = input.readShort();
      return array;
    }
    readAnimation(input, name, skeletonData) {
      input.readInt(true);
      const timelines = new Array();
      const scale = this.scale;
      for (let i = 0, n = input.readInt(true); i < n; i++) {
        const slotIndex = input.readInt(true);
        for (let ii = 0, nn = input.readInt(true); ii < nn; ii++) {
          const timelineType = input.readByte();
          const frameCount = input.readInt(true);
          const frameLast = frameCount - 1;
          switch (timelineType) {
            case SLOT_ATTACHMENT: {
              const timeline = new AttachmentTimeline(frameCount, slotIndex);
              for (let frame = 0; frame < frameCount; frame++)
                timeline.setFrame(frame, input.readFloat(), input.readStringRef());
              timelines.push(timeline);
              break;
            }
            case SLOT_RGBA: {
              const bezierCount = input.readInt(true);
              const timeline = new RGBATimeline(frameCount, bezierCount, slotIndex);
              let time = input.readFloat();
              let r = input.readUnsignedByte() / 255;
              let g = input.readUnsignedByte() / 255;
              let b = input.readUnsignedByte() / 255;
              let a = input.readUnsignedByte() / 255;
              for (let frame = 0, bezier = 0; ; frame++) {
                timeline.setFrame(frame, time, r, g, b, a);
                if (frame == frameLast)
                  break;
                const time2 = input.readFloat();
                const r2 = input.readUnsignedByte() / 255;
                const g2 = input.readUnsignedByte() / 255;
                const b2 = input.readUnsignedByte() / 255;
                const a2 = input.readUnsignedByte() / 255;
                switch (input.readByte()) {
                  case CURVE_STEPPED:
                    timeline.setStepped(frame);
                    break;
                  case CURVE_BEZIER:
                    setBezier(input, timeline, bezier++, frame, 0, time, time2, r, r2, 1);
                    setBezier(input, timeline, bezier++, frame, 1, time, time2, g, g2, 1);
                    setBezier(input, timeline, bezier++, frame, 2, time, time2, b, b2, 1);
                    setBezier(input, timeline, bezier++, frame, 3, time, time2, a, a2, 1);
                }
                time = time2;
                r = r2;
                g = g2;
                b = b2;
                a = a2;
              }
              timelines.push(timeline);
              break;
            }
            case SLOT_RGB: {
              const bezierCount = input.readInt(true);
              const timeline = new RGBTimeline(frameCount, bezierCount, slotIndex);
              let time = input.readFloat();
              let r = input.readUnsignedByte() / 255;
              let g = input.readUnsignedByte() / 255;
              let b = input.readUnsignedByte() / 255;
              for (let frame = 0, bezier = 0; ; frame++) {
                timeline.setFrame(frame, time, r, g, b);
                if (frame == frameLast)
                  break;
                const time2 = input.readFloat();
                const r2 = input.readUnsignedByte() / 255;
                const g2 = input.readUnsignedByte() / 255;
                const b2 = input.readUnsignedByte() / 255;
                switch (input.readByte()) {
                  case CURVE_STEPPED:
                    timeline.setStepped(frame);
                    break;
                  case CURVE_BEZIER:
                    setBezier(input, timeline, bezier++, frame, 0, time, time2, r, r2, 1);
                    setBezier(input, timeline, bezier++, frame, 1, time, time2, g, g2, 1);
                    setBezier(input, timeline, bezier++, frame, 2, time, time2, b, b2, 1);
                }
                time = time2;
                r = r2;
                g = g2;
                b = b2;
              }
              timelines.push(timeline);
              break;
            }
            case SLOT_RGBA2: {
              const bezierCount = input.readInt(true);
              const timeline = new RGBA2Timeline(frameCount, bezierCount, slotIndex);
              let time = input.readFloat();
              let r = input.readUnsignedByte() / 255;
              let g = input.readUnsignedByte() / 255;
              let b = input.readUnsignedByte() / 255;
              let a = input.readUnsignedByte() / 255;
              let r2 = input.readUnsignedByte() / 255;
              let g2 = input.readUnsignedByte() / 255;
              let b2 = input.readUnsignedByte() / 255;
              for (let frame = 0, bezier = 0; ; frame++) {
                timeline.setFrame(frame, time, r, g, b, a, r2, g2, b2);
                if (frame == frameLast)
                  break;
                const time2 = input.readFloat();
                const nr = input.readUnsignedByte() / 255;
                const ng = input.readUnsignedByte() / 255;
                const nb = input.readUnsignedByte() / 255;
                const na = input.readUnsignedByte() / 255;
                const nr2 = input.readUnsignedByte() / 255;
                const ng2 = input.readUnsignedByte() / 255;
                const nb2 = input.readUnsignedByte() / 255;
                switch (input.readByte()) {
                  case CURVE_STEPPED:
                    timeline.setStepped(frame);
                    break;
                  case CURVE_BEZIER:
                    setBezier(input, timeline, bezier++, frame, 0, time, time2, r, nr, 1);
                    setBezier(input, timeline, bezier++, frame, 1, time, time2, g, ng, 1);
                    setBezier(input, timeline, bezier++, frame, 2, time, time2, b, nb, 1);
                    setBezier(input, timeline, bezier++, frame, 3, time, time2, a, na, 1);
                    setBezier(input, timeline, bezier++, frame, 4, time, time2, r2, nr2, 1);
                    setBezier(input, timeline, bezier++, frame, 5, time, time2, g2, ng2, 1);
                    setBezier(input, timeline, bezier++, frame, 6, time, time2, b2, nb2, 1);
                }
                time = time2;
                r = nr;
                g = ng;
                b = nb;
                a = na;
                r2 = nr2;
                g2 = ng2;
                b2 = nb2;
              }
              timelines.push(timeline);
              break;
            }
            case SLOT_RGB2: {
              const bezierCount = input.readInt(true);
              const timeline = new RGB2Timeline(frameCount, bezierCount, slotIndex);
              let time = input.readFloat();
              let r = input.readUnsignedByte() / 255;
              let g = input.readUnsignedByte() / 255;
              let b = input.readUnsignedByte() / 255;
              let r2 = input.readUnsignedByte() / 255;
              let g2 = input.readUnsignedByte() / 255;
              let b2 = input.readUnsignedByte() / 255;
              for (let frame = 0, bezier = 0; ; frame++) {
                timeline.setFrame(frame, time, r, g, b, r2, g2, b2);
                if (frame == frameLast)
                  break;
                const time2 = input.readFloat();
                const nr = input.readUnsignedByte() / 255;
                const ng = input.readUnsignedByte() / 255;
                const nb = input.readUnsignedByte() / 255;
                const nr2 = input.readUnsignedByte() / 255;
                const ng2 = input.readUnsignedByte() / 255;
                const nb2 = input.readUnsignedByte() / 255;
                switch (input.readByte()) {
                  case CURVE_STEPPED:
                    timeline.setStepped(frame);
                    break;
                  case CURVE_BEZIER:
                    setBezier(input, timeline, bezier++, frame, 0, time, time2, r, nr, 1);
                    setBezier(input, timeline, bezier++, frame, 1, time, time2, g, ng, 1);
                    setBezier(input, timeline, bezier++, frame, 2, time, time2, b, nb, 1);
                    setBezier(input, timeline, bezier++, frame, 3, time, time2, r2, nr2, 1);
                    setBezier(input, timeline, bezier++, frame, 4, time, time2, g2, ng2, 1);
                    setBezier(input, timeline, bezier++, frame, 5, time, time2, b2, nb2, 1);
                }
                time = time2;
                r = nr;
                g = ng;
                b = nb;
                r2 = nr2;
                g2 = ng2;
                b2 = nb2;
              }
              timelines.push(timeline);
              break;
            }
            case SLOT_ALPHA: {
              const timeline = new AlphaTimeline(frameCount, input.readInt(true), slotIndex);
              let time = input.readFloat();
              let a = input.readUnsignedByte() / 255;
              for (let frame = 0, bezier = 0; ; frame++) {
                timeline.setFrame(frame, time, a);
                if (frame == frameLast)
                  break;
                const time2 = input.readFloat();
                const a2 = input.readUnsignedByte() / 255;
                switch (input.readByte()) {
                  case CURVE_STEPPED:
                    timeline.setStepped(frame);
                    break;
                  case CURVE_BEZIER:
                    setBezier(input, timeline, bezier++, frame, 0, time, time2, a, a2, 1);
                }
                time = time2;
                a = a2;
              }
              timelines.push(timeline);
            }
          }
        }
      }
      for (let i = 0, n = input.readInt(true); i < n; i++) {
        const boneIndex = input.readInt(true);
        for (let ii = 0, nn = input.readInt(true); ii < nn; ii++) {
          const type = input.readByte();
          const frameCount = input.readInt(true);
          const bezierCount = input.readInt(true);
          switch (type) {
            case BONE_ROTATE:
              timelines.push(readTimeline1$1(input, new RotateTimeline(frameCount, bezierCount, boneIndex), 1));
              break;
            case BONE_TRANSLATE:
              timelines.push(readTimeline2$1(input, new TranslateTimeline(frameCount, bezierCount, boneIndex), scale));
              break;
            case BONE_TRANSLATEX:
              timelines.push(readTimeline1$1(input, new TranslateXTimeline(frameCount, bezierCount, boneIndex), scale));
              break;
            case BONE_TRANSLATEY:
              timelines.push(readTimeline1$1(input, new TranslateYTimeline(frameCount, bezierCount, boneIndex), scale));
              break;
            case BONE_SCALE:
              timelines.push(readTimeline2$1(input, new ScaleTimeline(frameCount, bezierCount, boneIndex), 1));
              break;
            case BONE_SCALEX:
              timelines.push(readTimeline1$1(input, new ScaleXTimeline(frameCount, bezierCount, boneIndex), 1));
              break;
            case BONE_SCALEY:
              timelines.push(readTimeline1$1(input, new ScaleYTimeline(frameCount, bezierCount, boneIndex), 1));
              break;
            case BONE_SHEAR:
              timelines.push(readTimeline2$1(input, new ShearTimeline(frameCount, bezierCount, boneIndex), 1));
              break;
            case BONE_SHEARX:
              timelines.push(readTimeline1$1(input, new ShearXTimeline(frameCount, bezierCount, boneIndex), 1));
              break;
            case BONE_SHEARY:
              timelines.push(readTimeline1$1(input, new ShearYTimeline(frameCount, bezierCount, boneIndex), 1));
          }
        }
      }
      for (let i = 0, n = input.readInt(true); i < n; i++) {
        const index = input.readInt(true);
        const frameCount = input.readInt(true);
        const frameLast = frameCount - 1;
        const timeline = new IkConstraintTimeline(frameCount, input.readInt(true), index);
        let time = input.readFloat();
        let mix = input.readFloat();
        let softness = input.readFloat() * scale;
        for (let frame = 0, bezier = 0; ; frame++) {
          timeline.setFrame(frame, time, mix, softness, input.readByte(), input.readBoolean(), input.readBoolean());
          if (frame == frameLast)
            break;
          const time2 = input.readFloat();
          const mix2 = input.readFloat();
          const softness2 = input.readFloat() * scale;
          switch (input.readByte()) {
            case CURVE_STEPPED:
              timeline.setStepped(frame);
              break;
            case CURVE_BEZIER:
              setBezier(input, timeline, bezier++, frame, 0, time, time2, mix, mix2, 1);
              setBezier(input, timeline, bezier++, frame, 1, time, time2, softness, softness2, scale);
          }
          time = time2;
          mix = mix2;
          softness = softness2;
        }
        timelines.push(timeline);
      }
      for (let i = 0, n = input.readInt(true); i < n; i++) {
        const index = input.readInt(true);
        const frameCount = input.readInt(true);
        const frameLast = frameCount - 1;
        const timeline = new TransformConstraintTimeline(frameCount, input.readInt(true), index);
        let time = input.readFloat();
        let mixRotate = input.readFloat();
        let mixX = input.readFloat();
        let mixY = input.readFloat();
        let mixScaleX = input.readFloat();
        let mixScaleY = input.readFloat();
        let mixShearY = input.readFloat();
        for (let frame = 0, bezier = 0; ; frame++) {
          timeline.setFrame(frame, time, mixRotate, mixX, mixY, mixScaleX, mixScaleY, mixShearY);
          if (frame == frameLast)
            break;
          const time2 = input.readFloat();
          const mixRotate2 = input.readFloat();
          const mixX2 = input.readFloat();
          const mixY2 = input.readFloat();
          const mixScaleX2 = input.readFloat();
          const mixScaleY2 = input.readFloat();
          const mixShearY2 = input.readFloat();
          switch (input.readByte()) {
            case CURVE_STEPPED:
              timeline.setStepped(frame);
              break;
            case CURVE_BEZIER:
              setBezier(input, timeline, bezier++, frame, 0, time, time2, mixRotate, mixRotate2, 1);
              setBezier(input, timeline, bezier++, frame, 1, time, time2, mixX, mixX2, 1);
              setBezier(input, timeline, bezier++, frame, 2, time, time2, mixY, mixY2, 1);
              setBezier(input, timeline, bezier++, frame, 3, time, time2, mixScaleX, mixScaleX2, 1);
              setBezier(input, timeline, bezier++, frame, 4, time, time2, mixScaleY, mixScaleY2, 1);
              setBezier(input, timeline, bezier++, frame, 5, time, time2, mixShearY, mixShearY2, 1);
          }
          time = time2;
          mixRotate = mixRotate2;
          mixX = mixX2;
          mixY = mixY2;
          mixScaleX = mixScaleX2;
          mixScaleY = mixScaleY2;
          mixShearY = mixShearY2;
        }
        timelines.push(timeline);
      }
      for (let i = 0, n = input.readInt(true); i < n; i++) {
        const index = input.readInt(true);
        const data = skeletonData.pathConstraints[index];
        for (let ii = 0, nn = input.readInt(true); ii < nn; ii++) {
          switch (input.readByte()) {
            case PATH_POSITION:
              timelines.push(
                readTimeline1$1(
                  input,
                  new PathConstraintPositionTimeline(input.readInt(true), input.readInt(true), index),
                  data.positionMode == PositionMode.Fixed ? scale : 1
                )
              );
              break;
            case PATH_SPACING:
              timelines.push(
                readTimeline1$1(
                  input,
                  new PathConstraintSpacingTimeline(input.readInt(true), input.readInt(true), index),
                  data.spacingMode == SpacingMode.Length || data.spacingMode == SpacingMode.Fixed ? scale : 1
                )
              );
              break;
            case PATH_MIX:
              const timeline = new PathConstraintMixTimeline(input.readInt(true), input.readInt(true), index);
              let time = input.readFloat();
              let mixRotate = input.readFloat();
              let mixX = input.readFloat();
              let mixY = input.readFloat();
              for (let frame = 0, bezier = 0, frameLast = timeline.getFrameCount() - 1; ; frame++) {
                timeline.setFrame(frame, time, mixRotate, mixX, mixY);
                if (frame == frameLast)
                  break;
                const time2 = input.readFloat();
                const mixRotate2 = input.readFloat();
                const mixX2 = input.readFloat();
                const mixY2 = input.readFloat();
                switch (input.readByte()) {
                  case CURVE_STEPPED:
                    timeline.setStepped(frame);
                    break;
                  case CURVE_BEZIER:
                    setBezier(input, timeline, bezier++, frame, 0, time, time2, mixRotate, mixRotate2, 1);
                    setBezier(input, timeline, bezier++, frame, 1, time, time2, mixX, mixX2, 1);
                    setBezier(input, timeline, bezier++, frame, 2, time, time2, mixY, mixY2, 1);
                }
                time = time2;
                mixRotate = mixRotate2;
                mixX = mixX2;
                mixY = mixY2;
              }
              timelines.push(timeline);
          }
        }
      }
      for (let i = 0, n = input.readInt(true); i < n; i++) {
        const skin = skeletonData.skins[input.readInt(true)];
        for (let ii = 0, nn = input.readInt(true); ii < nn; ii++) {
          const slotIndex = input.readInt(true);
          for (let iii = 0, nnn = input.readInt(true); iii < nnn; iii++) {
            const attachmentName = input.readStringRef();
            if (!attachmentName)
              throw new Error("attachmentName must not be null.");
            const attachment = skin.getAttachment(slotIndex, attachmentName);
            const timelineType = this.readDeformTimelineType(input);
            const frameCount = input.readInt(true);
            const frameLast = frameCount - 1;
            switch (timelineType) {
              case ATTACHMENT_DEFORM: {
                const vertexAttachment = attachment;
                const weighted = vertexAttachment.bones;
                const vertices = vertexAttachment.vertices;
                const deformLength = weighted ? vertices.length / 3 * 2 : vertices.length;
                const bezierCount = input.readInt(true);
                const timeline = new DeformTimeline(frameCount, bezierCount, slotIndex, vertexAttachment);
                let time = input.readFloat();
                for (let frame = 0, bezier = 0; ; frame++) {
                  let deform;
                  let end = input.readInt(true);
                  if (end == 0)
                    deform = weighted ? Utils.newFloatArray(deformLength) : vertices;
                  else {
                    deform = Utils.newFloatArray(deformLength);
                    const start = input.readInt(true);
                    end += start;
                    if (scale == 1) {
                      for (let v = start; v < end; v++)
                        deform[v] = input.readFloat();
                    } else {
                      for (let v = start; v < end; v++)
                        deform[v] = input.readFloat() * scale;
                    }
                    if (!weighted) {
                      for (let v = 0, vn = deform.length; v < vn; v++)
                        deform[v] += vertices[v];
                    }
                  }
                  timeline.setFrame(frame, time, deform);
                  if (frame == frameLast)
                    break;
                  const time2 = input.readFloat();
                  switch (input.readByte()) {
                    case CURVE_STEPPED:
                      timeline.setStepped(frame);
                      break;
                    case CURVE_BEZIER:
                      setBezier(input, timeline, bezier++, frame, 0, time, time2, 0, 1, 1);
                  }
                  time = time2;
                }
                timelines.push(timeline);
                break;
              }
              case ATTACHMENT_SEQUENCE: {
                const timeline = new SequenceTimeline(frameCount, slotIndex, attachment);
                for (let frame = 0; frame < frameCount; frame++) {
                  const time = input.readFloat();
                  const modeAndIndex = input.readInt32();
                  timeline.setFrame(frame, time, SequenceModeValues[modeAndIndex & 15], modeAndIndex >> 4, input.readFloat());
                }
                timelines.push(timeline);
                break;
              }
            }
          }
        }
      }
      const drawOrderCount = input.readInt(true);
      if (drawOrderCount > 0) {
        const timeline = new DrawOrderTimeline(drawOrderCount);
        const slotCount = skeletonData.slots.length;
        for (let i = 0; i < drawOrderCount; i++) {
          const time = input.readFloat();
          const offsetCount = input.readInt(true);
          const drawOrder = Utils.newArray(slotCount, 0);
          for (let ii = slotCount - 1; ii >= 0; ii--)
            drawOrder[ii] = -1;
          const unchanged = Utils.newArray(slotCount - offsetCount, 0);
          let originalIndex = 0;
          let unchangedIndex = 0;
          for (let ii = 0; ii < offsetCount; ii++) {
            const slotIndex = input.readInt(true);
            while (originalIndex != slotIndex)
              unchanged[unchangedIndex++] = originalIndex++;
            drawOrder[originalIndex + input.readInt(true)] = originalIndex++;
          }
          while (originalIndex < slotCount)
            unchanged[unchangedIndex++] = originalIndex++;
          for (let ii = slotCount - 1; ii >= 0; ii--)
            if (drawOrder[ii] == -1)
              drawOrder[ii] = unchanged[--unchangedIndex];
          timeline.setFrame(i, time, drawOrder);
        }
        timelines.push(timeline);
      }
      const eventCount = input.readInt(true);
      if (eventCount > 0) {
        const timeline = new EventTimeline(eventCount);
        for (let i = 0; i < eventCount; i++) {
          const time = input.readFloat();
          const eventData = skeletonData.events[input.readInt(true)];
          const event = new Event(time, eventData);
          event.intValue = input.readInt(false);
          event.floatValue = input.readFloat();
          event.stringValue = input.readBoolean() ? input.readString() : eventData.stringValue;
          if (event.data.audioPath) {
            event.volume = input.readFloat();
            event.balance = input.readFloat();
          }
          timeline.setFrame(i, event);
        }
        timelines.push(timeline);
      }
      let duration = 0;
      for (let i = 0, n = timelines.length; i < n; i++)
        duration = Math.max(duration, timelines[i].getDuration());
      return new Animation$1(name, timelines, duration);
    }
  }
  SkeletonBinary.BlendModeValues = [core.BLEND_MODES.NORMAL, core.BLEND_MODES.ADD, core.BLEND_MODES.MULTIPLY, core.BLEND_MODES.SCREEN];
  class LinkedMesh$1 {
    constructor(mesh, skin, slotIndex, parent, inheritDeform) {
      this.mesh = mesh;
      this.skin = skin;
      this.slotIndex = slotIndex;
      this.parent = parent;
      this.inheritTimeline = inheritDeform;
    }
  }
  class Vertices {
    constructor(bones = null, vertices = null) {
      this.bones = bones;
      this.vertices = vertices;
    }
  }
  function readTimeline1$1(input, timeline, scale) {
    let time = input.readFloat();
    let value = input.readFloat() * scale;
    for (let frame = 0, bezier = 0, frameLast = timeline.getFrameCount() - 1; ; frame++) {
      timeline.setFrame(frame, time, value);
      if (frame == frameLast)
        break;
      const time2 = input.readFloat();
      const value2 = input.readFloat() * scale;
      switch (input.readByte()) {
        case CURVE_STEPPED:
          timeline.setStepped(frame);
          break;
        case CURVE_BEZIER:
          setBezier(input, timeline, bezier++, frame, 0, time, time2, value, value2, scale);
      }
      time = time2;
      value = value2;
    }
    return timeline;
  }
  function readTimeline2$1(input, timeline, scale) {
    let time = input.readFloat();
    let value1 = input.readFloat() * scale;
    let value2 = input.readFloat() * scale;
    for (let frame = 0, bezier = 0, frameLast = timeline.getFrameCount() - 1; ; frame++) {
      timeline.setFrame(frame, time, value1, value2);
      if (frame == frameLast)
        break;
      const time2 = input.readFloat();
      const nvalue1 = input.readFloat() * scale;
      const nvalue2 = input.readFloat() * scale;
      switch (input.readByte()) {
        case CURVE_STEPPED:
          timeline.setStepped(frame);
          break;
        case CURVE_BEZIER:
          setBezier(input, timeline, bezier++, frame, 0, time, time2, value1, nvalue1, scale);
          setBezier(input, timeline, bezier++, frame, 1, time, time2, value2, nvalue2, scale);
      }
      time = time2;
      value1 = nvalue1;
      value2 = nvalue2;
    }
    return timeline;
  }
  function setBezier(input, timeline, bezier, frame, value, time1, time2, value1, value2, scale) {
    timeline.setBezier(bezier, frame, value, time1, value1, input.readFloat(), input.readFloat() * scale, input.readFloat(), input.readFloat() * scale, time2, value2);
  }
  const BONE_ROTATE = 0;
  const BONE_TRANSLATE = 1;
  const BONE_TRANSLATEX = 2;
  const BONE_TRANSLATEY = 3;
  const BONE_SCALE = 4;
  const BONE_SCALEX = 5;
  const BONE_SCALEY = 6;
  const BONE_SHEAR = 7;
  const BONE_SHEARX = 8;
  const BONE_SHEARY = 9;
  const SLOT_ATTACHMENT = 0;
  const SLOT_RGBA = 1;
  const SLOT_RGB = 2;
  const SLOT_RGBA2 = 3;
  const SLOT_RGB2 = 4;
  const SLOT_ALPHA = 5;
  const ATTACHMENT_DEFORM = 0;
  const ATTACHMENT_SEQUENCE = 1;
  const PATH_POSITION = 0;
  const PATH_SPACING = 1;
  const PATH_MIX = 2;
  const CURVE_STEPPED = 1;
  const CURVE_BEZIER = 2;
  class SkeletonJson {
    constructor(attachmentLoader) {
      this.scale = 1;
      this.linkedMeshes = new Array();
      this.attachmentLoader = attachmentLoader;
    }
    readSkeletonData(json) {
      const scale = this.scale;
      const skeletonData = new SkeletonData();
      const root = typeof json === "string" ? JSON.parse(json) : json;
      const skeletonMap = root.skeleton;
      if (skeletonMap) {
        skeletonData.hash = skeletonMap.hash;
        skeletonData.version = skeletonMap.spine;
        const verShort = skeletonData.version.substr(0, 3);
        if (verShort !== "4.0" && verShort !== "4.1") {
          const error = `Spine 4.1 loader cant load version ${skeletonMap.spine}. Please configure your pixi-spine bundle`;
          console.error(error);
        }
        skeletonData.x = skeletonMap.x;
        skeletonData.y = skeletonMap.y;
        skeletonData.width = skeletonMap.width;
        skeletonData.height = skeletonMap.height;
        skeletonData.fps = skeletonMap.fps;
        skeletonData.imagesPath = skeletonMap.images;
      }
      if (root.bones) {
        for (let i = 0; i < root.bones.length; i++) {
          const boneMap = root.bones[i];
          let parent = null;
          const parentName = getValue(boneMap, "parent", null);
          if (parentName != null) {
            parent = skeletonData.findBone(parentName);
            if (parent == null)
              throw new Error(`Parent bone not found: ${parentName}`);
          }
          const data = new BoneData(skeletonData.bones.length, boneMap.name, parent);
          data.length = getValue(boneMap, "length", 0) * scale;
          data.x = getValue(boneMap, "x", 0) * scale;
          data.y = getValue(boneMap, "y", 0) * scale;
          data.rotation = getValue(boneMap, "rotation", 0);
          data.scaleX = getValue(boneMap, "scaleX", 1);
          data.scaleY = getValue(boneMap, "scaleY", 1);
          data.shearX = getValue(boneMap, "shearX", 0);
          data.shearY = getValue(boneMap, "shearY", 0);
          data.transformMode = Utils.enumValue(TransformMode, getValue(boneMap, "transform", "Normal"));
          data.skinRequired = getValue(boneMap, "skin", false);
          const color = getValue(boneMap, "color", null);
          if (color)
            data.color.setFromString(color);
          skeletonData.bones.push(data);
        }
      }
      if (root.slots) {
        for (let i = 0; i < root.slots.length; i++) {
          const slotMap = root.slots[i];
          const boneData = skeletonData.findBone(slotMap.bone);
          if (!boneData)
            throw new Error(`Couldn't find bone ${slotMap.bone} for slot ${slotMap.name}`);
          const data = new SlotData(skeletonData.slots.length, slotMap.name, boneData);
          const color = getValue(slotMap, "color", null);
          if (color)
            data.color.setFromString(color);
          const dark = getValue(slotMap, "dark", null);
          if (dark)
            data.darkColor = Color.fromString(dark);
          data.attachmentName = getValue(slotMap, "attachment", null);
          data.blendMode = SkeletonJson.blendModeFromString(getValue(slotMap, "blend", "normal"));
          skeletonData.slots.push(data);
        }
      }
      if (root.ik) {
        for (let i = 0; i < root.ik.length; i++) {
          const constraintMap = root.ik[i];
          const data = new IkConstraintData(constraintMap.name);
          data.order = getValue(constraintMap, "order", 0);
          data.skinRequired = getValue(constraintMap, "skin", false);
          for (let ii = 0; ii < constraintMap.bones.length; ii++) {
            const boneName = constraintMap.bones[ii];
            const bone = skeletonData.findBone(boneName);
            if (bone == null)
              throw new Error(`IK bone not found: ${boneName}`);
            data.bones.push(bone);
          }
          data.target = skeletonData.findBone(constraintMap.target);
          data.mix = getValue(constraintMap, "mix", 1);
          data.softness = getValue(constraintMap, "softness", 0) * scale;
          data.bendDirection = getValue(constraintMap, "bendPositive", true) ? 1 : -1;
          data.compress = getValue(constraintMap, "compress", false);
          data.stretch = getValue(constraintMap, "stretch", false);
          data.uniform = getValue(constraintMap, "uniform", false);
          skeletonData.ikConstraints.push(data);
        }
      }
      if (root.transform) {
        for (let i = 0; i < root.transform.length; i++) {
          const constraintMap = root.transform[i];
          const data = new TransformConstraintData(constraintMap.name);
          data.order = getValue(constraintMap, "order", 0);
          data.skinRequired = getValue(constraintMap, "skin", false);
          for (let ii = 0; ii < constraintMap.bones.length; ii++) {
            const boneName = constraintMap.bones[ii];
            const bone = skeletonData.findBone(boneName);
            if (!bone)
              throw new Error(`Couldn't find bone ${boneName} for transform constraint ${constraintMap.name}.`);
            data.bones.push(bone);
          }
          const targetName = constraintMap.target;
          const target = skeletonData.findBone(targetName);
          if (!target)
            throw new Error(`Couldn't find target bone ${targetName} for transform constraint ${constraintMap.name}.`);
          data.target = target;
          data.local = getValue(constraintMap, "local", false);
          data.relative = getValue(constraintMap, "relative", false);
          data.offsetRotation = getValue(constraintMap, "rotation", 0);
          data.offsetX = getValue(constraintMap, "x", 0) * scale;
          data.offsetY = getValue(constraintMap, "y", 0) * scale;
          data.offsetScaleX = getValue(constraintMap, "scaleX", 0);
          data.offsetScaleY = getValue(constraintMap, "scaleY", 0);
          data.offsetShearY = getValue(constraintMap, "shearY", 0);
          data.mixRotate = getValue(constraintMap, "mixRotate", 1);
          data.mixX = getValue(constraintMap, "mixX", 1);
          data.mixY = getValue(constraintMap, "mixY", data.mixX);
          data.mixScaleX = getValue(constraintMap, "mixScaleX", 1);
          data.mixScaleY = getValue(constraintMap, "mixScaleY", data.mixScaleX);
          data.mixShearY = getValue(constraintMap, "mixShearY", 1);
          skeletonData.transformConstraints.push(data);
        }
      }
      if (root.path) {
        for (let i = 0; i < root.path.length; i++) {
          const constraintMap = root.path[i];
          const data = new PathConstraintData(constraintMap.name);
          data.order = getValue(constraintMap, "order", 0);
          data.skinRequired = getValue(constraintMap, "skin", false);
          for (let ii = 0; ii < constraintMap.bones.length; ii++) {
            const boneName = constraintMap.bones[ii];
            const bone = skeletonData.findBone(boneName);
            if (!bone)
              throw new Error(`Couldn't find bone ${boneName} for path constraint ${constraintMap.name}.`);
            data.bones.push(bone);
          }
          const targetName = constraintMap.target;
          const target = skeletonData.findSlot(targetName);
          if (!target)
            throw new Error(`Couldn't find target slot ${targetName} for path constraint ${constraintMap.name}.`);
          data.target = target;
          data.positionMode = Utils.enumValue(PositionMode, getValue(constraintMap, "positionMode", "Percent"));
          data.spacingMode = Utils.enumValue(SpacingMode, getValue(constraintMap, "spacingMode", "Length"));
          data.rotateMode = Utils.enumValue(RotateMode, getValue(constraintMap, "rotateMode", "Tangent"));
          data.offsetRotation = getValue(constraintMap, "rotation", 0);
          data.position = getValue(constraintMap, "position", 0);
          if (data.positionMode == PositionMode.Fixed)
            data.position *= scale;
          data.spacing = getValue(constraintMap, "spacing", 0);
          if (data.spacingMode == SpacingMode.Length || data.spacingMode == SpacingMode.Fixed)
            data.spacing *= scale;
          data.mixRotate = getValue(constraintMap, "mixRotate", 1);
          data.mixX = getValue(constraintMap, "mixX", 1);
          data.mixY = getValue(constraintMap, "mixY", data.mixX);
          skeletonData.pathConstraints.push(data);
        }
      }
      if (root.skins) {
        for (let i = 0; i < root.skins.length; i++) {
          const skinMap = root.skins[i];
          const skin = new Skin(skinMap.name);
          if (skinMap.bones) {
            for (let ii = 0; ii < skinMap.bones.length; ii++) {
              const boneName = skinMap.bones[ii];
              const bone = skeletonData.findBone(boneName);
              if (!bone)
                throw new Error(`Couldn't find bone ${boneName} for skin ${skinMap.name}.`);
              skin.bones.push(bone);
            }
          }
          if (skinMap.ik) {
            for (let ii = 0; ii < skinMap.ik.length; ii++) {
              const constraintName = skinMap.ik[ii];
              const constraint = skeletonData.findIkConstraint(constraintName);
              if (!constraint)
                throw new Error(`Couldn't find IK constraint ${constraintName} for skin ${skinMap.name}.`);
              skin.constraints.push(constraint);
            }
          }
          if (skinMap.transform) {
            for (let ii = 0; ii < skinMap.transform.length; ii++) {
              const constraintName = skinMap.transform[ii];
              const constraint = skeletonData.findTransformConstraint(constraintName);
              if (!constraint)
                throw new Error(`Couldn't find transform constraint ${constraintName} for skin ${skinMap.name}.`);
              skin.constraints.push(constraint);
            }
          }
          if (skinMap.path) {
            for (let ii = 0; ii < skinMap.path.length; ii++) {
              const constraintName = skinMap.path[ii];
              const constraint = skeletonData.findPathConstraint(constraintName);
              if (!constraint)
                throw new Error(`Couldn't find path constraint ${constraintName} for skin ${skinMap.name}.`);
              skin.constraints.push(constraint);
            }
          }
          for (const slotName in skinMap.attachments) {
            const slot = skeletonData.findSlot(slotName);
            if (!slot)
              throw new Error(`Couldn't find slot ${slotName} for skin ${skinMap.name}.`);
            const slotMap = skinMap.attachments[slotName];
            for (const entryName in slotMap) {
              const attachment = this.readAttachment(slotMap[entryName], skin, slot.index, entryName, skeletonData);
              if (attachment)
                skin.setAttachment(slot.index, entryName, attachment);
            }
          }
          skeletonData.skins.push(skin);
          if (skin.name == "default")
            skeletonData.defaultSkin = skin;
        }
      }
      for (let i = 0, n = this.linkedMeshes.length; i < n; i++) {
        const linkedMesh = this.linkedMeshes[i];
        const skin = !linkedMesh.skin ? skeletonData.defaultSkin : skeletonData.findSkin(linkedMesh.skin);
        if (!skin)
          throw new Error(`Skin not found: ${linkedMesh.skin}`);
        const parent = skin.getAttachment(linkedMesh.slotIndex, linkedMesh.parent);
        if (!parent)
          throw new Error(`Parent mesh not found: ${linkedMesh.parent}`);
        linkedMesh.mesh.timelineAttachment = linkedMesh.inheritTimeline ? parent : linkedMesh.mesh;
        linkedMesh.mesh.setParentMesh(parent);
      }
      this.linkedMeshes.length = 0;
      if (root.events) {
        for (const eventName in root.events) {
          const eventMap = root.events[eventName];
          const data = new EventData(eventName);
          data.intValue = getValue(eventMap, "int", 0);
          data.floatValue = getValue(eventMap, "float", 0);
          data.stringValue = getValue(eventMap, "string", "");
          data.audioPath = getValue(eventMap, "audio", null);
          if (data.audioPath) {
            data.volume = getValue(eventMap, "volume", 1);
            data.balance = getValue(eventMap, "balance", 0);
          }
          skeletonData.events.push(data);
        }
      }
      if (root.animations) {
        for (const animationName in root.animations) {
          const animationMap = root.animations[animationName];
          this.readAnimation(animationMap, animationName, skeletonData);
        }
      }
      return skeletonData;
    }
    readAttachment(map, skin, slotIndex, name, skeletonData) {
      const scale = this.scale;
      name = getValue(map, "name", name);
      switch (getValue(map, "type", "region")) {
        case "region": {
          const path = getValue(map, "path", name);
          const sequence = this.readSequence(getValue(map, "sequence", null));
          const region = this.attachmentLoader.newRegionAttachment(skin, name, path, sequence);
          if (!region)
            return null;
          region.path = path;
          region.x = getValue(map, "x", 0) * scale;
          region.y = getValue(map, "y", 0) * scale;
          region.scaleX = getValue(map, "scaleX", 1);
          region.scaleY = getValue(map, "scaleY", 1);
          region.rotation = getValue(map, "rotation", 0);
          region.width = map.width * scale;
          region.height = map.height * scale;
          region.sequence = sequence;
          const color = getValue(map, "color", null);
          if (color)
            region.color.setFromString(color);
          return region;
        }
        case "boundingbox": {
          const box = this.attachmentLoader.newBoundingBoxAttachment(skin, name);
          if (!box)
            return null;
          this.readVertices(map, box, map.vertexCount << 1);
          const color = getValue(map, "color", null);
          if (color)
            box.color.setFromString(color);
          return box;
        }
        case "mesh":
        case "linkedmesh": {
          const path = getValue(map, "path", name);
          const sequence = this.readSequence(getValue(map, "sequence", null));
          const mesh = this.attachmentLoader.newMeshAttachment(skin, name, path, sequence);
          if (!mesh)
            return null;
          mesh.path = path;
          const color = getValue(map, "color", null);
          if (color)
            mesh.color.setFromString(color);
          mesh.width = getValue(map, "width", 0) * scale;
          mesh.height = getValue(map, "height", 0) * scale;
          mesh.sequence = sequence;
          const parent = getValue(map, "parent", null);
          if (parent) {
            this.linkedMeshes.push(new LinkedMesh(mesh, getValue(map, "skin", null), slotIndex, parent, getValue(map, "timelines", true)));
            return mesh;
          }
          const uvs = map.uvs;
          this.readVertices(map, mesh, uvs.length);
          mesh.triangles = map.triangles;
          mesh.regionUVs = new Float32Array(uvs);
          mesh.edges = getValue(map, "edges", null);
          mesh.hullLength = getValue(map, "hull", 0) * 2;
          return mesh;
        }
        case "path": {
          const path = this.attachmentLoader.newPathAttachment(skin, name);
          if (!path)
            return null;
          path.closed = getValue(map, "closed", false);
          path.constantSpeed = getValue(map, "constantSpeed", true);
          const vertexCount = map.vertexCount;
          this.readVertices(map, path, vertexCount << 1);
          const lengths = Utils.newArray(vertexCount / 3, 0);
          for (let i = 0; i < map.lengths.length; i++)
            lengths[i] = map.lengths[i] * scale;
          path.lengths = lengths;
          const color = getValue(map, "color", null);
          if (color)
            path.color.setFromString(color);
          return path;
        }
        case "point": {
          const point = this.attachmentLoader.newPointAttachment(skin, name);
          if (!point)
            return null;
          point.x = getValue(map, "x", 0) * scale;
          point.y = getValue(map, "y", 0) * scale;
          point.rotation = getValue(map, "rotation", 0);
          const color = getValue(map, "color", null);
          if (color)
            point.color.setFromString(color);
          return point;
        }
        case "clipping": {
          const clip = this.attachmentLoader.newClippingAttachment(skin, name);
          if (!clip)
            return null;
          const end = getValue(map, "end", null);
          if (end != null) {
            const slot = skeletonData.findSlot(end);
            if (slot == null)
              throw new Error(`Clipping end slot not found: ${end}`);
            clip.endSlot = slot;
          }
          const vertexCount = map.vertexCount;
          this.readVertices(map, clip, vertexCount << 1);
          const color = getValue(map, "color", null);
          if (color)
            clip.color.setFromString(color);
          return clip;
        }
      }
      return null;
    }
    readSequence(map) {
      if (map == null)
        return null;
      const sequence = new Sequence(getValue(map, "count", 0));
      sequence.start = getValue(map, "start", 1);
      sequence.digits = getValue(map, "digits", 0);
      sequence.setupIndex = getValue(map, "setup", 0);
      return sequence;
    }
    readVertices(map, attachment, verticesLength) {
      const scale = this.scale;
      attachment.worldVerticesLength = verticesLength;
      const vertices = map.vertices;
      if (verticesLength == vertices.length) {
        const scaledVertices = Utils.toFloatArray(vertices);
        if (scale != 1) {
          for (let i = 0, n = vertices.length; i < n; i++)
            scaledVertices[i] *= scale;
        }
        attachment.vertices = scaledVertices;
        return;
      }
      const weights = new Array();
      const bones = new Array();
      for (let i = 0, n = vertices.length; i < n; ) {
        const boneCount = vertices[i++];
        bones.push(boneCount);
        for (let nn = i + boneCount * 4; i < nn; i += 4) {
          bones.push(vertices[i]);
          weights.push(vertices[i + 1] * scale);
          weights.push(vertices[i + 2] * scale);
          weights.push(vertices[i + 3]);
        }
      }
      attachment.bones = bones;
      attachment.vertices = Utils.toFloatArray(weights);
    }
    readAnimation(map, name, skeletonData) {
      const scale = this.scale;
      const timelines = new Array();
      if (map.slots) {
        for (const slotName in map.slots) {
          const slotMap = map.slots[slotName];
          const slot = skeletonData.findSlot(slotName);
          if (!slot)
            throw new Error(`Slot not found: ${slotName}`);
          const slotIndex = slot.index;
          for (const timelineName in slotMap) {
            const timelineMap = slotMap[timelineName];
            if (!timelineMap)
              continue;
            const frames = timelineMap.length;
            if (timelineName == "attachment") {
              const timeline = new AttachmentTimeline(frames, slotIndex);
              for (let frame = 0; frame < frames; frame++) {
                const keyMap = timelineMap[frame];
                timeline.setFrame(frame, getValue(keyMap, "time", 0), getValue(keyMap, "name", null));
              }
              timelines.push(timeline);
            } else if (timelineName == "rgba") {
              const timeline = new RGBATimeline(frames, frames << 2, slotIndex);
              let keyMap = timelineMap[0];
              let time = getValue(keyMap, "time", 0);
              let color = Color.fromString(keyMap.color);
              for (let frame = 0, bezier = 0; ; frame++) {
                timeline.setFrame(frame, time, color.r, color.g, color.b, color.a);
                const nextMap = timelineMap[frame + 1];
                if (!nextMap) {
                  timeline.shrink(bezier);
                  break;
                }
                const time2 = getValue(nextMap, "time", 0);
                const newColor = Color.fromString(nextMap.color);
                const curve = keyMap.curve;
                if (curve) {
                  bezier = readCurve(curve, timeline, bezier, frame, 0, time, time2, color.r, newColor.r, 1);
                  bezier = readCurve(curve, timeline, bezier, frame, 1, time, time2, color.g, newColor.g, 1);
                  bezier = readCurve(curve, timeline, bezier, frame, 2, time, time2, color.b, newColor.b, 1);
                  bezier = readCurve(curve, timeline, bezier, frame, 3, time, time2, color.a, newColor.a, 1);
                }
                time = time2;
                color = newColor;
                keyMap = nextMap;
              }
              timelines.push(timeline);
            } else if (timelineName == "rgb") {
              const timeline = new RGBTimeline(frames, frames * 3, slotIndex);
              let keyMap = timelineMap[0];
              let time = getValue(keyMap, "time", 0);
              let color = Color.fromString(keyMap.color);
              for (let frame = 0, bezier = 0; ; frame++) {
                timeline.setFrame(frame, time, color.r, color.g, color.b);
                const nextMap = timelineMap[frame + 1];
                if (!nextMap) {
                  timeline.shrink(bezier);
                  break;
                }
                const time2 = getValue(nextMap, "time", 0);
                const newColor = Color.fromString(nextMap.color);
                const curve = keyMap.curve;
                if (curve) {
                  bezier = readCurve(curve, timeline, bezier, frame, 0, time, time2, color.r, newColor.r, 1);
                  bezier = readCurve(curve, timeline, bezier, frame, 1, time, time2, color.g, newColor.g, 1);
                  bezier = readCurve(curve, timeline, bezier, frame, 2, time, time2, color.b, newColor.b, 1);
                }
                time = time2;
                color = newColor;
                keyMap = nextMap;
              }
              timelines.push(timeline);
            } else if (timelineName == "alpha") {
              timelines.push(readTimeline1(timelineMap, new AlphaTimeline(frames, frames, slotIndex), 0, 1));
            } else if (timelineName == "rgba2") {
              const timeline = new RGBA2Timeline(frames, frames * 7, slotIndex);
              let keyMap = timelineMap[0];
              let time = getValue(keyMap, "time", 0);
              let color = Color.fromString(keyMap.light);
              let color2 = Color.fromString(keyMap.dark);
              for (let frame = 0, bezier = 0; ; frame++) {
                timeline.setFrame(frame, time, color.r, color.g, color.b, color.a, color2.r, color2.g, color2.b);
                const nextMap = timelineMap[frame + 1];
                if (!nextMap) {
                  timeline.shrink(bezier);
                  break;
                }
                const time2 = getValue(nextMap, "time", 0);
                const newColor = Color.fromString(nextMap.light);
                const newColor2 = Color.fromString(nextMap.dark);
                const curve = keyMap.curve;
                if (curve) {
                  bezier = readCurve(curve, timeline, bezier, frame, 0, time, time2, color.r, newColor.r, 1);
                  bezier = readCurve(curve, timeline, bezier, frame, 1, time, time2, color.g, newColor.g, 1);
                  bezier = readCurve(curve, timeline, bezier, frame, 2, time, time2, color.b, newColor.b, 1);
                  bezier = readCurve(curve, timeline, bezier, frame, 3, time, time2, color.a, newColor.a, 1);
                  bezier = readCurve(curve, timeline, bezier, frame, 4, time, time2, color2.r, newColor2.r, 1);
                  bezier = readCurve(curve, timeline, bezier, frame, 5, time, time2, color2.g, newColor2.g, 1);
                  bezier = readCurve(curve, timeline, bezier, frame, 6, time, time2, color2.b, newColor2.b, 1);
                }
                time = time2;
                color = newColor;
                color2 = newColor2;
                keyMap = nextMap;
              }
              timelines.push(timeline);
            } else if (timelineName == "rgb2") {
              const timeline = new RGB2Timeline(frames, frames * 6, slotIndex);
              let keyMap = timelineMap[0];
              let time = getValue(keyMap, "time", 0);
              let color = Color.fromString(keyMap.light);
              let color2 = Color.fromString(keyMap.dark);
              for (let frame = 0, bezier = 0; ; frame++) {
                timeline.setFrame(frame, time, color.r, color.g, color.b, color2.r, color2.g, color2.b);
                const nextMap = timelineMap[frame + 1];
                if (!nextMap) {
                  timeline.shrink(bezier);
                  break;
                }
                const time2 = getValue(nextMap, "time", 0);
                const newColor = Color.fromString(nextMap.light);
                const newColor2 = Color.fromString(nextMap.dark);
                const curve = keyMap.curve;
                if (curve) {
                  bezier = readCurve(curve, timeline, bezier, frame, 0, time, time2, color.r, newColor.r, 1);
                  bezier = readCurve(curve, timeline, bezier, frame, 1, time, time2, color.g, newColor.g, 1);
                  bezier = readCurve(curve, timeline, bezier, frame, 2, time, time2, color.b, newColor.b, 1);
                  bezier = readCurve(curve, timeline, bezier, frame, 3, time, time2, color2.r, newColor2.r, 1);
                  bezier = readCurve(curve, timeline, bezier, frame, 4, time, time2, color2.g, newColor2.g, 1);
                  bezier = readCurve(curve, timeline, bezier, frame, 5, time, time2, color2.b, newColor2.b, 1);
                }
                time = time2;
                color = newColor;
                color2 = newColor2;
                keyMap = nextMap;
              }
              timelines.push(timeline);
            }
          }
        }
      }
      if (map.bones) {
        for (const boneName in map.bones) {
          const boneMap = map.bones[boneName];
          const bone = skeletonData.findBone(boneName);
          if (!bone)
            throw new Error(`Bone not found: ${boneName}`);
          const boneIndex = bone.index;
          for (const timelineName in boneMap) {
            const timelineMap = boneMap[timelineName];
            const frames = timelineMap.length;
            if (frames == 0)
              continue;
            if (timelineName === "rotate") {
              timelines.push(readTimeline1(timelineMap, new RotateTimeline(frames, frames, boneIndex), 0, 1));
            } else if (timelineName === "translate") {
              const timeline = new TranslateTimeline(frames, frames << 1, boneIndex);
              timelines.push(readTimeline2(timelineMap, timeline, "x", "y", 0, scale));
            } else if (timelineName === "translatex") {
              const timeline = new TranslateXTimeline(frames, frames, boneIndex);
              timelines.push(readTimeline1(timelineMap, timeline, 0, scale));
            } else if (timelineName === "translatey") {
              const timeline = new TranslateYTimeline(frames, frames, boneIndex);
              timelines.push(readTimeline1(timelineMap, timeline, 0, scale));
            } else if (timelineName === "scale") {
              const timeline = new ScaleTimeline(frames, frames << 1, boneIndex);
              timelines.push(readTimeline2(timelineMap, timeline, "x", "y", 1, 1));
            } else if (timelineName === "scalex") {
              const timeline = new ScaleXTimeline(frames, frames, boneIndex);
              timelines.push(readTimeline1(timelineMap, timeline, 1, 1));
            } else if (timelineName === "scaley") {
              const timeline = new ScaleYTimeline(frames, frames, boneIndex);
              timelines.push(readTimeline1(timelineMap, timeline, 1, 1));
            } else if (timelineName === "shear") {
              const timeline = new ShearTimeline(frames, frames << 1, boneIndex);
              timelines.push(readTimeline2(timelineMap, timeline, "x", "y", 0, 1));
            } else if (timelineName === "shearx") {
              const timeline = new ShearXTimeline(frames, frames, boneIndex);
              timelines.push(readTimeline1(timelineMap, timeline, 0, 1));
            } else if (timelineName === "sheary") {
              const timeline = new ShearYTimeline(frames, frames, boneIndex);
              timelines.push(readTimeline1(timelineMap, timeline, 0, 1));
            }
          }
        }
      }
      if (map.ik) {
        for (const constraintName in map.ik) {
          const constraintMap = map.ik[constraintName];
          let keyMap = constraintMap[0];
          if (!keyMap)
            continue;
          const constraint = skeletonData.findIkConstraint(constraintName);
          if (!constraint)
            throw new Error(`IK Constraint not found: ${constraintName}`);
          const constraintIndex = skeletonData.ikConstraints.indexOf(constraint);
          const timeline = new IkConstraintTimeline(constraintMap.length, constraintMap.length << 1, constraintIndex);
          let time = getValue(keyMap, "time", 0);
          let mix = getValue(keyMap, "mix", 1);
          let softness = getValue(keyMap, "softness", 0) * scale;
          for (let frame = 0, bezier = 0; ; frame++) {
            timeline.setFrame(
              frame,
              time,
              mix,
              softness,
              getValue(keyMap, "bendPositive", true) ? 1 : -1,
              getValue(keyMap, "compress", false),
              getValue(keyMap, "stretch", false)
            );
            const nextMap = constraintMap[frame + 1];
            if (!nextMap) {
              timeline.shrink(bezier);
              break;
            }
            const time2 = getValue(nextMap, "time", 0);
            const mix2 = getValue(nextMap, "mix", 1);
            const softness2 = getValue(nextMap, "softness", 0) * scale;
            const curve = keyMap.curve;
            if (curve) {
              bezier = readCurve(curve, timeline, bezier, frame, 0, time, time2, mix, mix2, 1);
              bezier = readCurve(curve, timeline, bezier, frame, 1, time, time2, softness, softness2, scale);
            }
            time = time2;
            mix = mix2;
            softness = softness2;
            keyMap = nextMap;
          }
          timelines.push(timeline);
        }
      }
      if (map.transform) {
        for (const constraintName in map.transform) {
          const timelineMap = map.transform[constraintName];
          let keyMap = timelineMap[0];
          if (!keyMap)
            continue;
          const constraint = skeletonData.findTransformConstraint(constraintName);
          if (!constraint)
            throw new Error(`Transform constraint not found: ${constraintName}`);
          const constraintIndex = skeletonData.transformConstraints.indexOf(constraint);
          const timeline = new TransformConstraintTimeline(timelineMap.length, timelineMap.length * 6, constraintIndex);
          let time = getValue(keyMap, "time", 0);
          let mixRotate = getValue(keyMap, "mixRotate", 1);
          let mixX = getValue(keyMap, "mixX", 1);
          let mixY = getValue(keyMap, "mixY", mixX);
          let mixScaleX = getValue(keyMap, "mixScaleX", 1);
          let mixScaleY = getValue(keyMap, "mixScaleY", mixScaleX);
          const mixShearY = getValue(keyMap, "mixShearY", 1);
          for (let frame = 0, bezier = 0; ; frame++) {
            timeline.setFrame(frame, time, mixRotate, mixX, mixY, mixScaleX, mixScaleY, mixShearY);
            const nextMap = timelineMap[frame + 1];
            if (!nextMap) {
              timeline.shrink(bezier);
              break;
            }
            const time2 = getValue(nextMap, "time", 0);
            const mixRotate2 = getValue(nextMap, "mixRotate", 1);
            const mixX2 = getValue(nextMap, "mixX", 1);
            const mixY2 = getValue(nextMap, "mixY", mixX2);
            const mixScaleX2 = getValue(nextMap, "mixScaleX", 1);
            const mixScaleY2 = getValue(nextMap, "mixScaleY", mixScaleX2);
            const mixShearY2 = getValue(nextMap, "mixShearY", 1);
            const curve = keyMap.curve;
            if (curve) {
              bezier = readCurve(curve, timeline, bezier, frame, 0, time, time2, mixRotate, mixRotate2, 1);
              bezier = readCurve(curve, timeline, bezier, frame, 1, time, time2, mixX, mixX2, 1);
              bezier = readCurve(curve, timeline, bezier, frame, 2, time, time2, mixY, mixY2, 1);
              bezier = readCurve(curve, timeline, bezier, frame, 3, time, time2, mixScaleX, mixScaleX2, 1);
              bezier = readCurve(curve, timeline, bezier, frame, 4, time, time2, mixScaleY, mixScaleY2, 1);
              bezier = readCurve(curve, timeline, bezier, frame, 5, time, time2, mixShearY, mixShearY2, 1);
            }
            time = time2;
            mixRotate = mixRotate2;
            mixX = mixX2;
            mixY = mixY2;
            mixScaleX = mixScaleX2;
            mixScaleY = mixScaleY2;
            mixScaleX = mixScaleX2;
            keyMap = nextMap;
          }
          timelines.push(timeline);
        }
      }
      if (map.path) {
        for (const constraintName in map.path) {
          const constraintMap = map.path[constraintName];
          const constraint = skeletonData.findPathConstraint(constraintName);
          if (!constraint)
            throw new Error(`Path constraint not found: ${constraintName}`);
          const constraintIndex = skeletonData.pathConstraints.indexOf(constraint);
          for (const timelineName in constraintMap) {
            const timelineMap = constraintMap[timelineName];
            let keyMap = timelineMap[0];
            if (!keyMap)
              continue;
            const frames = timelineMap.length;
            if (timelineName === "position") {
              const timeline = new PathConstraintPositionTimeline(frames, frames, constraintIndex);
              timelines.push(readTimeline1(timelineMap, timeline, 0, constraint.positionMode == PositionMode.Fixed ? scale : 1));
            } else if (timelineName === "spacing") {
              const timeline = new PathConstraintSpacingTimeline(frames, frames, constraintIndex);
              timelines.push(
                readTimeline1(timelineMap, timeline, 0, constraint.spacingMode == SpacingMode.Length || constraint.spacingMode == SpacingMode.Fixed ? scale : 1)
              );
            } else if (timelineName === "mix") {
              const timeline = new PathConstraintMixTimeline(frames, frames * 3, constraintIndex);
              let time = getValue(keyMap, "time", 0);
              let mixRotate = getValue(keyMap, "mixRotate", 1);
              let mixX = getValue(keyMap, "mixX", 1);
              let mixY = getValue(keyMap, "mixY", mixX);
              for (let frame = 0, bezier = 0; ; frame++) {
                timeline.setFrame(frame, time, mixRotate, mixX, mixY);
                const nextMap = timelineMap[frame + 1];
                if (!nextMap) {
                  timeline.shrink(bezier);
                  break;
                }
                const time2 = getValue(nextMap, "time", 0);
                const mixRotate2 = getValue(nextMap, "mixRotate", 1);
                const mixX2 = getValue(nextMap, "mixX", 1);
                const mixY2 = getValue(nextMap, "mixY", mixX2);
                const curve = keyMap.curve;
                if (curve) {
                  bezier = readCurve(curve, timeline, bezier, frame, 0, time, time2, mixRotate, mixRotate2, 1);
                  bezier = readCurve(curve, timeline, bezier, frame, 1, time, time2, mixX, mixX2, 1);
                  bezier = readCurve(curve, timeline, bezier, frame, 2, time, time2, mixY, mixY2, 1);
                }
                time = time2;
                mixRotate = mixRotate2;
                mixX = mixX2;
                mixY = mixY2;
                keyMap = nextMap;
              }
              timelines.push(timeline);
            }
          }
        }
      }
      if (map.deform) {
        map.attachments = {};
        for (const deformName in map.deform) {
          const deformMap = map.deform[deformName];
          const outMap = map.attachments[deformName] = {};
          for (const slotName in deformMap) {
            const slotMap = deformMap[slotName];
            const outMap2 = outMap[slotName] = {};
            for (const innerMapName in slotMap) {
              outMap2[innerMapName] = {
                deform: slotMap[innerMapName]
              };
            }
          }
        }
      }
      if (map.attachments) {
        for (const attachmentsName in map.attachments) {
          const attachmentsMap = map.attachments[attachmentsName];
          const skin = skeletonData.findSkin(attachmentsName);
          if (skin == null) {
            {
              continue;
            }
          }
          for (const slotMapName in attachmentsMap) {
            const slotMap = attachmentsMap[slotMapName];
            const slot = skeletonData.findSlot(slotMapName);
            if (!slot)
              throw new Error(`Slot not found: ${slotMapName}`);
            const slotIndex = slot.index;
            for (const attachmentMapName in slotMap) {
              const attachmentMap = slotMap[attachmentMapName];
              const attachment = skin.getAttachment(slotIndex, attachmentMapName);
              for (const timelineMapName in attachmentMap) {
                const timelineMap = attachmentMap[timelineMapName];
                let keyMap = timelineMap[0];
                if (!keyMap)
                  continue;
                if (timelineMapName == "deform") {
                  const weighted = attachment.bones;
                  const vertices = attachment.vertices;
                  const deformLength = weighted ? vertices.length / 3 * 2 : vertices.length;
                  const timeline = new DeformTimeline(timelineMap.length, timelineMap.length, slotIndex, attachment);
                  let time = getValue(keyMap, "time", 0);
                  for (let frame = 0, bezier = 0; ; frame++) {
                    let deform;
                    const verticesValue = getValue(keyMap, "vertices", null);
                    if (!verticesValue)
                      deform = weighted ? Utils.newFloatArray(deformLength) : vertices;
                    else {
                      deform = Utils.newFloatArray(deformLength);
                      const start = getValue(keyMap, "offset", 0);
                      Utils.arrayCopy(verticesValue, 0, deform, start, verticesValue.length);
                      if (scale != 1) {
                        for (let i = start, n = i + verticesValue.length; i < n; i++)
                          deform[i] *= scale;
                      }
                      if (!weighted) {
                        for (let i = 0; i < deformLength; i++)
                          deform[i] += vertices[i];
                      }
                    }
                    timeline.setFrame(frame, time, deform);
                    const nextMap = timelineMap[frame + 1];
                    if (!nextMap) {
                      timeline.shrink(bezier);
                      break;
                    }
                    const time2 = getValue(nextMap, "time", 0);
                    const curve = keyMap.curve;
                    if (curve)
                      bezier = readCurve(curve, timeline, bezier, frame, 0, time, time2, 0, 1, 1);
                    time = time2;
                    keyMap = nextMap;
                  }
                  timelines.push(timeline);
                } else if (timelineMapName == "sequence") {
                  const timeline = new SequenceTimeline(timelineMap.length, slotIndex, attachment);
                  let lastDelay = 0;
                  for (let frame = 0; frame < timelineMap.length; frame++) {
                    const delay = getValue(keyMap, "delay", lastDelay);
                    const time = getValue(keyMap, "time", 0);
                    const mode = SequenceMode[getValue(keyMap, "mode", "hold")];
                    const index = getValue(keyMap, "index", 0);
                    timeline.setFrame(frame, time, mode, index, delay);
                    lastDelay = delay;
                    keyMap = timelineMap[frame + 1];
                  }
                  timelines.push(timeline);
                }
              }
            }
          }
        }
      }
      if (map.drawOrder) {
        const timeline = new DrawOrderTimeline(map.drawOrder.length);
        const slotCount = skeletonData.slots.length;
        let frame = 0;
        for (let i = 0; i < map.drawOrder.length; i++, frame++) {
          const drawOrderMap = map.drawOrder[i];
          let drawOrder = null;
          const offsets = getValue(drawOrderMap, "offsets", null);
          if (offsets) {
            drawOrder = Utils.newArray(slotCount, -1);
            const unchanged = Utils.newArray(slotCount - offsets.length, 0);
            let originalIndex = 0;
            let unchangedIndex = 0;
            for (let ii = 0; ii < offsets.length; ii++) {
              const offsetMap = offsets[ii];
              const slot = skeletonData.findSlot(offsetMap.slot);
              if (!slot)
                throw new Error(`Slot not found: ${slot}`);
              const slotIndex = slot.index;
              while (originalIndex != slotIndex)
                unchanged[unchangedIndex++] = originalIndex++;
              drawOrder[originalIndex + offsetMap.offset] = originalIndex++;
            }
            while (originalIndex < slotCount)
              unchanged[unchangedIndex++] = originalIndex++;
            for (let ii = slotCount - 1; ii >= 0; ii--)
              if (drawOrder[ii] == -1)
                drawOrder[ii] = unchanged[--unchangedIndex];
          }
          timeline.setFrame(frame, getValue(drawOrderMap, "time", 0), drawOrder);
        }
        timelines.push(timeline);
      }
      if (map.events) {
        const timeline = new EventTimeline(map.events.length);
        let frame = 0;
        for (let i = 0; i < map.events.length; i++, frame++) {
          const eventMap = map.events[i];
          const eventData = skeletonData.findEvent(eventMap.name);
          if (!eventData)
            throw new Error(`Event not found: ${eventMap.name}`);
          const event = new Event(Utils.toSinglePrecision(getValue(eventMap, "time", 0)), eventData);
          event.intValue = getValue(eventMap, "int", eventData.intValue);
          event.floatValue = getValue(eventMap, "float", eventData.floatValue);
          event.stringValue = getValue(eventMap, "string", eventData.stringValue);
          if (event.data.audioPath) {
            event.volume = getValue(eventMap, "volume", 1);
            event.balance = getValue(eventMap, "balance", 0);
          }
          timeline.setFrame(frame, event);
        }
        timelines.push(timeline);
      }
      let duration = 0;
      for (let i = 0, n = timelines.length; i < n; i++)
        duration = Math.max(duration, timelines[i].getDuration());
      if (isNaN(duration)) {
        throw new Error("Error while parsing animation, duration is NaN");
      }
      skeletonData.animations.push(new Animation$1(name, timelines, duration));
    }
    static blendModeFromString(str) {
      str = str.toLowerCase();
      if (str == "normal")
        return core.BLEND_MODES.NORMAL;
      if (str == "additive")
        return core.BLEND_MODES.ADD;
      if (str == "multiply")
        return core.BLEND_MODES.MULTIPLY;
      if (str == "screen")
        return core.BLEND_MODES.SCREEN;
      throw new Error(`Unknown blend mode: ${str}`);
    }
  }
  class LinkedMesh {
    constructor(mesh, skin, slotIndex, parent, inheritDeform) {
      this.mesh = mesh;
      this.skin = skin;
      this.slotIndex = slotIndex;
      this.parent = parent;
      this.inheritTimeline = inheritDeform;
    }
  }
  function readTimeline1(keys, timeline, defaultValue, scale) {
    let keyMap = keys[0];
    let time = getValue(keyMap, "time", 0);
    let value = getValue(keyMap, "value", defaultValue) * scale;
    let bezier = 0;
    for (let frame = 0; ; frame++) {
      timeline.setFrame(frame, time, value);
      const nextMap = keys[frame + 1];
      if (!nextMap) {
        timeline.shrink(bezier);
        return timeline;
      }
      const time2 = getValue(nextMap, "time", 0);
      const value2 = getValue(nextMap, "value", defaultValue) * scale;
      if (keyMap.curve)
        bezier = readCurve(keyMap.curve, timeline, bezier, frame, 0, time, time2, value, value2, scale);
      time = time2;
      value = value2;
      keyMap = nextMap;
    }
  }
  function readTimeline2(keys, timeline, name1, name2, defaultValue, scale) {
    let keyMap = keys[0];
    let time = getValue(keyMap, "time", 0);
    let value1 = getValue(keyMap, name1, defaultValue) * scale;
    let value2 = getValue(keyMap, name2, defaultValue) * scale;
    let bezier = 0;
    for (let frame = 0; ; frame++) {
      timeline.setFrame(frame, time, value1, value2);
      const nextMap = keys[frame + 1];
      if (!nextMap) {
        timeline.shrink(bezier);
        return timeline;
      }
      const time2 = getValue(nextMap, "time", 0);
      const nvalue1 = getValue(nextMap, name1, defaultValue) * scale;
      const nvalue2 = getValue(nextMap, name2, defaultValue) * scale;
      const curve = keyMap.curve;
      if (curve) {
        bezier = readCurve(curve, timeline, bezier, frame, 0, time, time2, value1, nvalue1, scale);
        bezier = readCurve(curve, timeline, bezier, frame, 1, time, time2, value2, nvalue2, scale);
      }
      time = time2;
      value1 = nvalue1;
      value2 = nvalue2;
      keyMap = nextMap;
    }
  }
  function readCurve(curve, timeline, bezier, frame, value, time1, time2, value1, value2, scale) {
    if (curve == "stepped") {
      timeline.setStepped(frame);
      return bezier;
    }
    const i = value << 2;
    const cx1 = curve[i];
    const cy1 = curve[i + 1] * scale;
    const cx2 = curve[i + 2];
    const cy2 = curve[i + 3] * scale;
    timeline.setBezier(bezier, frame, value, time1, value1, cx1, cy1, cx2, cy2, time2, value2);
    return bezier + 1;
  }
  function getValue(map, property, defaultValue) {
    return map[property] !== void 0 ? map[property] : defaultValue;
  }
  var SPINE_VERSION = /* @__PURE__ */ ((SPINE_VERSION2) => {
    SPINE_VERSION2[SPINE_VERSION2["UNKNOWN"] = 0] = "UNKNOWN";
    SPINE_VERSION2[SPINE_VERSION2["VER37"] = 37] = "VER37";
    SPINE_VERSION2[SPINE_VERSION2["VER38"] = 38] = "VER38";
    SPINE_VERSION2[SPINE_VERSION2["VER40"] = 40] = "VER40";
    SPINE_VERSION2[SPINE_VERSION2["VER41"] = 41] = "VER41";
    return SPINE_VERSION2;
  })(SPINE_VERSION || {});
  function detectSpineVersion(version) {
    const ver3 = version.substr(0, 3);
    const verNum = Math.floor(Number(ver3) * 10 + 1e-3);
    if (ver3 === "3.7") {
      return 37;
    }
    if (ver3 === "3.8") {
      return 38;
    }
    if (ver3 === "4.0") {
      return 40;
    }
    if (ver3 === "4.1") {
      return 41;
    }
    if (verNum < 37) {
      return 37;
    }
    return 0;
  }
  class UniBinaryParser {
    constructor() {
      this.scale = 1;
    }
    readSkeletonData(atlas, dataToParse) {
      let parser = null;
      let version = this.readVersionOldFormat(dataToParse);
      let ver = detectSpineVersion(version);
      if (ver === SPINE_VERSION.VER38) {
        parser = new SkeletonBinary$1(new AtlasAttachmentLoader$2(atlas));
      }
      version = this.readVersionNewFormat(dataToParse);
      ver = detectSpineVersion(version);
      if (ver === SPINE_VERSION.VER40 || ver === SPINE_VERSION.VER41) {
        parser = new SkeletonBinary(new AtlasAttachmentLoader(atlas));
      }
      if (!parser) {
        const error = `Unsupported version of spine model ${version}, please update pixi-spine`;
        console.error(error);
      }
      parser.scale = this.scale;
      return parser.readSkeletonData(dataToParse);
    }
    readVersionOldFormat(dataToParse) {
      const input = new BinaryInput(dataToParse);
      let version;
      try {
        input.readString();
        version = input.readString();
      } catch (e) {
        version = "";
      }
      return version || "";
    }
    readVersionNewFormat(dataToParse) {
      const input = new BinaryInput(dataToParse);
      input.readInt32();
      input.readInt32();
      let version;
      try {
        version = input.readString();
      } catch (e) {
        version = "";
      }
      return version || "";
    }
  }
  class UniJsonParser {
    constructor() {
      this.scale = 1;
    }
    readSkeletonData(atlas, dataToParse) {
      const version = dataToParse.skeleton.spine;
      const ver = detectSpineVersion(version);
      let parser = null;
      if (ver === SPINE_VERSION.VER37) {
        parser = new SkeletonJson$1(new AtlasAttachmentLoader$1(atlas));
      }
      if (ver === SPINE_VERSION.VER38) {
        parser = new SkeletonJson$2(new AtlasAttachmentLoader$2(atlas));
      }
      if (ver === SPINE_VERSION.VER40 || ver === SPINE_VERSION.VER41) {
        parser = new SkeletonJson(new AtlasAttachmentLoader(atlas));
      }
      if (!parser) {
        const error = `Unsupported version of spine model ${version}, please update pixi-spine`;
        console.error(error);
      }
      parser.scale = this.scale;
      return parser.readSkeletonData(dataToParse);
    }
  }
  class SpineLoader extends SpineLoaderAbstract {
    createBinaryParser() {
      return new UniBinaryParser();
    }
    createJsonParser() {
      return new UniJsonParser();
    }
    parseData(parser, atlas, dataToParse) {
      const parserCast = parser;
      return {
        spineData: parserCast.readSkeletonData(atlas, dataToParse),
        spineAtlas: atlas
      };
    }
  }
  new SpineLoader().installLoader();
  function loadJson(source) {
    return __async(this, null, function* () {
      return fetch(source).then((response) => {
        if (!response.ok) {
          throw new Error(response.statusText);
        }
        return response.json();
      });
    });
  }
  function loadCSVText(source) {
    return __async(this, null, function* () {
      return fetch(source).then((response) => {
        if (!response.ok) {
          throw new Error(response.statusText);
        }
        return response.text();
      });
    });
  }
  function searchFromMasterList(tag, master_list, translate_CSV_url) {
    return __async(this, null, function* () {
      let translateUrl;
      let list = yield loadJson(master_list);
      if (list) {
        list.forEach(([key, hash]) => {
          if (key === tag) {
            translateUrl = translate_CSV_url.replace("{uid}", hash);
          }
        });
      }
      return translateUrl;
    });
  }
  function CSVToJSON(csvtext) {
    const data = {
      url: "",
      translater: "",
      table: []
    };
    if (csvtext === "") {
      return data;
    }
    let table = csvtext.split(/\r\n/).slice(1);
    table.forEach((row) => {
      let columns = row.split(",");
      if (columns[0] === "info") {
        data["url"] = columns[1];
      } else if (columns[0] === "\u8BD1\u8005") {
        data["translater"] = columns[1];
      } else if (columns[0] != "") {
        data["table"].push({
          id: columns[0],
          name: columns[1],
          text: columns[2].replace("\\n", "\r\n"),
          tran: columns[3].replace("\\n", "\r\n")
        });
      }
    });
    return data;
  }
  const { log } = console;
  function Hello() {
    const logtext = [
      `

 %c  %c   ShinyColors Event Viewer ${"1.0.5"}   %c  %c  https://github.com/ShinyColorsDB  %c 

`,
      "background: #28de10; padding:5px 0;",
      "color: #28de10; background: #030307; padding:5px 0;",
      "background: #28de10; padding:5px 0;",
      "background: #5eff84; padding:5px 0;",
      "background: #28de10; padding:5px 0;"
    ];
    log(...logtext);
  }
  function TrackLog(current, length, Track) {
    const logtext = [
      "%c%s%c%s%c%s",
      "color:white;background:#23c4ed",
      "\u3010Track\u3011",
      "",
      " ",
      "color:#23c4ed",
      `[${current}/${length}]`,
      Track
    ];
    log(...logtext);
  }
  function updateConfig(target, source) {
    for (const key in source) {
      if (source[key] instanceof Object && !Array.isArray(source[key])) {
        if (key in target) {
          target[key] = updateConfig(target[key], source[key]);
        }
      } else {
        target[key] = source[key];
      }
    }
    return target;
  }
  const flatten = (obj) => {
    let result = {};
    let process = (key, value) => {
      if (Object(value) !== value) {
        if (key) {
          result[key] = value;
        }
      } else if (Array.isArray(value)) {
        for (let i = 0; i < value.length; i++) {
          process(`${key}[${i}]`, value[i]);
        }
        if (value.length === 0) {
          result[key] = [];
        }
      } else {
        let objArr = Object.keys(value);
        objArr.forEach((item) => {
          process(key ? `${key}_${item}` : `${item}`, value[item]);
        });
        if (objArr.length === 0 && key) {
          result[key] = {};
        }
      }
    };
    process("", obj);
    return result;
  };
  const Mp4Assets = {
    extension: core.ExtensionType.Asset,
    detection: {
      test: () => __async(this, null, function* () {
        return true;
      }),
      add: (formats) => __async(this, null, function* () {
        return [...formats, "mp4"];
      }),
      remove: (formats) => __async(this, null, function* () {
        return formats.filter((format) => format !== "mp4");
      })
    },
    loader: {
      test: (url) => core.utils.path.extname(url) === ".mp4",
      load: (url, asset) => __async(this, null, function* () {
        let texture = yield core.Texture.fromURL(url, asset.data);
        texture.baseTexture.resource.autoPlay = false;
        return texture;
      }),
      unload: (asset) => __async(this, null, function* () {
        return asset.destroy(true);
      })
    }
  };
  function createEmptySprite({
    color,
    alpha = 1,
    width = 1136,
    height = 640
  }) {
    let sprite$1 = new sprite.Sprite(core.Texture.WHITE);
    sprite$1.width = width;
    sprite$1.height = height;
    sprite$1.anchor.set(0.5);
    sprite$1.position.set(width / 2, height / 2);
    sprite$1.alpha = alpha || 1;
    if (color != void 0) {
      sprite$1.tint = color;
    }
    return sprite$1;
  }
  class ControllerSystem {
    constructor(viewer) {
      __publicField(this, "_viewer");
      __publicField(this, "allcontroller", /* @__PURE__ */ new Map());
      this._viewer = viewer;
    }
    add(name, CClass, order) {
      var _a2;
      if (this.allcontroller.has(name)) {
        let controller2 = this.allcontroller.get(name);
        if (order && controller2 instanceof display.Container) {
          controller2.zIndex = order;
        }
        return controller2;
      }
      const controller = new CClass();
      if ("options" in controller) {
        controller.options = this._viewer.Options;
      }
      if (controller instanceof display.Container) {
        (_a2 = controller.addTo) == null ? void 0 : _a2.call(controller, this._viewer);
        controller.zIndex = order != null ? order : 0;
      }
      this.allcontroller.set(name, controller);
      return controller;
    }
    get(Class) {
      var _a2;
      return (_a2 = [...this.allcontroller].find(([_, val]) => val instanceof Class)) == null ? void 0 : _a2[1];
    }
    getByName(name) {
      return this.allcontroller.get(name);
    }
    init() {
      this.allcontroller.forEach((cont) => {
        var _a2;
        return (_a2 = cont.init) == null ? void 0 : _a2.call(cont);
      });
    }
    reset() {
      this.allcontroller.forEach((cont) => {
        var _a2;
        return (_a2 = cont.reset) == null ? void 0 : _a2.call(cont);
      });
    }
    process(data) {
      this.allcontroller.forEach((cont) => {
        var _a2;
        return (_a2 = cont.process) == null ? void 0 : _a2.call(cont, data);
      });
    }
  }
  function _assertThisInitialized(self2) {
    if (self2 === void 0) {
      throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self2;
  }
  function _inheritsLoose(subClass, superClass) {
    subClass.prototype = Object.create(superClass.prototype);
    subClass.prototype.constructor = subClass;
    subClass.__proto__ = superClass;
  }
  /*!
   * GSAP 3.12.2
   * https://greensock.com
   *
   * @license Copyright 2008-2023, GreenSock. All rights reserved.
   * Subject to the terms at https://greensock.com/standard-license or for
   * Club GreenSock members, the agreement issued with that membership.
   * @author: Jack Doyle, jack@greensock.com
  */
  var _config = {
    autoSleep: 120,
    force3D: "auto",
    nullTargetWarn: 1,
    units: {
      lineHeight: ""
    }
  }, _defaults = {
    duration: 0.5,
    overwrite: false,
    delay: 0
  }, _suppressOverwrites, _reverting$1, _context, _bigNum$1 = 1e8, _tinyNum = 1 / _bigNum$1, _2PI = Math.PI * 2, _HALF_PI = _2PI / 4, _gsID = 0, _sqrt = Math.sqrt, _cos = Math.cos, _sin = Math.sin, _isString = function _isString2(value) {
    return typeof value === "string";
  }, _isFunction = function _isFunction2(value) {
    return typeof value === "function";
  }, _isNumber = function _isNumber2(value) {
    return typeof value === "number";
  }, _isUndefined = function _isUndefined2(value) {
    return typeof value === "undefined";
  }, _isObject = function _isObject2(value) {
    return typeof value === "object";
  }, _isNotFalse = function _isNotFalse2(value) {
    return value !== false;
  }, _windowExists$1 = function _windowExists2() {
    return typeof window !== "undefined";
  }, _isFuncOrString = function _isFuncOrString2(value) {
    return _isFunction(value) || _isString(value);
  }, _isTypedArray = typeof ArrayBuffer === "function" && ArrayBuffer.isView || function() {
  }, _isArray = Array.isArray, _strictNumExp = /(?:-?\.?\d|\.)+/gi, _numExp = /[-+=.]*\d+[.e\-+]*\d*[e\-+]*\d*/g, _numWithUnitExp = /[-+=.]*\d+[.e-]*\d*[a-z%]*/g, _complexStringNumExp = /[-+=.]*\d+\.?\d*(?:e-|e\+)?\d*/gi, _relExp = /[+-]=-?[.\d]+/, _delimitedValueExp = /[^,'"\[\]\s]+/gi, _unitExp = /^[+\-=e\s\d]*\d+[.\d]*([a-z]*|%)\s*$/i, _globalTimeline, _win$1, _coreInitted, _doc$1, _globals = {}, _installScope = {}, _coreReady, _install = function _install2(scope) {
    return (_installScope = _merge(scope, _globals)) && gsap;
  }, _missingPlugin = function _missingPlugin2(property, value) {
    return console.warn("Invalid property", property, "set to", value, "Missing plugin? gsap.registerPlugin()");
  }, _warn = function _warn2(message, suppress) {
    return !suppress && console.warn(message);
  }, _addGlobal = function _addGlobal2(name, obj) {
    return name && (_globals[name] = obj) && _installScope && (_installScope[name] = obj) || _globals;
  }, _emptyFunc = function _emptyFunc2() {
    return 0;
  }, _startAtRevertConfig = {
    suppressEvents: true,
    isStart: true,
    kill: false
  }, _revertConfigNoKill = {
    suppressEvents: true,
    kill: false
  }, _revertConfig = {
    suppressEvents: true
  }, _reservedProps = {}, _lazyTweens = [], _lazyLookup = {}, _lastRenderedFrame, _plugins = {}, _effects = {}, _nextGCFrame = 30, _harnessPlugins = [], _callbackNames = "", _harness = function _harness2(targets) {
    var target = targets[0], harnessPlugin, i;
    _isObject(target) || _isFunction(target) || (targets = [targets]);
    if (!(harnessPlugin = (target._gsap || {}).harness)) {
      i = _harnessPlugins.length;
      while (i-- && !_harnessPlugins[i].targetTest(target)) {
      }
      harnessPlugin = _harnessPlugins[i];
    }
    i = targets.length;
    while (i--) {
      targets[i] && (targets[i]._gsap || (targets[i]._gsap = new GSCache(targets[i], harnessPlugin))) || targets.splice(i, 1);
    }
    return targets;
  }, _getCache = function _getCache2(target) {
    return target._gsap || _harness(toArray(target))[0]._gsap;
  }, _getProperty = function _getProperty2(target, property, v) {
    return (v = target[property]) && _isFunction(v) ? target[property]() : _isUndefined(v) && target.getAttribute && target.getAttribute(property) || v;
  }, _forEachName = function _forEachName2(names, func) {
    return (names = names.split(",")).forEach(func) || names;
  }, _round = function _round2(value) {
    return Math.round(value * 1e5) / 1e5 || 0;
  }, _roundPrecise = function _roundPrecise2(value) {
    return Math.round(value * 1e7) / 1e7 || 0;
  }, _parseRelative = function _parseRelative2(start, value) {
    var operator = value.charAt(0), end = parseFloat(value.substr(2));
    start = parseFloat(start);
    return operator === "+" ? start + end : operator === "-" ? start - end : operator === "*" ? start * end : start / end;
  }, _arrayContainsAny = function _arrayContainsAny2(toSearch, toFind) {
    var l = toFind.length, i = 0;
    for (; toSearch.indexOf(toFind[i]) < 0 && ++i < l; ) {
    }
    return i < l;
  }, _lazyRender = function _lazyRender2() {
    var l = _lazyTweens.length, a = _lazyTweens.slice(0), i, tween;
    _lazyLookup = {};
    _lazyTweens.length = 0;
    for (i = 0; i < l; i++) {
      tween = a[i];
      tween && tween._lazy && (tween.render(tween._lazy[0], tween._lazy[1], true)._lazy = 0);
    }
  }, _lazySafeRender = function _lazySafeRender2(animation, time, suppressEvents, force) {
    _lazyTweens.length && !_reverting$1 && _lazyRender();
    animation.render(time, suppressEvents, force || _reverting$1 && time < 0 && (animation._initted || animation._startAt));
    _lazyTweens.length && !_reverting$1 && _lazyRender();
  }, _numericIfPossible = function _numericIfPossible2(value) {
    var n = parseFloat(value);
    return (n || n === 0) && (value + "").match(_delimitedValueExp).length < 2 ? n : _isString(value) ? value.trim() : value;
  }, _passThrough = function _passThrough2(p) {
    return p;
  }, _setDefaults = function _setDefaults2(obj, defaults) {
    for (var p in defaults) {
      p in obj || (obj[p] = defaults[p]);
    }
    return obj;
  }, _setKeyframeDefaults = function _setKeyframeDefaults2(excludeDuration) {
    return function(obj, defaults) {
      for (var p in defaults) {
        p in obj || p === "duration" && excludeDuration || p === "ease" || (obj[p] = defaults[p]);
      }
    };
  }, _merge = function _merge2(base, toMerge) {
    for (var p in toMerge) {
      base[p] = toMerge[p];
    }
    return base;
  }, _mergeDeep = function _mergeDeep2(base, toMerge) {
    for (var p in toMerge) {
      p !== "__proto__" && p !== "constructor" && p !== "prototype" && (base[p] = _isObject(toMerge[p]) ? _mergeDeep2(base[p] || (base[p] = {}), toMerge[p]) : toMerge[p]);
    }
    return base;
  }, _copyExcluding = function _copyExcluding2(obj, excluding) {
    var copy = {}, p;
    for (p in obj) {
      p in excluding || (copy[p] = obj[p]);
    }
    return copy;
  }, _inheritDefaults = function _inheritDefaults2(vars) {
    var parent = vars.parent || _globalTimeline, func = vars.keyframes ? _setKeyframeDefaults(_isArray(vars.keyframes)) : _setDefaults;
    if (_isNotFalse(vars.inherit)) {
      while (parent) {
        func(vars, parent.vars.defaults);
        parent = parent.parent || parent._dp;
      }
    }
    return vars;
  }, _arraysMatch = function _arraysMatch2(a1, a2) {
    var i = a1.length, match = i === a2.length;
    while (match && i-- && a1[i] === a2[i]) {
    }
    return i < 0;
  }, _addLinkedListItem = function _addLinkedListItem2(parent, child, firstProp, lastProp, sortBy) {
    if (firstProp === void 0) {
      firstProp = "_first";
    }
    if (lastProp === void 0) {
      lastProp = "_last";
    }
    var prev = parent[lastProp], t;
    if (sortBy) {
      t = child[sortBy];
      while (prev && prev[sortBy] > t) {
        prev = prev._prev;
      }
    }
    if (prev) {
      child._next = prev._next;
      prev._next = child;
    } else {
      child._next = parent[firstProp];
      parent[firstProp] = child;
    }
    if (child._next) {
      child._next._prev = child;
    } else {
      parent[lastProp] = child;
    }
    child._prev = prev;
    child.parent = child._dp = parent;
    return child;
  }, _removeLinkedListItem = function _removeLinkedListItem2(parent, child, firstProp, lastProp) {
    if (firstProp === void 0) {
      firstProp = "_first";
    }
    if (lastProp === void 0) {
      lastProp = "_last";
    }
    var prev = child._prev, next = child._next;
    if (prev) {
      prev._next = next;
    } else if (parent[firstProp] === child) {
      parent[firstProp] = next;
    }
    if (next) {
      next._prev = prev;
    } else if (parent[lastProp] === child) {
      parent[lastProp] = prev;
    }
    child._next = child._prev = child.parent = null;
  }, _removeFromParent = function _removeFromParent2(child, onlyIfParentHasAutoRemove) {
    child.parent && (!onlyIfParentHasAutoRemove || child.parent.autoRemoveChildren) && child.parent.remove && child.parent.remove(child);
    child._act = 0;
  }, _uncache = function _uncache2(animation, child) {
    if (animation && (!child || child._end > animation._dur || child._start < 0)) {
      var a = animation;
      while (a) {
        a._dirty = 1;
        a = a.parent;
      }
    }
    return animation;
  }, _recacheAncestors = function _recacheAncestors2(animation) {
    var parent = animation.parent;
    while (parent && parent.parent) {
      parent._dirty = 1;
      parent.totalDuration();
      parent = parent.parent;
    }
    return animation;
  }, _rewindStartAt = function _rewindStartAt2(tween, totalTime, suppressEvents, force) {
    return tween._startAt && (_reverting$1 ? tween._startAt.revert(_revertConfigNoKill) : tween.vars.immediateRender && !tween.vars.autoRevert || tween._startAt.render(totalTime, true, force));
  }, _hasNoPausedAncestors = function _hasNoPausedAncestors2(animation) {
    return !animation || animation._ts && _hasNoPausedAncestors2(animation.parent);
  }, _elapsedCycleDuration = function _elapsedCycleDuration2(animation) {
    return animation._repeat ? _animationCycle(animation._tTime, animation = animation.duration() + animation._rDelay) * animation : 0;
  }, _animationCycle = function _animationCycle2(tTime, cycleDuration) {
    var whole = Math.floor(tTime /= cycleDuration);
    return tTime && whole === tTime ? whole - 1 : whole;
  }, _parentToChildTotalTime = function _parentToChildTotalTime2(parentTime, child) {
    return (parentTime - child._start) * child._ts + (child._ts >= 0 ? 0 : child._dirty ? child.totalDuration() : child._tDur);
  }, _setEnd = function _setEnd2(animation) {
    return animation._end = _roundPrecise(animation._start + (animation._tDur / Math.abs(animation._ts || animation._rts || _tinyNum) || 0));
  }, _alignPlayhead = function _alignPlayhead2(animation, totalTime) {
    var parent = animation._dp;
    if (parent && parent.smoothChildTiming && animation._ts) {
      animation._start = _roundPrecise(parent._time - (animation._ts > 0 ? totalTime / animation._ts : ((animation._dirty ? animation.totalDuration() : animation._tDur) - totalTime) / -animation._ts));
      _setEnd(animation);
      parent._dirty || _uncache(parent, animation);
    }
    return animation;
  }, _postAddChecks = function _postAddChecks2(timeline, child) {
    var t;
    if (child._time || !child._dur && child._initted || child._start < timeline._time && (child._dur || !child.add)) {
      t = _parentToChildTotalTime(timeline.rawTime(), child);
      if (!child._dur || _clamp(0, child.totalDuration(), t) - child._tTime > _tinyNum) {
        child.render(t, true);
      }
    }
    if (_uncache(timeline, child)._dp && timeline._initted && timeline._time >= timeline._dur && timeline._ts) {
      if (timeline._dur < timeline.duration()) {
        t = timeline;
        while (t._dp) {
          t.rawTime() >= 0 && t.totalTime(t._tTime);
          t = t._dp;
        }
      }
      timeline._zTime = -_tinyNum;
    }
  }, _addToTimeline = function _addToTimeline2(timeline, child, position, skipChecks) {
    child.parent && _removeFromParent(child);
    child._start = _roundPrecise((_isNumber(position) ? position : position || timeline !== _globalTimeline ? _parsePosition(timeline, position, child) : timeline._time) + child._delay);
    child._end = _roundPrecise(child._start + (child.totalDuration() / Math.abs(child.timeScale()) || 0));
    _addLinkedListItem(timeline, child, "_first", "_last", timeline._sort ? "_start" : 0);
    _isFromOrFromStart(child) || (timeline._recent = child);
    skipChecks || _postAddChecks(timeline, child);
    timeline._ts < 0 && _alignPlayhead(timeline, timeline._tTime);
    return timeline;
  }, _scrollTrigger = function _scrollTrigger2(animation, trigger) {
    return (_globals.ScrollTrigger || _missingPlugin("scrollTrigger", trigger)) && _globals.ScrollTrigger.create(trigger, animation);
  }, _attemptInitTween = function _attemptInitTween2(tween, time, force, suppressEvents, tTime) {
    _initTween(tween, time, tTime);
    if (!tween._initted) {
      return 1;
    }
    if (!force && tween._pt && !_reverting$1 && (tween._dur && tween.vars.lazy !== false || !tween._dur && tween.vars.lazy) && _lastRenderedFrame !== _ticker.frame) {
      _lazyTweens.push(tween);
      tween._lazy = [tTime, suppressEvents];
      return 1;
    }
  }, _parentPlayheadIsBeforeStart = function _parentPlayheadIsBeforeStart2(_ref) {
    var parent = _ref.parent;
    return parent && parent._ts && parent._initted && !parent._lock && (parent.rawTime() < 0 || _parentPlayheadIsBeforeStart2(parent));
  }, _isFromOrFromStart = function _isFromOrFromStart2(_ref2) {
    var data = _ref2.data;
    return data === "isFromStart" || data === "isStart";
  }, _renderZeroDurationTween = function _renderZeroDurationTween2(tween, totalTime, suppressEvents, force) {
    var prevRatio = tween.ratio, ratio = totalTime < 0 || !totalTime && (!tween._start && _parentPlayheadIsBeforeStart(tween) && !(!tween._initted && _isFromOrFromStart(tween)) || (tween._ts < 0 || tween._dp._ts < 0) && !_isFromOrFromStart(tween)) ? 0 : 1, repeatDelay = tween._rDelay, tTime = 0, pt, iteration, prevIteration;
    if (repeatDelay && tween._repeat) {
      tTime = _clamp(0, tween._tDur, totalTime);
      iteration = _animationCycle(tTime, repeatDelay);
      tween._yoyo && iteration & 1 && (ratio = 1 - ratio);
      if (iteration !== _animationCycle(tween._tTime, repeatDelay)) {
        prevRatio = 1 - ratio;
        tween.vars.repeatRefresh && tween._initted && tween.invalidate();
      }
    }
    if (ratio !== prevRatio || _reverting$1 || force || tween._zTime === _tinyNum || !totalTime && tween._zTime) {
      if (!tween._initted && _attemptInitTween(tween, totalTime, force, suppressEvents, tTime)) {
        return;
      }
      prevIteration = tween._zTime;
      tween._zTime = totalTime || (suppressEvents ? _tinyNum : 0);
      suppressEvents || (suppressEvents = totalTime && !prevIteration);
      tween.ratio = ratio;
      tween._from && (ratio = 1 - ratio);
      tween._time = 0;
      tween._tTime = tTime;
      pt = tween._pt;
      while (pt) {
        pt.r(ratio, pt.d);
        pt = pt._next;
      }
      totalTime < 0 && _rewindStartAt(tween, totalTime, suppressEvents, true);
      tween._onUpdate && !suppressEvents && _callback(tween, "onUpdate");
      tTime && tween._repeat && !suppressEvents && tween.parent && _callback(tween, "onRepeat");
      if ((totalTime >= tween._tDur || totalTime < 0) && tween.ratio === ratio) {
        ratio && _removeFromParent(tween, 1);
        if (!suppressEvents && !_reverting$1) {
          _callback(tween, ratio ? "onComplete" : "onReverseComplete", true);
          tween._prom && tween._prom();
        }
      }
    } else if (!tween._zTime) {
      tween._zTime = totalTime;
    }
  }, _findNextPauseTween = function _findNextPauseTween2(animation, prevTime, time) {
    var child;
    if (time > prevTime) {
      child = animation._first;
      while (child && child._start <= time) {
        if (child.data === "isPause" && child._start > prevTime) {
          return child;
        }
        child = child._next;
      }
    } else {
      child = animation._last;
      while (child && child._start >= time) {
        if (child.data === "isPause" && child._start < prevTime) {
          return child;
        }
        child = child._prev;
      }
    }
  }, _setDuration = function _setDuration2(animation, duration, skipUncache, leavePlayhead) {
    var repeat = animation._repeat, dur = _roundPrecise(duration) || 0, totalProgress = animation._tTime / animation._tDur;
    totalProgress && !leavePlayhead && (animation._time *= dur / animation._dur);
    animation._dur = dur;
    animation._tDur = !repeat ? dur : repeat < 0 ? 1e10 : _roundPrecise(dur * (repeat + 1) + animation._rDelay * repeat);
    totalProgress > 0 && !leavePlayhead && _alignPlayhead(animation, animation._tTime = animation._tDur * totalProgress);
    animation.parent && _setEnd(animation);
    skipUncache || _uncache(animation.parent, animation);
    return animation;
  }, _onUpdateTotalDuration = function _onUpdateTotalDuration2(animation) {
    return animation instanceof Timeline ? _uncache(animation) : _setDuration(animation, animation._dur);
  }, _zeroPosition = {
    _start: 0,
    endTime: _emptyFunc,
    totalDuration: _emptyFunc
  }, _parsePosition = function _parsePosition2(animation, position, percentAnimation) {
    var labels = animation.labels, recent = animation._recent || _zeroPosition, clippedDuration = animation.duration() >= _bigNum$1 ? recent.endTime(false) : animation._dur, i, offset, isPercent;
    if (_isString(position) && (isNaN(position) || position in labels)) {
      offset = position.charAt(0);
      isPercent = position.substr(-1) === "%";
      i = position.indexOf("=");
      if (offset === "<" || offset === ">") {
        i >= 0 && (position = position.replace(/=/, ""));
        return (offset === "<" ? recent._start : recent.endTime(recent._repeat >= 0)) + (parseFloat(position.substr(1)) || 0) * (isPercent ? (i < 0 ? recent : percentAnimation).totalDuration() / 100 : 1);
      }
      if (i < 0) {
        position in labels || (labels[position] = clippedDuration);
        return labels[position];
      }
      offset = parseFloat(position.charAt(i - 1) + position.substr(i + 1));
      if (isPercent && percentAnimation) {
        offset = offset / 100 * (_isArray(percentAnimation) ? percentAnimation[0] : percentAnimation).totalDuration();
      }
      return i > 1 ? _parsePosition2(animation, position.substr(0, i - 1), percentAnimation) + offset : clippedDuration + offset;
    }
    return position == null ? clippedDuration : +position;
  }, _createTweenType = function _createTweenType2(type, params, timeline) {
    var isLegacy = _isNumber(params[1]), varsIndex = (isLegacy ? 2 : 1) + (type < 2 ? 0 : 1), vars = params[varsIndex], irVars, parent;
    isLegacy && (vars.duration = params[1]);
    vars.parent = timeline;
    if (type) {
      irVars = vars;
      parent = timeline;
      while (parent && !("immediateRender" in irVars)) {
        irVars = parent.vars.defaults || {};
        parent = _isNotFalse(parent.vars.inherit) && parent.parent;
      }
      vars.immediateRender = _isNotFalse(irVars.immediateRender);
      type < 2 ? vars.runBackwards = 1 : vars.startAt = params[varsIndex - 1];
    }
    return new Tween(params[0], vars, params[varsIndex + 1]);
  }, _conditionalReturn = function _conditionalReturn2(value, func) {
    return value || value === 0 ? func(value) : func;
  }, _clamp = function _clamp2(min, max, value) {
    return value < min ? min : value > max ? max : value;
  }, getUnit = function getUnit2(value, v) {
    return !_isString(value) || !(v = _unitExp.exec(value)) ? "" : v[1];
  }, clamp = function clamp2(min, max, value) {
    return _conditionalReturn(value, function(v) {
      return _clamp(min, max, v);
    });
  }, _slice = [].slice, _isArrayLike = function _isArrayLike2(value, nonEmpty) {
    return value && _isObject(value) && "length" in value && (!nonEmpty && !value.length || value.length - 1 in value && _isObject(value[0])) && !value.nodeType && value !== _win$1;
  }, _flatten = function _flatten2(ar, leaveStrings, accumulator) {
    if (accumulator === void 0) {
      accumulator = [];
    }
    return ar.forEach(function(value) {
      var _accumulator;
      return _isString(value) && !leaveStrings || _isArrayLike(value, 1) ? (_accumulator = accumulator).push.apply(_accumulator, toArray(value)) : accumulator.push(value);
    }) || accumulator;
  }, toArray = function toArray2(value, scope, leaveStrings) {
    return _context && !scope && _context.selector ? _context.selector(value) : _isString(value) && !leaveStrings && (_coreInitted || !_wake()) ? _slice.call((scope || _doc$1).querySelectorAll(value), 0) : _isArray(value) ? _flatten(value, leaveStrings) : _isArrayLike(value) ? _slice.call(value, 0) : value ? [value] : [];
  }, selector = function selector2(value) {
    value = toArray(value)[0] || _warn("Invalid scope") || {};
    return function(v) {
      var el = value.current || value.nativeElement || value;
      return toArray(v, el.querySelectorAll ? el : el === value ? _warn("Invalid scope") || _doc$1.createElement("div") : value);
    };
  }, shuffle = function shuffle2(a) {
    return a.sort(function() {
      return 0.5 - Math.random();
    });
  }, distribute = function distribute2(v) {
    if (_isFunction(v)) {
      return v;
    }
    var vars = _isObject(v) ? v : {
      each: v
    }, ease = _parseEase(vars.ease), from = vars.from || 0, base = parseFloat(vars.base) || 0, cache = {}, isDecimal = from > 0 && from < 1, ratios = isNaN(from) || isDecimal, axis = vars.axis, ratioX = from, ratioY = from;
    if (_isString(from)) {
      ratioX = ratioY = {
        center: 0.5,
        edges: 0.5,
        end: 1
      }[from] || 0;
    } else if (!isDecimal && ratios) {
      ratioX = from[0];
      ratioY = from[1];
    }
    return function(i, target, a) {
      var l = (a || vars).length, distances = cache[l], originX, originY, x, y, d, j, max, min, wrapAt;
      if (!distances) {
        wrapAt = vars.grid === "auto" ? 0 : (vars.grid || [1, _bigNum$1])[1];
        if (!wrapAt) {
          max = -_bigNum$1;
          while (max < (max = a[wrapAt++].getBoundingClientRect().left) && wrapAt < l) {
          }
          wrapAt--;
        }
        distances = cache[l] = [];
        originX = ratios ? Math.min(wrapAt, l) * ratioX - 0.5 : from % wrapAt;
        originY = wrapAt === _bigNum$1 ? 0 : ratios ? l * ratioY / wrapAt - 0.5 : from / wrapAt | 0;
        max = 0;
        min = _bigNum$1;
        for (j = 0; j < l; j++) {
          x = j % wrapAt - originX;
          y = originY - (j / wrapAt | 0);
          distances[j] = d = !axis ? _sqrt(x * x + y * y) : Math.abs(axis === "y" ? y : x);
          d > max && (max = d);
          d < min && (min = d);
        }
        from === "random" && shuffle(distances);
        distances.max = max - min;
        distances.min = min;
        distances.v = l = (parseFloat(vars.amount) || parseFloat(vars.each) * (wrapAt > l ? l - 1 : !axis ? Math.max(wrapAt, l / wrapAt) : axis === "y" ? l / wrapAt : wrapAt) || 0) * (from === "edges" ? -1 : 1);
        distances.b = l < 0 ? base - l : base;
        distances.u = getUnit(vars.amount || vars.each) || 0;
        ease = ease && l < 0 ? _invertEase(ease) : ease;
      }
      l = (distances[i] - distances.min) / distances.max || 0;
      return _roundPrecise(distances.b + (ease ? ease(l) : l) * distances.v) + distances.u;
    };
  }, _roundModifier = function _roundModifier2(v) {
    var p = Math.pow(10, ((v + "").split(".")[1] || "").length);
    return function(raw) {
      var n = _roundPrecise(Math.round(parseFloat(raw) / v) * v * p);
      return (n - n % 1) / p + (_isNumber(raw) ? 0 : getUnit(raw));
    };
  }, snap = function snap2(snapTo, value) {
    var isArray = _isArray(snapTo), radius, is2D;
    if (!isArray && _isObject(snapTo)) {
      radius = isArray = snapTo.radius || _bigNum$1;
      if (snapTo.values) {
        snapTo = toArray(snapTo.values);
        if (is2D = !_isNumber(snapTo[0])) {
          radius *= radius;
        }
      } else {
        snapTo = _roundModifier(snapTo.increment);
      }
    }
    return _conditionalReturn(value, !isArray ? _roundModifier(snapTo) : _isFunction(snapTo) ? function(raw) {
      is2D = snapTo(raw);
      return Math.abs(is2D - raw) <= radius ? is2D : raw;
    } : function(raw) {
      var x = parseFloat(is2D ? raw.x : raw), y = parseFloat(is2D ? raw.y : 0), min = _bigNum$1, closest = 0, i = snapTo.length, dx, dy;
      while (i--) {
        if (is2D) {
          dx = snapTo[i].x - x;
          dy = snapTo[i].y - y;
          dx = dx * dx + dy * dy;
        } else {
          dx = Math.abs(snapTo[i] - x);
        }
        if (dx < min) {
          min = dx;
          closest = i;
        }
      }
      closest = !radius || min <= radius ? snapTo[closest] : raw;
      return is2D || closest === raw || _isNumber(raw) ? closest : closest + getUnit(raw);
    });
  }, random = function random2(min, max, roundingIncrement, returnFunction) {
    return _conditionalReturn(_isArray(min) ? !max : roundingIncrement === true ? !!(roundingIncrement = 0) : !returnFunction, function() {
      return _isArray(min) ? min[~~(Math.random() * min.length)] : (roundingIncrement = roundingIncrement || 1e-5) && (returnFunction = roundingIncrement < 1 ? Math.pow(10, (roundingIncrement + "").length - 2) : 1) && Math.floor(Math.round((min - roundingIncrement / 2 + Math.random() * (max - min + roundingIncrement * 0.99)) / roundingIncrement) * roundingIncrement * returnFunction) / returnFunction;
    });
  }, pipe = function pipe2() {
    for (var _len = arguments.length, functions = new Array(_len), _key = 0; _key < _len; _key++) {
      functions[_key] = arguments[_key];
    }
    return function(value) {
      return functions.reduce(function(v, f) {
        return f(v);
      }, value);
    };
  }, unitize = function unitize2(func, unit) {
    return function(value) {
      return func(parseFloat(value)) + (unit || getUnit(value));
    };
  }, normalize = function normalize2(min, max, value) {
    return mapRange(min, max, 0, 1, value);
  }, _wrapArray = function _wrapArray2(a, wrapper, value) {
    return _conditionalReturn(value, function(index) {
      return a[~~wrapper(index)];
    });
  }, wrap = function wrap2(min, max, value) {
    var range = max - min;
    return _isArray(min) ? _wrapArray(min, wrap2(0, min.length), max) : _conditionalReturn(value, function(value2) {
      return (range + (value2 - min) % range) % range + min;
    });
  }, wrapYoyo = function wrapYoyo2(min, max, value) {
    var range = max - min, total = range * 2;
    return _isArray(min) ? _wrapArray(min, wrapYoyo2(0, min.length - 1), max) : _conditionalReturn(value, function(value2) {
      value2 = (total + (value2 - min) % total) % total || 0;
      return min + (value2 > range ? total - value2 : value2);
    });
  }, _replaceRandom = function _replaceRandom2(value) {
    var prev = 0, s = "", i, nums, end, isArray;
    while (~(i = value.indexOf("random(", prev))) {
      end = value.indexOf(")", i);
      isArray = value.charAt(i + 7) === "[";
      nums = value.substr(i + 7, end - i - 7).match(isArray ? _delimitedValueExp : _strictNumExp);
      s += value.substr(prev, i - prev) + random(isArray ? nums : +nums[0], isArray ? 0 : +nums[1], +nums[2] || 1e-5);
      prev = end + 1;
    }
    return s + value.substr(prev, value.length - prev);
  }, mapRange = function mapRange2(inMin, inMax, outMin, outMax, value) {
    var inRange = inMax - inMin, outRange = outMax - outMin;
    return _conditionalReturn(value, function(value2) {
      return outMin + ((value2 - inMin) / inRange * outRange || 0);
    });
  }, interpolate = function interpolate2(start, end, progress, mutate) {
    var func = isNaN(start + end) ? 0 : function(p2) {
      return (1 - p2) * start + p2 * end;
    };
    if (!func) {
      var isString = _isString(start), master = {}, p, i, interpolators, l, il;
      progress === true && (mutate = 1) && (progress = null);
      if (isString) {
        start = {
          p: start
        };
        end = {
          p: end
        };
      } else if (_isArray(start) && !_isArray(end)) {
        interpolators = [];
        l = start.length;
        il = l - 2;
        for (i = 1; i < l; i++) {
          interpolators.push(interpolate2(start[i - 1], start[i]));
        }
        l--;
        func = function func2(p2) {
          p2 *= l;
          var i2 = Math.min(il, ~~p2);
          return interpolators[i2](p2 - i2);
        };
        progress = end;
      } else if (!mutate) {
        start = _merge(_isArray(start) ? [] : {}, start);
      }
      if (!interpolators) {
        for (p in end) {
          _addPropTween.call(master, start, p, "get", end[p]);
        }
        func = function func2(p2) {
          return _renderPropTweens(p2, master) || (isString ? start.p : start);
        };
      }
    }
    return _conditionalReturn(progress, func);
  }, _getLabelInDirection = function _getLabelInDirection2(timeline, fromTime, backward) {
    var labels = timeline.labels, min = _bigNum$1, p, distance, label;
    for (p in labels) {
      distance = labels[p] - fromTime;
      if (distance < 0 === !!backward && distance && min > (distance = Math.abs(distance))) {
        label = p;
        min = distance;
      }
    }
    return label;
  }, _callback = function _callback2(animation, type, executeLazyFirst) {
    var v = animation.vars, callback = v[type], prevContext = _context, context = animation._ctx, params, scope, result;
    if (!callback) {
      return;
    }
    params = v[type + "Params"];
    scope = v.callbackScope || animation;
    executeLazyFirst && _lazyTweens.length && _lazyRender();
    context && (_context = context);
    result = params ? callback.apply(scope, params) : callback.call(scope);
    _context = prevContext;
    return result;
  }, _interrupt = function _interrupt2(animation) {
    _removeFromParent(animation);
    animation.scrollTrigger && animation.scrollTrigger.kill(!!_reverting$1);
    animation.progress() < 1 && _callback(animation, "onInterrupt");
    return animation;
  }, _quickTween, _registerPluginQueue = [], _createPlugin = function _createPlugin2(config) {
    if (_windowExists$1() && config) {
      config = !config.name && config["default"] || config;
      var name = config.name, isFunc = _isFunction(config), Plugin = name && !isFunc && config.init ? function() {
        this._props = [];
      } : config, instanceDefaults = {
        init: _emptyFunc,
        render: _renderPropTweens,
        add: _addPropTween,
        kill: _killPropTweensOf,
        modifier: _addPluginModifier,
        rawVars: 0
      }, statics = {
        targetTest: 0,
        get: 0,
        getSetter: _getSetter,
        aliases: {},
        register: 0
      };
      _wake();
      if (config !== Plugin) {
        if (_plugins[name]) {
          return;
        }
        _setDefaults(Plugin, _setDefaults(_copyExcluding(config, instanceDefaults), statics));
        _merge(Plugin.prototype, _merge(instanceDefaults, _copyExcluding(config, statics)));
        _plugins[Plugin.prop = name] = Plugin;
        if (config.targetTest) {
          _harnessPlugins.push(Plugin);
          _reservedProps[name] = 1;
        }
        name = (name === "css" ? "CSS" : name.charAt(0).toUpperCase() + name.substr(1)) + "Plugin";
      }
      _addGlobal(name, Plugin);
      config.register && config.register(gsap, Plugin, PropTween);
    } else {
      config && _registerPluginQueue.push(config);
    }
  }, _255 = 255, _colorLookup = {
    aqua: [0, _255, _255],
    lime: [0, _255, 0],
    silver: [192, 192, 192],
    black: [0, 0, 0],
    maroon: [128, 0, 0],
    teal: [0, 128, 128],
    blue: [0, 0, _255],
    navy: [0, 0, 128],
    white: [_255, _255, _255],
    olive: [128, 128, 0],
    yellow: [_255, _255, 0],
    orange: [_255, 165, 0],
    gray: [128, 128, 128],
    purple: [128, 0, 128],
    green: [0, 128, 0],
    red: [_255, 0, 0],
    pink: [_255, 192, 203],
    cyan: [0, _255, _255],
    transparent: [_255, _255, _255, 0]
  }, _hue = function _hue2(h, m1, m2) {
    h += h < 0 ? 1 : h > 1 ? -1 : 0;
    return (h * 6 < 1 ? m1 + (m2 - m1) * h * 6 : h < 0.5 ? m2 : h * 3 < 2 ? m1 + (m2 - m1) * (2 / 3 - h) * 6 : m1) * _255 + 0.5 | 0;
  }, splitColor = function splitColor2(v, toHSL, forceAlpha) {
    var a = !v ? _colorLookup.black : _isNumber(v) ? [v >> 16, v >> 8 & _255, v & _255] : 0, r, g, b, h, s, l, max, min, d, wasHSL;
    if (!a) {
      if (v.substr(-1) === ",") {
        v = v.substr(0, v.length - 1);
      }
      if (_colorLookup[v]) {
        a = _colorLookup[v];
      } else if (v.charAt(0) === "#") {
        if (v.length < 6) {
          r = v.charAt(1);
          g = v.charAt(2);
          b = v.charAt(3);
          v = "#" + r + r + g + g + b + b + (v.length === 5 ? v.charAt(4) + v.charAt(4) : "");
        }
        if (v.length === 9) {
          a = parseInt(v.substr(1, 6), 16);
          return [a >> 16, a >> 8 & _255, a & _255, parseInt(v.substr(7), 16) / 255];
        }
        v = parseInt(v.substr(1), 16);
        a = [v >> 16, v >> 8 & _255, v & _255];
      } else if (v.substr(0, 3) === "hsl") {
        a = wasHSL = v.match(_strictNumExp);
        if (!toHSL) {
          h = +a[0] % 360 / 360;
          s = +a[1] / 100;
          l = +a[2] / 100;
          g = l <= 0.5 ? l * (s + 1) : l + s - l * s;
          r = l * 2 - g;
          a.length > 3 && (a[3] *= 1);
          a[0] = _hue(h + 1 / 3, r, g);
          a[1] = _hue(h, r, g);
          a[2] = _hue(h - 1 / 3, r, g);
        } else if (~v.indexOf("=")) {
          a = v.match(_numExp);
          forceAlpha && a.length < 4 && (a[3] = 1);
          return a;
        }
      } else {
        a = v.match(_strictNumExp) || _colorLookup.transparent;
      }
      a = a.map(Number);
    }
    if (toHSL && !wasHSL) {
      r = a[0] / _255;
      g = a[1] / _255;
      b = a[2] / _255;
      max = Math.max(r, g, b);
      min = Math.min(r, g, b);
      l = (max + min) / 2;
      if (max === min) {
        h = s = 0;
      } else {
        d = max - min;
        s = l > 0.5 ? d / (2 - max - min) : d / (max + min);
        h = max === r ? (g - b) / d + (g < b ? 6 : 0) : max === g ? (b - r) / d + 2 : (r - g) / d + 4;
        h *= 60;
      }
      a[0] = ~~(h + 0.5);
      a[1] = ~~(s * 100 + 0.5);
      a[2] = ~~(l * 100 + 0.5);
    }
    forceAlpha && a.length < 4 && (a[3] = 1);
    return a;
  }, _colorOrderData = function _colorOrderData2(v) {
    var values = [], c = [], i = -1;
    v.split(_colorExp).forEach(function(v2) {
      var a = v2.match(_numWithUnitExp) || [];
      values.push.apply(values, a);
      c.push(i += a.length + 1);
    });
    values.c = c;
    return values;
  }, _formatColors = function _formatColors2(s, toHSL, orderMatchData) {
    var result = "", colors = (s + result).match(_colorExp), type = toHSL ? "hsla(" : "rgba(", i = 0, c, shell, d, l;
    if (!colors) {
      return s;
    }
    colors = colors.map(function(color) {
      return (color = splitColor(color, toHSL, 1)) && type + (toHSL ? color[0] + "," + color[1] + "%," + color[2] + "%," + color[3] : color.join(",")) + ")";
    });
    if (orderMatchData) {
      d = _colorOrderData(s);
      c = orderMatchData.c;
      if (c.join(result) !== d.c.join(result)) {
        shell = s.replace(_colorExp, "1").split(_numWithUnitExp);
        l = shell.length - 1;
        for (; i < l; i++) {
          result += shell[i] + (~c.indexOf(i) ? colors.shift() || type + "0,0,0,0)" : (d.length ? d : colors.length ? colors : orderMatchData).shift());
        }
      }
    }
    if (!shell) {
      shell = s.split(_colorExp);
      l = shell.length - 1;
      for (; i < l; i++) {
        result += shell[i] + colors[i];
      }
    }
    return result + shell[l];
  }, _colorExp = function() {
    var s = "(?:\\b(?:(?:rgb|rgba|hsl|hsla)\\(.+?\\))|\\B#(?:[0-9a-f]{3,4}){1,2}\\b", p;
    for (p in _colorLookup) {
      s += "|" + p + "\\b";
    }
    return new RegExp(s + ")", "gi");
  }(), _hslExp = /hsl[a]?\(/, _colorStringFilter = function _colorStringFilter2(a) {
    var combined = a.join(" "), toHSL;
    _colorExp.lastIndex = 0;
    if (_colorExp.test(combined)) {
      toHSL = _hslExp.test(combined);
      a[1] = _formatColors(a[1], toHSL);
      a[0] = _formatColors(a[0], toHSL, _colorOrderData(a[1]));
      return true;
    }
  }, _tickerActive, _ticker = function() {
    var _getTime = Date.now, _lagThreshold = 500, _adjustedLag = 33, _startTime = _getTime(), _lastUpdate = _startTime, _gap = 1e3 / 240, _nextTime = _gap, _listeners2 = [], _id, _req, _raf, _self, _delta, _i, _tick = function _tick2(v) {
      var elapsed = _getTime() - _lastUpdate, manual = v === true, overlap, dispatch, time, frame;
      elapsed > _lagThreshold && (_startTime += elapsed - _adjustedLag);
      _lastUpdate += elapsed;
      time = _lastUpdate - _startTime;
      overlap = time - _nextTime;
      if (overlap > 0 || manual) {
        frame = ++_self.frame;
        _delta = time - _self.time * 1e3;
        _self.time = time = time / 1e3;
        _nextTime += overlap + (overlap >= _gap ? 4 : _gap - overlap);
        dispatch = 1;
      }
      manual || (_id = _req(_tick2));
      if (dispatch) {
        for (_i = 0; _i < _listeners2.length; _i++) {
          _listeners2[_i](time, _delta, frame, v);
        }
      }
    };
    _self = {
      time: 0,
      frame: 0,
      tick: function tick() {
        _tick(true);
      },
      deltaRatio: function deltaRatio(fps) {
        return _delta / (1e3 / (fps || 60));
      },
      wake: function wake() {
        if (_coreReady) {
          if (!_coreInitted && _windowExists$1()) {
            _win$1 = _coreInitted = window;
            _doc$1 = _win$1.document || {};
            _globals.gsap = gsap;
            (_win$1.gsapVersions || (_win$1.gsapVersions = [])).push(gsap.version);
            _install(_installScope || _win$1.GreenSockGlobals || !_win$1.gsap && _win$1 || {});
            _raf = _win$1.requestAnimationFrame;
            _registerPluginQueue.forEach(_createPlugin);
          }
          _id && _self.sleep();
          _req = _raf || function(f) {
            return setTimeout(f, _nextTime - _self.time * 1e3 + 1 | 0);
          };
          _tickerActive = 1;
          _tick(2);
        }
      },
      sleep: function sleep() {
        (_raf ? _win$1.cancelAnimationFrame : clearTimeout)(_id);
        _tickerActive = 0;
        _req = _emptyFunc;
      },
      lagSmoothing: function lagSmoothing(threshold, adjustedLag) {
        _lagThreshold = threshold || Infinity;
        _adjustedLag = Math.min(adjustedLag || 33, _lagThreshold);
      },
      fps: function fps(_fps) {
        _gap = 1e3 / (_fps || 240);
        _nextTime = _self.time * 1e3 + _gap;
      },
      add: function add(callback, once, prioritize) {
        var func = once ? function(t, d, f, v) {
          callback(t, d, f, v);
          _self.remove(func);
        } : callback;
        _self.remove(callback);
        _listeners2[prioritize ? "unshift" : "push"](func);
        _wake();
        return func;
      },
      remove: function remove(callback, i) {
        ~(i = _listeners2.indexOf(callback)) && _listeners2.splice(i, 1) && _i >= i && _i--;
      },
      _listeners: _listeners2
    };
    return _self;
  }(), _wake = function _wake2() {
    return !_tickerActive && _ticker.wake();
  }, _easeMap = {}, _customEaseExp = /^[\d.\-M][\d.\-,\s]/, _quotesExp = /["']/g, _parseObjectInString = function _parseObjectInString2(value) {
    var obj = {}, split = value.substr(1, value.length - 3).split(":"), key = split[0], i = 1, l = split.length, index, val, parsedVal;
    for (; i < l; i++) {
      val = split[i];
      index = i !== l - 1 ? val.lastIndexOf(",") : val.length;
      parsedVal = val.substr(0, index);
      obj[key] = isNaN(parsedVal) ? parsedVal.replace(_quotesExp, "").trim() : +parsedVal;
      key = val.substr(index + 1).trim();
    }
    return obj;
  }, _valueInParentheses = function _valueInParentheses2(value) {
    var open = value.indexOf("(") + 1, close = value.indexOf(")"), nested = value.indexOf("(", open);
    return value.substring(open, ~nested && nested < close ? value.indexOf(")", close + 1) : close);
  }, _configEaseFromString = function _configEaseFromString2(name) {
    var split = (name + "").split("("), ease = _easeMap[split[0]];
    return ease && split.length > 1 && ease.config ? ease.config.apply(null, ~name.indexOf("{") ? [_parseObjectInString(split[1])] : _valueInParentheses(name).split(",").map(_numericIfPossible)) : _easeMap._CE && _customEaseExp.test(name) ? _easeMap._CE("", name) : ease;
  }, _invertEase = function _invertEase2(ease) {
    return function(p) {
      return 1 - ease(1 - p);
    };
  }, _propagateYoyoEase = function _propagateYoyoEase2(timeline, isYoyo) {
    var child = timeline._first, ease;
    while (child) {
      if (child instanceof Timeline) {
        _propagateYoyoEase2(child, isYoyo);
      } else if (child.vars.yoyoEase && (!child._yoyo || !child._repeat) && child._yoyo !== isYoyo) {
        if (child.timeline) {
          _propagateYoyoEase2(child.timeline, isYoyo);
        } else {
          ease = child._ease;
          child._ease = child._yEase;
          child._yEase = ease;
          child._yoyo = isYoyo;
        }
      }
      child = child._next;
    }
  }, _parseEase = function _parseEase2(ease, defaultEase) {
    return !ease ? defaultEase : (_isFunction(ease) ? ease : _easeMap[ease] || _configEaseFromString(ease)) || defaultEase;
  }, _insertEase = function _insertEase2(names, easeIn, easeOut, easeInOut) {
    if (easeOut === void 0) {
      easeOut = function easeOut2(p) {
        return 1 - easeIn(1 - p);
      };
    }
    if (easeInOut === void 0) {
      easeInOut = function easeInOut2(p) {
        return p < 0.5 ? easeIn(p * 2) / 2 : 1 - easeIn((1 - p) * 2) / 2;
      };
    }
    var ease = {
      easeIn,
      easeOut,
      easeInOut
    }, lowercaseName;
    _forEachName(names, function(name) {
      _easeMap[name] = _globals[name] = ease;
      _easeMap[lowercaseName = name.toLowerCase()] = easeOut;
      for (var p in ease) {
        _easeMap[lowercaseName + (p === "easeIn" ? ".in" : p === "easeOut" ? ".out" : ".inOut")] = _easeMap[name + "." + p] = ease[p];
      }
    });
    return ease;
  }, _easeInOutFromOut = function _easeInOutFromOut2(easeOut) {
    return function(p) {
      return p < 0.5 ? (1 - easeOut(1 - p * 2)) / 2 : 0.5 + easeOut((p - 0.5) * 2) / 2;
    };
  }, _configElastic = function _configElastic2(type, amplitude, period) {
    var p1 = amplitude >= 1 ? amplitude : 1, p2 = (period || (type ? 0.3 : 0.45)) / (amplitude < 1 ? amplitude : 1), p3 = p2 / _2PI * (Math.asin(1 / p1) || 0), easeOut = function easeOut2(p) {
      return p === 1 ? 1 : p1 * Math.pow(2, -10 * p) * _sin((p - p3) * p2) + 1;
    }, ease = type === "out" ? easeOut : type === "in" ? function(p) {
      return 1 - easeOut(1 - p);
    } : _easeInOutFromOut(easeOut);
    p2 = _2PI / p2;
    ease.config = function(amplitude2, period2) {
      return _configElastic2(type, amplitude2, period2);
    };
    return ease;
  }, _configBack = function _configBack2(type, overshoot) {
    if (overshoot === void 0) {
      overshoot = 1.70158;
    }
    var easeOut = function easeOut2(p) {
      return p ? --p * p * ((overshoot + 1) * p + overshoot) + 1 : 0;
    }, ease = type === "out" ? easeOut : type === "in" ? function(p) {
      return 1 - easeOut(1 - p);
    } : _easeInOutFromOut(easeOut);
    ease.config = function(overshoot2) {
      return _configBack2(type, overshoot2);
    };
    return ease;
  };
  _forEachName("Linear,Quad,Cubic,Quart,Quint,Strong", function(name, i) {
    var power = i < 5 ? i + 1 : i;
    _insertEase(name + ",Power" + (power - 1), i ? function(p) {
      return Math.pow(p, power);
    } : function(p) {
      return p;
    }, function(p) {
      return 1 - Math.pow(1 - p, power);
    }, function(p) {
      return p < 0.5 ? Math.pow(p * 2, power) / 2 : 1 - Math.pow((1 - p) * 2, power) / 2;
    });
  });
  _easeMap.Linear.easeNone = _easeMap.none = _easeMap.Linear.easeIn;
  _insertEase("Elastic", _configElastic("in"), _configElastic("out"), _configElastic());
  (function(n, c) {
    var n1 = 1 / c, n2 = 2 * n1, n3 = 2.5 * n1, easeOut = function easeOut2(p) {
      return p < n1 ? n * p * p : p < n2 ? n * Math.pow(p - 1.5 / c, 2) + 0.75 : p < n3 ? n * (p -= 2.25 / c) * p + 0.9375 : n * Math.pow(p - 2.625 / c, 2) + 0.984375;
    };
    _insertEase("Bounce", function(p) {
      return 1 - easeOut(1 - p);
    }, easeOut);
  })(7.5625, 2.75);
  _insertEase("Expo", function(p) {
    return p ? Math.pow(2, 10 * (p - 1)) : 0;
  });
  _insertEase("Circ", function(p) {
    return -(_sqrt(1 - p * p) - 1);
  });
  _insertEase("Sine", function(p) {
    return p === 1 ? 1 : -_cos(p * _HALF_PI) + 1;
  });
  _insertEase("Back", _configBack("in"), _configBack("out"), _configBack());
  _easeMap.SteppedEase = _easeMap.steps = _globals.SteppedEase = {
    config: function config(steps, immediateStart) {
      if (steps === void 0) {
        steps = 1;
      }
      var p1 = 1 / steps, p2 = steps + (immediateStart ? 0 : 1), p3 = immediateStart ? 1 : 0, max = 1 - _tinyNum;
      return function(p) {
        return ((p2 * _clamp(0, max, p) | 0) + p3) * p1;
      };
    }
  };
  _defaults.ease = _easeMap["quad.out"];
  _forEachName("onComplete,onUpdate,onStart,onRepeat,onReverseComplete,onInterrupt", function(name) {
    return _callbackNames += name + "," + name + "Params,";
  });
  var GSCache = function GSCache2(target, harness) {
    this.id = _gsID++;
    target._gsap = this;
    this.target = target;
    this.harness = harness;
    this.get = harness ? harness.get : _getProperty;
    this.set = harness ? harness.getSetter : _getSetter;
  };
  var Animation = /* @__PURE__ */ function() {
    function Animation2(vars) {
      this.vars = vars;
      this._delay = +vars.delay || 0;
      if (this._repeat = vars.repeat === Infinity ? -2 : vars.repeat || 0) {
        this._rDelay = vars.repeatDelay || 0;
        this._yoyo = !!vars.yoyo || !!vars.yoyoEase;
      }
      this._ts = 1;
      _setDuration(this, +vars.duration, 1, 1);
      this.data = vars.data;
      if (_context) {
        this._ctx = _context;
        _context.data.push(this);
      }
      _tickerActive || _ticker.wake();
    }
    var _proto = Animation2.prototype;
    _proto.delay = function delay(value) {
      if (value || value === 0) {
        this.parent && this.parent.smoothChildTiming && this.startTime(this._start + value - this._delay);
        this._delay = value;
        return this;
      }
      return this._delay;
    };
    _proto.duration = function duration(value) {
      return arguments.length ? this.totalDuration(this._repeat > 0 ? value + (value + this._rDelay) * this._repeat : value) : this.totalDuration() && this._dur;
    };
    _proto.totalDuration = function totalDuration(value) {
      if (!arguments.length) {
        return this._tDur;
      }
      this._dirty = 0;
      return _setDuration(this, this._repeat < 0 ? value : (value - this._repeat * this._rDelay) / (this._repeat + 1));
    };
    _proto.totalTime = function totalTime(_totalTime, suppressEvents) {
      _wake();
      if (!arguments.length) {
        return this._tTime;
      }
      var parent = this._dp;
      if (parent && parent.smoothChildTiming && this._ts) {
        _alignPlayhead(this, _totalTime);
        !parent._dp || parent.parent || _postAddChecks(parent, this);
        while (parent && parent.parent) {
          if (parent.parent._time !== parent._start + (parent._ts >= 0 ? parent._tTime / parent._ts : (parent.totalDuration() - parent._tTime) / -parent._ts)) {
            parent.totalTime(parent._tTime, true);
          }
          parent = parent.parent;
        }
        if (!this.parent && this._dp.autoRemoveChildren && (this._ts > 0 && _totalTime < this._tDur || this._ts < 0 && _totalTime > 0 || !this._tDur && !_totalTime)) {
          _addToTimeline(this._dp, this, this._start - this._delay);
        }
      }
      if (this._tTime !== _totalTime || !this._dur && !suppressEvents || this._initted && Math.abs(this._zTime) === _tinyNum || !_totalTime && !this._initted && (this.add || this._ptLookup)) {
        this._ts || (this._pTime = _totalTime);
        _lazySafeRender(this, _totalTime, suppressEvents);
      }
      return this;
    };
    _proto.time = function time(value, suppressEvents) {
      return arguments.length ? this.totalTime(Math.min(this.totalDuration(), value + _elapsedCycleDuration(this)) % (this._dur + this._rDelay) || (value ? this._dur : 0), suppressEvents) : this._time;
    };
    _proto.totalProgress = function totalProgress(value, suppressEvents) {
      return arguments.length ? this.totalTime(this.totalDuration() * value, suppressEvents) : this.totalDuration() ? Math.min(1, this._tTime / this._tDur) : this.ratio;
    };
    _proto.progress = function progress(value, suppressEvents) {
      return arguments.length ? this.totalTime(this.duration() * (this._yoyo && !(this.iteration() & 1) ? 1 - value : value) + _elapsedCycleDuration(this), suppressEvents) : this.duration() ? Math.min(1, this._time / this._dur) : this.ratio;
    };
    _proto.iteration = function iteration(value, suppressEvents) {
      var cycleDuration = this.duration() + this._rDelay;
      return arguments.length ? this.totalTime(this._time + (value - 1) * cycleDuration, suppressEvents) : this._repeat ? _animationCycle(this._tTime, cycleDuration) + 1 : 1;
    };
    _proto.timeScale = function timeScale(value) {
      if (!arguments.length) {
        return this._rts === -_tinyNum ? 0 : this._rts;
      }
      if (this._rts === value) {
        return this;
      }
      var tTime = this.parent && this._ts ? _parentToChildTotalTime(this.parent._time, this) : this._tTime;
      this._rts = +value || 0;
      this._ts = this._ps || value === -_tinyNum ? 0 : this._rts;
      this.totalTime(_clamp(-Math.abs(this._delay), this._tDur, tTime), true);
      _setEnd(this);
      return _recacheAncestors(this);
    };
    _proto.paused = function paused(value) {
      if (!arguments.length) {
        return this._ps;
      }
      if (this._ps !== value) {
        this._ps = value;
        if (value) {
          this._pTime = this._tTime || Math.max(-this._delay, this.rawTime());
          this._ts = this._act = 0;
        } else {
          _wake();
          this._ts = this._rts;
          this.totalTime(this.parent && !this.parent.smoothChildTiming ? this.rawTime() : this._tTime || this._pTime, this.progress() === 1 && Math.abs(this._zTime) !== _tinyNum && (this._tTime -= _tinyNum));
        }
      }
      return this;
    };
    _proto.startTime = function startTime(value) {
      if (arguments.length) {
        this._start = value;
        var parent = this.parent || this._dp;
        parent && (parent._sort || !this.parent) && _addToTimeline(parent, this, value - this._delay);
        return this;
      }
      return this._start;
    };
    _proto.endTime = function endTime(includeRepeats) {
      return this._start + (_isNotFalse(includeRepeats) ? this.totalDuration() : this.duration()) / Math.abs(this._ts || 1);
    };
    _proto.rawTime = function rawTime(wrapRepeats) {
      var parent = this.parent || this._dp;
      return !parent ? this._tTime : wrapRepeats && (!this._ts || this._repeat && this._time && this.totalProgress() < 1) ? this._tTime % (this._dur + this._rDelay) : !this._ts ? this._tTime : _parentToChildTotalTime(parent.rawTime(wrapRepeats), this);
    };
    _proto.revert = function revert(config) {
      if (config === void 0) {
        config = _revertConfig;
      }
      var prevIsReverting = _reverting$1;
      _reverting$1 = config;
      if (this._initted || this._startAt) {
        this.timeline && this.timeline.revert(config);
        this.totalTime(-0.01, config.suppressEvents);
      }
      this.data !== "nested" && config.kill !== false && this.kill();
      _reverting$1 = prevIsReverting;
      return this;
    };
    _proto.globalTime = function globalTime(rawTime) {
      var animation = this, time = arguments.length ? rawTime : animation.rawTime();
      while (animation) {
        time = animation._start + time / (animation._ts || 1);
        animation = animation._dp;
      }
      return !this.parent && this._sat ? this._sat.vars.immediateRender ? -Infinity : this._sat.globalTime(rawTime) : time;
    };
    _proto.repeat = function repeat(value) {
      if (arguments.length) {
        this._repeat = value === Infinity ? -2 : value;
        return _onUpdateTotalDuration(this);
      }
      return this._repeat === -2 ? Infinity : this._repeat;
    };
    _proto.repeatDelay = function repeatDelay(value) {
      if (arguments.length) {
        var time = this._time;
        this._rDelay = value;
        _onUpdateTotalDuration(this);
        return time ? this.time(time) : this;
      }
      return this._rDelay;
    };
    _proto.yoyo = function yoyo(value) {
      if (arguments.length) {
        this._yoyo = value;
        return this;
      }
      return this._yoyo;
    };
    _proto.seek = function seek(position, suppressEvents) {
      return this.totalTime(_parsePosition(this, position), _isNotFalse(suppressEvents));
    };
    _proto.restart = function restart(includeDelay, suppressEvents) {
      return this.play().totalTime(includeDelay ? -this._delay : 0, _isNotFalse(suppressEvents));
    };
    _proto.play = function play(from, suppressEvents) {
      from != null && this.seek(from, suppressEvents);
      return this.reversed(false).paused(false);
    };
    _proto.reverse = function reverse(from, suppressEvents) {
      from != null && this.seek(from || this.totalDuration(), suppressEvents);
      return this.reversed(true).paused(false);
    };
    _proto.pause = function pause(atTime, suppressEvents) {
      atTime != null && this.seek(atTime, suppressEvents);
      return this.paused(true);
    };
    _proto.resume = function resume() {
      return this.paused(false);
    };
    _proto.reversed = function reversed(value) {
      if (arguments.length) {
        !!value !== this.reversed() && this.timeScale(-this._rts || (value ? -_tinyNum : 0));
        return this;
      }
      return this._rts < 0;
    };
    _proto.invalidate = function invalidate() {
      this._initted = this._act = 0;
      this._zTime = -_tinyNum;
      return this;
    };
    _proto.isActive = function isActive() {
      var parent = this.parent || this._dp, start = this._start, rawTime;
      return !!(!parent || this._ts && this._initted && parent.isActive() && (rawTime = parent.rawTime(true)) >= start && rawTime < this.endTime(true) - _tinyNum);
    };
    _proto.eventCallback = function eventCallback(type, callback, params) {
      var vars = this.vars;
      if (arguments.length > 1) {
        if (!callback) {
          delete vars[type];
        } else {
          vars[type] = callback;
          params && (vars[type + "Params"] = params);
          type === "onUpdate" && (this._onUpdate = callback);
        }
        return this;
      }
      return vars[type];
    };
    _proto.then = function then(onFulfilled) {
      var self2 = this;
      return new Promise(function(resolve) {
        var f = _isFunction(onFulfilled) ? onFulfilled : _passThrough, _resolve = function _resolve2() {
          var _then = self2.then;
          self2.then = null;
          _isFunction(f) && (f = f(self2)) && (f.then || f === self2) && (self2.then = _then);
          resolve(f);
          self2.then = _then;
        };
        if (self2._initted && self2.totalProgress() === 1 && self2._ts >= 0 || !self2._tTime && self2._ts < 0) {
          _resolve();
        } else {
          self2._prom = _resolve;
        }
      });
    };
    _proto.kill = function kill() {
      _interrupt(this);
    };
    return Animation2;
  }();
  _setDefaults(Animation.prototype, {
    _time: 0,
    _start: 0,
    _end: 0,
    _tTime: 0,
    _tDur: 0,
    _dirty: 0,
    _repeat: 0,
    _yoyo: false,
    parent: null,
    _initted: false,
    _rDelay: 0,
    _ts: 1,
    _dp: 0,
    ratio: 0,
    _zTime: -_tinyNum,
    _prom: 0,
    _ps: false,
    _rts: 1
  });
  var Timeline = /* @__PURE__ */ function(_Animation) {
    _inheritsLoose(Timeline2, _Animation);
    function Timeline2(vars, position) {
      var _this;
      if (vars === void 0) {
        vars = {};
      }
      _this = _Animation.call(this, vars) || this;
      _this.labels = {};
      _this.smoothChildTiming = !!vars.smoothChildTiming;
      _this.autoRemoveChildren = !!vars.autoRemoveChildren;
      _this._sort = _isNotFalse(vars.sortChildren);
      _globalTimeline && _addToTimeline(vars.parent || _globalTimeline, _assertThisInitialized(_this), position);
      vars.reversed && _this.reverse();
      vars.paused && _this.paused(true);
      vars.scrollTrigger && _scrollTrigger(_assertThisInitialized(_this), vars.scrollTrigger);
      return _this;
    }
    var _proto2 = Timeline2.prototype;
    _proto2.to = function to(targets, vars, position) {
      _createTweenType(0, arguments, this);
      return this;
    };
    _proto2.from = function from(targets, vars, position) {
      _createTweenType(1, arguments, this);
      return this;
    };
    _proto2.fromTo = function fromTo(targets, fromVars, toVars, position) {
      _createTweenType(2, arguments, this);
      return this;
    };
    _proto2.set = function set(targets, vars, position) {
      vars.duration = 0;
      vars.parent = this;
      _inheritDefaults(vars).repeatDelay || (vars.repeat = 0);
      vars.immediateRender = !!vars.immediateRender;
      new Tween(targets, vars, _parsePosition(this, position), 1);
      return this;
    };
    _proto2.call = function call(callback, params, position) {
      return _addToTimeline(this, Tween.delayedCall(0, callback, params), position);
    };
    _proto2.staggerTo = function staggerTo(targets, duration, vars, stagger, position, onCompleteAll, onCompleteAllParams) {
      vars.duration = duration;
      vars.stagger = vars.stagger || stagger;
      vars.onComplete = onCompleteAll;
      vars.onCompleteParams = onCompleteAllParams;
      vars.parent = this;
      new Tween(targets, vars, _parsePosition(this, position));
      return this;
    };
    _proto2.staggerFrom = function staggerFrom(targets, duration, vars, stagger, position, onCompleteAll, onCompleteAllParams) {
      vars.runBackwards = 1;
      _inheritDefaults(vars).immediateRender = _isNotFalse(vars.immediateRender);
      return this.staggerTo(targets, duration, vars, stagger, position, onCompleteAll, onCompleteAllParams);
    };
    _proto2.staggerFromTo = function staggerFromTo(targets, duration, fromVars, toVars, stagger, position, onCompleteAll, onCompleteAllParams) {
      toVars.startAt = fromVars;
      _inheritDefaults(toVars).immediateRender = _isNotFalse(toVars.immediateRender);
      return this.staggerTo(targets, duration, toVars, stagger, position, onCompleteAll, onCompleteAllParams);
    };
    _proto2.render = function render(totalTime, suppressEvents, force) {
      var prevTime = this._time, tDur = this._dirty ? this.totalDuration() : this._tDur, dur = this._dur, tTime = totalTime <= 0 ? 0 : _roundPrecise(totalTime), crossingStart = this._zTime < 0 !== totalTime < 0 && (this._initted || !dur), time, child, next, iteration, cycleDuration, prevPaused, pauseTween, timeScale, prevStart, prevIteration, yoyo, isYoyo;
      this !== _globalTimeline && tTime > tDur && totalTime >= 0 && (tTime = tDur);
      if (tTime !== this._tTime || force || crossingStart) {
        if (prevTime !== this._time && dur) {
          tTime += this._time - prevTime;
          totalTime += this._time - prevTime;
        }
        time = tTime;
        prevStart = this._start;
        timeScale = this._ts;
        prevPaused = !timeScale;
        if (crossingStart) {
          dur || (prevTime = this._zTime);
          (totalTime || !suppressEvents) && (this._zTime = totalTime);
        }
        if (this._repeat) {
          yoyo = this._yoyo;
          cycleDuration = dur + this._rDelay;
          if (this._repeat < -1 && totalTime < 0) {
            return this.totalTime(cycleDuration * 100 + totalTime, suppressEvents, force);
          }
          time = _roundPrecise(tTime % cycleDuration);
          if (tTime === tDur) {
            iteration = this._repeat;
            time = dur;
          } else {
            iteration = ~~(tTime / cycleDuration);
            if (iteration && iteration === tTime / cycleDuration) {
              time = dur;
              iteration--;
            }
            time > dur && (time = dur);
          }
          prevIteration = _animationCycle(this._tTime, cycleDuration);
          !prevTime && this._tTime && prevIteration !== iteration && this._tTime - prevIteration * cycleDuration - this._dur <= 0 && (prevIteration = iteration);
          if (yoyo && iteration & 1) {
            time = dur - time;
            isYoyo = 1;
          }
          if (iteration !== prevIteration && !this._lock) {
            var rewinding = yoyo && prevIteration & 1, doesWrap = rewinding === (yoyo && iteration & 1);
            iteration < prevIteration && (rewinding = !rewinding);
            prevTime = rewinding ? 0 : tTime % dur ? dur : tTime;
            this._lock = 1;
            this.render(prevTime || (isYoyo ? 0 : _roundPrecise(iteration * cycleDuration)), suppressEvents, !dur)._lock = 0;
            this._tTime = tTime;
            !suppressEvents && this.parent && _callback(this, "onRepeat");
            this.vars.repeatRefresh && !isYoyo && (this.invalidate()._lock = 1);
            if (prevTime && prevTime !== this._time || prevPaused !== !this._ts || this.vars.onRepeat && !this.parent && !this._act) {
              return this;
            }
            dur = this._dur;
            tDur = this._tDur;
            if (doesWrap) {
              this._lock = 2;
              prevTime = rewinding ? dur : -1e-4;
              this.render(prevTime, true);
              this.vars.repeatRefresh && !isYoyo && this.invalidate();
            }
            this._lock = 0;
            if (!this._ts && !prevPaused) {
              return this;
            }
            _propagateYoyoEase(this, isYoyo);
          }
        }
        if (this._hasPause && !this._forcing && this._lock < 2) {
          pauseTween = _findNextPauseTween(this, _roundPrecise(prevTime), _roundPrecise(time));
          if (pauseTween) {
            tTime -= time - (time = pauseTween._start);
          }
        }
        this._tTime = tTime;
        this._time = time;
        this._act = !timeScale;
        if (!this._initted) {
          this._onUpdate = this.vars.onUpdate;
          this._initted = 1;
          this._zTime = totalTime;
          prevTime = 0;
        }
        if (!prevTime && time && !suppressEvents && !iteration) {
          _callback(this, "onStart");
          if (this._tTime !== tTime) {
            return this;
          }
        }
        if (time >= prevTime && totalTime >= 0) {
          child = this._first;
          while (child) {
            next = child._next;
            if ((child._act || time >= child._start) && child._ts && pauseTween !== child) {
              if (child.parent !== this) {
                return this.render(totalTime, suppressEvents, force);
              }
              child.render(child._ts > 0 ? (time - child._start) * child._ts : (child._dirty ? child.totalDuration() : child._tDur) + (time - child._start) * child._ts, suppressEvents, force);
              if (time !== this._time || !this._ts && !prevPaused) {
                pauseTween = 0;
                next && (tTime += this._zTime = -_tinyNum);
                break;
              }
            }
            child = next;
          }
        } else {
          child = this._last;
          var adjustedTime = totalTime < 0 ? totalTime : time;
          while (child) {
            next = child._prev;
            if ((child._act || adjustedTime <= child._end) && child._ts && pauseTween !== child) {
              if (child.parent !== this) {
                return this.render(totalTime, suppressEvents, force);
              }
              child.render(child._ts > 0 ? (adjustedTime - child._start) * child._ts : (child._dirty ? child.totalDuration() : child._tDur) + (adjustedTime - child._start) * child._ts, suppressEvents, force || _reverting$1 && (child._initted || child._startAt));
              if (time !== this._time || !this._ts && !prevPaused) {
                pauseTween = 0;
                next && (tTime += this._zTime = adjustedTime ? -_tinyNum : _tinyNum);
                break;
              }
            }
            child = next;
          }
        }
        if (pauseTween && !suppressEvents) {
          this.pause();
          pauseTween.render(time >= prevTime ? 0 : -_tinyNum)._zTime = time >= prevTime ? 1 : -1;
          if (this._ts) {
            this._start = prevStart;
            _setEnd(this);
            return this.render(totalTime, suppressEvents, force);
          }
        }
        this._onUpdate && !suppressEvents && _callback(this, "onUpdate", true);
        if (tTime === tDur && this._tTime >= this.totalDuration() || !tTime && prevTime) {
          if (prevStart === this._start || Math.abs(timeScale) !== Math.abs(this._ts)) {
            if (!this._lock) {
              (totalTime || !dur) && (tTime === tDur && this._ts > 0 || !tTime && this._ts < 0) && _removeFromParent(this, 1);
              if (!suppressEvents && !(totalTime < 0 && !prevTime) && (tTime || prevTime || !tDur)) {
                _callback(this, tTime === tDur && totalTime >= 0 ? "onComplete" : "onReverseComplete", true);
                this._prom && !(tTime < tDur && this.timeScale() > 0) && this._prom();
              }
            }
          }
        }
      }
      return this;
    };
    _proto2.add = function add(child, position) {
      var _this2 = this;
      _isNumber(position) || (position = _parsePosition(this, position, child));
      if (!(child instanceof Animation)) {
        if (_isArray(child)) {
          child.forEach(function(obj) {
            return _this2.add(obj, position);
          });
          return this;
        }
        if (_isString(child)) {
          return this.addLabel(child, position);
        }
        if (_isFunction(child)) {
          child = Tween.delayedCall(0, child);
        } else {
          return this;
        }
      }
      return this !== child ? _addToTimeline(this, child, position) : this;
    };
    _proto2.getChildren = function getChildren(nested, tweens, timelines, ignoreBeforeTime) {
      if (nested === void 0) {
        nested = true;
      }
      if (tweens === void 0) {
        tweens = true;
      }
      if (timelines === void 0) {
        timelines = true;
      }
      if (ignoreBeforeTime === void 0) {
        ignoreBeforeTime = -_bigNum$1;
      }
      var a = [], child = this._first;
      while (child) {
        if (child._start >= ignoreBeforeTime) {
          if (child instanceof Tween) {
            tweens && a.push(child);
          } else {
            timelines && a.push(child);
            nested && a.push.apply(a, child.getChildren(true, tweens, timelines));
          }
        }
        child = child._next;
      }
      return a;
    };
    _proto2.getById = function getById(id) {
      var animations = this.getChildren(1, 1, 1), i = animations.length;
      while (i--) {
        if (animations[i].vars.id === id) {
          return animations[i];
        }
      }
    };
    _proto2.remove = function remove(child) {
      if (_isString(child)) {
        return this.removeLabel(child);
      }
      if (_isFunction(child)) {
        return this.killTweensOf(child);
      }
      _removeLinkedListItem(this, child);
      if (child === this._recent) {
        this._recent = this._last;
      }
      return _uncache(this);
    };
    _proto2.totalTime = function totalTime(_totalTime2, suppressEvents) {
      if (!arguments.length) {
        return this._tTime;
      }
      this._forcing = 1;
      if (!this._dp && this._ts) {
        this._start = _roundPrecise(_ticker.time - (this._ts > 0 ? _totalTime2 / this._ts : (this.totalDuration() - _totalTime2) / -this._ts));
      }
      _Animation.prototype.totalTime.call(this, _totalTime2, suppressEvents);
      this._forcing = 0;
      return this;
    };
    _proto2.addLabel = function addLabel(label, position) {
      this.labels[label] = _parsePosition(this, position);
      return this;
    };
    _proto2.removeLabel = function removeLabel(label) {
      delete this.labels[label];
      return this;
    };
    _proto2.addPause = function addPause(position, callback, params) {
      var t = Tween.delayedCall(0, callback || _emptyFunc, params);
      t.data = "isPause";
      this._hasPause = 1;
      return _addToTimeline(this, t, _parsePosition(this, position));
    };
    _proto2.removePause = function removePause(position) {
      var child = this._first;
      position = _parsePosition(this, position);
      while (child) {
        if (child._start === position && child.data === "isPause") {
          _removeFromParent(child);
        }
        child = child._next;
      }
    };
    _proto2.killTweensOf = function killTweensOf(targets, props, onlyActive) {
      var tweens = this.getTweensOf(targets, onlyActive), i = tweens.length;
      while (i--) {
        _overwritingTween !== tweens[i] && tweens[i].kill(targets, props);
      }
      return this;
    };
    _proto2.getTweensOf = function getTweensOf(targets, onlyActive) {
      var a = [], parsedTargets = toArray(targets), child = this._first, isGlobalTime = _isNumber(onlyActive), children;
      while (child) {
        if (child instanceof Tween) {
          if (_arrayContainsAny(child._targets, parsedTargets) && (isGlobalTime ? (!_overwritingTween || child._initted && child._ts) && child.globalTime(0) <= onlyActive && child.globalTime(child.totalDuration()) > onlyActive : !onlyActive || child.isActive())) {
            a.push(child);
          }
        } else if ((children = child.getTweensOf(parsedTargets, onlyActive)).length) {
          a.push.apply(a, children);
        }
        child = child._next;
      }
      return a;
    };
    _proto2.tweenTo = function tweenTo(position, vars) {
      vars = vars || {};
      var tl = this, endTime = _parsePosition(tl, position), _vars = vars, startAt = _vars.startAt, _onStart = _vars.onStart, onStartParams = _vars.onStartParams, immediateRender = _vars.immediateRender, initted, tween = Tween.to(tl, _setDefaults({
        ease: vars.ease || "none",
        lazy: false,
        immediateRender: false,
        time: endTime,
        overwrite: "auto",
        duration: vars.duration || Math.abs((endTime - (startAt && "time" in startAt ? startAt.time : tl._time)) / tl.timeScale()) || _tinyNum,
        onStart: function onStart() {
          tl.pause();
          if (!initted) {
            var duration = vars.duration || Math.abs((endTime - (startAt && "time" in startAt ? startAt.time : tl._time)) / tl.timeScale());
            tween._dur !== duration && _setDuration(tween, duration, 0, 1).render(tween._time, true, true);
            initted = 1;
          }
          _onStart && _onStart.apply(tween, onStartParams || []);
        }
      }, vars));
      return immediateRender ? tween.render(0) : tween;
    };
    _proto2.tweenFromTo = function tweenFromTo(fromPosition, toPosition, vars) {
      return this.tweenTo(toPosition, _setDefaults({
        startAt: {
          time: _parsePosition(this, fromPosition)
        }
      }, vars));
    };
    _proto2.recent = function recent() {
      return this._recent;
    };
    _proto2.nextLabel = function nextLabel(afterTime) {
      if (afterTime === void 0) {
        afterTime = this._time;
      }
      return _getLabelInDirection(this, _parsePosition(this, afterTime));
    };
    _proto2.previousLabel = function previousLabel(beforeTime) {
      if (beforeTime === void 0) {
        beforeTime = this._time;
      }
      return _getLabelInDirection(this, _parsePosition(this, beforeTime), 1);
    };
    _proto2.currentLabel = function currentLabel(value) {
      return arguments.length ? this.seek(value, true) : this.previousLabel(this._time + _tinyNum);
    };
    _proto2.shiftChildren = function shiftChildren(amount, adjustLabels, ignoreBeforeTime) {
      if (ignoreBeforeTime === void 0) {
        ignoreBeforeTime = 0;
      }
      var child = this._first, labels = this.labels, p;
      while (child) {
        if (child._start >= ignoreBeforeTime) {
          child._start += amount;
          child._end += amount;
        }
        child = child._next;
      }
      if (adjustLabels) {
        for (p in labels) {
          if (labels[p] >= ignoreBeforeTime) {
            labels[p] += amount;
          }
        }
      }
      return _uncache(this);
    };
    _proto2.invalidate = function invalidate(soft) {
      var child = this._first;
      this._lock = 0;
      while (child) {
        child.invalidate(soft);
        child = child._next;
      }
      return _Animation.prototype.invalidate.call(this, soft);
    };
    _proto2.clear = function clear(includeLabels) {
      if (includeLabels === void 0) {
        includeLabels = true;
      }
      var child = this._first, next;
      while (child) {
        next = child._next;
        this.remove(child);
        child = next;
      }
      this._dp && (this._time = this._tTime = this._pTime = 0);
      includeLabels && (this.labels = {});
      return _uncache(this);
    };
    _proto2.totalDuration = function totalDuration(value) {
      var max = 0, self2 = this, child = self2._last, prevStart = _bigNum$1, prev, start, parent;
      if (arguments.length) {
        return self2.timeScale((self2._repeat < 0 ? self2.duration() : self2.totalDuration()) / (self2.reversed() ? -value : value));
      }
      if (self2._dirty) {
        parent = self2.parent;
        while (child) {
          prev = child._prev;
          child._dirty && child.totalDuration();
          start = child._start;
          if (start > prevStart && self2._sort && child._ts && !self2._lock) {
            self2._lock = 1;
            _addToTimeline(self2, child, start - child._delay, 1)._lock = 0;
          } else {
            prevStart = start;
          }
          if (start < 0 && child._ts) {
            max -= start;
            if (!parent && !self2._dp || parent && parent.smoothChildTiming) {
              self2._start += start / self2._ts;
              self2._time -= start;
              self2._tTime -= start;
            }
            self2.shiftChildren(-start, false, -Infinity);
            prevStart = 0;
          }
          child._end > max && child._ts && (max = child._end);
          child = prev;
        }
        _setDuration(self2, self2 === _globalTimeline && self2._time > max ? self2._time : max, 1, 1);
        self2._dirty = 0;
      }
      return self2._tDur;
    };
    Timeline2.updateRoot = function updateRoot(time) {
      if (_globalTimeline._ts) {
        _lazySafeRender(_globalTimeline, _parentToChildTotalTime(time, _globalTimeline));
        _lastRenderedFrame = _ticker.frame;
      }
      if (_ticker.frame >= _nextGCFrame) {
        _nextGCFrame += _config.autoSleep || 120;
        var child = _globalTimeline._first;
        if (!child || !child._ts) {
          if (_config.autoSleep && _ticker._listeners.length < 2) {
            while (child && !child._ts) {
              child = child._next;
            }
            child || _ticker.sleep();
          }
        }
      }
    };
    return Timeline2;
  }(Animation);
  _setDefaults(Timeline.prototype, {
    _lock: 0,
    _hasPause: 0,
    _forcing: 0
  });
  var _addComplexStringPropTween = function _addComplexStringPropTween2(target, prop, start, end, setter, stringFilter, funcParam) {
    var pt = new PropTween(this._pt, target, prop, 0, 1, _renderComplexString, null, setter), index = 0, matchIndex = 0, result, startNums, color, endNum, chunk, startNum, hasRandom, a;
    pt.b = start;
    pt.e = end;
    start += "";
    end += "";
    if (hasRandom = ~end.indexOf("random(")) {
      end = _replaceRandom(end);
    }
    if (stringFilter) {
      a = [start, end];
      stringFilter(a, target, prop);
      start = a[0];
      end = a[1];
    }
    startNums = start.match(_complexStringNumExp) || [];
    while (result = _complexStringNumExp.exec(end)) {
      endNum = result[0];
      chunk = end.substring(index, result.index);
      if (color) {
        color = (color + 1) % 5;
      } else if (chunk.substr(-5) === "rgba(") {
        color = 1;
      }
      if (endNum !== startNums[matchIndex++]) {
        startNum = parseFloat(startNums[matchIndex - 1]) || 0;
        pt._pt = {
          _next: pt._pt,
          p: chunk || matchIndex === 1 ? chunk : ",",
          s: startNum,
          c: endNum.charAt(1) === "=" ? _parseRelative(startNum, endNum) - startNum : parseFloat(endNum) - startNum,
          m: color && color < 4 ? Math.round : 0
        };
        index = _complexStringNumExp.lastIndex;
      }
    }
    pt.c = index < end.length ? end.substring(index, end.length) : "";
    pt.fp = funcParam;
    if (_relExp.test(end) || hasRandom) {
      pt.e = 0;
    }
    this._pt = pt;
    return pt;
  }, _addPropTween = function _addPropTween2(target, prop, start, end, index, targets, modifier, stringFilter, funcParam, optional) {
    _isFunction(end) && (end = end(index || 0, target, targets));
    var currentValue = target[prop], parsedStart = start !== "get" ? start : !_isFunction(currentValue) ? currentValue : funcParam ? target[prop.indexOf("set") || !_isFunction(target["get" + prop.substr(3)]) ? prop : "get" + prop.substr(3)](funcParam) : target[prop](), setter = !_isFunction(currentValue) ? _setterPlain : funcParam ? _setterFuncWithParam : _setterFunc, pt;
    if (_isString(end)) {
      if (~end.indexOf("random(")) {
        end = _replaceRandom(end);
      }
      if (end.charAt(1) === "=") {
        pt = _parseRelative(parsedStart, end) + (getUnit(parsedStart) || 0);
        if (pt || pt === 0) {
          end = pt;
        }
      }
    }
    if (!optional || parsedStart !== end || _forceAllPropTweens) {
      if (!isNaN(parsedStart * end) && end !== "") {
        pt = new PropTween(this._pt, target, prop, +parsedStart || 0, end - (parsedStart || 0), typeof currentValue === "boolean" ? _renderBoolean : _renderPlain, 0, setter);
        funcParam && (pt.fp = funcParam);
        modifier && pt.modifier(modifier, this, target);
        return this._pt = pt;
      }
      !currentValue && !(prop in target) && _missingPlugin(prop, end);
      return _addComplexStringPropTween.call(this, target, prop, parsedStart, end, setter, stringFilter || _config.stringFilter, funcParam);
    }
  }, _processVars = function _processVars2(vars, index, target, targets, tween) {
    _isFunction(vars) && (vars = _parseFuncOrString(vars, tween, index, target, targets));
    if (!_isObject(vars) || vars.style && vars.nodeType || _isArray(vars) || _isTypedArray(vars)) {
      return _isString(vars) ? _parseFuncOrString(vars, tween, index, target, targets) : vars;
    }
    var copy = {}, p;
    for (p in vars) {
      copy[p] = _parseFuncOrString(vars[p], tween, index, target, targets);
    }
    return copy;
  }, _checkPlugin = function _checkPlugin2(property, vars, tween, index, target, targets) {
    var plugin, pt, ptLookup, i;
    if (_plugins[property] && (plugin = new _plugins[property]()).init(target, plugin.rawVars ? vars[property] : _processVars(vars[property], index, target, targets, tween), tween, index, targets) !== false) {
      tween._pt = pt = new PropTween(tween._pt, target, property, 0, 1, plugin.render, plugin, 0, plugin.priority);
      if (tween !== _quickTween) {
        ptLookup = tween._ptLookup[tween._targets.indexOf(target)];
        i = plugin._props.length;
        while (i--) {
          ptLookup[plugin._props[i]] = pt;
        }
      }
    }
    return plugin;
  }, _overwritingTween, _forceAllPropTweens, _initTween = function _initTween2(tween, time, tTime) {
    var vars = tween.vars, ease = vars.ease, startAt = vars.startAt, immediateRender = vars.immediateRender, lazy = vars.lazy, onUpdate = vars.onUpdate, onUpdateParams = vars.onUpdateParams, callbackScope = vars.callbackScope, runBackwards = vars.runBackwards, yoyoEase = vars.yoyoEase, keyframes = vars.keyframes, autoRevert = vars.autoRevert, dur = tween._dur, prevStartAt = tween._startAt, targets = tween._targets, parent = tween.parent, fullTargets = parent && parent.data === "nested" ? parent.vars.targets : targets, autoOverwrite = tween._overwrite === "auto" && !_suppressOverwrites, tl = tween.timeline, cleanVars, i, p, pt, target, hasPriority, gsData, harness, plugin, ptLookup, index, harnessVars, overwritten;
    tl && (!keyframes || !ease) && (ease = "none");
    tween._ease = _parseEase(ease, _defaults.ease);
    tween._yEase = yoyoEase ? _invertEase(_parseEase(yoyoEase === true ? ease : yoyoEase, _defaults.ease)) : 0;
    if (yoyoEase && tween._yoyo && !tween._repeat) {
      yoyoEase = tween._yEase;
      tween._yEase = tween._ease;
      tween._ease = yoyoEase;
    }
    tween._from = !tl && !!vars.runBackwards;
    if (!tl || keyframes && !vars.stagger) {
      harness = targets[0] ? _getCache(targets[0]).harness : 0;
      harnessVars = harness && vars[harness.prop];
      cleanVars = _copyExcluding(vars, _reservedProps);
      if (prevStartAt) {
        prevStartAt._zTime < 0 && prevStartAt.progress(1);
        time < 0 && runBackwards && immediateRender && !autoRevert ? prevStartAt.render(-1, true) : prevStartAt.revert(runBackwards && dur ? _revertConfigNoKill : _startAtRevertConfig);
        prevStartAt._lazy = 0;
      }
      if (startAt) {
        _removeFromParent(tween._startAt = Tween.set(targets, _setDefaults({
          data: "isStart",
          overwrite: false,
          parent,
          immediateRender: true,
          lazy: !prevStartAt && _isNotFalse(lazy),
          startAt: null,
          delay: 0,
          onUpdate,
          onUpdateParams,
          callbackScope,
          stagger: 0
        }, startAt)));
        tween._startAt._dp = 0;
        tween._startAt._sat = tween;
        time < 0 && (_reverting$1 || !immediateRender && !autoRevert) && tween._startAt.revert(_revertConfigNoKill);
        if (immediateRender) {
          if (dur && time <= 0 && tTime <= 0) {
            time && (tween._zTime = time);
            return;
          }
        }
      } else if (runBackwards && dur) {
        if (!prevStartAt) {
          time && (immediateRender = false);
          p = _setDefaults({
            overwrite: false,
            data: "isFromStart",
            lazy: immediateRender && !prevStartAt && _isNotFalse(lazy),
            immediateRender,
            stagger: 0,
            parent
          }, cleanVars);
          harnessVars && (p[harness.prop] = harnessVars);
          _removeFromParent(tween._startAt = Tween.set(targets, p));
          tween._startAt._dp = 0;
          tween._startAt._sat = tween;
          time < 0 && (_reverting$1 ? tween._startAt.revert(_revertConfigNoKill) : tween._startAt.render(-1, true));
          tween._zTime = time;
          if (!immediateRender) {
            _initTween2(tween._startAt, _tinyNum, _tinyNum);
          } else if (!time) {
            return;
          }
        }
      }
      tween._pt = tween._ptCache = 0;
      lazy = dur && _isNotFalse(lazy) || lazy && !dur;
      for (i = 0; i < targets.length; i++) {
        target = targets[i];
        gsData = target._gsap || _harness(targets)[i]._gsap;
        tween._ptLookup[i] = ptLookup = {};
        _lazyLookup[gsData.id] && _lazyTweens.length && _lazyRender();
        index = fullTargets === targets ? i : fullTargets.indexOf(target);
        if (harness && (plugin = new harness()).init(target, harnessVars || cleanVars, tween, index, fullTargets) !== false) {
          tween._pt = pt = new PropTween(tween._pt, target, plugin.name, 0, 1, plugin.render, plugin, 0, plugin.priority);
          plugin._props.forEach(function(name) {
            ptLookup[name] = pt;
          });
          plugin.priority && (hasPriority = 1);
        }
        if (!harness || harnessVars) {
          for (p in cleanVars) {
            if (_plugins[p] && (plugin = _checkPlugin(p, cleanVars, tween, index, target, fullTargets))) {
              plugin.priority && (hasPriority = 1);
            } else {
              ptLookup[p] = pt = _addPropTween.call(tween, target, p, "get", cleanVars[p], index, fullTargets, 0, vars.stringFilter);
            }
          }
        }
        tween._op && tween._op[i] && tween.kill(target, tween._op[i]);
        if (autoOverwrite && tween._pt) {
          _overwritingTween = tween;
          _globalTimeline.killTweensOf(target, ptLookup, tween.globalTime(time));
          overwritten = !tween.parent;
          _overwritingTween = 0;
        }
        tween._pt && lazy && (_lazyLookup[gsData.id] = 1);
      }
      hasPriority && _sortPropTweensByPriority(tween);
      tween._onInit && tween._onInit(tween);
    }
    tween._onUpdate = onUpdate;
    tween._initted = (!tween._op || tween._pt) && !overwritten;
    keyframes && time <= 0 && tl.render(_bigNum$1, true, true);
  }, _updatePropTweens = function _updatePropTweens2(tween, property, value, start, startIsRelative, ratio, time) {
    var ptCache = (tween._pt && tween._ptCache || (tween._ptCache = {}))[property], pt, rootPT, lookup, i;
    if (!ptCache) {
      ptCache = tween._ptCache[property] = [];
      lookup = tween._ptLookup;
      i = tween._targets.length;
      while (i--) {
        pt = lookup[i][property];
        if (pt && pt.d && pt.d._pt) {
          pt = pt.d._pt;
          while (pt && pt.p !== property && pt.fp !== property) {
            pt = pt._next;
          }
        }
        if (!pt) {
          _forceAllPropTweens = 1;
          tween.vars[property] = "+=0";
          _initTween(tween, time);
          _forceAllPropTweens = 0;
          return 1;
        }
        ptCache.push(pt);
      }
    }
    i = ptCache.length;
    while (i--) {
      rootPT = ptCache[i];
      pt = rootPT._pt || rootPT;
      pt.s = (start || start === 0) && !startIsRelative ? start : pt.s + (start || 0) + ratio * pt.c;
      pt.c = value - pt.s;
      rootPT.e && (rootPT.e = _round(value) + getUnit(rootPT.e));
      rootPT.b && (rootPT.b = pt.s + getUnit(rootPT.b));
    }
  }, _addAliasesToVars = function _addAliasesToVars2(targets, vars) {
    var harness = targets[0] ? _getCache(targets[0]).harness : 0, propertyAliases = harness && harness.aliases, copy, p, i, aliases;
    if (!propertyAliases) {
      return vars;
    }
    copy = _merge({}, vars);
    for (p in propertyAliases) {
      if (p in copy) {
        aliases = propertyAliases[p].split(",");
        i = aliases.length;
        while (i--) {
          copy[aliases[i]] = copy[p];
        }
      }
    }
    return copy;
  }, _parseKeyframe = function _parseKeyframe2(prop, obj, allProps, easeEach) {
    var ease = obj.ease || easeEach || "power1.inOut", p, a;
    if (_isArray(obj)) {
      a = allProps[prop] || (allProps[prop] = []);
      obj.forEach(function(value, i) {
        return a.push({
          t: i / (obj.length - 1) * 100,
          v: value,
          e: ease
        });
      });
    } else {
      for (p in obj) {
        a = allProps[p] || (allProps[p] = []);
        p === "ease" || a.push({
          t: parseFloat(prop),
          v: obj[p],
          e: ease
        });
      }
    }
  }, _parseFuncOrString = function _parseFuncOrString2(value, tween, i, target, targets) {
    return _isFunction(value) ? value.call(tween, i, target, targets) : _isString(value) && ~value.indexOf("random(") ? _replaceRandom(value) : value;
  }, _staggerTweenProps = _callbackNames + "repeat,repeatDelay,yoyo,repeatRefresh,yoyoEase,autoRevert", _staggerPropsToSkip = {};
  _forEachName(_staggerTweenProps + ",id,stagger,delay,duration,paused,scrollTrigger", function(name) {
    return _staggerPropsToSkip[name] = 1;
  });
  var Tween = /* @__PURE__ */ function(_Animation2) {
    _inheritsLoose(Tween2, _Animation2);
    function Tween2(targets, vars, position, skipInherit) {
      var _this3;
      if (typeof vars === "number") {
        position.duration = vars;
        vars = position;
        position = null;
      }
      _this3 = _Animation2.call(this, skipInherit ? vars : _inheritDefaults(vars)) || this;
      var _this3$vars = _this3.vars, duration = _this3$vars.duration, delay = _this3$vars.delay, immediateRender = _this3$vars.immediateRender, stagger = _this3$vars.stagger, overwrite = _this3$vars.overwrite, keyframes = _this3$vars.keyframes, defaults = _this3$vars.defaults, scrollTrigger = _this3$vars.scrollTrigger, yoyoEase = _this3$vars.yoyoEase, parent = vars.parent || _globalTimeline, parsedTargets = (_isArray(targets) || _isTypedArray(targets) ? _isNumber(targets[0]) : "length" in vars) ? [targets] : toArray(targets), tl, i, copy, l, p, curTarget, staggerFunc, staggerVarsToMerge;
      _this3._targets = parsedTargets.length ? _harness(parsedTargets) : _warn("GSAP target " + targets + " not found. https://greensock.com", !_config.nullTargetWarn) || [];
      _this3._ptLookup = [];
      _this3._overwrite = overwrite;
      if (keyframes || stagger || _isFuncOrString(duration) || _isFuncOrString(delay)) {
        vars = _this3.vars;
        tl = _this3.timeline = new Timeline({
          data: "nested",
          defaults: defaults || {},
          targets: parent && parent.data === "nested" ? parent.vars.targets : parsedTargets
        });
        tl.kill();
        tl.parent = tl._dp = _assertThisInitialized(_this3);
        tl._start = 0;
        if (stagger || _isFuncOrString(duration) || _isFuncOrString(delay)) {
          l = parsedTargets.length;
          staggerFunc = stagger && distribute(stagger);
          if (_isObject(stagger)) {
            for (p in stagger) {
              if (~_staggerTweenProps.indexOf(p)) {
                staggerVarsToMerge || (staggerVarsToMerge = {});
                staggerVarsToMerge[p] = stagger[p];
              }
            }
          }
          for (i = 0; i < l; i++) {
            copy = _copyExcluding(vars, _staggerPropsToSkip);
            copy.stagger = 0;
            yoyoEase && (copy.yoyoEase = yoyoEase);
            staggerVarsToMerge && _merge(copy, staggerVarsToMerge);
            curTarget = parsedTargets[i];
            copy.duration = +_parseFuncOrString(duration, _assertThisInitialized(_this3), i, curTarget, parsedTargets);
            copy.delay = (+_parseFuncOrString(delay, _assertThisInitialized(_this3), i, curTarget, parsedTargets) || 0) - _this3._delay;
            if (!stagger && l === 1 && copy.delay) {
              _this3._delay = delay = copy.delay;
              _this3._start += delay;
              copy.delay = 0;
            }
            tl.to(curTarget, copy, staggerFunc ? staggerFunc(i, curTarget, parsedTargets) : 0);
            tl._ease = _easeMap.none;
          }
          tl.duration() ? duration = delay = 0 : _this3.timeline = 0;
        } else if (keyframes) {
          _inheritDefaults(_setDefaults(tl.vars.defaults, {
            ease: "none"
          }));
          tl._ease = _parseEase(keyframes.ease || vars.ease || "none");
          var time = 0, a, kf, v;
          if (_isArray(keyframes)) {
            keyframes.forEach(function(frame) {
              return tl.to(parsedTargets, frame, ">");
            });
            tl.duration();
          } else {
            copy = {};
            for (p in keyframes) {
              p === "ease" || p === "easeEach" || _parseKeyframe(p, keyframes[p], copy, keyframes.easeEach);
            }
            for (p in copy) {
              a = copy[p].sort(function(a2, b) {
                return a2.t - b.t;
              });
              time = 0;
              for (i = 0; i < a.length; i++) {
                kf = a[i];
                v = {
                  ease: kf.e,
                  duration: (kf.t - (i ? a[i - 1].t : 0)) / 100 * duration
                };
                v[p] = kf.v;
                tl.to(parsedTargets, v, time);
                time += v.duration;
              }
            }
            tl.duration() < duration && tl.to({}, {
              duration: duration - tl.duration()
            });
          }
        }
        duration || _this3.duration(duration = tl.duration());
      } else {
        _this3.timeline = 0;
      }
      if (overwrite === true && !_suppressOverwrites) {
        _overwritingTween = _assertThisInitialized(_this3);
        _globalTimeline.killTweensOf(parsedTargets);
        _overwritingTween = 0;
      }
      _addToTimeline(parent, _assertThisInitialized(_this3), position);
      vars.reversed && _this3.reverse();
      vars.paused && _this3.paused(true);
      if (immediateRender || !duration && !keyframes && _this3._start === _roundPrecise(parent._time) && _isNotFalse(immediateRender) && _hasNoPausedAncestors(_assertThisInitialized(_this3)) && parent.data !== "nested") {
        _this3._tTime = -_tinyNum;
        _this3.render(Math.max(0, -delay) || 0);
      }
      scrollTrigger && _scrollTrigger(_assertThisInitialized(_this3), scrollTrigger);
      return _this3;
    }
    var _proto3 = Tween2.prototype;
    _proto3.render = function render(totalTime, suppressEvents, force) {
      var prevTime = this._time, tDur = this._tDur, dur = this._dur, isNegative = totalTime < 0, tTime = totalTime > tDur - _tinyNum && !isNegative ? tDur : totalTime < _tinyNum ? 0 : totalTime, time, pt, iteration, cycleDuration, prevIteration, isYoyo, ratio, timeline, yoyoEase;
      if (!dur) {
        _renderZeroDurationTween(this, totalTime, suppressEvents, force);
      } else if (tTime !== this._tTime || !totalTime || force || !this._initted && this._tTime || this._startAt && this._zTime < 0 !== isNegative) {
        time = tTime;
        timeline = this.timeline;
        if (this._repeat) {
          cycleDuration = dur + this._rDelay;
          if (this._repeat < -1 && isNegative) {
            return this.totalTime(cycleDuration * 100 + totalTime, suppressEvents, force);
          }
          time = _roundPrecise(tTime % cycleDuration);
          if (tTime === tDur) {
            iteration = this._repeat;
            time = dur;
          } else {
            iteration = ~~(tTime / cycleDuration);
            if (iteration && iteration === tTime / cycleDuration) {
              time = dur;
              iteration--;
            }
            time > dur && (time = dur);
          }
          isYoyo = this._yoyo && iteration & 1;
          if (isYoyo) {
            yoyoEase = this._yEase;
            time = dur - time;
          }
          prevIteration = _animationCycle(this._tTime, cycleDuration);
          if (time === prevTime && !force && this._initted) {
            this._tTime = tTime;
            return this;
          }
          if (iteration !== prevIteration) {
            timeline && this._yEase && _propagateYoyoEase(timeline, isYoyo);
            if (this.vars.repeatRefresh && !isYoyo && !this._lock) {
              this._lock = force = 1;
              this.render(_roundPrecise(cycleDuration * iteration), true).invalidate()._lock = 0;
            }
          }
        }
        if (!this._initted) {
          if (_attemptInitTween(this, isNegative ? totalTime : time, force, suppressEvents, tTime)) {
            this._tTime = 0;
            return this;
          }
          if (prevTime !== this._time) {
            return this;
          }
          if (dur !== this._dur) {
            return this.render(totalTime, suppressEvents, force);
          }
        }
        this._tTime = tTime;
        this._time = time;
        if (!this._act && this._ts) {
          this._act = 1;
          this._lazy = 0;
        }
        this.ratio = ratio = (yoyoEase || this._ease)(time / dur);
        if (this._from) {
          this.ratio = ratio = 1 - ratio;
        }
        if (time && !prevTime && !suppressEvents && !iteration) {
          _callback(this, "onStart");
          if (this._tTime !== tTime) {
            return this;
          }
        }
        pt = this._pt;
        while (pt) {
          pt.r(ratio, pt.d);
          pt = pt._next;
        }
        timeline && timeline.render(totalTime < 0 ? totalTime : !time && isYoyo ? -_tinyNum : timeline._dur * timeline._ease(time / this._dur), suppressEvents, force) || this._startAt && (this._zTime = totalTime);
        if (this._onUpdate && !suppressEvents) {
          isNegative && _rewindStartAt(this, totalTime, suppressEvents, force);
          _callback(this, "onUpdate");
        }
        this._repeat && iteration !== prevIteration && this.vars.onRepeat && !suppressEvents && this.parent && _callback(this, "onRepeat");
        if ((tTime === this._tDur || !tTime) && this._tTime === tTime) {
          isNegative && !this._onUpdate && _rewindStartAt(this, totalTime, true, true);
          (totalTime || !dur) && (tTime === this._tDur && this._ts > 0 || !tTime && this._ts < 0) && _removeFromParent(this, 1);
          if (!suppressEvents && !(isNegative && !prevTime) && (tTime || prevTime || isYoyo)) {
            _callback(this, tTime === tDur ? "onComplete" : "onReverseComplete", true);
            this._prom && !(tTime < tDur && this.timeScale() > 0) && this._prom();
          }
        }
      }
      return this;
    };
    _proto3.targets = function targets() {
      return this._targets;
    };
    _proto3.invalidate = function invalidate(soft) {
      (!soft || !this.vars.runBackwards) && (this._startAt = 0);
      this._pt = this._op = this._onUpdate = this._lazy = this.ratio = 0;
      this._ptLookup = [];
      this.timeline && this.timeline.invalidate(soft);
      return _Animation2.prototype.invalidate.call(this, soft);
    };
    _proto3.resetTo = function resetTo(property, value, start, startIsRelative) {
      _tickerActive || _ticker.wake();
      this._ts || this.play();
      var time = Math.min(this._dur, (this._dp._time - this._start) * this._ts), ratio;
      this._initted || _initTween(this, time);
      ratio = this._ease(time / this._dur);
      if (_updatePropTweens(this, property, value, start, startIsRelative, ratio, time)) {
        return this.resetTo(property, value, start, startIsRelative);
      }
      _alignPlayhead(this, 0);
      this.parent || _addLinkedListItem(this._dp, this, "_first", "_last", this._dp._sort ? "_start" : 0);
      return this.render(0);
    };
    _proto3.kill = function kill(targets, vars) {
      if (vars === void 0) {
        vars = "all";
      }
      if (!targets && (!vars || vars === "all")) {
        this._lazy = this._pt = 0;
        return this.parent ? _interrupt(this) : this;
      }
      if (this.timeline) {
        var tDur = this.timeline.totalDuration();
        this.timeline.killTweensOf(targets, vars, _overwritingTween && _overwritingTween.vars.overwrite !== true)._first || _interrupt(this);
        this.parent && tDur !== this.timeline.totalDuration() && _setDuration(this, this._dur * this.timeline._tDur / tDur, 0, 1);
        return this;
      }
      var parsedTargets = this._targets, killingTargets = targets ? toArray(targets) : parsedTargets, propTweenLookup = this._ptLookup, firstPT = this._pt, overwrittenProps, curLookup, curOverwriteProps, props, p, pt, i;
      if ((!vars || vars === "all") && _arraysMatch(parsedTargets, killingTargets)) {
        vars === "all" && (this._pt = 0);
        return _interrupt(this);
      }
      overwrittenProps = this._op = this._op || [];
      if (vars !== "all") {
        if (_isString(vars)) {
          p = {};
          _forEachName(vars, function(name) {
            return p[name] = 1;
          });
          vars = p;
        }
        vars = _addAliasesToVars(parsedTargets, vars);
      }
      i = parsedTargets.length;
      while (i--) {
        if (~killingTargets.indexOf(parsedTargets[i])) {
          curLookup = propTweenLookup[i];
          if (vars === "all") {
            overwrittenProps[i] = vars;
            props = curLookup;
            curOverwriteProps = {};
          } else {
            curOverwriteProps = overwrittenProps[i] = overwrittenProps[i] || {};
            props = vars;
          }
          for (p in props) {
            pt = curLookup && curLookup[p];
            if (pt) {
              if (!("kill" in pt.d) || pt.d.kill(p) === true) {
                _removeLinkedListItem(this, pt, "_pt");
              }
              delete curLookup[p];
            }
            if (curOverwriteProps !== "all") {
              curOverwriteProps[p] = 1;
            }
          }
        }
      }
      this._initted && !this._pt && firstPT && _interrupt(this);
      return this;
    };
    Tween2.to = function to(targets, vars) {
      return new Tween2(targets, vars, arguments[2]);
    };
    Tween2.from = function from(targets, vars) {
      return _createTweenType(1, arguments);
    };
    Tween2.delayedCall = function delayedCall(delay, callback, params, scope) {
      return new Tween2(callback, 0, {
        immediateRender: false,
        lazy: false,
        overwrite: false,
        delay,
        onComplete: callback,
        onReverseComplete: callback,
        onCompleteParams: params,
        onReverseCompleteParams: params,
        callbackScope: scope
      });
    };
    Tween2.fromTo = function fromTo(targets, fromVars, toVars) {
      return _createTweenType(2, arguments);
    };
    Tween2.set = function set(targets, vars) {
      vars.duration = 0;
      vars.repeatDelay || (vars.repeat = 0);
      return new Tween2(targets, vars);
    };
    Tween2.killTweensOf = function killTweensOf(targets, props, onlyActive) {
      return _globalTimeline.killTweensOf(targets, props, onlyActive);
    };
    return Tween2;
  }(Animation);
  _setDefaults(Tween.prototype, {
    _targets: [],
    _lazy: 0,
    _startAt: 0,
    _op: 0,
    _onInit: 0
  });
  _forEachName("staggerTo,staggerFrom,staggerFromTo", function(name) {
    Tween[name] = function() {
      var tl = new Timeline(), params = _slice.call(arguments, 0);
      params.splice(name === "staggerFromTo" ? 5 : 4, 0, 0);
      return tl[name].apply(tl, params);
    };
  });
  var _setterPlain = function _setterPlain2(target, property, value) {
    return target[property] = value;
  }, _setterFunc = function _setterFunc2(target, property, value) {
    return target[property](value);
  }, _setterFuncWithParam = function _setterFuncWithParam2(target, property, value, data) {
    return target[property](data.fp, value);
  }, _setterAttribute = function _setterAttribute2(target, property, value) {
    return target.setAttribute(property, value);
  }, _getSetter = function _getSetter2(target, property) {
    return _isFunction(target[property]) ? _setterFunc : _isUndefined(target[property]) && target.setAttribute ? _setterAttribute : _setterPlain;
  }, _renderPlain = function _renderPlain2(ratio, data) {
    return data.set(data.t, data.p, Math.round((data.s + data.c * ratio) * 1e6) / 1e6, data);
  }, _renderBoolean = function _renderBoolean2(ratio, data) {
    return data.set(data.t, data.p, !!(data.s + data.c * ratio), data);
  }, _renderComplexString = function _renderComplexString2(ratio, data) {
    var pt = data._pt, s = "";
    if (!ratio && data.b) {
      s = data.b;
    } else if (ratio === 1 && data.e) {
      s = data.e;
    } else {
      while (pt) {
        s = pt.p + (pt.m ? pt.m(pt.s + pt.c * ratio) : Math.round((pt.s + pt.c * ratio) * 1e4) / 1e4) + s;
        pt = pt._next;
      }
      s += data.c;
    }
    data.set(data.t, data.p, s, data);
  }, _renderPropTweens = function _renderPropTweens2(ratio, data) {
    var pt = data._pt;
    while (pt) {
      pt.r(ratio, pt.d);
      pt = pt._next;
    }
  }, _addPluginModifier = function _addPluginModifier2(modifier, tween, target, property) {
    var pt = this._pt, next;
    while (pt) {
      next = pt._next;
      pt.p === property && pt.modifier(modifier, tween, target);
      pt = next;
    }
  }, _killPropTweensOf = function _killPropTweensOf2(property) {
    var pt = this._pt, hasNonDependentRemaining, next;
    while (pt) {
      next = pt._next;
      if (pt.p === property && !pt.op || pt.op === property) {
        _removeLinkedListItem(this, pt, "_pt");
      } else if (!pt.dep) {
        hasNonDependentRemaining = 1;
      }
      pt = next;
    }
    return !hasNonDependentRemaining;
  }, _setterWithModifier = function _setterWithModifier2(target, property, value, data) {
    data.mSet(target, property, data.m.call(data.tween, value, data.mt), data);
  }, _sortPropTweensByPriority = function _sortPropTweensByPriority2(parent) {
    var pt = parent._pt, next, pt2, first, last;
    while (pt) {
      next = pt._next;
      pt2 = first;
      while (pt2 && pt2.pr > pt.pr) {
        pt2 = pt2._next;
      }
      if (pt._prev = pt2 ? pt2._prev : last) {
        pt._prev._next = pt;
      } else {
        first = pt;
      }
      if (pt._next = pt2) {
        pt2._prev = pt;
      } else {
        last = pt;
      }
      pt = next;
    }
    parent._pt = first;
  };
  var PropTween = /* @__PURE__ */ function() {
    function PropTween2(next, target, prop, start, change, renderer, data, setter, priority) {
      this.t = target;
      this.s = start;
      this.c = change;
      this.p = prop;
      this.r = renderer || _renderPlain;
      this.d = data || this;
      this.set = setter || _setterPlain;
      this.pr = priority || 0;
      this._next = next;
      if (next) {
        next._prev = this;
      }
    }
    var _proto4 = PropTween2.prototype;
    _proto4.modifier = function modifier(func, tween, target) {
      this.mSet = this.mSet || this.set;
      this.set = _setterWithModifier;
      this.m = func;
      this.mt = target;
      this.tween = tween;
    };
    return PropTween2;
  }();
  _forEachName(_callbackNames + "parent,duration,ease,delay,overwrite,runBackwards,startAt,yoyo,immediateRender,repeat,repeatDelay,data,paused,reversed,lazy,callbackScope,stringFilter,id,yoyoEase,stagger,inherit,repeatRefresh,keyframes,autoRevert,scrollTrigger", function(name) {
    return _reservedProps[name] = 1;
  });
  _globals.TweenMax = _globals.TweenLite = Tween;
  _globals.TimelineLite = _globals.TimelineMax = Timeline;
  _globalTimeline = new Timeline({
    sortChildren: false,
    defaults: _defaults,
    autoRemoveChildren: true,
    id: "root",
    smoothChildTiming: true
  });
  _config.stringFilter = _colorStringFilter;
  var _media = [], _listeners = {}, _emptyArray = [], _lastMediaTime = 0, _contextID = 0, _dispatch = function _dispatch2(type) {
    return (_listeners[type] || _emptyArray).map(function(f) {
      return f();
    });
  }, _onMediaChange = function _onMediaChange2() {
    var time = Date.now(), matches = [];
    if (time - _lastMediaTime > 2) {
      _dispatch("matchMediaInit");
      _media.forEach(function(c) {
        var queries = c.queries, conditions = c.conditions, match, p, anyMatch, toggled;
        for (p in queries) {
          match = _win$1.matchMedia(queries[p]).matches;
          match && (anyMatch = 1);
          if (match !== conditions[p]) {
            conditions[p] = match;
            toggled = 1;
          }
        }
        if (toggled) {
          c.revert();
          anyMatch && matches.push(c);
        }
      });
      _dispatch("matchMediaRevert");
      matches.forEach(function(c) {
        return c.onMatch(c);
      });
      _lastMediaTime = time;
      _dispatch("matchMedia");
    }
  };
  var Context = /* @__PURE__ */ function() {
    function Context2(func, scope) {
      this.selector = scope && selector(scope);
      this.data = [];
      this._r = [];
      this.isReverted = false;
      this.id = _contextID++;
      func && this.add(func);
    }
    var _proto5 = Context2.prototype;
    _proto5.add = function add(name, func, scope) {
      if (_isFunction(name)) {
        scope = func;
        func = name;
        name = _isFunction;
      }
      var self2 = this, f = function f2() {
        var prev = _context, prevSelector = self2.selector, result;
        prev && prev !== self2 && prev.data.push(self2);
        scope && (self2.selector = selector(scope));
        _context = self2;
        result = func.apply(self2, arguments);
        _isFunction(result) && self2._r.push(result);
        _context = prev;
        self2.selector = prevSelector;
        self2.isReverted = false;
        return result;
      };
      self2.last = f;
      return name === _isFunction ? f(self2) : name ? self2[name] = f : f;
    };
    _proto5.ignore = function ignore(func) {
      var prev = _context;
      _context = null;
      func(this);
      _context = prev;
    };
    _proto5.getTweens = function getTweens() {
      var a = [];
      this.data.forEach(function(e) {
        return e instanceof Context2 ? a.push.apply(a, e.getTweens()) : e instanceof Tween && !(e.parent && e.parent.data === "nested") && a.push(e);
      });
      return a;
    };
    _proto5.clear = function clear() {
      this._r.length = this.data.length = 0;
    };
    _proto5.kill = function kill(revert, matchMedia) {
      var _this4 = this;
      if (revert) {
        var tweens = this.getTweens();
        this.data.forEach(function(t) {
          if (t.data === "isFlip") {
            t.revert();
            t.getChildren(true, true, false).forEach(function(tween) {
              return tweens.splice(tweens.indexOf(tween), 1);
            });
          }
        });
        tweens.map(function(t) {
          return {
            g: t.globalTime(0),
            t
          };
        }).sort(function(a, b) {
          return b.g - a.g || -Infinity;
        }).forEach(function(o) {
          return o.t.revert(revert);
        });
        this.data.forEach(function(e) {
          return !(e instanceof Tween) && e.revert && e.revert(revert);
        });
        this._r.forEach(function(f) {
          return f(revert, _this4);
        });
        this.isReverted = true;
      } else {
        this.data.forEach(function(e) {
          return e.kill && e.kill();
        });
      }
      this.clear();
      if (matchMedia) {
        var i = _media.length;
        while (i--) {
          _media[i].id === this.id && _media.splice(i, 1);
        }
      }
    };
    _proto5.revert = function revert(config) {
      this.kill(config || {});
    };
    return Context2;
  }();
  var MatchMedia = /* @__PURE__ */ function() {
    function MatchMedia2(scope) {
      this.contexts = [];
      this.scope = scope;
    }
    var _proto6 = MatchMedia2.prototype;
    _proto6.add = function add(conditions, func, scope) {
      _isObject(conditions) || (conditions = {
        matches: conditions
      });
      var context = new Context(0, scope || this.scope), cond = context.conditions = {}, mq, p, active;
      _context && !context.selector && (context.selector = _context.selector);
      this.contexts.push(context);
      func = context.add("onMatch", func);
      context.queries = conditions;
      for (p in conditions) {
        if (p === "all") {
          active = 1;
        } else {
          mq = _win$1.matchMedia(conditions[p]);
          if (mq) {
            _media.indexOf(context) < 0 && _media.push(context);
            (cond[p] = mq.matches) && (active = 1);
            mq.addListener ? mq.addListener(_onMediaChange) : mq.addEventListener("change", _onMediaChange);
          }
        }
      }
      active && func(context);
      return this;
    };
    _proto6.revert = function revert(config) {
      this.kill(config || {});
    };
    _proto6.kill = function kill(revert) {
      this.contexts.forEach(function(c) {
        return c.kill(revert, true);
      });
    };
    return MatchMedia2;
  }();
  var _gsap = {
    registerPlugin: function registerPlugin() {
      for (var _len2 = arguments.length, args = new Array(_len2), _key2 = 0; _key2 < _len2; _key2++) {
        args[_key2] = arguments[_key2];
      }
      args.forEach(function(config) {
        return _createPlugin(config);
      });
    },
    timeline: function timeline(vars) {
      return new Timeline(vars);
    },
    getTweensOf: function getTweensOf(targets, onlyActive) {
      return _globalTimeline.getTweensOf(targets, onlyActive);
    },
    getProperty: function getProperty(target, property, unit, uncache) {
      _isString(target) && (target = toArray(target)[0]);
      var getter = _getCache(target || {}).get, format = unit ? _passThrough : _numericIfPossible;
      unit === "native" && (unit = "");
      return !target ? target : !property ? function(property2, unit2, uncache2) {
        return format((_plugins[property2] && _plugins[property2].get || getter)(target, property2, unit2, uncache2));
      } : format((_plugins[property] && _plugins[property].get || getter)(target, property, unit, uncache));
    },
    quickSetter: function quickSetter(target, property, unit) {
      target = toArray(target);
      if (target.length > 1) {
        var setters = target.map(function(t) {
          return gsap.quickSetter(t, property, unit);
        }), l = setters.length;
        return function(value) {
          var i = l;
          while (i--) {
            setters[i](value);
          }
        };
      }
      target = target[0] || {};
      var Plugin = _plugins[property], cache = _getCache(target), p = cache.harness && (cache.harness.aliases || {})[property] || property, setter = Plugin ? function(value) {
        var p2 = new Plugin();
        _quickTween._pt = 0;
        p2.init(target, unit ? value + unit : value, _quickTween, 0, [target]);
        p2.render(1, p2);
        _quickTween._pt && _renderPropTweens(1, _quickTween);
      } : cache.set(target, p);
      return Plugin ? setter : function(value) {
        return setter(target, p, unit ? value + unit : value, cache, 1);
      };
    },
    quickTo: function quickTo(target, property, vars) {
      var _merge2;
      var tween = gsap.to(target, _merge((_merge2 = {}, _merge2[property] = "+=0.1", _merge2.paused = true, _merge2), vars || {})), func = function func2(value, start, startIsRelative) {
        return tween.resetTo(property, value, start, startIsRelative);
      };
      func.tween = tween;
      return func;
    },
    isTweening: function isTweening(targets) {
      return _globalTimeline.getTweensOf(targets, true).length > 0;
    },
    defaults: function defaults(value) {
      value && value.ease && (value.ease = _parseEase(value.ease, _defaults.ease));
      return _mergeDeep(_defaults, value || {});
    },
    config: function config(value) {
      return _mergeDeep(_config, value || {});
    },
    registerEffect: function registerEffect(_ref3) {
      var name = _ref3.name, effect = _ref3.effect, plugins = _ref3.plugins, defaults = _ref3.defaults, extendTimeline = _ref3.extendTimeline;
      (plugins || "").split(",").forEach(function(pluginName) {
        return pluginName && !_plugins[pluginName] && !_globals[pluginName] && _warn(name + " effect requires " + pluginName + " plugin.");
      });
      _effects[name] = function(targets, vars, tl) {
        return effect(toArray(targets), _setDefaults(vars || {}, defaults), tl);
      };
      if (extendTimeline) {
        Timeline.prototype[name] = function(targets, vars, position) {
          return this.add(_effects[name](targets, _isObject(vars) ? vars : (position = vars) && {}, this), position);
        };
      }
    },
    registerEase: function registerEase(name, ease) {
      _easeMap[name] = _parseEase(ease);
    },
    parseEase: function parseEase(ease, defaultEase) {
      return arguments.length ? _parseEase(ease, defaultEase) : _easeMap;
    },
    getById: function getById(id) {
      return _globalTimeline.getById(id);
    },
    exportRoot: function exportRoot(vars, includeDelayedCalls) {
      if (vars === void 0) {
        vars = {};
      }
      var tl = new Timeline(vars), child, next;
      tl.smoothChildTiming = _isNotFalse(vars.smoothChildTiming);
      _globalTimeline.remove(tl);
      tl._dp = 0;
      tl._time = tl._tTime = _globalTimeline._time;
      child = _globalTimeline._first;
      while (child) {
        next = child._next;
        if (includeDelayedCalls || !(!child._dur && child instanceof Tween && child.vars.onComplete === child._targets[0])) {
          _addToTimeline(tl, child, child._start - child._delay);
        }
        child = next;
      }
      _addToTimeline(_globalTimeline, tl, 0);
      return tl;
    },
    context: function context(func, scope) {
      return func ? new Context(func, scope) : _context;
    },
    matchMedia: function matchMedia(scope) {
      return new MatchMedia(scope);
    },
    matchMediaRefresh: function matchMediaRefresh() {
      return _media.forEach(function(c) {
        var cond = c.conditions, found, p;
        for (p in cond) {
          if (cond[p]) {
            cond[p] = false;
            found = 1;
          }
        }
        found && c.revert();
      }) || _onMediaChange();
    },
    addEventListener: function addEventListener(type, callback) {
      var a = _listeners[type] || (_listeners[type] = []);
      ~a.indexOf(callback) || a.push(callback);
    },
    removeEventListener: function removeEventListener(type, callback) {
      var a = _listeners[type], i = a && a.indexOf(callback);
      i >= 0 && a.splice(i, 1);
    },
    utils: {
      wrap,
      wrapYoyo,
      distribute,
      random,
      snap,
      normalize,
      getUnit,
      clamp,
      splitColor,
      toArray,
      selector,
      mapRange,
      pipe,
      unitize,
      interpolate,
      shuffle
    },
    install: _install,
    effects: _effects,
    ticker: _ticker,
    updateRoot: Timeline.updateRoot,
    plugins: _plugins,
    globalTimeline: _globalTimeline,
    core: {
      PropTween,
      globals: _addGlobal,
      Tween,
      Timeline,
      Animation,
      getCache: _getCache,
      _removeLinkedListItem,
      reverting: function reverting() {
        return _reverting$1;
      },
      context: function context(toAdd) {
        if (toAdd && _context) {
          _context.data.push(toAdd);
          toAdd._ctx = _context;
        }
        return _context;
      },
      suppressOverwrites: function suppressOverwrites(value) {
        return _suppressOverwrites = value;
      }
    }
  };
  _forEachName("to,from,fromTo,delayedCall,set,killTweensOf", function(name) {
    return _gsap[name] = Tween[name];
  });
  _ticker.add(Timeline.updateRoot);
  _quickTween = _gsap.to({}, {
    duration: 0
  });
  var _getPluginPropTween = function _getPluginPropTween2(plugin, prop) {
    var pt = plugin._pt;
    while (pt && pt.p !== prop && pt.op !== prop && pt.fp !== prop) {
      pt = pt._next;
    }
    return pt;
  }, _addModifiers = function _addModifiers2(tween, modifiers) {
    var targets = tween._targets, p, i, pt;
    for (p in modifiers) {
      i = targets.length;
      while (i--) {
        pt = tween._ptLookup[i][p];
        if (pt && (pt = pt.d)) {
          if (pt._pt) {
            pt = _getPluginPropTween(pt, p);
          }
          pt && pt.modifier && pt.modifier(modifiers[p], tween, targets[i], p);
        }
      }
    }
  }, _buildModifierPlugin = function _buildModifierPlugin2(name, modifier) {
    return {
      name,
      rawVars: 1,
      init: function init(target, vars, tween) {
        tween._onInit = function(tween2) {
          var temp, p;
          if (_isString(vars)) {
            temp = {};
            _forEachName(vars, function(name2) {
              return temp[name2] = 1;
            });
            vars = temp;
          }
          if (modifier) {
            temp = {};
            for (p in vars) {
              temp[p] = modifier(vars[p]);
            }
            vars = temp;
          }
          _addModifiers(tween2, vars);
        };
      }
    };
  };
  var gsap = _gsap.registerPlugin({
    name: "attr",
    init: function init(target, vars, tween, index, targets) {
      var p, pt, v;
      this.tween = tween;
      for (p in vars) {
        v = target.getAttribute(p) || "";
        pt = this.add(target, "setAttribute", (v || 0) + "", vars[p], index, targets, 0, 0, p);
        pt.op = p;
        pt.b = v;
        this._props.push(p);
      }
    },
    render: function render(ratio, data) {
      var pt = data._pt;
      while (pt) {
        _reverting$1 ? pt.set(pt.t, pt.p, pt.b, pt) : pt.r(ratio, pt.d);
        pt = pt._next;
      }
    }
  }, {
    name: "endArray",
    init: function init(target, value) {
      var i = value.length;
      while (i--) {
        this.add(target, i, target[i] || 0, value[i], 0, 0, 0, 0, 0, 1);
      }
    }
  }, _buildModifierPlugin("roundProps", _roundModifier), _buildModifierPlugin("modifiers"), _buildModifierPlugin("snap", snap)) || _gsap;
  Tween.version = Timeline.version = gsap.version = "3.12.2";
  _coreReady = 1;
  _windowExists$1() && _wake();
  var Power0 = _easeMap.Power0;
  _easeMap.Power1;
  _easeMap.Power2;
  _easeMap.Power3;
  _easeMap.Power4;
  _easeMap.Linear;
  var Quad = _easeMap.Quad;
  _easeMap.Cubic;
  _easeMap.Quart;
  _easeMap.Quint;
  _easeMap.Strong;
  _easeMap.Elastic;
  _easeMap.Back;
  _easeMap.SteppedEase;
  _easeMap.Bounce;
  _easeMap.Sine;
  _easeMap.Expo;
  _easeMap.Circ;
  /*!
   * CSSPlugin 3.12.2
   * https://greensock.com
   *
   * Copyright 2008-2023, GreenSock. All rights reserved.
   * Subject to the terms at https://greensock.com/standard-license or for
   * Club GreenSock members, the agreement issued with that membership.
   * @author: Jack Doyle, jack@greensock.com
  */
  var _win, _doc, _docElement, _pluginInitted, _tempDiv, _recentSetterPlugin, _reverting, _windowExists = function _windowExists2() {
    return typeof window !== "undefined";
  }, _transformProps = {}, _RAD2DEG = 180 / Math.PI, _DEG2RAD = Math.PI / 180, _atan2 = Math.atan2, _bigNum = 1e8, _capsExp = /([A-Z])/g, _horizontalExp = /(left|right|width|margin|padding|x)/i, _complexExp = /[\s,\(]\S/, _propertyAliases = {
    autoAlpha: "opacity,visibility",
    scale: "scaleX,scaleY",
    alpha: "opacity"
  }, _renderCSSProp = function _renderCSSProp2(ratio, data) {
    return data.set(data.t, data.p, Math.round((data.s + data.c * ratio) * 1e4) / 1e4 + data.u, data);
  }, _renderPropWithEnd = function _renderPropWithEnd2(ratio, data) {
    return data.set(data.t, data.p, ratio === 1 ? data.e : Math.round((data.s + data.c * ratio) * 1e4) / 1e4 + data.u, data);
  }, _renderCSSPropWithBeginning = function _renderCSSPropWithBeginning2(ratio, data) {
    return data.set(data.t, data.p, ratio ? Math.round((data.s + data.c * ratio) * 1e4) / 1e4 + data.u : data.b, data);
  }, _renderRoundedCSSProp = function _renderRoundedCSSProp2(ratio, data) {
    var value = data.s + data.c * ratio;
    data.set(data.t, data.p, ~~(value + (value < 0 ? -0.5 : 0.5)) + data.u, data);
  }, _renderNonTweeningValue = function _renderNonTweeningValue2(ratio, data) {
    return data.set(data.t, data.p, ratio ? data.e : data.b, data);
  }, _renderNonTweeningValueOnlyAtEnd = function _renderNonTweeningValueOnlyAtEnd2(ratio, data) {
    return data.set(data.t, data.p, ratio !== 1 ? data.b : data.e, data);
  }, _setterCSSStyle = function _setterCSSStyle2(target, property, value) {
    return target.style[property] = value;
  }, _setterCSSProp = function _setterCSSProp2(target, property, value) {
    return target.style.setProperty(property, value);
  }, _setterTransform = function _setterTransform2(target, property, value) {
    return target._gsap[property] = value;
  }, _setterScale = function _setterScale2(target, property, value) {
    return target._gsap.scaleX = target._gsap.scaleY = value;
  }, _setterScaleWithRender = function _setterScaleWithRender2(target, property, value, data, ratio) {
    var cache = target._gsap;
    cache.scaleX = cache.scaleY = value;
    cache.renderTransform(ratio, cache);
  }, _setterTransformWithRender = function _setterTransformWithRender2(target, property, value, data, ratio) {
    var cache = target._gsap;
    cache[property] = value;
    cache.renderTransform(ratio, cache);
  }, _transformProp = "transform", _transformOriginProp = _transformProp + "Origin", _saveStyle = function _saveStyle2(property, isNotCSS) {
    var _this = this;
    var target = this.target, style = target.style;
    if (property in _transformProps && style) {
      this.tfm = this.tfm || {};
      if (property !== "transform") {
        property = _propertyAliases[property] || property;
        ~property.indexOf(",") ? property.split(",").forEach(function(a) {
          return _this.tfm[a] = _get(target, a);
        }) : this.tfm[property] = target._gsap.x ? target._gsap[property] : _get(target, property);
      } else {
        return _propertyAliases.transform.split(",").forEach(function(p) {
          return _saveStyle2.call(_this, p, isNotCSS);
        });
      }
      if (this.props.indexOf(_transformProp) >= 0) {
        return;
      }
      if (target._gsap.svg) {
        this.svgo = target.getAttribute("data-svg-origin");
        this.props.push(_transformOriginProp, isNotCSS, "");
      }
      property = _transformProp;
    }
    (style || isNotCSS) && this.props.push(property, isNotCSS, style[property]);
  }, _removeIndependentTransforms = function _removeIndependentTransforms2(style) {
    if (style.translate) {
      style.removeProperty("translate");
      style.removeProperty("scale");
      style.removeProperty("rotate");
    }
  }, _revertStyle = function _revertStyle2() {
    var props = this.props, target = this.target, style = target.style, cache = target._gsap, i, p;
    for (i = 0; i < props.length; i += 3) {
      props[i + 1] ? target[props[i]] = props[i + 2] : props[i + 2] ? style[props[i]] = props[i + 2] : style.removeProperty(props[i].substr(0, 2) === "--" ? props[i] : props[i].replace(_capsExp, "-$1").toLowerCase());
    }
    if (this.tfm) {
      for (p in this.tfm) {
        cache[p] = this.tfm[p];
      }
      if (cache.svg) {
        cache.renderTransform();
        target.setAttribute("data-svg-origin", this.svgo || "");
      }
      i = _reverting();
      if ((!i || !i.isStart) && !style[_transformProp]) {
        _removeIndependentTransforms(style);
        cache.uncache = 1;
      }
    }
  }, _getStyleSaver = function _getStyleSaver2(target, properties) {
    var saver = {
      target,
      props: [],
      revert: _revertStyle,
      save: _saveStyle
    };
    target._gsap || gsap.core.getCache(target);
    properties && properties.split(",").forEach(function(p) {
      return saver.save(p);
    });
    return saver;
  }, _supports3D, _createElement = function _createElement2(type, ns) {
    var e = _doc.createElementNS ? _doc.createElementNS((ns || "http://www.w3.org/1999/xhtml").replace(/^https/, "http"), type) : _doc.createElement(type);
    return e.style ? e : _doc.createElement(type);
  }, _getComputedProperty = function _getComputedProperty2(target, property, skipPrefixFallback) {
    var cs = getComputedStyle(target);
    return cs[property] || cs.getPropertyValue(property.replace(_capsExp, "-$1").toLowerCase()) || cs.getPropertyValue(property) || !skipPrefixFallback && _getComputedProperty2(target, _checkPropPrefix(property) || property, 1) || "";
  }, _prefixes = "O,Moz,ms,Ms,Webkit".split(","), _checkPropPrefix = function _checkPropPrefix2(property, element, preferPrefix) {
    var e = element || _tempDiv, s = e.style, i = 5;
    if (property in s && !preferPrefix) {
      return property;
    }
    property = property.charAt(0).toUpperCase() + property.substr(1);
    while (i-- && !(_prefixes[i] + property in s)) {
    }
    return i < 0 ? null : (i === 3 ? "ms" : i >= 0 ? _prefixes[i] : "") + property;
  }, _initCore = function _initCore2() {
    if (_windowExists() && window.document) {
      _win = window;
      _doc = _win.document;
      _docElement = _doc.documentElement;
      _tempDiv = _createElement("div") || {
        style: {}
      };
      _createElement("div");
      _transformProp = _checkPropPrefix(_transformProp);
      _transformOriginProp = _transformProp + "Origin";
      _tempDiv.style.cssText = "border-width:0;line-height:0;position:absolute;padding:0";
      _supports3D = !!_checkPropPrefix("perspective");
      _reverting = gsap.core.reverting;
      _pluginInitted = 1;
    }
  }, _getBBoxHack = function _getBBoxHack2(swapIfPossible) {
    var svg = _createElement("svg", this.ownerSVGElement && this.ownerSVGElement.getAttribute("xmlns") || "http://www.w3.org/2000/svg"), oldParent = this.parentNode, oldSibling = this.nextSibling, oldCSS = this.style.cssText, bbox;
    _docElement.appendChild(svg);
    svg.appendChild(this);
    this.style.display = "block";
    if (swapIfPossible) {
      try {
        bbox = this.getBBox();
        this._gsapBBox = this.getBBox;
        this.getBBox = _getBBoxHack2;
      } catch (e) {
      }
    } else if (this._gsapBBox) {
      bbox = this._gsapBBox();
    }
    if (oldParent) {
      if (oldSibling) {
        oldParent.insertBefore(this, oldSibling);
      } else {
        oldParent.appendChild(this);
      }
    }
    _docElement.removeChild(svg);
    this.style.cssText = oldCSS;
    return bbox;
  }, _getAttributeFallbacks = function _getAttributeFallbacks2(target, attributesArray) {
    var i = attributesArray.length;
    while (i--) {
      if (target.hasAttribute(attributesArray[i])) {
        return target.getAttribute(attributesArray[i]);
      }
    }
  }, _getBBox = function _getBBox2(target) {
    var bounds;
    try {
      bounds = target.getBBox();
    } catch (error) {
      bounds = _getBBoxHack.call(target, true);
    }
    bounds && (bounds.width || bounds.height) || target.getBBox === _getBBoxHack || (bounds = _getBBoxHack.call(target, true));
    return bounds && !bounds.width && !bounds.x && !bounds.y ? {
      x: +_getAttributeFallbacks(target, ["x", "cx", "x1"]) || 0,
      y: +_getAttributeFallbacks(target, ["y", "cy", "y1"]) || 0,
      width: 0,
      height: 0
    } : bounds;
  }, _isSVG = function _isSVG2(e) {
    return !!(e.getCTM && (!e.parentNode || e.ownerSVGElement) && _getBBox(e));
  }, _removeProperty = function _removeProperty2(target, property) {
    if (property) {
      var style = target.style;
      if (property in _transformProps && property !== _transformOriginProp) {
        property = _transformProp;
      }
      if (style.removeProperty) {
        if (property.substr(0, 2) === "ms" || property.substr(0, 6) === "webkit") {
          property = "-" + property;
        }
        style.removeProperty(property.replace(_capsExp, "-$1").toLowerCase());
      } else {
        style.removeAttribute(property);
      }
    }
  }, _addNonTweeningPT = function _addNonTweeningPT2(plugin, target, property, beginning, end, onlySetAtEnd) {
    var pt = new PropTween(plugin._pt, target, property, 0, 1, onlySetAtEnd ? _renderNonTweeningValueOnlyAtEnd : _renderNonTweeningValue);
    plugin._pt = pt;
    pt.b = beginning;
    pt.e = end;
    plugin._props.push(property);
    return pt;
  }, _nonConvertibleUnits = {
    deg: 1,
    rad: 1,
    turn: 1
  }, _nonStandardLayouts = {
    grid: 1,
    flex: 1
  }, _convertToUnit = function _convertToUnit2(target, property, value, unit) {
    var curValue = parseFloat(value) || 0, curUnit = (value + "").trim().substr((curValue + "").length) || "px", style = _tempDiv.style, horizontal = _horizontalExp.test(property), isRootSVG = target.tagName.toLowerCase() === "svg", measureProperty = (isRootSVG ? "client" : "offset") + (horizontal ? "Width" : "Height"), amount = 100, toPixels = unit === "px", toPercent = unit === "%", px, parent, cache, isSVG;
    if (unit === curUnit || !curValue || _nonConvertibleUnits[unit] || _nonConvertibleUnits[curUnit]) {
      return curValue;
    }
    curUnit !== "px" && !toPixels && (curValue = _convertToUnit2(target, property, value, "px"));
    isSVG = target.getCTM && _isSVG(target);
    if ((toPercent || curUnit === "%") && (_transformProps[property] || ~property.indexOf("adius"))) {
      px = isSVG ? target.getBBox()[horizontal ? "width" : "height"] : target[measureProperty];
      return _round(toPercent ? curValue / px * amount : curValue / 100 * px);
    }
    style[horizontal ? "width" : "height"] = amount + (toPixels ? curUnit : unit);
    parent = ~property.indexOf("adius") || unit === "em" && target.appendChild && !isRootSVG ? target : target.parentNode;
    if (isSVG) {
      parent = (target.ownerSVGElement || {}).parentNode;
    }
    if (!parent || parent === _doc || !parent.appendChild) {
      parent = _doc.body;
    }
    cache = parent._gsap;
    if (cache && toPercent && cache.width && horizontal && cache.time === _ticker.time && !cache.uncache) {
      return _round(curValue / cache.width * amount);
    } else {
      (toPercent || curUnit === "%") && !_nonStandardLayouts[_getComputedProperty(parent, "display")] && (style.position = _getComputedProperty(target, "position"));
      parent === target && (style.position = "static");
      parent.appendChild(_tempDiv);
      px = _tempDiv[measureProperty];
      parent.removeChild(_tempDiv);
      style.position = "absolute";
      if (horizontal && toPercent) {
        cache = _getCache(parent);
        cache.time = _ticker.time;
        cache.width = parent[measureProperty];
      }
    }
    return _round(toPixels ? px * curValue / amount : px && curValue ? amount / px * curValue : 0);
  }, _get = function _get2(target, property, unit, uncache) {
    var value;
    _pluginInitted || _initCore();
    if (property in _propertyAliases && property !== "transform") {
      property = _propertyAliases[property];
      if (~property.indexOf(",")) {
        property = property.split(",")[0];
      }
    }
    if (_transformProps[property] && property !== "transform") {
      value = _parseTransform(target, uncache);
      value = property !== "transformOrigin" ? value[property] : value.svg ? value.origin : _firstTwoOnly(_getComputedProperty(target, _transformOriginProp)) + " " + value.zOrigin + "px";
    } else {
      value = target.style[property];
      if (!value || value === "auto" || uncache || ~(value + "").indexOf("calc(")) {
        value = _specialProps[property] && _specialProps[property](target, property, unit) || _getComputedProperty(target, property) || _getProperty(target, property) || (property === "opacity" ? 1 : 0);
      }
    }
    return unit && !~(value + "").trim().indexOf(" ") ? _convertToUnit(target, property, value, unit) + unit : value;
  }, _tweenComplexCSSString = function _tweenComplexCSSString2(target, prop, start, end) {
    if (!start || start === "none") {
      var p = _checkPropPrefix(prop, target, 1), s = p && _getComputedProperty(target, p, 1);
      if (s && s !== start) {
        prop = p;
        start = s;
      } else if (prop === "borderColor") {
        start = _getComputedProperty(target, "borderTopColor");
      }
    }
    var pt = new PropTween(this._pt, target.style, prop, 0, 1, _renderComplexString), index = 0, matchIndex = 0, a, result, startValues, startNum, color, startValue, endValue, endNum, chunk, endUnit, startUnit, endValues;
    pt.b = start;
    pt.e = end;
    start += "";
    end += "";
    if (end === "auto") {
      target.style[prop] = end;
      end = _getComputedProperty(target, prop) || end;
      target.style[prop] = start;
    }
    a = [start, end];
    _colorStringFilter(a);
    start = a[0];
    end = a[1];
    startValues = start.match(_numWithUnitExp) || [];
    endValues = end.match(_numWithUnitExp) || [];
    if (endValues.length) {
      while (result = _numWithUnitExp.exec(end)) {
        endValue = result[0];
        chunk = end.substring(index, result.index);
        if (color) {
          color = (color + 1) % 5;
        } else if (chunk.substr(-5) === "rgba(" || chunk.substr(-5) === "hsla(") {
          color = 1;
        }
        if (endValue !== (startValue = startValues[matchIndex++] || "")) {
          startNum = parseFloat(startValue) || 0;
          startUnit = startValue.substr((startNum + "").length);
          endValue.charAt(1) === "=" && (endValue = _parseRelative(startNum, endValue) + startUnit);
          endNum = parseFloat(endValue);
          endUnit = endValue.substr((endNum + "").length);
          index = _numWithUnitExp.lastIndex - endUnit.length;
          if (!endUnit) {
            endUnit = endUnit || _config.units[prop] || startUnit;
            if (index === end.length) {
              end += endUnit;
              pt.e += endUnit;
            }
          }
          if (startUnit !== endUnit) {
            startNum = _convertToUnit(target, prop, startValue, endUnit) || 0;
          }
          pt._pt = {
            _next: pt._pt,
            p: chunk || matchIndex === 1 ? chunk : ",",
            s: startNum,
            c: endNum - startNum,
            m: color && color < 4 || prop === "zIndex" ? Math.round : 0
          };
        }
      }
      pt.c = index < end.length ? end.substring(index, end.length) : "";
    } else {
      pt.r = prop === "display" && end === "none" ? _renderNonTweeningValueOnlyAtEnd : _renderNonTweeningValue;
    }
    _relExp.test(end) && (pt.e = 0);
    this._pt = pt;
    return pt;
  }, _keywordToPercent = {
    top: "0%",
    bottom: "100%",
    left: "0%",
    right: "100%",
    center: "50%"
  }, _convertKeywordsToPercentages = function _convertKeywordsToPercentages2(value) {
    var split = value.split(" "), x = split[0], y = split[1] || "50%";
    if (x === "top" || x === "bottom" || y === "left" || y === "right") {
      value = x;
      x = y;
      y = value;
    }
    split[0] = _keywordToPercent[x] || x;
    split[1] = _keywordToPercent[y] || y;
    return split.join(" ");
  }, _renderClearProps = function _renderClearProps2(ratio, data) {
    if (data.tween && data.tween._time === data.tween._dur) {
      var target = data.t, style = target.style, props = data.u, cache = target._gsap, prop, clearTransforms, i;
      if (props === "all" || props === true) {
        style.cssText = "";
        clearTransforms = 1;
      } else {
        props = props.split(",");
        i = props.length;
        while (--i > -1) {
          prop = props[i];
          if (_transformProps[prop]) {
            clearTransforms = 1;
            prop = prop === "transformOrigin" ? _transformOriginProp : _transformProp;
          }
          _removeProperty(target, prop);
        }
      }
      if (clearTransforms) {
        _removeProperty(target, _transformProp);
        if (cache) {
          cache.svg && target.removeAttribute("transform");
          _parseTransform(target, 1);
          cache.uncache = 1;
          _removeIndependentTransforms(style);
        }
      }
    }
  }, _specialProps = {
    clearProps: function clearProps(plugin, target, property, endValue, tween) {
      if (tween.data !== "isFromStart") {
        var pt = plugin._pt = new PropTween(plugin._pt, target, property, 0, 0, _renderClearProps);
        pt.u = endValue;
        pt.pr = -10;
        pt.tween = tween;
        plugin._props.push(property);
        return 1;
      }
    }
  }, _identity2DMatrix = [1, 0, 0, 1, 0, 0], _rotationalProperties = {}, _isNullTransform = function _isNullTransform2(value) {
    return value === "matrix(1, 0, 0, 1, 0, 0)" || value === "none" || !value;
  }, _getComputedTransformMatrixAsArray = function _getComputedTransformMatrixAsArray2(target) {
    var matrixString = _getComputedProperty(target, _transformProp);
    return _isNullTransform(matrixString) ? _identity2DMatrix : matrixString.substr(7).match(_numExp).map(_round);
  }, _getMatrix = function _getMatrix2(target, force2D) {
    var cache = target._gsap || _getCache(target), style = target.style, matrix = _getComputedTransformMatrixAsArray(target), parent, nextSibling, temp, addedToDOM;
    if (cache.svg && target.getAttribute("transform")) {
      temp = target.transform.baseVal.consolidate().matrix;
      matrix = [temp.a, temp.b, temp.c, temp.d, temp.e, temp.f];
      return matrix.join(",") === "1,0,0,1,0,0" ? _identity2DMatrix : matrix;
    } else if (matrix === _identity2DMatrix && !target.offsetParent && target !== _docElement && !cache.svg) {
      temp = style.display;
      style.display = "block";
      parent = target.parentNode;
      if (!parent || !target.offsetParent) {
        addedToDOM = 1;
        nextSibling = target.nextElementSibling;
        _docElement.appendChild(target);
      }
      matrix = _getComputedTransformMatrixAsArray(target);
      temp ? style.display = temp : _removeProperty(target, "display");
      if (addedToDOM) {
        nextSibling ? parent.insertBefore(target, nextSibling) : parent ? parent.appendChild(target) : _docElement.removeChild(target);
      }
    }
    return force2D && matrix.length > 6 ? [matrix[0], matrix[1], matrix[4], matrix[5], matrix[12], matrix[13]] : matrix;
  }, _applySVGOrigin = function _applySVGOrigin2(target, origin, originIsAbsolute, smooth, matrixArray, pluginToAddPropTweensTo) {
    var cache = target._gsap, matrix = matrixArray || _getMatrix(target, true), xOriginOld = cache.xOrigin || 0, yOriginOld = cache.yOrigin || 0, xOffsetOld = cache.xOffset || 0, yOffsetOld = cache.yOffset || 0, a = matrix[0], b = matrix[1], c = matrix[2], d = matrix[3], tx = matrix[4], ty = matrix[5], originSplit = origin.split(" "), xOrigin = parseFloat(originSplit[0]) || 0, yOrigin = parseFloat(originSplit[1]) || 0, bounds, determinant, x, y;
    if (!originIsAbsolute) {
      bounds = _getBBox(target);
      xOrigin = bounds.x + (~originSplit[0].indexOf("%") ? xOrigin / 100 * bounds.width : xOrigin);
      yOrigin = bounds.y + (~(originSplit[1] || originSplit[0]).indexOf("%") ? yOrigin / 100 * bounds.height : yOrigin);
    } else if (matrix !== _identity2DMatrix && (determinant = a * d - b * c)) {
      x = xOrigin * (d / determinant) + yOrigin * (-c / determinant) + (c * ty - d * tx) / determinant;
      y = xOrigin * (-b / determinant) + yOrigin * (a / determinant) - (a * ty - b * tx) / determinant;
      xOrigin = x;
      yOrigin = y;
    }
    if (smooth || smooth !== false && cache.smooth) {
      tx = xOrigin - xOriginOld;
      ty = yOrigin - yOriginOld;
      cache.xOffset = xOffsetOld + (tx * a + ty * c) - tx;
      cache.yOffset = yOffsetOld + (tx * b + ty * d) - ty;
    } else {
      cache.xOffset = cache.yOffset = 0;
    }
    cache.xOrigin = xOrigin;
    cache.yOrigin = yOrigin;
    cache.smooth = !!smooth;
    cache.origin = origin;
    cache.originIsAbsolute = !!originIsAbsolute;
    target.style[_transformOriginProp] = "0px 0px";
    if (pluginToAddPropTweensTo) {
      _addNonTweeningPT(pluginToAddPropTweensTo, cache, "xOrigin", xOriginOld, xOrigin);
      _addNonTweeningPT(pluginToAddPropTweensTo, cache, "yOrigin", yOriginOld, yOrigin);
      _addNonTweeningPT(pluginToAddPropTweensTo, cache, "xOffset", xOffsetOld, cache.xOffset);
      _addNonTweeningPT(pluginToAddPropTweensTo, cache, "yOffset", yOffsetOld, cache.yOffset);
    }
    target.setAttribute("data-svg-origin", xOrigin + " " + yOrigin);
  }, _parseTransform = function _parseTransform2(target, uncache) {
    var cache = target._gsap || new GSCache(target);
    if ("x" in cache && !uncache && !cache.uncache) {
      return cache;
    }
    var style = target.style, invertedScaleX = cache.scaleX < 0, px = "px", deg = "deg", cs = getComputedStyle(target), origin = _getComputedProperty(target, _transformOriginProp) || "0", x, y, z, scaleX, scaleY, rotation, rotationX, rotationY, skewX, skewY, perspective, xOrigin, yOrigin, matrix, angle, cos, sin, a, b, c, d, a12, a22, t1, t2, t3, a13, a23, a33, a42, a43, a32;
    x = y = z = rotation = rotationX = rotationY = skewX = skewY = perspective = 0;
    scaleX = scaleY = 1;
    cache.svg = !!(target.getCTM && _isSVG(target));
    if (cs.translate) {
      if (cs.translate !== "none" || cs.scale !== "none" || cs.rotate !== "none") {
        style[_transformProp] = (cs.translate !== "none" ? "translate3d(" + (cs.translate + " 0 0").split(" ").slice(0, 3).join(", ") + ") " : "") + (cs.rotate !== "none" ? "rotate(" + cs.rotate + ") " : "") + (cs.scale !== "none" ? "scale(" + cs.scale.split(" ").join(",") + ") " : "") + (cs[_transformProp] !== "none" ? cs[_transformProp] : "");
      }
      style.scale = style.rotate = style.translate = "none";
    }
    matrix = _getMatrix(target, cache.svg);
    if (cache.svg) {
      if (cache.uncache) {
        t2 = target.getBBox();
        origin = cache.xOrigin - t2.x + "px " + (cache.yOrigin - t2.y) + "px";
        t1 = "";
      } else {
        t1 = !uncache && target.getAttribute("data-svg-origin");
      }
      _applySVGOrigin(target, t1 || origin, !!t1 || cache.originIsAbsolute, cache.smooth !== false, matrix);
    }
    xOrigin = cache.xOrigin || 0;
    yOrigin = cache.yOrigin || 0;
    if (matrix !== _identity2DMatrix) {
      a = matrix[0];
      b = matrix[1];
      c = matrix[2];
      d = matrix[3];
      x = a12 = matrix[4];
      y = a22 = matrix[5];
      if (matrix.length === 6) {
        scaleX = Math.sqrt(a * a + b * b);
        scaleY = Math.sqrt(d * d + c * c);
        rotation = a || b ? _atan2(b, a) * _RAD2DEG : 0;
        skewX = c || d ? _atan2(c, d) * _RAD2DEG + rotation : 0;
        skewX && (scaleY *= Math.abs(Math.cos(skewX * _DEG2RAD)));
        if (cache.svg) {
          x -= xOrigin - (xOrigin * a + yOrigin * c);
          y -= yOrigin - (xOrigin * b + yOrigin * d);
        }
      } else {
        a32 = matrix[6];
        a42 = matrix[7];
        a13 = matrix[8];
        a23 = matrix[9];
        a33 = matrix[10];
        a43 = matrix[11];
        x = matrix[12];
        y = matrix[13];
        z = matrix[14];
        angle = _atan2(a32, a33);
        rotationX = angle * _RAD2DEG;
        if (angle) {
          cos = Math.cos(-angle);
          sin = Math.sin(-angle);
          t1 = a12 * cos + a13 * sin;
          t2 = a22 * cos + a23 * sin;
          t3 = a32 * cos + a33 * sin;
          a13 = a12 * -sin + a13 * cos;
          a23 = a22 * -sin + a23 * cos;
          a33 = a32 * -sin + a33 * cos;
          a43 = a42 * -sin + a43 * cos;
          a12 = t1;
          a22 = t2;
          a32 = t3;
        }
        angle = _atan2(-c, a33);
        rotationY = angle * _RAD2DEG;
        if (angle) {
          cos = Math.cos(-angle);
          sin = Math.sin(-angle);
          t1 = a * cos - a13 * sin;
          t2 = b * cos - a23 * sin;
          t3 = c * cos - a33 * sin;
          a43 = d * sin + a43 * cos;
          a = t1;
          b = t2;
          c = t3;
        }
        angle = _atan2(b, a);
        rotation = angle * _RAD2DEG;
        if (angle) {
          cos = Math.cos(angle);
          sin = Math.sin(angle);
          t1 = a * cos + b * sin;
          t2 = a12 * cos + a22 * sin;
          b = b * cos - a * sin;
          a22 = a22 * cos - a12 * sin;
          a = t1;
          a12 = t2;
        }
        if (rotationX && Math.abs(rotationX) + Math.abs(rotation) > 359.9) {
          rotationX = rotation = 0;
          rotationY = 180 - rotationY;
        }
        scaleX = _round(Math.sqrt(a * a + b * b + c * c));
        scaleY = _round(Math.sqrt(a22 * a22 + a32 * a32));
        angle = _atan2(a12, a22);
        skewX = Math.abs(angle) > 2e-4 ? angle * _RAD2DEG : 0;
        perspective = a43 ? 1 / (a43 < 0 ? -a43 : a43) : 0;
      }
      if (cache.svg) {
        t1 = target.getAttribute("transform");
        cache.forceCSS = target.setAttribute("transform", "") || !_isNullTransform(_getComputedProperty(target, _transformProp));
        t1 && target.setAttribute("transform", t1);
      }
    }
    if (Math.abs(skewX) > 90 && Math.abs(skewX) < 270) {
      if (invertedScaleX) {
        scaleX *= -1;
        skewX += rotation <= 0 ? 180 : -180;
        rotation += rotation <= 0 ? 180 : -180;
      } else {
        scaleY *= -1;
        skewX += skewX <= 0 ? 180 : -180;
      }
    }
    uncache = uncache || cache.uncache;
    cache.x = x - ((cache.xPercent = x && (!uncache && cache.xPercent || (Math.round(target.offsetWidth / 2) === Math.round(-x) ? -50 : 0))) ? target.offsetWidth * cache.xPercent / 100 : 0) + px;
    cache.y = y - ((cache.yPercent = y && (!uncache && cache.yPercent || (Math.round(target.offsetHeight / 2) === Math.round(-y) ? -50 : 0))) ? target.offsetHeight * cache.yPercent / 100 : 0) + px;
    cache.z = z + px;
    cache.scaleX = _round(scaleX);
    cache.scaleY = _round(scaleY);
    cache.rotation = _round(rotation) + deg;
    cache.rotationX = _round(rotationX) + deg;
    cache.rotationY = _round(rotationY) + deg;
    cache.skewX = skewX + deg;
    cache.skewY = skewY + deg;
    cache.transformPerspective = perspective + px;
    if (cache.zOrigin = parseFloat(origin.split(" ")[2]) || 0) {
      style[_transformOriginProp] = _firstTwoOnly(origin);
    }
    cache.xOffset = cache.yOffset = 0;
    cache.force3D = _config.force3D;
    cache.renderTransform = cache.svg ? _renderSVGTransforms : _supports3D ? _renderCSSTransforms : _renderNon3DTransforms;
    cache.uncache = 0;
    return cache;
  }, _firstTwoOnly = function _firstTwoOnly2(value) {
    return (value = value.split(" "))[0] + " " + value[1];
  }, _addPxTranslate = function _addPxTranslate2(target, start, value) {
    var unit = getUnit(start);
    return _round(parseFloat(start) + parseFloat(_convertToUnit(target, "x", value + "px", unit))) + unit;
  }, _renderNon3DTransforms = function _renderNon3DTransforms2(ratio, cache) {
    cache.z = "0px";
    cache.rotationY = cache.rotationX = "0deg";
    cache.force3D = 0;
    _renderCSSTransforms(ratio, cache);
  }, _zeroDeg = "0deg", _zeroPx = "0px", _endParenthesis = ") ", _renderCSSTransforms = function _renderCSSTransforms2(ratio, cache) {
    var _ref = cache || this, xPercent = _ref.xPercent, yPercent = _ref.yPercent, x = _ref.x, y = _ref.y, z = _ref.z, rotation = _ref.rotation, rotationY = _ref.rotationY, rotationX = _ref.rotationX, skewX = _ref.skewX, skewY = _ref.skewY, scaleX = _ref.scaleX, scaleY = _ref.scaleY, transformPerspective = _ref.transformPerspective, force3D = _ref.force3D, target = _ref.target, zOrigin = _ref.zOrigin, transforms = "", use3D = force3D === "auto" && ratio && ratio !== 1 || force3D === true;
    if (zOrigin && (rotationX !== _zeroDeg || rotationY !== _zeroDeg)) {
      var angle = parseFloat(rotationY) * _DEG2RAD, a13 = Math.sin(angle), a33 = Math.cos(angle), cos;
      angle = parseFloat(rotationX) * _DEG2RAD;
      cos = Math.cos(angle);
      x = _addPxTranslate(target, x, a13 * cos * -zOrigin);
      y = _addPxTranslate(target, y, -Math.sin(angle) * -zOrigin);
      z = _addPxTranslate(target, z, a33 * cos * -zOrigin + zOrigin);
    }
    if (transformPerspective !== _zeroPx) {
      transforms += "perspective(" + transformPerspective + _endParenthesis;
    }
    if (xPercent || yPercent) {
      transforms += "translate(" + xPercent + "%, " + yPercent + "%) ";
    }
    if (use3D || x !== _zeroPx || y !== _zeroPx || z !== _zeroPx) {
      transforms += z !== _zeroPx || use3D ? "translate3d(" + x + ", " + y + ", " + z + ") " : "translate(" + x + ", " + y + _endParenthesis;
    }
    if (rotation !== _zeroDeg) {
      transforms += "rotate(" + rotation + _endParenthesis;
    }
    if (rotationY !== _zeroDeg) {
      transforms += "rotateY(" + rotationY + _endParenthesis;
    }
    if (rotationX !== _zeroDeg) {
      transforms += "rotateX(" + rotationX + _endParenthesis;
    }
    if (skewX !== _zeroDeg || skewY !== _zeroDeg) {
      transforms += "skew(" + skewX + ", " + skewY + _endParenthesis;
    }
    if (scaleX !== 1 || scaleY !== 1) {
      transforms += "scale(" + scaleX + ", " + scaleY + _endParenthesis;
    }
    target.style[_transformProp] = transforms || "translate(0, 0)";
  }, _renderSVGTransforms = function _renderSVGTransforms2(ratio, cache) {
    var _ref2 = cache || this, xPercent = _ref2.xPercent, yPercent = _ref2.yPercent, x = _ref2.x, y = _ref2.y, rotation = _ref2.rotation, skewX = _ref2.skewX, skewY = _ref2.skewY, scaleX = _ref2.scaleX, scaleY = _ref2.scaleY, target = _ref2.target, xOrigin = _ref2.xOrigin, yOrigin = _ref2.yOrigin, xOffset = _ref2.xOffset, yOffset = _ref2.yOffset, forceCSS = _ref2.forceCSS, tx = parseFloat(x), ty = parseFloat(y), a11, a21, a12, a22, temp;
    rotation = parseFloat(rotation);
    skewX = parseFloat(skewX);
    skewY = parseFloat(skewY);
    if (skewY) {
      skewY = parseFloat(skewY);
      skewX += skewY;
      rotation += skewY;
    }
    if (rotation || skewX) {
      rotation *= _DEG2RAD;
      skewX *= _DEG2RAD;
      a11 = Math.cos(rotation) * scaleX;
      a21 = Math.sin(rotation) * scaleX;
      a12 = Math.sin(rotation - skewX) * -scaleY;
      a22 = Math.cos(rotation - skewX) * scaleY;
      if (skewX) {
        skewY *= _DEG2RAD;
        temp = Math.tan(skewX - skewY);
        temp = Math.sqrt(1 + temp * temp);
        a12 *= temp;
        a22 *= temp;
        if (skewY) {
          temp = Math.tan(skewY);
          temp = Math.sqrt(1 + temp * temp);
          a11 *= temp;
          a21 *= temp;
        }
      }
      a11 = _round(a11);
      a21 = _round(a21);
      a12 = _round(a12);
      a22 = _round(a22);
    } else {
      a11 = scaleX;
      a22 = scaleY;
      a21 = a12 = 0;
    }
    if (tx && !~(x + "").indexOf("px") || ty && !~(y + "").indexOf("px")) {
      tx = _convertToUnit(target, "x", x, "px");
      ty = _convertToUnit(target, "y", y, "px");
    }
    if (xOrigin || yOrigin || xOffset || yOffset) {
      tx = _round(tx + xOrigin - (xOrigin * a11 + yOrigin * a12) + xOffset);
      ty = _round(ty + yOrigin - (xOrigin * a21 + yOrigin * a22) + yOffset);
    }
    if (xPercent || yPercent) {
      temp = target.getBBox();
      tx = _round(tx + xPercent / 100 * temp.width);
      ty = _round(ty + yPercent / 100 * temp.height);
    }
    temp = "matrix(" + a11 + "," + a21 + "," + a12 + "," + a22 + "," + tx + "," + ty + ")";
    target.setAttribute("transform", temp);
    forceCSS && (target.style[_transformProp] = temp);
  }, _addRotationalPropTween = function _addRotationalPropTween2(plugin, target, property, startNum, endValue) {
    var cap = 360, isString = _isString(endValue), endNum = parseFloat(endValue) * (isString && ~endValue.indexOf("rad") ? _RAD2DEG : 1), change = endNum - startNum, finalValue = startNum + change + "deg", direction, pt;
    if (isString) {
      direction = endValue.split("_")[1];
      if (direction === "short") {
        change %= cap;
        if (change !== change % (cap / 2)) {
          change += change < 0 ? cap : -cap;
        }
      }
      if (direction === "cw" && change < 0) {
        change = (change + cap * _bigNum) % cap - ~~(change / cap) * cap;
      } else if (direction === "ccw" && change > 0) {
        change = (change - cap * _bigNum) % cap - ~~(change / cap) * cap;
      }
    }
    plugin._pt = pt = new PropTween(plugin._pt, target, property, startNum, change, _renderPropWithEnd);
    pt.e = finalValue;
    pt.u = "deg";
    plugin._props.push(property);
    return pt;
  }, _assign = function _assign2(target, source) {
    for (var p in source) {
      target[p] = source[p];
    }
    return target;
  }, _addRawTransformPTs = function _addRawTransformPTs2(plugin, transforms, target) {
    var startCache = _assign({}, target._gsap), exclude = "perspective,force3D,transformOrigin,svgOrigin", style = target.style, endCache, p, startValue, endValue, startNum, endNum, startUnit, endUnit;
    if (startCache.svg) {
      startValue = target.getAttribute("transform");
      target.setAttribute("transform", "");
      style[_transformProp] = transforms;
      endCache = _parseTransform(target, 1);
      _removeProperty(target, _transformProp);
      target.setAttribute("transform", startValue);
    } else {
      startValue = getComputedStyle(target)[_transformProp];
      style[_transformProp] = transforms;
      endCache = _parseTransform(target, 1);
      style[_transformProp] = startValue;
    }
    for (p in _transformProps) {
      startValue = startCache[p];
      endValue = endCache[p];
      if (startValue !== endValue && exclude.indexOf(p) < 0) {
        startUnit = getUnit(startValue);
        endUnit = getUnit(endValue);
        startNum = startUnit !== endUnit ? _convertToUnit(target, p, startValue, endUnit) : parseFloat(startValue);
        endNum = parseFloat(endValue);
        plugin._pt = new PropTween(plugin._pt, endCache, p, startNum, endNum - startNum, _renderCSSProp);
        plugin._pt.u = endUnit || 0;
        plugin._props.push(p);
      }
    }
    _assign(endCache, startCache);
  };
  _forEachName("padding,margin,Width,Radius", function(name, index) {
    var t = "Top", r = "Right", b = "Bottom", l = "Left", props = (index < 3 ? [t, r, b, l] : [t + l, t + r, b + r, b + l]).map(function(side) {
      return index < 2 ? name + side : "border" + side + name;
    });
    _specialProps[index > 1 ? "border" + name : name] = function(plugin, target, property, endValue, tween) {
      var a, vars;
      if (arguments.length < 4) {
        a = props.map(function(prop) {
          return _get(plugin, prop, property);
        });
        vars = a.join(" ");
        return vars.split(a[0]).length === 5 ? a[0] : vars;
      }
      a = (endValue + "").split(" ");
      vars = {};
      props.forEach(function(prop, i) {
        return vars[prop] = a[i] = a[i] || a[(i - 1) / 2 | 0];
      });
      plugin.init(target, vars, tween);
    };
  });
  var CSSPlugin = {
    name: "css",
    register: _initCore,
    targetTest: function targetTest(target) {
      return target.style && target.nodeType;
    },
    init: function init(target, vars, tween, index, targets) {
      var props = this._props, style = target.style, startAt = tween.vars.startAt, startValue, endValue, endNum, startNum, type, specialProp, p, startUnit, endUnit, relative, isTransformRelated, transformPropTween, cache, smooth, hasPriority, inlineProps;
      _pluginInitted || _initCore();
      this.styles = this.styles || _getStyleSaver(target);
      inlineProps = this.styles.props;
      this.tween = tween;
      for (p in vars) {
        if (p === "autoRound") {
          continue;
        }
        endValue = vars[p];
        if (_plugins[p] && _checkPlugin(p, vars, tween, index, target, targets)) {
          continue;
        }
        type = typeof endValue;
        specialProp = _specialProps[p];
        if (type === "function") {
          endValue = endValue.call(tween, index, target, targets);
          type = typeof endValue;
        }
        if (type === "string" && ~endValue.indexOf("random(")) {
          endValue = _replaceRandom(endValue);
        }
        if (specialProp) {
          specialProp(this, target, p, endValue, tween) && (hasPriority = 1);
        } else if (p.substr(0, 2) === "--") {
          startValue = (getComputedStyle(target).getPropertyValue(p) + "").trim();
          endValue += "";
          _colorExp.lastIndex = 0;
          if (!_colorExp.test(startValue)) {
            startUnit = getUnit(startValue);
            endUnit = getUnit(endValue);
          }
          endUnit ? startUnit !== endUnit && (startValue = _convertToUnit(target, p, startValue, endUnit) + endUnit) : startUnit && (endValue += startUnit);
          this.add(style, "setProperty", startValue, endValue, index, targets, 0, 0, p);
          props.push(p);
          inlineProps.push(p, 0, style[p]);
        } else if (type !== "undefined") {
          if (startAt && p in startAt) {
            startValue = typeof startAt[p] === "function" ? startAt[p].call(tween, index, target, targets) : startAt[p];
            _isString(startValue) && ~startValue.indexOf("random(") && (startValue = _replaceRandom(startValue));
            getUnit(startValue + "") || (startValue += _config.units[p] || getUnit(_get(target, p)) || "");
            (startValue + "").charAt(1) === "=" && (startValue = _get(target, p));
          } else {
            startValue = _get(target, p);
          }
          startNum = parseFloat(startValue);
          relative = type === "string" && endValue.charAt(1) === "=" && endValue.substr(0, 2);
          relative && (endValue = endValue.substr(2));
          endNum = parseFloat(endValue);
          if (p in _propertyAliases) {
            if (p === "autoAlpha") {
              if (startNum === 1 && _get(target, "visibility") === "hidden" && endNum) {
                startNum = 0;
              }
              inlineProps.push("visibility", 0, style.visibility);
              _addNonTweeningPT(this, style, "visibility", startNum ? "inherit" : "hidden", endNum ? "inherit" : "hidden", !endNum);
            }
            if (p !== "scale" && p !== "transform") {
              p = _propertyAliases[p];
              ~p.indexOf(",") && (p = p.split(",")[0]);
            }
          }
          isTransformRelated = p in _transformProps;
          if (isTransformRelated) {
            this.styles.save(p);
            if (!transformPropTween) {
              cache = target._gsap;
              cache.renderTransform && !vars.parseTransform || _parseTransform(target, vars.parseTransform);
              smooth = vars.smoothOrigin !== false && cache.smooth;
              transformPropTween = this._pt = new PropTween(this._pt, style, _transformProp, 0, 1, cache.renderTransform, cache, 0, -1);
              transformPropTween.dep = 1;
            }
            if (p === "scale") {
              this._pt = new PropTween(this._pt, cache, "scaleY", cache.scaleY, (relative ? _parseRelative(cache.scaleY, relative + endNum) : endNum) - cache.scaleY || 0, _renderCSSProp);
              this._pt.u = 0;
              props.push("scaleY", p);
              p += "X";
            } else if (p === "transformOrigin") {
              inlineProps.push(_transformOriginProp, 0, style[_transformOriginProp]);
              endValue = _convertKeywordsToPercentages(endValue);
              if (cache.svg) {
                _applySVGOrigin(target, endValue, 0, smooth, 0, this);
              } else {
                endUnit = parseFloat(endValue.split(" ")[2]) || 0;
                endUnit !== cache.zOrigin && _addNonTweeningPT(this, cache, "zOrigin", cache.zOrigin, endUnit);
                _addNonTweeningPT(this, style, p, _firstTwoOnly(startValue), _firstTwoOnly(endValue));
              }
              continue;
            } else if (p === "svgOrigin") {
              _applySVGOrigin(target, endValue, 1, smooth, 0, this);
              continue;
            } else if (p in _rotationalProperties) {
              _addRotationalPropTween(this, cache, p, startNum, relative ? _parseRelative(startNum, relative + endValue) : endValue);
              continue;
            } else if (p === "smoothOrigin") {
              _addNonTweeningPT(this, cache, "smooth", cache.smooth, endValue);
              continue;
            } else if (p === "force3D") {
              cache[p] = endValue;
              continue;
            } else if (p === "transform") {
              _addRawTransformPTs(this, endValue, target);
              continue;
            }
          } else if (!(p in style)) {
            p = _checkPropPrefix(p) || p;
          }
          if (isTransformRelated || (endNum || endNum === 0) && (startNum || startNum === 0) && !_complexExp.test(endValue) && p in style) {
            startUnit = (startValue + "").substr((startNum + "").length);
            endNum || (endNum = 0);
            endUnit = getUnit(endValue) || (p in _config.units ? _config.units[p] : startUnit);
            startUnit !== endUnit && (startNum = _convertToUnit(target, p, startValue, endUnit));
            this._pt = new PropTween(this._pt, isTransformRelated ? cache : style, p, startNum, (relative ? _parseRelative(startNum, relative + endNum) : endNum) - startNum, !isTransformRelated && (endUnit === "px" || p === "zIndex") && vars.autoRound !== false ? _renderRoundedCSSProp : _renderCSSProp);
            this._pt.u = endUnit || 0;
            if (startUnit !== endUnit && endUnit !== "%") {
              this._pt.b = startValue;
              this._pt.r = _renderCSSPropWithBeginning;
            }
          } else if (!(p in style)) {
            if (p in target) {
              this.add(target, p, startValue || target[p], relative ? relative + endValue : endValue, index, targets);
            } else if (p !== "parseTransform") {
              _missingPlugin(p, endValue);
              continue;
            }
          } else {
            _tweenComplexCSSString.call(this, target, p, startValue, relative ? relative + endValue : endValue);
          }
          isTransformRelated || (p in style ? inlineProps.push(p, 0, style[p]) : inlineProps.push(p, 1, startValue || target[p]));
          props.push(p);
        }
      }
      hasPriority && _sortPropTweensByPriority(this);
    },
    render: function render(ratio, data) {
      if (data.tween._time || !_reverting()) {
        var pt = data._pt;
        while (pt) {
          pt.r(ratio, pt.d);
          pt = pt._next;
        }
      } else {
        data.styles.revert();
      }
    },
    get: _get,
    aliases: _propertyAliases,
    getSetter: function getSetter(target, property, plugin) {
      var p = _propertyAliases[property];
      p && p.indexOf(",") < 0 && (property = p);
      return property in _transformProps && property !== _transformOriginProp && (target._gsap.x || _get(target, "x")) ? plugin && _recentSetterPlugin === plugin ? property === "scale" ? _setterScale : _setterTransform : (_recentSetterPlugin = plugin || {}) && (property === "scale" ? _setterScaleWithRender : _setterTransformWithRender) : target.style && !_isUndefined(target.style[property]) ? _setterCSSStyle : ~property.indexOf("-") ? _setterCSSProp : _getSetter(target, property);
    },
    core: {
      _removeProperty,
      _getMatrix
    }
  };
  gsap.utils.checkPrefix = _checkPropPrefix;
  gsap.core.getStyleSaver = _getStyleSaver;
  (function(positionAndScale, rotation, others, aliases) {
    var all = _forEachName(positionAndScale + "," + rotation + "," + others, function(name) {
      _transformProps[name] = 1;
    });
    _forEachName(rotation, function(name) {
      _config.units[name] = "deg";
      _rotationalProperties[name] = 1;
    });
    _propertyAliases[all[13]] = positionAndScale + "," + rotation;
    _forEachName(aliases, function(name) {
      var split = name.split(":");
      _propertyAliases[split[1]] = all[split[0]];
    });
  })("x,y,z,scale,scaleX,scaleY,xPercent,yPercent", "rotation,rotationX,rotationY,skewX,skewY", "transform,transformOrigin,svgOrigin,force3D,smoothOrigin,transformPerspective", "0:translateX,1:translateY,2:translateZ,8:rotate,8:rotationZ,8:rotateZ,9:rotateX,10:rotateY");
  _forEachName("x,y,z,top,right,bottom,left,width,height,fontSize,padding,margin,perspective", function(name) {
    _config.units[name] = "px";
  });
  gsap.registerPlugin(CSSPlugin);
  var gsapWithCSS = gsap.registerPlugin(CSSPlugin) || gsap;
  gsapWithCSS.core.Tween;
  function fadingEffect(target, effectValue, isFastForward) {
    let effectrun = {};
    const EffectFunction = getFromTo(effectValue.type);
    if ("alpha" in effectValue) {
      effectrun.alpha = effectValue.alpha;
    }
    if (effectValue.time) {
      effectrun.duration = effectValue.time / 1e3;
    }
    if (!effectValue.ease) {
      effectrun.ease = "easeInOutQuad";
    } else {
      effectrun.ease = getEasing(effectValue.ease);
    }
    EffectFunction(target, effectrun);
  }
  function getFromTo(fromto) {
    switch (fromto) {
      case "from":
        return gsapWithCSS.from;
      case "to":
        return gsapWithCSS.to;
      default:
        return gsapWithCSS.to;
    }
  }
  function getEasing(easing) {
    switch (easing) {
      case "easeInOutQuad":
        return Quad.easeInOut;
      case "easeInQuad":
        return Quad.easeIn;
      case "easeOutQuad":
        return Quad.easeOut;
      case "none":
        return Power0.easeNone;
      default:
        return Quad.easeInOut;
    }
  }
  class BGController extends display.Container {
    constructor() {
      super(...arguments);
      __publicField(this, "_bgMap", /* @__PURE__ */ new Map());
    }
    process({ bg, bgEffect, bgEffectTime }) {
      if (bg && bgEffect) {
        this._changeBgByEffect(bg, bgEffect, bgEffectTime);
      } else if (bg && !bgEffect) {
        this._insertNewBg(bg, 1, true);
      }
    }
    reset() {
      this.removeChildren(0, this.children.length);
      this._bgMap.clear();
    }
    _insertNewBg(bgName, alphaValue, removeOld = false) {
      if (!this._bgMap.has(bgName)) {
        this._bgMap.set(bgName, new sprite.Sprite(assets.Assets.get(`bg_${bgName}`)));
      }
      this._bgMap.get(bgName).alpha = alphaValue;
      if (removeOld && this.children.length != 0) {
        this.removeChildAt(0);
      }
      let order = this.children.length;
      this.addChildAt(this._bgMap.get(bgName), order);
    }
    _changeBgByEffect(bgName, effectName, bgEffectTime) {
      switch (effectName) {
        case "fade":
          this._insertNewBg(bgName, 0);
          let origBg, newBg;
          if (this.children.length == 1) {
            newBg = this.getChildAt(0);
          } else {
            origBg = this.getChildAt(0);
            newBg = this.getChildAt(1);
          }
          if (this.children.length != 1) {
            fadingEffect(origBg, { alpha: 0, time: bgEffectTime ? bgEffectTime / 1e3 : 1, ease: "none", type: "to" });
            setTimeout(() => {
              if (this.children.length) {
                this.removeChildAt(0);
              }
            }, bgEffectTime ? bgEffectTime : 1e3);
          }
          fadingEffect(newBg, { alpha: 1, time: bgEffectTime ? bgEffectTime : 1, ease: "none", type: "to" });
          break;
      }
    }
    addTo(parent) {
      parent.addChild(this);
      return this;
    }
  }
  class EffectController extends display.Container {
    constructor() {
      super(...arguments);
      __publicField(this, "_effectMap", /* @__PURE__ */ new Map());
    }
    reset() {
      this.removeChildren(0, this.children.length);
      this._effectMap.clear();
    }
    process({ effectLabel, effectTarget, effectValue }) {
      if (!effectLabel)
        return;
      if (!this._effectMap.has(effectLabel)) {
        let thisEffect2 = null;
        switch (effectTarget == null ? void 0 : effectTarget.type) {
          case "rect":
            thisEffect2 = new graphics.Graphics();
            thisEffect2.beginFill(`0x${effectTarget.color}`);
            thisEffect2.drawRect(0, 0, effectTarget.width, effectTarget.height);
            thisEffect2.endFill();
            break;
        }
        this._effectMap.set(effectLabel, thisEffect2);
      }
      let thisEffect = this._effectMap.get(effectLabel);
      if (thisEffect) {
        this.addChild(thisEffect);
        fadingEffect(thisEffect, effectValue);
      }
    }
    addTo(parent) {
      parent.addChild(this);
      return this;
    }
  }
  class FGController extends display.Container {
    constructor() {
      super(...arguments);
      __publicField(this, "_fgMap", /* @__PURE__ */ new Map());
      __publicField(this, "_currentFg");
    }
    addTo(parent) {
      parent.addChild(this);
      return this;
    }
    reset() {
      this.removeChildren(0, this.children.length);
      this._fgMap.clear();
    }
    process({ fg, fgEffect, fgEffectTime }) {
      if (fg == "off") {
        if (this.children.length) {
          this.removeChildren(0, this.children.length);
        }
      } else if (fg == "fade_out") {
        this._fadeOutFg();
      } else if (fg && fgEffect) {
        this._changeFgByEffect(fg, fgEffect, fgEffectTime);
      } else if (fg && !fgEffect) {
        this._changeFg(fg, 0, 1);
      }
    }
    _changeFg(fgName, order, alphaValue) {
      if (!this._fgMap.has(fgName)) {
        this._fgMap.set(fgName, new sprite.Sprite(assets.Assets.get(`fg_${fgName}`)));
      }
      this._currentFg = this._fgMap.get(fgName);
      this._currentFg.alpha = alphaValue;
      if (this.children.length != 0 && order == 0) {
        this.removeChildAt(order);
      }
      this.addChildAt(this._fgMap.get(fgName), order > this.children.length ? this.children.length : order);
    }
    _changeFgByEffect(fgName, fgEffect, fgEffectTime) {
      switch (fgEffect) {
        case "fade":
          this._changeFg(fgName, 1, 0);
          let newOrder = this.children.length == 1 ? 0 : 1;
          let origFg = this.getChildAt(0), newFg = this.getChildAt(newOrder);
          let k = setInterval(() => {
            if (newOrder) {
              origFg.alpha -= 0.01;
            }
            newFg.alpha += 0.01;
          }, 10);
          setTimeout(() => {
            clearInterval(k);
            if (newOrder) {
              origFg.alpha = 0;
            }
            newFg.alpha = 1;
          }, fgEffectTime ? fgEffectTime : 1e3);
          this.removeChildAt(0);
          break;
      }
    }
    _fadeOutFg() {
      fadingEffect(this._currentFg, { alpha: 0, time: 1e3, type: "to" });
    }
  }
  class MovieController extends display.Container {
    constructor() {
      super(...arguments);
      __publicField(this, "_onMovieEnded", () => {
      });
    }
    addTo(parent) {
      parent.addChild(this);
      return this;
    }
    reset() {
      this.removeChildren(0, this.children.length);
    }
    process({ movie, onMovieEnded }) {
      if (!movie)
        return;
      this._onMovieEnded = onMovieEnded;
      this._playMovie(movie);
    }
    _playMovie(movie) {
      let texture = assets.Assets.get(`movie_${movie}`);
      let movieSprite = new sprite.Sprite(texture);
      this.addChild(movieSprite);
      const controller = movieSprite.texture.baseTexture.resource.source;
      controller.play();
      //!!!
      controller.addEventListener("ended", () => {
        setTimeout(() => {
          fadingEffect(movieSprite, {
            type: "to",
            alpha: 0,
            time: 1e3,
            ease: "easeOutQuart"
          });
        }, 1500);
        setTimeout(() => {
          this.removeChild(movieSprite);
          this._onMovieEnded();
        }, 2500);
      });
    }
  }
  class SelectController extends display.Container {
    constructor() {
      super(...arguments);
      __publicField(this, "options");
      __publicField(this, "_stMap", /* @__PURE__ */ new Map());
      __publicField(this, "_neededFrame", 1);
      __publicField(this, "_language", "jp");
    }
    addTo(parent) {
      parent.addChild(this);
      return this;
    }
    reset() {
      this.removeChildren(0, this.children.length);
      this._stMap.clear();
    }
    process({ select, nextLabel, translated_text, selectonClick, afterSelection }) {
      var _a2;
      if (!select)
        return;
      if (!this._stMap.has(`selectFrame${this.neededFrame}`)) {
        let thisSelectContainer2 = new display.Container();
        thisSelectContainer2.addChild(new sprite.Sprite(assets.Assets.get(`selectFrame_${this.neededFrame}`)));
        let currentText2 = { jp: "", translated: "" };
        this._stMap.set(`selectFrame${this.neededFrame}`, { thisSelectContainer: thisSelectContainer2, currentText: currentText2 });
        this._stMap.set(`selectFrame${this.neededFrame}`, { thisSelectContainer: thisSelectContainer2 });
      }
      let { thisSelectContainer, currentText } = this._stMap.get(`selectFrame${this.neededFrame}`);
      thisSelectContainer.eventMode = "static";
      const localBound = thisSelectContainer.getLocalBounds();
      thisSelectContainer.pivot.set(localBound.width / 2, localBound.height / 2);
      thisSelectContainer.on("click", () => {
        this._disableInteractive();
        gsapWithCSS.to(thisSelectContainer, { pixi: { scaleX: 1.2, scaleY: 1.2 }, duration: 0.1 });
        setTimeout(() => {
          selectonClick(nextLabel);
          afterSelection();
          this._fadeOutOption();
        }, 800);
      }, { once: true });
      if (translated_text) {
        currentText.jp = select;
        currentText.translated = translated_text;
        select = currentText[this._language];
      }
      let textObj = new text.Text(select, {
        fontFamily: (_a2 = this.options) == null ? void 0 : _a2.fonts[this._language].family,
        fontSize: 24,
        fill: 0,
        align: "center",
        padding: 3
      });
      thisSelectContainer.addChild(textObj);
      this.addChild(thisSelectContainer);
      textObj.anchor.set(0.5);
      textObj.position.set(159, 86);
      switch (this.neededFrame) {
        case 1:
          thisSelectContainer.position.set(568, 125);
          break;
        case 2:
          thisSelectContainer.position.set(200, 240);
          break;
        case 3:
          thisSelectContainer.position.set(936, 240);
          break;
      }
      const tl = gsapWithCSS.timeline({ repeat: -1, yoyo: true, repeatDelay: 0 });
      const yLocation = thisSelectContainer.y;
      tl.to(thisSelectContainer, { pixi: { y: yLocation - 10 }, ease: Power1.easeInOut, direction: 1 });
      tl.to(thisSelectContainer, { pixi: { y: yLocation }, ease: Power1.easeInOut, direction: 1 });
      this.frameForward();
    }
    toggleLanguage(lang) {
      this._language = lang;
      this._stMap.forEach((value) => {
        var _a2;
        let { thisSelectContainer, currentText } = value;
        let textObj = thisSelectContainer.getChildAt(1);
        textObj.style.fontFamily = (_a2 = this.options) == null ? void 0 : _a2.fonts[this._language].family;
        textObj.text = currentText[this._language];
      });
    }
    _disableInteractive() {
      this._stMap.forEach((st) => {
        st.eventMode = "auto";
      });
    }
    _fadeOutOption() {
      this._stMap.forEach((st) => {
        gsapWithCSS.to(st, { alpha: 0, ease: Power3.easeOut, direction: 1 });
      });
      setTimeout(() => {
        this.removeChildren(0, this.children.length);
      }, 500);
    }
    frameForward() {
      this._neededFrame++;
    }
    frameReset() {
      this._neededFrame = 1;
    }
    get neededFrame() {
      return this._neededFrame;
    }
  }
  class SoundController {
    constructor() {
      __publicField(this, "_voiceDuration", 0);
      __publicField(this, "_currentBgm", null);
      __publicField(this, "_currentVoice", null);
      __publicField(this, "_currentSe", null);
      __publicField(this, "_onVoiceEnd", () => {
      });
      sound.sound.disableAutoPause = true;
      sound.sound.volumeAll = 0.1;
    }
    reset() {
      if (this._currentVoice) {
        this._currentVoice.stop();
        this._currentVoice = null;
      }
      if (this._currentBgm) {
        this._currentBgm.stop();
        this._currentBgm = null;
      }
      if (this._currentSe) {
        this._currentSe.stop();
        this._currentSe = null;
      }
    }
    process({ bgm, se, voice, charLabel, onVoiceEnd }) {
      if (bgm) {
        this._playBgm(bgm);
      }
      if (se) {
        this._playSe(se);
      }
      if (voice) {
        this._playVoice(voice, charLabel, onVoiceEnd);
      }
    }
    _playBgm(bgmName) {
      if (bgmName == "fade_out") {
        gsapWithCSS.to(this._currentBgm, { duration: 0, volume: 0 });
        return;
      }
      if (this._currentBgm) {
        this._currentBgm.stop();
      }
      if (bgmName == "off") {
        return;
      }
      this._currentBgm = assets.Assets.get(`bgm_${bgmName}`);
      if (this._currentBgm) {
        this._currentBgm.autoPlay = true;
        this._currentBgm.play({
          loop: true,
          singleInstance: true
        });
        this._currentBgm.volume = 0.3;
      }
    }
    _playSe(seName) {
      this._currentSe = assets.Assets.get(`se_${seName}`);
      if (this._currentSe) {
        this._currentSe.play({
          loop: false
        });
      }
    }
    _playVoice(voiceName, charLabel, onVoiceEnd) {
      this._voiceDuration = 0;
      if (this._currentVoice) {
        this._currentVoice.stop();
        this._onVoiceEnd();
      }
      this._currentVoice = assets.Assets.get(`voice_${voiceName}`);
      if (this._currentVoice) {
        let instance = this._currentVoice.play({
          loop: false
        });
        this._voiceDuration = this._currentVoice.duration * 1e3 + 1e3;
        this._onVoiceEnd = () => {
          onVoiceEnd(charLabel);
        };
        instance.on("end", () => {
          this._onVoiceEnd();
          this._currentVoice = null;
        });
      }
    }
    get voiceDuration() {
      return this._voiceDuration;
    }
  }
  const spineAlias = {
    stand_fix: "stand",
    stand_costume_fix: "stand_costume",
    stand_flex: "stand",
    stand_costume_flex: "stand_costume",
    stand: "stand",
    stand_costume: "stand_costume",
    stand_jersey: "stand_jersey",
    stand_silhouette: "stand_silhouette"
  };
  const LIP_EVENT_NAME = "lip";
  const RELAY_EVENT_NAME = "relay";
  const LOOP_EVENT_NAME = "loop_start";
  const ANIMATION_MIX = 0.3;
  class SpineController extends display.Container {
    constructor() {
      super(...arguments);
      __publicField(this, "_spineMap", /* @__PURE__ */ new Map());
      __publicField(this, "_currSpine", {});
      __publicField(this, "_keepsLipAnimation", false);
      __publicField(this, "_timeoutToClear", null);
      __publicField(this, "_replacingLipTrack");
      __publicField(this, "_lipTrack");
      __publicField(this, "_lipAnim");
    }
    addTo(parent) {
      parent.addChild(this);
      return this;
    }
    reset() {
      this.removeChildren(0, this.children.length);
      this._spineMap.clear();
      this._currSpine = {};
    }
    process({
      charLabel,
      charId,
      charCategory,
      charPosition,
      charScale,
      charAnim1,
      charAnim2,
      charAnim3,
      charAnim4,
      charAnim5,
      charAnim1Loop,
      charAnim2Loop,
      charAnim3Loop,
      charAnim4Loop,
      charAnim5Loop,
      charLipAnim,
      lipAnimDuration,
      charEffect
    }) {
      var _a2;
      if (!charLabel) {
        return;
      }
      if (charId) {
        this._currSpine[charLabel] = {
          currCharId: charId,
          currCharCategory: (_a2 = spineAlias[charCategory]) != null ? _a2 : "stand"
        };
      }
      let { currCharId, currCharCategory } = this._currSpine[charLabel];
      let char_uid = `${charLabel}_${currCharId}_${currCharCategory}`;
      if (!this._spineMap.has(char_uid)) {
        this._spineMap.set(char_uid, new Spine(assets.Assets.get(char_uid).spineData));
        this._spineMap.get(char_uid).alpha = 1;
        this.addChild(this._spineMap.get(char_uid));
      }
      charAnim1Loop = charAnim1Loop === void 0 ? true : charAnim1Loop;
      charAnim2Loop = charAnim2Loop === void 0 ? true : charAnim2Loop;
      charAnim3Loop = charAnim3Loop === void 0 ? true : charAnim3Loop;
      charAnim4Loop = charAnim4Loop === void 0 ? true : charAnim4Loop;
      charAnim5Loop = charAnim5Loop === void 0 ? true : charAnim5Loop;
      let C_Lip_Anim = charLipAnim === void 0 ? false : charLipAnim;
      let thisSpine = this._spineMap.get(char_uid);
      try {
        thisSpine.skeleton.setSkinByName("normal");
      } catch (e) {
        thisSpine.skeleton.setSkinByName("default");
      }
      if (charPosition) {
        thisSpine.position.set(charPosition.x, charPosition.y);
        this.setChildIndex(thisSpine, this.children.length <= charPosition.order ? this.children.length - 1 : charPosition.order);
      }
      if (charScale) {
        thisSpine.scale = { x: charScale, y: charScale };
      }
      if (charEffect) {
        if (charEffect.type == "from") {
          thisSpine.alpha = 1;
        }
        if (charEffect == null ? void 0 : charEffect.x) {
          charEffect.x += thisSpine.x;
        }
        if (charEffect == null ? void 0 : charEffect.y) {
          charEffect.y += thisSpine.y;
        }
        fadingEffect(thisSpine, charEffect);
      }
      if (charAnim1) {
        this._setCharacterAnimation(charAnim1, charAnim1Loop, 0, thisSpine);
      }
      if (charAnim2) {
        this._setCharacterAnimation(charAnim2, charAnim2Loop, 1, thisSpine);
      }
      if (charAnim3) {
        this._setCharacterAnimation(charAnim3, charAnim3Loop, 2, thisSpine);
      }
      if (charAnim4) {
        this._setCharacterAnimation(charAnim4, charAnim4Loop, 3, thisSpine);
      }
      if (charAnim5) {
        this._setCharacterAnimation(charAnim5, charAnim5Loop, 4, thisSpine);
      }
      if (C_Lip_Anim) {
        const trackEntry = this._setCharacterAnimation(C_Lip_Anim, true, 5, thisSpine);
        if (lipAnimDuration && trackEntry) {
          this._timeoutToClear = setTimeout(() => {
            if (trackEntry.trackIndex === 5) {
              trackEntry.trackTime = 0;
              trackEntry.timeScale = 0;
            }
            if (this._replacingLipTrack && this._replacingLipTrack.trackIndex === 5) {
              this._replacingLipTrack.trackTime = 0;
              this._replacingLipTrack.timeScale = 0;
            }
            this._keepsLipAnimation = false;
          }, lipAnimDuration * 1e3);
        }
        const isReplacingLipAnimation = !lipAnimDuration && this._keepsLipAnimation;
        if (isReplacingLipAnimation) {
          this._replacingLipTrack = trackEntry;
        } else {
          this._lipTrack = trackEntry;
        }
      }
      thisSpine.skeleton.setToSetupPose();
      thisSpine.update(0);
      thisSpine.autoUpdate = true;
    }
    stopLipAnimation(charLabel) {
      if (!this._currSpine[charLabel]) {
        return;
      }
      let { currCharId, currCharCategory } = this._currSpine[charLabel];
      let char_uid = `${charLabel}_${currCharId}_${currCharCategory}`;
      if (!this._spineMap.has(char_uid) || !this._spineMap.get(char_uid).state.tracks[5]) {
        return;
      }
      if (this._lipTrack && this._lipTrack.trackIndex === 5) {
        this._lipTrack.trackTime = 0;
        this._lipTrack.timeScale = 0;
      }
      if (this._replacingLipTrack && this._replacingLipTrack.trackIndex === 5) {
        this._replacingLipTrack.trackTime = 0;
        this._replacingLipTrack.timeScale = 0;
      }
    }
    _setCharacterAnimation(charAnim, charAnimLoop, trackNo, thisSpine) {
      if (!charAnim || !this._getAnimation(charAnim, thisSpine)) {
        return;
      }
      let trackEntry = void 0;
      let relayAnim = void 0;
      const animation = this._getAnimation(charAnim, thisSpine);
      const eventTimeline = animation.timelines.find((timeline) => timeline instanceof EventTimeline$1);
      let loopStartTime = null;
      if (eventTimeline) {
        eventTimeline.events.forEach((event) => {
          switch (event.data.name) {
            case LOOP_EVENT_NAME:
              loopStartTime = event.time;
              break;
            case LIP_EVENT_NAME:
              this._lipAnim = event.stringValue;
              break;
          }
        });
      }
      if (loopStartTime) {
        charAnimLoop = false;
      }
      const before = thisSpine.state.getCurrent(trackNo);
      const beforeAnim = before ? before.animation.name : null;
      if (beforeAnim) {
        const beforeEventTimeline = this._getAnimation(beforeAnim, thisSpine).timelines.find((timeline) => timeline instanceof EventTimeline$1);
        if (beforeEventTimeline) {
          const relayAnimEvent = beforeEventTimeline.events.find((event) => event.data.name === RELAY_EVENT_NAME);
          if (relayAnimEvent) {
            relayAnim = relayAnimEvent.stringValue;
          }
        }
      }
      if (relayAnim) {
        if (beforeAnim) {
          thisSpine.stateData.setMix(beforeAnim, relayAnim, ANIMATION_MIX);
        }
        thisSpine.stateData.setMix(relayAnim, charAnim, ANIMATION_MIX);
        thisSpine.state.setAnimation(trackNo, relayAnim, false);
        trackEntry = thisSpine.state.addAnimation(trackNo, charAnim, charAnimLoop, 0);
      } else {
        if (beforeAnim) {
          thisSpine.stateData.setMix(beforeAnim, charAnim, ANIMATION_MIX);
        }
        trackEntry = thisSpine.state.setAnimation(trackNo, charAnim, charAnimLoop);
      }
      const listener = {
        complete: function complete() {
          const currentAnim = thisSpine.state.getCurrent(trackNo);
          const currentAnimName = currentAnim ? currentAnim.animation.name : null;
          if (!loopStartTime || charAnim !== currentAnimName) {
            return;
          }
          let trackEntry2 = thisSpine.state.setAnimation(trackNo, charAnim, false);
          trackEntry2.listener = listener;
          trackEntry2.trackTime = loopStartTime;
        }
      };
      trackEntry.listener = listener;
      return trackEntry;
    }
    _getAnimation(charAnim, thisSpine) {
      const animation = thisSpine.spineData.animations.find((a) => a.name === charAnim);
      if (!animation) {
        console.error(`${charAnim} is not found in spineData`);
      }
      return animation;
    }
  }
  class StillController extends display.Container {
    constructor() {
      super(...arguments);
      __publicField(this, "_stMap", /* @__PURE__ */ new Map());
    }
    reset() {
      this.removeChildren(0, this.children.length);
      this._stMap.clear();
    }
    addTo(parent) {
      parent.addChild(this);
      return this;
    }
    process({ still, stillType, stillId, stillCtrl }) {
      if (stillType && stillId) {
        this._changeStillByType(stillType, stillId);
      }
      if (still) {
        this._changeStill(still);
      }
      if (stillCtrl) {
        this._control(stillCtrl);
      }
    }
    _changeStill(stillName) {
      if (!stillName) {
        return;
      }
      if (stillName == "off") {
        this._control(stillName);
        return;
      }
      this._removeStill();
      if (!this._stMap.has(stillName)) {
        this._stMap.set(stillName, new sprite.Sprite(assets.Assets.get(`still_${stillName}`)));
      }
      const thisStill = this._stMap.get(stillName);
      this.addChild(thisStill);
    }
    _changeStillByType(stillType, stillId) {
      if (!stillType || !stillId) {
        return;
      }
      this._removeStill();
      if (!this._stMap.has(`${stillType}${stillId}`)) {
        this._stMap.set(`${stillType}${stillId}`, new sprite.Sprite(assets.Assets.get(`still_${stillType}${stillId}`)));
      }
      const thisStill = this._stMap.get(`${stillType}${stillId}`);
      this.addChild(thisStill);
    }
    _control(stillCtrl) {
      if (!stillCtrl) {
        return;
      }
      switch (stillCtrl) {
        case "off":
          this._removeStill();
          break;
      }
    }
    _removeStill() {
      if (this.children.length) {
        this.removeChildAt(0);
      }
    }
  }
  class TextController extends display.Container {
    constructor() {
      super(...arguments);
      __publicField(this, "options");
      __publicField(this, "_txtFrameMap", /* @__PURE__ */ new Map());
      __publicField(this, "_thisWaitTime", 0);
      __publicField(this, "_typingEffect", null);
      __publicField(this, "_textObj");
      __publicField(this, "_language", "jp");
      __publicField(this, "_currentText", { jp: "", translated: "" });
    }
    addTo(parent) {
      parent.addChild(this);
      return this;
    }
    reset() {
      this.removeChildren(0, this.children.length);
      this._txtFrameMap.clear();
      this._endNotification();
    }
    process({ textFrame, speaker, text: text$1, translated_text }) {
      var _a2, _b;
      this._thisWaitTime = 0;
      if (!textFrame || textFrame == "off" && !this.children.length) {
        return;
      }
      if (this.children.length) {
        this.removeChildren(0, this.children.length);
        if (textFrame == "off") {
          return;
        }
      }
      this._thisWaitTime = text$1 ? text$1.length * 300 + 500 : 50;
      if (!this._txtFrameMap.has(textFrame)) {
        this._txtFrameMap.set(textFrame, new sprite.Sprite(assets.Assets.get(`textFrame_${textFrame}`)));
      }
      let thisTextFrame = this._txtFrameMap.get(textFrame);
      thisTextFrame.position.set(100, 450);
      this.addChildAt(thisTextFrame, 0);
      let noSpeaker = true;
      if (speaker !== "off") {
        noSpeaker = false;
        let speakerObj = new text.Text(speaker, {
          fontFamily: (_a2 = this.options) == null ? void 0 : _a2.fonts["jp"].family,
          fontSize: 24,
          fill: 0,
          align: "center",
          padding: 3
        });
        this.addChildAt(speakerObj, 1);
        speakerObj.position.set(260, 468);
      }
      if (text$1) {
        if (translated_text) {
          this._currentText.jp = text$1;
          this._currentText.translated = translated_text;
          text$1 = this._currentText[this._language];
        }
        this._textObj = new text.Text("", {
          align: "left",
          fontFamily: (_b = this.options) == null ? void 0 : _b.fonts[this._language].family,
          fontSize: 24,
          padding: 3
        });
        this.addChildAt(this._textObj, noSpeaker ? 1 : 2);
        this._textObj.position.set(240, 510);
        let word_index = 0;
        if (this._typingEffect != null) {
          clearInterval(this._typingEffect);
        }
        this._typingEffect = setInterval(() => {
          if (word_index === (text$1 == null ? void 0 : text$1.length)) {
            clearInterval(this._typingEffect);
            this._typingEffect = null;
          }
          this._textObj.text += text$1 == null ? void 0 : text$1.charAt(word_index);
          word_index += 1;
        }, 65);
      }
    }
    toggleLanguage(lang) {
      this._language = lang;
      if (this._typingEffect) {
        clearInterval(this._typingEffect);
        this._typingEffect = null;
      }
      if (this._textObj) {
        this._textObj.text = this._currentText[this._language];
        this._textObj.style.fontFamily = this.options.fonts[this._language].family || "";
      }
    }
    _endNotification() {
      var _a2;
      let owariObj = new text.Text("End", {
        fontFamily: (_a2 = this.options) == null ? void 0 : _a2.fonts.zh.family,
        fontSize: 40,
        fill: 16777215,
        align: "center"
      });
      this.addChildAt(owariObj, 0);
      owariObj.anchor.set(0.5);
      owariObj.position.set(568, 320);
    }
    get textWaitTime() {
      return this._thisWaitTime;
    }
    get typingEffect() {
      return this._typingEffect;
    }
  }
  const Options = {
    skipHello: false,
    disableInfoLog: false,
    disableBlur: false,
    resourceUrl: "https://viewer.shinycolors.moe",
    fonts: {
      jp: {
        filepath: "./assets/TsunagiGothic.ttf",
        family: "TsunagiGothic"
      },
      translated: {
        filepath: "./assets/three.ttf",
        family: "three"
      }
    },
    translate: {
      master_list: "https://raw.githubusercontent.com/biuuu/ShinyColors/gh-pages/story.json",
      CSV_url: "https://raw.githubusercontent.com/biuuu/ShinyColors/gh-pages/data/story/{uid}.csv"
    },
    assets: {
      touchToStart: "./assets/touchToStart.png",
      autoBtn: {
        On: "./assets/autoOn.png",
        Off: "./assets/autoOff.png"
      },
      translationBtn: {
        On: "./assets/zhOn.png",
        Off: "./assets/jpOn.png"
      }
    }
  };
  const interestedEvents = ["click", "touchstart"];
  const Menu = {};
  const AutoBtn_texture = {};
  const SwitchLangBtn_texture = {};
  var translateState = /* @__PURE__ */ ((translateState2) => {
    translateState2["ON"] = "translated";
    translateState2["OFF"] = "jp";
    return translateState2;
  })(translateState || {});
  class EventViewer extends display.Container {
    constructor(options) {
      super();
      __publicField(this, "_options", Options);
      __publicField(this, "system");
      __publicField(this, "_oninit", false);
      __publicField(this, "_track", []);
      __publicField(this, "_autoPlayEnabled", true);
      __publicField(this, "_current", 0);
      __publicField(this, "_nextLabel");
      __publicField(this, "_stopTrackIndex", -1);
      __publicField(this, "_timeoutToClear", null);
      __publicField(this, "_textTypingEffect", null);
      __publicField(this, "_stopped", false);
      __publicField(this, "_selecting", false);
      __publicField(this, "_translate", false);
      __publicField(this, "_language", "jp");
      __publicField(this, "_translationData");
      __publicField(this, "_mixed", false);
      this.addChild(createEmptySprite({ color: 0 }));
      this.sortableChildren = true;
      this.system = new ControllerSystem(this);
      if (options) {
        this._options = updateConfig(this._options, options);
      }
      core.extensions.add(Mp4Assets);
      globalThis.addEventListener("blur", this.onBlur.bind(this));
      if (!this._options.skipHello) {
        Hello();
      }
    }
    static new(options) {
      return new this(options);
    }
    addTo(parent) {
      parent.addChild(this);
      return this;
    }
    clearTrack() {
      return __async(this, null, function* () {
        this._track = [];
        this._current = 0;
        this._nextLabel = null;
        this._stopTrackIndex = -1;
        yield assets.Assets.unloadBundle("TrackBundle");
      });
    }
    init() {
      return __async(this, null, function* () {
        this.system.add("bg", BGController, 1);
        this.system.add("spine", SpineController, 2);
        this.system.add("fg", FGController, 3);
        this.system.add("still", StillController, 4);
        this.system.add("text", TextController, 5);
        this.system.add("select", SelectController, 6);
        this.system.add("effect", EffectController, 7);
        this.system.add("movie", MovieController, 8);
        this.system.add("sound", SoundController);
        let fontassets = {};
        for (const key in this._options.fonts) {
          fontassets[key] = this._options.fonts[key].filepath;
        }
        assets.Assets.addBundle("fonts", fontassets);
        assets.Assets.addBundle("require_assets", flatten(this._options.assets));
        let { require_assets } = yield assets.Assets.loadBundle(["fonts", "require_assets"]);
        Menu["touchToStart"] = new sprite.Sprite(require_assets.touchToStart);
        Menu["autoBtn"] = new sprite.Sprite(this._autoPlayEnabled ? require_assets.autoBtn_On : require_assets.autoBtn_Off);
        Menu["switchLangBtn"] = new sprite.Sprite(require_assets.translationBtn_Off);
        AutoBtn_texture["On"] = require_assets.autoBtn_On;
        AutoBtn_texture["Off"] = require_assets.autoBtn_Off;
        SwitchLangBtn_texture["On"] = require_assets.translationBtn_On;
        SwitchLangBtn_texture["Off"] = require_assets.translationBtn_Off;
        this._oninit = true;
      });
    }
    loadTrack(source) {
      return __async(this, null, function* () {
        if (typeof source === "string") {
          source = yield loadJson(source);
        }
        if (!this._oninit) {
          yield this.init();
        }
        if (this._track.length) {
          yield this.clearTrack();
        }
        this._track = source;
        let resources = {};
        let assetUrl = this._options.resourceUrl;
        this._track.forEach((Frame) => {
          const {
            speaker,
            text: text2,
            select,
            textFrame,
            bg,
            fg,
            se,
            voice,
            bgm,
            movie,
            charId,
            charType,
            charLabel,
            charCategory,
            stillType,
            stillId,
            still
          } = Frame;
          if (speaker && text2 && !this._mixed && this._translationData) {
            Frame["translated_text"] = this._translationData.table.find((data) => data.name == speaker && data.text == text2)["tran"];
          }
          if (textFrame && textFrame != "off" && !resources[`textFrame_${textFrame}`]) {
            resources[`textFrame_${textFrame}`] = `${assetUrl}/images/event/text_frame/${textFrame}.png`;
          }
          if (bg && !resources[`bg_${bg}`] && bg != "fade_out") {
            resources[`bg_${bg}`] = `${assetUrl}/images/event/bg/${bg}.jpg`;
          }
          if (fg && !resources[`fg_${fg}`] && fg != "off" && fg != "fade_out") {
            resources[`fg_${fg}`] = `${assetUrl}/images/event/fg/${fg}.png`;
          }
          if (se && !resources[`se_${se}`]) {
            resources[`se_${se}`] = `${assetUrl}/sounds/se/event/${se}.m4a`;
          }
          if (voice && !resources[`voice_${voice}`]) {
            resources[`voice_${voice}`] = `${assetUrl}/sounds/voice/events/${voice}.m4a`;
          }
          if (bgm && !resources[`bgm_${bgm}`] && bgm != "fade_out" && bgm != "off") {
            resources[`bgm_${bgm}`] = `${assetUrl}/sounds/bgm/${bgm}.m4a`;
          }
          if (movie && !resources[`movie_${movie}`]) {
            resources[`movie_${movie}`] = `${assetUrl}/movies/idols/card/${movie}.mp4`;
          }
          if (charLabel && charId) {
            const thisCharCategory = charCategory ? spineAlias[charCategory] : "stand";
            if (!resources[`${charLabel}_${charId}_${thisCharCategory}`]) {
              resources[`${charLabel}_${charId}_${thisCharCategory}`] = `${assetUrl}/spine/${charType}/${thisCharCategory}/${charId}/data.json`;
            }
          }
          if (select && !resources[`selectFrame_${this.system.get(SelectController).neededFrame}`]) {
            resources[`selectFrame_${this.system.get(SelectController).neededFrame}`] = `${assetUrl}/images/event/select_frame/00${this.system.get(SelectController).neededFrame}.png`;
            this.system.get(SelectController).frameForward();
            if (!this._mixed && this._translationData) {
              Frame["translated_text"] = this._translationData.table.find((data) => data.id == "select" && data.text == select)["tran"];
            }
          }
          if (still && !resources[`still_${still}`] && still != "off") {
            resources[`still_${still}`] = `${assetUrl}/images/event/still/${still}.jpg`;
          }
          if (stillType && stillId && !resources[`still_${stillType}${stillId}`]) {
            resources[`still_${stillType}${stillId}`] = `${assetUrl}/images/content/${stillType}/card/${stillId}.jpg`;
          }
          if (Frame.label == "end") {
            assets.Assets.addBundle("TrackBundle", resources);
          }
        });
        if (!this._mixed && this._translate) {
          this._mixed = true;
        }
        return yield assets.Assets.loadBundle("TrackBundle");
      });
    }
    loadAndPlayTrack(source) {
      this.loadTrack(source).then(() => {
        this.start();
      });
    }
    searchAndLoadTranslation(tag) {
      return __async(this, null, function* () {
        let url = yield searchFromMasterList(tag, this._options.translate.master_list, this._options.translate.CSV_url);
        return yield this.loadTranslation(url);
      });
    }
    loadTranslation(source) {
      return __async(this, null, function* () {
        if (typeof source === "string") {
          let csvtext = yield loadCSVText(source);
          source = CSVToJSON(csvtext);
        }
        if (!source) {
          return;
        }
        this._translationData = source;
        this._translate = true;
        if (!this._mixed && this._track.length) {
          this._mixed = true;
          this._track.forEach((Frame) => {
            const { speaker, text: text2, select } = Frame;
            if (speaker && text2) {
              Frame["translated_text"] = this._translationData.table.find((data) => data.name == speaker && data.text == text2)["tran"];
            }
            if (select) {
              Frame["translated_text"] = this._translationData.table.find((data) => data.id == "select" && data.text == select)["tran"];
            }
          });
        }
      });
    }
    start() {
      this._onready();
    }
    _onready() {
      let touchToStart = Menu.touchToStart;
      touchToStart.anchor.set(0.5);
      touchToStart.position.set(568, 500);
      touchToStart.zIndex = 10;
      this.addChild(touchToStart);
      this.eventMode = "static";
      interestedEvents.forEach((e) => {
        this.on(e, this._play, this);
      });
    }
    _play() {
      let { touchToStart, autoBtn, switchLangBtn } = Menu;
      this._autoPlayEnabled ? this.eventMode = "auto" : this.eventMode = "static";
      this.removeChild(touchToStart);
      interestedEvents.forEach((e) => {
        this.off(e, this._play, this);
      });
      autoBtn.anchor.set(0.5);
      autoBtn.position.set(1075, 50);
      autoBtn.eventMode = "static";
      autoBtn.zIndex = 10;
      this.addChild(autoBtn);
      if (this._translate) {
        switchLangBtn.anchor.set(0.5);
        switchLangBtn.position.set(1075, 130);
        switchLangBtn.eventMode = "static";
        switchLangBtn.zIndex = 10;
        this.addChild(switchLangBtn);
        interestedEvents.forEach((e) => {
          switchLangBtn.on(e, this._toggleLangBtn, this);
        });
      }
      interestedEvents.forEach((e) => {
        autoBtn.on(e, this._toggleAutoplay, this);
      });
      interestedEvents.forEach((e) => {
        this.on(e, this._tapEffect, this);
      });
      if (this._autoPlayEnabled)
        this._renderTrack();
    }
    _toggleAutoplay() {
      let { autoBtn } = Menu;
      let { On, Off } = AutoBtn_texture;
      this._autoPlayEnabled = !this._autoPlayEnabled;
      if (this._autoPlayEnabled) {
        if (!this._timeoutToClear) {
          this._renderTrack();
        }
        autoBtn.texture = On;
        this.eventMode = "auto";
      } else {
        if (this._timeoutToClear) {
          clearTimeout(this._timeoutToClear);
          this._timeoutToClear = null;
        }
        autoBtn.texture = Off;
        this.eventMode = "static";
      }
    }
    _toggleLangBtn() {
      let { switchLangBtn } = Menu;
      let arr = ["Off", "On"];
      let states = Object.values(translateState);
      let index = states.indexOf(this._language);
      this._language = states[(index + 1) % states.length];
      switchLangBtn.texture = SwitchLangBtn_texture[arr[index]];
      this.system.get(SelectController).toggleLanguage(this._language);
      this.system.get(TextController).toggleLanguage(this._language);
    }
    _renderTrack() {
      if (!this._track) {
        return;
      }
      if (this._stopped || this._selecting) {
        return;
      }
      if (!this._options.disableInfoLog) {
        TrackLog(this._current, this._track.length - 1, this.currentTrack);
      }
      if (this.currentTrack.label == "end") {
        this._endOfEvent();
        return;
      }
      const { text: text2, textCtrl, voice, select, nextLabel, effectValue, waitType, waitTime } = this.currentTrack;
      const params = __spreadProps(__spreadValues({}, this.currentTrack), {
        selectonClick: this._jumpTo.bind(this),
        onMovieEnded: this._renderTrack.bind(this),
        afterSelection: this._afterSelection.bind(this),
        onVoiceEnd: this.system.get(SpineController).stopLipAnimation.bind(this.system.get(SpineController))
      });
      this.system.process(params);
      if (nextLabel == "end") {
        this._nextLabel = "end";
      }
      this.forward();
      if (this._current - 1 == this._stopTrackIndex) {
        return;
      } else if (select && !textCtrl) {
        this.eventMode = "auto";
        this._renderTrack();
      } else if (select && textCtrl) {
        this.eventMode = "auto";
        this._selecting = true;
      } else if (text2 && this._autoPlayEnabled && !waitType) {
        this._textTypingEffect = this.system.get(TextController).typingEffect;
        if (voice) {
          const voiceTimeout = this.system.get(SoundController).voiceDuration;
          this._timeoutToClear = setTimeout(() => {
            if (!this._autoPlayEnabled) {
              return;
            }
            this._renderTrack();
            this._timeoutToClear = null;
          }, voiceTimeout);
        } else {
          const textTimeout = this.system.get(TextController).textWaitTime;
          this._timeoutToClear = setTimeout(() => {
            if (!this._autoPlayEnabled) {
              return;
            }
            this._renderTrack();
            this._timeoutToClear = null;
          }, textTimeout);
        }
      } else if (text2 && !this._autoPlayEnabled && !waitType) {
        return;
      } else if (waitType == "time") {
        this._timeoutToClear = setTimeout(() => {
          this._renderTrack();
          this._timeoutToClear = null;
        }, waitTime);
      } else if (waitType == "effect") {
        this._timeoutToClear = setTimeout(() => {
          this._renderTrack();
          this._timeoutToClear = null;
        }, effectValue.time);
      } else {
        this._renderTrack();
      }
    }
    forward() {
      if (this._nextLabel) {
        this._jumpTo(this._nextLabel);
      } else {
        this._current++;
      }
      return this.currentTrack;
    }
    _jumpTo(nextLabel) {
      const length = this._track.length;
      for (let i = 0; i < length; i++) {
        if (this._track[i].label !== nextLabel) {
          continue;
        }
        this._current = i;
        this._nextLabel = null;
        return;
      }
      throw new Error(`label ${nextLabel} is not found.`);
    }
    _endOfEvent() {
      this.system.reset();
      this._stopped = true;
    }
    _afterSelection() {
      this.eventMode = "auto";
      this._selecting = false;
      this._renderTrack();
    }
    _tapEffect(e) {
      if (e.target !== this) {
        return;
      }
      if (this._autoPlayEnabled) {
        return;
      }
      if (this._timeoutToClear) {
        clearTimeout(this._timeoutToClear);
      }
      if (this._textTypingEffect) {
        clearInterval(this._textTypingEffect);
      }
      this._renderTrack();
    }
    onBlur() {
      if (this._autoPlayEnabled && this._current > 0 && !this._options.disableBlur) {
        this._toggleAutoplay();
      }
    }
    get Options() {
      return this._options;
    }
    get Track() {
      return this._track;
    }
    get currentTrack() {
      return this._track[this._current];
    }
    get nextTrack() {
      return this._track[this._current + 1];
    }
  }
  exports2.EventViewer = EventViewer;
  Object.defineProperties(exports2, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
});
